import type { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { EventEmitter } from '@angular/core';
import type { CuiDropdownOrientation } from './dropdown.interfaces';
import * as i0 from "@angular/core";
export declare class CuiDropdownDirective implements OnInit, OnDestroy {
    private readonly document;
    private readonly viewContainerRef;
    private readonly target;
    private readonly window;
    private readonly SPACE_BETWEEN_TARGET_AND_LIST;
    private readonly CONTAINER_SELECTOR;
    private readonly DROPDOWN_SELECTOR;
    private container;
    private element;
    private backdrop;
    content: TemplateRef<unknown>;
    orientation: CuiDropdownOrientation;
    readonly isOpened: EventEmitter<boolean>;
    private readonly isOpen;
    private readonly targetToggleEventListener;
    private elementResizeObserver;
    constructor();
    protected onResize(): void;
    protected onClick(event: MouseEvent): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    open(): void;
    close(): void;
    private initContainer;
    private initDropdown;
    private initTargetElementListener;
    private initResizeObserver;
    private destroyElementResizeObserver;
    private changeDropdownYCoordinateIfNeeded;
    private calculateDropdownPosition;
    private changePositionX;
    private changePositionY;
    private findScrollableContainer;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiDropdownDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CuiDropdownDirective, "[cuiDropdown]", ["cuiDropdown"], { "content": { "alias": "cuiDropdown"; "required": true; }; "orientation": { "alias": "orientation"; "required": false; }; }, { "isOpened": "isOpened"; }, never, never, true, never>;
}
