import type { ElementRef } from '@angular/core';
import type { ControlValueAccessor } from '@angular/forms';
import type { MaskitoOptions } from '@maskito/core';
import { CuiNullable, CuiOnChange, CuiOnTouched } from '@cuby-ui/cdk';
import type { CuiIcon } from '@cuby-ui/icons';
import { CuiSizeMd, CuiSizeSm } from '../../types';
import * as i0 from "@angular/core";
export declare class CuiInputNumberComponent implements ControlValueAccessor {
    private readonly changeDetectorRef;
    private readonly cuiTextFieldController;
    protected maskOptions: MaskitoOptions;
    protected _precision: number;
    protected _min: number;
    protected _max: number;
    protected value: CuiNullable<string>;
    protected onChange: CuiOnChange<CuiNullable<number>>;
    protected onTouched: CuiOnTouched;
    set precision(value: number);
    set min(value: number);
    set max(value: number);
    protected isDisabled: boolean;
    protected input: ElementRef<HTMLInputElement>;
    protected get id(): string | undefined;
    protected get placeholder(): string | undefined;
    protected get iconLeft(): CuiIcon | string | undefined;
    protected get size(): CuiSizeSm | CuiSizeMd;
    protected get isError(): boolean;
    writeValue(value: CuiNullable<number>): void;
    registerOnChange(fn: CuiOnChange<CuiNullable<number>>): void;
    registerOnTouched(fn: CuiOnTouched): void;
    setDisabledState(isDisabled: boolean): void;
    protected onInput({ target }: Event): void;
    protected onFocus(): void;
    private changeModel;
    private generateMask;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiInputNumberComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiInputNumberComponent, "cui-input-number", never, { "precision": { "alias": "precision"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; }, {}, never, never, false, never>;
}
