import type { ControlValueAccessor } from '@angular/forms';
import type { CuiInputType, CuiNullable, CuiOnChange, CuiOnTouched } from '@cuby-ui/cdk';
import type { CuiIcon } from '@cuby-ui/icons';
import { CuiSizeMd, CuiSizeSm } from '../../types';
import * as i0 from "@angular/core";
export declare class CuiInputPasswordComponent implements ControlValueAccessor {
    private readonly changeDetectorRef;
    private readonly cuiTextFieldController;
    protected isPasswordHidden: boolean;
    protected value: CuiNullable<string>;
    protected onChange: CuiOnChange<string>;
    protected onTouched: CuiOnTouched;
    protected isDisabled: boolean;
    protected get id(): string | undefined;
    protected get placeholder(): string | undefined;
    protected get iconLeft(): CuiIcon | string | undefined;
    protected get isToggleButtonShown(): boolean;
    protected get icon(): CuiIcon;
    protected get type(): CuiInputType;
    protected get buttonTitle(): string;
    protected get size(): CuiSizeSm | CuiSizeMd;
    protected get isError(): boolean;
    writeValue(value: CuiNullable<string>): void;
    registerOnChange(fn: CuiOnChange<string>): void;
    registerOnTouched(fn: CuiOnTouched): void;
    setDisabledState(isDisabled: boolean): void;
    protected onInput({ target }: Event): void;
    protected onTogglePasswordVisibility(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiInputPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiInputPasswordComponent, "cui-input-password", never, {}, {}, never, never, false, never>;
}
