import type { ElementRef } from '@angular/core';
import type { ControlValueAccessor } from '@angular/forms';
import type { CuiOnChange, CuiOnTouched, CuiNullable } from '@cuby-ui/cdk';
import type { CuiIcon } from '@cuby-ui/icons';
import { CuiSizeMd, CuiSizeSm } from '../../types';
import * as i0 from "@angular/core";
export declare class CuiInputTextComponent implements ControlValueAccessor {
    private readonly changeDetectorRef;
    private readonly cuiTextFieldController;
    protected value: CuiNullable<string>;
    protected onChange: CuiOnChange<string>;
    protected onTouched: CuiOnTouched;
    protected isDisabled: boolean;
    protected input: ElementRef<HTMLInputElement>;
    protected get id(): string | undefined;
    protected get placeholder(): string | undefined;
    protected get iconLeft(): CuiIcon | string | undefined;
    protected get isClearButtonHidden(): boolean;
    protected get size(): CuiSizeSm | CuiSizeMd;
    protected get isError(): boolean;
    writeValue(value: CuiNullable<string>): void;
    registerOnChange(fn: CuiOnChange<string>): void;
    registerOnTouched(fn: CuiOnTouched): void;
    setDisabledState(isDisabled: boolean): void;
    protected onInput({ target }: Event): void;
    protected onClear(): void;
    protected onFocus(): void;
    private changeModel;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiInputTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiInputTextComponent, "cui-input-text", never, {}, {}, never, never, false, never>;
}
