import type { ElementRef } from '@angular/core';
import type { ControlValueAccessor } from '@angular/forms';
import type { MaskitoOptions } from '@maskito/core';
import type { CuiNullable, CuiOnChange, CuiOnTouched } from '@cuby-ui/cdk';
import { CuiTime } from '@cuby-ui/cdk';
import { CuiInputTimeOptions } from './input-time.options';
import type { CuiSizeMd, CuiSizeSm } from '../../types';
import * as i0 from "@angular/core";
export declare class CuiInputTimeComponent implements CuiInputTimeOptions, ControlValueAccessor {
    private readonly changeDetectorRef;
    private readonly cuiTextFieldController;
    private readonly options;
    protected _mode: import("@cuby-ui/cdk").CuiTimeMode;
    protected maskOptions: MaskitoOptions;
    protected defaultPlaceholder: string;
    protected value: CuiNullable<CuiTime>;
    protected onChange: CuiOnChange<CuiNullable<CuiTime>>;
    protected onTouched: CuiOnTouched;
    set mode(value: CuiInputTimeOptions['mode']);
    protected isDisabled: boolean;
    protected input: ElementRef<HTMLInputElement>;
    protected get id(): string | undefined;
    protected get placeholder(): string | undefined;
    get computedValue(): string;
    protected get size(): CuiSizeSm | CuiSizeMd;
    protected get isError(): boolean;
    writeValue(value: CuiNullable<CuiTime>): void;
    registerOnChange(fn: CuiOnChange<CuiNullable<CuiTime>>): void;
    registerOnTouched(fn: CuiOnTouched): void;
    setDisabledState(isDisabled: boolean): void;
    protected onInput(event: Event): void;
    protected onFocus(): void;
    private generateMask;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiInputTimeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiInputTimeComponent, "cui-input-time", never, { "mode": { "alias": "mode"; "required": false; }; }, {}, never, never, false, never>;
}
