import type { CuiIcon } from '@cuby-ui/icons';
import type { CuiTextFieldSizeDirective } from './text-field-size.directive';
import type { CuiTextFieldIdDirective } from './text-field-id.directive';
import type { CuiTextFieldIconLeftDirective } from './text-field-icon-left.directive';
import type { CuiTextFieldPlaceholderDirective } from './text-field-placeholder.directive';
import type { CuiTextFieldIsErrorDirective } from './text-field-is-error.directive';
import type { CuiSizeMd, CuiSizeSm } from '../../types';
export declare class CuiTextFieldController {
    private readonly iconLeftDirective;
    private readonly idDirective;
    private readonly isErrorDirective;
    private readonly placeholderDirective;
    private readonly sizeDirective;
    constructor(iconLeftDirective: CuiTextFieldIconLeftDirective, idDirective: CuiTextFieldIdDirective, isErrorDirective: CuiTextFieldIsErrorDirective, placeholderDirective: CuiTextFieldPlaceholderDirective, sizeDirective: CuiTextFieldSizeDirective);
    get iconLeft(): CuiIcon | string | undefined;
    get id(): string | undefined;
    get isError(): boolean;
    get placeholder(): string | undefined;
    get size(): CuiSizeSm | CuiSizeMd;
}
