import type { OnDestroy } from '@angular/core';
import { CuiActiveZone } from '@cuby-ui/cdk';
import type { CuiRectAccessor, CuiVehicle } from '../../classes';
import type { CuiPortalItem } from '../../types';
import type { PolymorpheusContent } from '@taiga-ui/polymorpheus';
import { PolymorpheusComponent } from '@taiga-ui/polymorpheus';
import * as i0 from "@angular/core";
import * as i1 from "./tooltip-driver.directive";
import * as i2 from "./tooltip-hover.directive";
import * as i3 from "./tooltip-position.directive";
export declare class CuiTooltipDirective<C> implements OnDestroy, CuiPortalItem<C>, CuiRectAccessor, CuiVehicle {
    private readonly service;
    context?: C;
    appearance: string;
    content: import("@angular/core").WritableSignal<PolymorpheusContent<C>>;
    component: PolymorpheusComponent<any>;
    readonly el: HTMLElement;
    readonly activeZone?: CuiActiveZone | null | undefined;
    readonly type = "hint";
    set cuiTooltip(content: PolymorpheusContent<C>);
    ngOnDestroy(): void;
    getClientRect(): DOMRect;
    toggle(show: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiTooltipDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CuiTooltipDirective<any>, "[cuiTooltip]:not(ng-container):not(ng-template)", never, { "context": { "alias": "cuiTooltipContext"; "required": false; }; "appearance": { "alias": "cuiTooltipAppearance"; "required": false; }; "cuiTooltip": { "alias": "cuiTooltip"; "required": false; }; }, {}, never, never, true, [{ directive: typeof i1.CuiTooltipDriver; inputs: {}; outputs: {}; }, { directive: typeof i2.CuiTooltipHover; inputs: { "cuiTooltipHideDelay": "cuiTooltipHideDelay"; "cuiTooltipShowDelay": "cuiTooltipShowDelay"; }; outputs: {}; }, { directive: typeof i3.CuiTooltipPosition; inputs: { "cuiTooltipDirection": "cuiTooltipDirection"; }; outputs: { "cuiTooltipDirectionChange": "cuiTooltipDirectionChange"; }; }]>;
}
