import type { API } from '@editorjs/editorjs';
import type { CuiFileData } from '../../interfaces/file-response-data';
import { CuiFileUploaderConfig } from '../../utils/file-uploader';
export declare const EDITOR_IMAGE_TOOL_SELECTOR = "cc-editor-image-tool";
export type CuiImageKeysObject<V = string> = {
    [key: string]: V;
};
export interface CuiImageToolConfig extends CuiFileUploaderConfig {
    readonly buttonContent: string;
}
export interface CuiImageToolOptions {
    readonly api: API;
    readonly config: CuiImageToolConfig;
    readonly onSelectFile: () => void;
    readonly readOnly: boolean;
}
export interface CuiImageToolData {
    caption: string;
    file: CuiFileData;
    tunes: CuiImageTunes;
}
export interface CuiImageTunes {
    stretched?: boolean;
    left?: boolean;
    right?: boolean;
}
