import type { ElementRef, OnDestroy, SimpleChanges } from '@angular/core';
import { EventEmitter } from '@angular/core';
import EditorJS from '@editorjs/editorjs';
import type { CuiEditorConfig } from './interfaces';
import * as i0 from "@angular/core";
export declare class CuiEditorComponent implements OnDestroy {
    private readonly destroy;
    private readonly cuiIdService;
    private readonly editorService;
    private readonly jTextService;
    private readonly POOLING_DELAY;
    private readonly ELEMENT_SPACE_TO_BOTTOM;
    private readonly SCROLL_THROTTLE_TIME;
    private readonly isReadonly;
    private readonly emptyQueue;
    private poolingSubscription;
    private scrollSubscription;
    private isSkipCombinedBlockOnChange;
    private isFirst;
    private isChanging;
    private isSkip;
    private isRequested;
    private isDestroyed;
    private blockIdsMap;
    private combinedBlocks;
    private index;
    private page;
    private addedBlocks;
    private updatedBlocks;
    private removedBlocksIds;
    private changesQueue;
    private abortController;
    protected readonly editorId: string;
    protected readonly editorRef: ElementRef;
    readonly editorEmpty: EventEmitter<boolean>;
    editorApiId: string;
    config: CuiEditorConfig;
    requestSize: number;
    editor: EditorJS;
    editorElement: HTMLElement;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private onScrollEvent;
    private onEditorChange;
    private onAddedCombinedBlock;
    private onUpdatedCombinedBlock;
    private onRemovedCombinedBlock;
    private initEditorChanges;
    private initEditor;
    private initScrollObserver;
    private initEditorEvents;
    private startPooling;
    private destroyEditor;
    private setListenersOnCustomBlockChanges;
    private startChanges;
    private startNextChange;
    private collectAddedBlocksRequest;
    private collectUpdatedBlocksRequest;
    private collectRemovedBlocksRequest;
    private getBlocks;
    private addBlock;
    private addCombinedBlock;
    private insert;
    private checkFirst;
    private setCombinedBlock;
    private setBlockIdsToMap;
    private setStartBlock;
    private setFocus;
    private checkIsEmpty;
    private resetData;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiEditorComponent, "cui-editor", never, { "editorApiId": { "alias": "editorApiId"; "required": true; }; "config": { "alias": "config"; "required": false; }; "requestSize": { "alias": "requestSize"; "required": false; }; }, { "editorEmpty": "editorEmpty"; }, never, never, true, never>;
}
