import type { API, BlockAPI, ToolboxConfig } from '@editorjs/editorjs';
import type { CuiFileData } from '../interfaces';
import type { CuiAttachesToolConfig, CuiAttachesToolData } from '../components/editor-attaches-tool/editor-attaches-tool.options';
import { CuiFileUploader } from '../utils/file-uploader';
export declare class CuiAttachesTool {
    api: API;
    config: CuiAttachesToolConfig;
    blockApi?: BlockAPI;
    readOnly: boolean;
    data: CuiAttachesToolData;
    uploader: CuiFileUploader;
    private attachesTool;
    private selectedFile;
    static get isReadOnlySupported(): boolean;
    static get toolbox(): ToolboxConfig;
    constructor(options: {
        api: API;
    });
    onSelectFile: () => void;
    appendCallback(): void;
    render(): HTMLElement;
    save(): CuiAttachesToolData;
    removed(): void;
    changeCaption(event: Event): void;
    set file(file: CuiFileData);
    private onUpload;
    private uploadingFailed;
}
