import type { BlockTool } from '@editorjs/editorjs';
import type { CuiCombinedPartBlock } from '../interfaces';
export declare class CuiCombinedTextBlockTool implements BlockTool {
    private readonly TAG;
    private readonly DEBOUNCE_TIME;
    private readonly MAX_CHILD_COUNT_FOR_EMPTY;
    private readonly PLACEHOLDER_ATTRIBUTE_NAME;
    private mutationConfig;
    private api;
    private data;
    private placeholder;
    private wrapper?;
    private observer?;
    private lastBlockElement?;
    private readOnly?;
    private changes;
    constructor(options: unknown);
    static get isInline(): boolean;
    static get isReadOnlySupported(): boolean;
    static get enableLineBreaks(): boolean;
    static get toolbox(): {
        icon: string;
        title: string;
    };
    static get pasteConfig(): object;
    onPaste(event: CustomEvent): void;
    render(): HTMLElement;
    merge(blocksData: CuiCombinedPartBlock[]): void;
    save(blockContent: HTMLElement): CuiCombinedPartBlock[];
    removed(): void;
    private onMutationEvent;
    private getMutationCallback;
    private handleMutations;
    private getNextIndex;
    private getBlockPartObject;
    private getMutationActions;
    private setCaretToBlocksEnd;
    private handleUpdatedBlocks;
    private handleChangesOutsideBlock;
    private addBlocks;
    private updateBlocks;
    private handleRemovedBlocks;
    private removeBlocks;
    private update;
    private createBlock;
    private convertDefaultDataToCustom;
    private checkIsEditorEmpty;
    private getPlaceholder;
}
