import type { CuiFileResponseData } from '../interfaces';
export declare enum CuiFileUploaderStatus {
    Loading = "loading",
    Completed = "completed"
}
export interface CuiFileUploaderConfig {
    readonly endpoint: string;
    readonly types: string;
    readonly field: string;
    readonly additionalRequestHeaders: HeadersInit;
    readonly load: (status: CuiFileUploaderStatus) => void;
}
export type OnUpload = (response: CuiFileResponseData, file?: File) => void;
export declare class CuiFileUploader {
    private readonly REQUEST_METHOD;
    private readonly config;
    private readonly onUpload;
    private readonly onError;
    constructor(config: CuiFileUploaderConfig, onUpload: OnUpload, onError: () => void);
    selectFile: ({ fileSelected }: {
        fileSelected: (file: File) => void;
    }) => void;
    getFile(files: FileList, fileSelected: (file: File) => void): void;
    uploadFile(file: File): void;
    uploadByUrl(url: string): void;
}
