import type { OnInit, Type } from '@angular/core';
import { NodeCheckListItem, NodeCheckListItemContentType } from '@cuby-ui/api';
import type { CuiCheckListBlockItem } from '../../checklist-block.options';
import { CuiNodeCheckListItemWithOption } from './checklist-block-list-item-container.options';
import { CuiEditorConfig } from '../../../../editor';
import * as i0 from "@angular/core";
export declare class CuiChecklistBlockListItemContainerComponent implements OnInit {
    private readonly destroyRef;
    private readonly nonNullableFormBuilder;
    private readonly translocoService;
    private readonly cuiDialogService;
    private readonly treeStructApiService;
    private readonly checkListBlockService;
    private readonly nodeCheckListApiService;
    protected readonly DEFAULT_CONTROL_DELAY = 700;
    protected readonly isOpen: import("@angular/core").WritableSignal<boolean>;
    readonly checkListBlockItem: import("@angular/core").InputSignal<CuiCheckListBlockItem>;
    readonly config: import("@angular/core").InputSignal<CuiEditorConfig>;
    readonly index: import("@angular/core").InputSignal<number>;
    protected readonly componentId: import("@angular/core").Signal<import("@cuby-ui/cdk").CuiNullable<string>>;
    protected readonly rotate: import("@angular/core").Signal<string>;
    protected readonly headerText: import("@angular/core").Signal<string>;
    protected readonly checkListItem: import("@angular/core").Signal<NodeCheckListItem<NodeCheckListItemContentType>>;
    protected readonly checkListItemComponent: import("@angular/core").Signal<Type<unknown>>;
    protected readonly checkListItemWithOptions: import("@angular/core").Signal<CuiNodeCheckListItemWithOption<NodeCheckListItemContentType>>;
    protected readonly headerBorderColor: import("@angular/core").Signal<"var(--cui-violet-bg)" | "var(--cui-cyan-bg)" | null>;
    protected readonly iconChecklistType: import("@angular/core").Signal<"cuiIconUsersSm" | "cuiIconChecklist" | "cuiIconUserSm">;
    protected readonly titleControl: import("@angular/forms").FormControl<string>;
    protected get isTitleEmpty(): boolean;
    protected get isTitleError(): boolean;
    ngOnInit(): void;
    protected onRowToggle(): void;
    protected onAllowDrag(): void;
    protected onProhibitDrag(): void;
    private initControls;
    private initTitleControlValue;
    private initTitleControlSubscription;
    private openDeleteChecklistNodeModal;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiChecklistBlockListItemContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiChecklistBlockListItemContainerComponent, "cui-checklist-block-list-item-container", never, { "checkListBlockItem": { "alias": "checkListBlockItem"; "required": true; "isSignal": true; }; "config": { "alias": "config"; "required": true; "isSignal": true; }; "index": { "alias": "index"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
