import type { OnInit } from '@angular/core';
import type { FormGroup } from '@angular/forms';
import { CuiDragDropData } from '@cuby-ui/cdk';
import { NodeCheckListEvaluationCriteria, NodeCheckListEvaluationItemContent, NodeCheckListItem, NodeCheckListItemContentAction, NodeCheckListItemSwitchContentPointer } from '@cuby-ui/api';
import type { CuiEvaluationCriteriaGroup } from './checklist-block-list-item-evaluation.options';
import * as i0 from "@angular/core";
export declare class CuiCheckListBlockListItemEvaluationComponent implements OnInit {
    private readonly nonNullableFormBuilder;
    private readonly nodeCheckListApiService;
    private readonly checkListBlockService;
    private readonly cdRef;
    private readonly cuiDialogService;
    private readonly isAvailableObserver;
    protected readonly photoFormGroup: FormGroup<{
        isEnable: import("@angular/forms").FormControl<boolean>;
        isRequired: import("@angular/forms").FormControl<boolean>;
    }>;
    protected readonly commentFormGroup: FormGroup<{
        isEnable: import("@angular/forms").FormControl<boolean>;
        isRequired: import("@angular/forms").FormControl<boolean>;
    }>;
    protected readonly evaluationCriteriaFormArray: import("@angular/forms").FormArray<FormGroup<any>>;
    protected readonly loadingIds: import("@angular/core").WritableSignal<Record<string, boolean>>;
    protected readonly isAddButtonDisabled: import("@angular/core").WritableSignal<boolean>;
    private readonly assignee;
    protected readonly attachmentPhotoAction: import("@angular/core").Signal<NodeCheckListItemContentAction>;
    protected readonly textAreaAction: import("@angular/core").Signal<NodeCheckListItemContentAction>;
    readonly checkListItem: import("@angular/core").InputSignal<NodeCheckListItem<NodeCheckListEvaluationItemContent>>;
    protected getPointer(currentIndex: number): NodeCheckListItemSwitchContentPointer;
    protected getTargetIndex(currentIndex: number): number;
    protected onDrop(event: CuiDragDropData): void;
    protected onAddEvaluationCriteriaItem(): void;
    protected onSaveEvaluationCriteria(group: CuiEvaluationCriteriaGroup): void;
    protected onCancelNewEvaluationCriteria(): void;
    protected openModalDeleteEvaluationCriteria(id: string): void;
    protected completeEvaluationCriteriaDeletion(criteria: NodeCheckListEvaluationCriteria): void;
    private onCheckListActionChanged;
    ngOnInit(): void;
    private initEvaluationFormValues;
    private initActionFormSegmentsSubscriptions;
    private initPhotoGroupSubscription;
    private initCommentGroupSubscription;
    private updateEvaluationCriteria;
    private addEvaluationCriteria;
    private updateCreatedEvaluationCriteria;
    private createEvaluationFormGroup;
    private findExistingEvaluationCriteria;
    private moveItemInArray;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiCheckListBlockListItemEvaluationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiCheckListBlockListItemEvaluationComponent, "cui-checklist-block-list-item-evaluation", never, { "checkListItem": { "alias": "checkListItem"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
