import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, inject, Renderer2, input, model, effect, Directive, InjectionToken, Input, HostBinding, ChangeDetectorRef, ElementRef, ViewChild, EventEmitter, Output, NgModule, Injector, Injectable, SkipSelf, Optional, DestroyRef, NgZone, signal, TemplateRef, ContentChildren, HostListener, Self, INJECTOR, forwardRef, ViewContainerRef, booleanAttribute, computed, Pipe, APP_INITIALIZER, viewChild, afterRender, output, makeEnvironmentProviders } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule, DOCUMENT, NgForOf, NgIf, NgComponentOutlet, NgTemplateOutlet, NgFor, UpperCasePipe, NgClass, Location } from '@angular/common';
import * as i1$1 from '@cuby-ui/cdk';
import { CUI_WINDOW, cuiCreateToken, cuiCreateTokenFromFactory, CuiDestroyService, CuiFilterPipe, CuiLetDirective, CuiPopoverService, cuiProvide, CUI_ANIMATION_FRAME, cuiZonefree, EMPTY_CLIENT_RECT, cuiInjectElement, CUI_LOCAL_STORAGE, CUI_IS_WEBKIT, CuiItemDirective, CuiActiveZone, CuiFocusTrapDirective, cuiGetElementObscures, CUI_IS_MOBILE, CuiHoveredService, cuiPure, cuiPointToClientRect, cuiClamp, cuiPx, cuiIfMap, cuiIsPresent, cuiTypedFromEvent, cuiZonefreeScheduler, cuiZoneOptimized, cuiIsNativeFocused, CuiClickOutsideDirective, CuiTargetDirective, cuiGetClosestFocusable, CuiTime, CuiDimensionsObserverDirective, CuiAutoResizingDirective, CuiIdService, CuiElementDirective, CuiDragPointerDirective, CuiDragDropDirective, CuiDragListDirective, CuiHandleScrollDirective } from '@cuby-ui/cdk';
import { DomSanitizer } from '@angular/platform-browser';
import { cuiIsIcon, CUI_ICONS } from '@cuby-ui/icons';
import { BehaviorSubject, takeUntil, Observable, merge, distinctUntilChanged, startWith, map, finalize, switchMap, tap, catchError, throwError, of, from, filter, timer, Subject, delay, repeat, takeWhile, fromEvent, debounce, skip, take, forkJoin, throttleTime, concatMap, toArray, pairwise, debounceTime } from 'rxjs';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';
import { OAuthService, OAuthErrorEvent, OAuthSuccessEvent, OAuthInfoEvent, provideOAuthClient } from 'angular-oauth2-oidc';
import { CuiExchangeContextApiService, CuiTreeStructNavigatorApiService, CuiFrameApiService, CuiNodeChecklistApiService, CuiTreeStructApiService } from '@cuby-ui/api';
import { trigger, transition, query, animateChild, style, animate, stagger } from '@angular/animations';
import * as i2 from '@taiga-ui/polymorpheus';
import { PolymorpheusOutlet, PolymorpheusTemplate, PolymorpheusComponent, injectContext } from '@taiga-ui/polymorpheus';
import { __decorate, __metadata } from 'tslib';
import * as i2$1 from '@angular/forms';
import { Validators, NG_VALUE_ACCESSOR, FormsModule, ReactiveFormsModule, FormControl, NonNullableFormBuilder } from '@angular/forms';
import { maskitoParseNumber, maskitoNumberOptionsGenerator, maskitoTimeOptionsGenerator } from '@maskito/kit';
import * as i3 from '@maskito/angular';
import { MaskitoDirective } from '@maskito/angular';
import EditorJS from '@editorjs/editorjs';
import Header from '@editorjs/header';
import List from '@editorjs/list';
import * as i2$2 from '@jsverse/transloco';
import { TranslocoDirective, TranslocoService, TranslocoModule } from '@jsverse/transloco';
import { HttpClient, HttpErrorResponse } from '@angular/common/http';
import { createCustomElement } from '@angular/elements';
import { Router } from '@angular/router';

class CuiAccordionComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiAccordionComponent, selector: "cui-accordion", ngImport: i0, template: "<ng-content select=\"cui-accordion-item\"></ng-content>\n", styles: [":host{display:flex;flex-direction:column;gap:16px}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-accordion', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content select=\"cui-accordion-item\"></ng-content>\n", styles: [":host{display:flex;flex-direction:column;gap:16px}\n"] }]
        }] });

class CuiAccordionDirective {
    constructor() {
        this.renderer = inject(Renderer2);
        this.content = input.required();
        this.isOpen = model(true);
        this.initWrapperEffect();
        this.initOpenChangesEffect();
    }
    onToggle(event) {
        if (event.defaultPrevented) {
            return;
        }
        this.isOpen.update((prev) => !prev);
    }
    initWrapperEffect() {
        const effectRef = effect(() => {
            const content = this.content();
            this.wrapper = this.renderer.createElement('div');
            content.after(this.wrapper);
            this.renderer.appendChild(this.wrapper, content);
            effectRef.destroy();
        });
    }
    initOpenChangesEffect() {
        effect(() => {
            const isOpen = this.isOpen();
            const doAction = isOpen ? this.close : this.open;
            doAction.call(this, this.wrapper);
        });
    }
    open(wrapper) {
        this.renderer.setStyle(wrapper, 'visibility', 'hidden');
        this.renderer.setStyle(wrapper, 'height', '0');
        this.renderer.setStyle(wrapper, 'overflow', 'hidden');
    }
    close(wrapper) {
        this.renderer.setStyle(wrapper, 'visibility', 'visible');
        this.renderer.setStyle(wrapper, 'height', '');
        this.renderer.setStyle(wrapper, 'overflow', '');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "18.2.13", type: CuiAccordionDirective, isStandalone: true, selector: "[cuiAccordion]", inputs: { content: { classPropertyName: "content", publicName: "content", isSignal: true, isRequired: true, transformFunction: null }, isOpen: { classPropertyName: "isOpen", publicName: "isOpen", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { isOpen: "isOpenChange" }, host: { listeners: { "click": "onToggle($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiAccordion]',
                    standalone: true,
                    host: {
                        '(click)': 'onToggle($event)'
                    }
                }]
        }], ctorParameters: () => [] });

const CUI_BUTTON_DEFAULT_OPTIONS = {
    appearance: 'action',
    shape: null,
    size: 'sm'
};
const CUI_BUTTON_OPTIONS = new InjectionToken('', {
    factory: () => CUI_BUTTON_DEFAULT_OPTIONS
});

class CuiSvgComponent {
    constructor() {
        this.domSanitizer = inject(DomSanitizer);
    }
    set icon(icon) {
        // TODO: В данном случае подключаются все иконки (вероятно, можно как-то оптимизировано их подключать)
        this.safeSvgContent = this.domSanitizer.bypassSecurityTrustHtml(cuiIsIcon(icon)
            ? CUI_ICONS[icon]
            : icon);
    }
    get isWithStrokeWidth() {
        return !!this.strokeWidth;
    }
    get isWithColor() {
        return !!this.color;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSvgComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: { width: "width", height: "height", strokeWidth: "strokeWidth", color: "color", icon: "icon" }, host: { properties: { "style.--stroke-width": "this.strokeWidth", "style.--color": "this.color", "class._with-stroke-width": "this.isWithStrokeWidth", "class._with-color": "this.isWithColor" } }, ngImport: i0, template: "<span\n  [innerHTML]=\"safeSvgContent\"\n  [style.width.px]=\"width\"\n  [style.height.px]=\"height\"\n></span>", styles: [":host{display:inline-flex;align-items:center;justify-content:center;flex-shrink:0;vertical-align:middle;line-height:0}:host ::ng-deep svg{width:100%;height:100%}:host._with-stroke-width ::ng-deep [stroke-width]{stroke-width:var(--stroke-width)}:host._with-color ::ng-deep [stroke]{stroke:var(--color)}:host._with-color ::ng-deep [fill]:not([fill=none]){fill:var(--color)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSvgComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-svg[icon]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span\n  [innerHTML]=\"safeSvgContent\"\n  [style.width.px]=\"width\"\n  [style.height.px]=\"height\"\n></span>", styles: [":host{display:inline-flex;align-items:center;justify-content:center;flex-shrink:0;vertical-align:middle;line-height:0}:host ::ng-deep svg{width:100%;height:100%}:host._with-stroke-width ::ng-deep [stroke-width]{stroke-width:var(--stroke-width)}:host._with-color ::ng-deep [stroke]{stroke:var(--color)}:host._with-color ::ng-deep [fill]:not([fill=none]){fill:var(--color)}\n"] }]
        }], propDecorators: { width: [{
                type: Input
            }], height: [{
                type: Input
            }], strokeWidth: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['style.--stroke-width']
            }], color: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['style.--color']
            }], icon: [{
                type: Input
            }], isWithStrokeWidth: [{
                type: HostBinding,
                args: ['class._with-stroke-width']
            }], isWithColor: [{
                type: HostBinding,
                args: ['class._with-color']
            }] } });

class CuiButtonComponent {
    constructor() {
        this.changeDetectorRef = inject(ChangeDetectorRef);
        this.element = inject(ElementRef).nativeElement;
        this.window = inject(CUI_WINDOW);
        this.cuiButtonOptions = inject(CUI_BUTTON_OPTIONS);
        this.ICON_XS_SIZES = ['xxs', 'xxxs'];
        this.AppearanceIconColors = {
            action: '--c-action-icon-color',
            secondary: '--c-secondary-icon-color',
            outlined: '--c-outlined-icon-color',
            'outlined-gray': '--c-outlined-gray-icon-color',
            ghost: '--c-ghost-icon-color',
            flat: '--c-flat-icon-color',
            destructive: '--c-destructive-icon-color',
            link: '--c-link-icon-color',
            'action-violet': '--c-action-violet-icon-color',
            'action-cyan': '--c-action-cyan-icon-color',
            'vivid-success': '--c-vivid-success-icon-color'
        };
        this.COLOR_BASE_500 = 'var(--cui-base-500)';
        this.BUTTON_ICONS_COLOR_BASE_500 = [
            'secondary',
            'outlined',
            'outlined-gray',
            'ghost'
        ];
        this._appearance = this.cuiButtonOptions.appearance;
        this.iconColor = this.getIconColor(this._appearance);
        this._size = this.cuiButtonOptions.size;
        this.iconDimensions = {
            width: 20,
            height: 20
        };
        this.shape = this.cuiButtonOptions.shape;
        this.disabled = false;
        this.isLoaderShown = false;
        this.containsOnlyIcon = false;
    }
    get appearance() {
        return this._appearance;
    }
    set appearance(appearance) {
        this._appearance = appearance;
        this.changeIconColor();
    }
    get size() {
        return this._size;
    }
    set size(size) {
        this._size = size;
        if (this.ICON_XS_SIZES.includes(size)) {
            this.iconDimensions = {
                width: 16,
                height: 16
            };
            return;
        }
        this.iconDimensions = {
            width: 20,
            height: 20
        };
    }
    get isDisabled() {
        return this.disabled || this.isLoaderShown;
    }
    ngOnInit() {
        this.initIconColor();
    }
    initIconColor() {
        this.changeIconColor();
    }
    changeIconColor() {
        Promise.resolve().then(() => {
            this.iconColor = this.getIconColor(this._appearance);
            this.changeDetectorRef.markForCheck();
        });
    }
    getIconColor(appearance) {
        const customIconColor = this.window
            .getComputedStyle(this.element)
            .getPropertyValue(this.AppearanceIconColors[appearance]);
        if (customIconColor) {
            return customIconColor;
        }
        if (this.BUTTON_ICONS_COLOR_BASE_500.includes(appearance)) {
            return this.COLOR_BASE_500;
        }
        return 'currentColor';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: { shape: "shape", disabled: "disabled", isLoaderShown: "isLoaderShown", icon: "icon", iconRight: "iconRight", appearance: "appearance", size: "size" }, host: { properties: { "attr.data-shape": "this.shape", "class._disabled": "this.disabled", "class._loading": "this.isLoaderShown", "attr.data-appearance": "this.appearance", "attr.data-size": "this.size", "class._only-icon": "this.containsOnlyIcon", "disabled": "this.isDisabled" } }, viewQueries: [{ propertyName: "content", first: true, predicate: ["content"], descendants: true }], ngImport: i0, template: "<span\n  class=\"c-wrapper\"\n  [class.c-wrapper_invisible]=\"isLoaderShown\"\n>\n  <cui-svg\n    *ngIf=\"icon\"\n    [icon]=\"icon\"\n    [width]=\"iconDimensions.width\"\n    [height]=\"iconDimensions.height\"\n    [color]=\"iconColor\"\n  ></cui-svg>\n  <span\n    #content\n    class=\"c-content\"\n  ><ng-content></ng-content></span>\n  <cui-svg\n    *ngIf=\"iconRight\"\n    [icon]=\"iconRight\"\n    [width]=\"iconDimensions.width\"\n    [height]=\"iconDimensions.height\"\n    [color]=\"iconColor\"\n  ></cui-svg>\n</span>\n<cui-svg\n  *ngIf=\"isLoaderShown\"\n  icon=\"cuiIconLoading\"\n  [color]=\"iconColor\"\n  class=\"c-loader\"\n></cui-svg>\n", styles: [":host{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;font-weight:500;font-size:14px;line-height:20px;display:inline-block;position:relative;box-sizing:border-box;font-family:var(--cui-main-font)}:host:disabled{cursor:not-allowed}:host[data-shape=rounded]{border-radius:20px}:host[data-appearance=action]{background:var(--c-action-background);color:var(--cui-gray-0);border:1px solid var(--c-action-border-color)}@media (hover: hover){:host[data-appearance=action]:hover{background:var(--c-action-background-hover);border-color:var(--c-action-background-hover)}}:host[data-appearance=action]:active{background:var(--c-action-background-hover);border-color:var(--c-action-background-hover)}:host[data-appearance=action]:disabled{background:var(--c-action-background);border-color:var(--c-action-border-color)}:host[data-appearance=action-violet]{background:var(--cui-violet-500);color:var(--cui-gray-0);border:1px solid var(--cui-violet-500)}@media (hover: hover){:host[data-appearance=action-violet]:hover{background:var(--cui-violet-700);border-color:var(--cui-violet-700)}}:host[data-appearance=action-violet]:active{background:var(--cui-violet-700);border-color:var(--cui-violet-700)}:host[data-appearance=action-violet]:disabled{background:var(--cui-violet-500);border-color:var(--cui-violet-500)}:host[data-appearance=action-cyan]{background:var(--cui-cyan-700);color:var(--cui-gray-0);border:1px solid var(--cui-cyan-700)}@media (hover: hover){:host[data-appearance=action-cyan]:hover{background:var(--cui-cyan-800);border-color:var(--cui-cyan-800)}}:host[data-appearance=action-cyan]:active{background:var(--cui-cyan-800);border-color:var(--cui-cyan-800)}:host[data-appearance=action-cyan]:disabled{background:var(--cui-cyan-800);border-color:var(--cui-cyan-800)}:host[data-appearance=vivid-success]{background:var(--cui-success);color:var(--cui-gray-0);border:1px solid var(--cui-success)}@media (hover: hover){:host[data-appearance=vivid-success]:hover{background:var(--cui-green-700);border-color:var(--cui-green-700)}}:host[data-appearance=vivid-success]:active{background:var(--cui-green-700);border-color:var(--cui-green-700)}:host[data-appearance=vivid-success]:disabled{background:var(--cui-success);border-color:var(--cui-success)}:host[data-appearance=secondary]{background:var(--cui-base-100);color:var(--cui-base-900)}@media (hover: hover){:host[data-appearance=secondary]:hover{background:var(--cui-base-200)}}:host[data-appearance=secondary]:active{background:var(--cui-base-200)}:host[data-appearance=secondary]:disabled{background:var(--cui-base-100)}:host[data-appearance=outlined]{border:1px solid var(--cui-base-200);background:var(--cui-base-0);color:var(--cui-base-900)}@media (hover: hover){:host[data-appearance=outlined]:hover{background:var(--cui-base-50)}}:host[data-appearance=outlined]:active{background:var(--cui-base-50)}:host[data-appearance=outlined]:disabled{background:var(--cui-base-0)}:host[data-appearance=outlined-gray]{border:1px solid var(--cui-base-200);background:var(--cui-base-10);color:var(--c-outlined-gray-color)}@media (hover: hover){:host[data-appearance=outlined-gray]:hover{background:var(--cui-base-50)}}:host[data-appearance=outlined-gray]:active{background:var(--cui-base-50)}:host[data-appearance=outlined-gray]:disabled{background:var(--cui-base-10)}:host[data-appearance=ghost]{color:var(--cui-base-900)}@media (hover: hover){:host[data-appearance=ghost]:hover{background:var(--cui-base-50)}}:host[data-appearance=ghost]:active{background:var(--cui-base-50)}:host[data-appearance=ghost]:disabled{background:inherit}:host[data-appearance=flat]{color:var(--cui-light-blue-600)}@media (hover: hover){:host[data-appearance=flat]:hover{background:var(--cui-base-50)}}:host[data-appearance=flat]:active{background:var(--cui-base-50)}:host[data-appearance=flat]:disabled{background:inherit}:host[data-appearance=destructive]{background:var(--cui-danger);color:var(--cui-gray-0)}@media (hover: hover){:host[data-appearance=destructive]:hover{background:var(--cui-red-600)}}:host[data-appearance=destructive]:active{background:var(--cui-red-600)}:host[data-appearance=destructive]:disabled{background:var(--cui-danger)}:host[data-appearance=link]{height:24px!important;padding:0 4px!important;color:var(--cui-info)}@media (hover: hover){:host[data-appearance=link]:hover{color:var(--cui-blue-800)}}:host[data-appearance=link]:active{color:var(--cui-blue-800)}:host[data-appearance=link]:disabled{color:var(--cui-info)}:host[data-size=xxxs]{font-size:12px;line-height:14px;height:24px;padding:0 4px;border-radius:6px}:host[data-size=xxxs][data-appearance=action],:host[data-size=xxxs][data-appearance=outlined],:host[data-size=xxxs][data-appearance=outlined-gray]{padding:0 3px}:host[data-size=xxxs]:has(.c-content:empty){width:24px}:host[data-size=xxxs] .c-wrapper{gap:6px}:host[data-size=xxs]{font-size:12px;line-height:14px;height:28px;padding:0 12px;border-radius:8px}:host[data-size=xxs][data-appearance=action],:host[data-size=xxs][data-appearance=outlined],:host[data-size=xxs][data-appearance=outlined-gray]{padding:0 11px}:host[data-size=xxs]:has(.c-content:empty){width:28px}:host[data-size=xxs] .c-wrapper{gap:6px}:host[data-size=xs]{font-size:13px;line-height:16px;height:32px;padding:0 12px;border-radius:8px}:host[data-size=xs][data-appearance=action],:host[data-size=xs][data-appearance=outlined],:host[data-size=xs][data-appearance=outlined-gray]{padding:0 11px}:host[data-size=xs]:has(.c-content:empty){width:32px}:host[data-size=sm]{height:36px;padding:0 14px;border-radius:8px}:host[data-size=sm][data-appearance=action],:host[data-size=sm][data-appearance=outlined],:host[data-size=sm][data-appearance=outlined-gray]{padding:0 13px}:host[data-size=sm]:has(.c-content:empty){width:36px}:host[data-size=md]{height:40px;padding:0 16px;border-radius:8px}:host[data-size=md][data-appearance=action],:host[data-size=md][data-appearance=outlined],:host[data-size=md][data-appearance=outlined-gray]{padding:0 15px}:host[data-size=md]:has(.c-content:empty){width:40px}:host._disabled{opacity:.5}@media (hover: hover){:host-context([cuiTheme=dark])[data-appearance=destructive]:hover{background:var(--cui-red-300)}}:host-context([cuiTheme=dark])[data-appearance=destructive]:active{background:var(--cui-red-300)}:host-context([cuiTheme=dark])[data-appearance=destructive]:disabled{background:var(--cui-danger)}.c-content:empty{display:contents}.c-wrapper{display:flex;justify-content:center;align-items:center;gap:8px;height:100%}.c-wrapper_invisible{opacity:0}.c-loader{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'button[cuiButton], a[cuiButton]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span\n  class=\"c-wrapper\"\n  [class.c-wrapper_invisible]=\"isLoaderShown\"\n>\n  <cui-svg\n    *ngIf=\"icon\"\n    [icon]=\"icon\"\n    [width]=\"iconDimensions.width\"\n    [height]=\"iconDimensions.height\"\n    [color]=\"iconColor\"\n  ></cui-svg>\n  <span\n    #content\n    class=\"c-content\"\n  ><ng-content></ng-content></span>\n  <cui-svg\n    *ngIf=\"iconRight\"\n    [icon]=\"iconRight\"\n    [width]=\"iconDimensions.width\"\n    [height]=\"iconDimensions.height\"\n    [color]=\"iconColor\"\n  ></cui-svg>\n</span>\n<cui-svg\n  *ngIf=\"isLoaderShown\"\n  icon=\"cuiIconLoading\"\n  [color]=\"iconColor\"\n  class=\"c-loader\"\n></cui-svg>\n", styles: [":host{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;font-weight:500;font-size:14px;line-height:20px;display:inline-block;position:relative;box-sizing:border-box;font-family:var(--cui-main-font)}:host:disabled{cursor:not-allowed}:host[data-shape=rounded]{border-radius:20px}:host[data-appearance=action]{background:var(--c-action-background);color:var(--cui-gray-0);border:1px solid var(--c-action-border-color)}@media (hover: hover){:host[data-appearance=action]:hover{background:var(--c-action-background-hover);border-color:var(--c-action-background-hover)}}:host[data-appearance=action]:active{background:var(--c-action-background-hover);border-color:var(--c-action-background-hover)}:host[data-appearance=action]:disabled{background:var(--c-action-background);border-color:var(--c-action-border-color)}:host[data-appearance=action-violet]{background:var(--cui-violet-500);color:var(--cui-gray-0);border:1px solid var(--cui-violet-500)}@media (hover: hover){:host[data-appearance=action-violet]:hover{background:var(--cui-violet-700);border-color:var(--cui-violet-700)}}:host[data-appearance=action-violet]:active{background:var(--cui-violet-700);border-color:var(--cui-violet-700)}:host[data-appearance=action-violet]:disabled{background:var(--cui-violet-500);border-color:var(--cui-violet-500)}:host[data-appearance=action-cyan]{background:var(--cui-cyan-700);color:var(--cui-gray-0);border:1px solid var(--cui-cyan-700)}@media (hover: hover){:host[data-appearance=action-cyan]:hover{background:var(--cui-cyan-800);border-color:var(--cui-cyan-800)}}:host[data-appearance=action-cyan]:active{background:var(--cui-cyan-800);border-color:var(--cui-cyan-800)}:host[data-appearance=action-cyan]:disabled{background:var(--cui-cyan-800);border-color:var(--cui-cyan-800)}:host[data-appearance=vivid-success]{background:var(--cui-success);color:var(--cui-gray-0);border:1px solid var(--cui-success)}@media (hover: hover){:host[data-appearance=vivid-success]:hover{background:var(--cui-green-700);border-color:var(--cui-green-700)}}:host[data-appearance=vivid-success]:active{background:var(--cui-green-700);border-color:var(--cui-green-700)}:host[data-appearance=vivid-success]:disabled{background:var(--cui-success);border-color:var(--cui-success)}:host[data-appearance=secondary]{background:var(--cui-base-100);color:var(--cui-base-900)}@media (hover: hover){:host[data-appearance=secondary]:hover{background:var(--cui-base-200)}}:host[data-appearance=secondary]:active{background:var(--cui-base-200)}:host[data-appearance=secondary]:disabled{background:var(--cui-base-100)}:host[data-appearance=outlined]{border:1px solid var(--cui-base-200);background:var(--cui-base-0);color:var(--cui-base-900)}@media (hover: hover){:host[data-appearance=outlined]:hover{background:var(--cui-base-50)}}:host[data-appearance=outlined]:active{background:var(--cui-base-50)}:host[data-appearance=outlined]:disabled{background:var(--cui-base-0)}:host[data-appearance=outlined-gray]{border:1px solid var(--cui-base-200);background:var(--cui-base-10);color:var(--c-outlined-gray-color)}@media (hover: hover){:host[data-appearance=outlined-gray]:hover{background:var(--cui-base-50)}}:host[data-appearance=outlined-gray]:active{background:var(--cui-base-50)}:host[data-appearance=outlined-gray]:disabled{background:var(--cui-base-10)}:host[data-appearance=ghost]{color:var(--cui-base-900)}@media (hover: hover){:host[data-appearance=ghost]:hover{background:var(--cui-base-50)}}:host[data-appearance=ghost]:active{background:var(--cui-base-50)}:host[data-appearance=ghost]:disabled{background:inherit}:host[data-appearance=flat]{color:var(--cui-light-blue-600)}@media (hover: hover){:host[data-appearance=flat]:hover{background:var(--cui-base-50)}}:host[data-appearance=flat]:active{background:var(--cui-base-50)}:host[data-appearance=flat]:disabled{background:inherit}:host[data-appearance=destructive]{background:var(--cui-danger);color:var(--cui-gray-0)}@media (hover: hover){:host[data-appearance=destructive]:hover{background:var(--cui-red-600)}}:host[data-appearance=destructive]:active{background:var(--cui-red-600)}:host[data-appearance=destructive]:disabled{background:var(--cui-danger)}:host[data-appearance=link]{height:24px!important;padding:0 4px!important;color:var(--cui-info)}@media (hover: hover){:host[data-appearance=link]:hover{color:var(--cui-blue-800)}}:host[data-appearance=link]:active{color:var(--cui-blue-800)}:host[data-appearance=link]:disabled{color:var(--cui-info)}:host[data-size=xxxs]{font-size:12px;line-height:14px;height:24px;padding:0 4px;border-radius:6px}:host[data-size=xxxs][data-appearance=action],:host[data-size=xxxs][data-appearance=outlined],:host[data-size=xxxs][data-appearance=outlined-gray]{padding:0 3px}:host[data-size=xxxs]:has(.c-content:empty){width:24px}:host[data-size=xxxs] .c-wrapper{gap:6px}:host[data-size=xxs]{font-size:12px;line-height:14px;height:28px;padding:0 12px;border-radius:8px}:host[data-size=xxs][data-appearance=action],:host[data-size=xxs][data-appearance=outlined],:host[data-size=xxs][data-appearance=outlined-gray]{padding:0 11px}:host[data-size=xxs]:has(.c-content:empty){width:28px}:host[data-size=xxs] .c-wrapper{gap:6px}:host[data-size=xs]{font-size:13px;line-height:16px;height:32px;padding:0 12px;border-radius:8px}:host[data-size=xs][data-appearance=action],:host[data-size=xs][data-appearance=outlined],:host[data-size=xs][data-appearance=outlined-gray]{padding:0 11px}:host[data-size=xs]:has(.c-content:empty){width:32px}:host[data-size=sm]{height:36px;padding:0 14px;border-radius:8px}:host[data-size=sm][data-appearance=action],:host[data-size=sm][data-appearance=outlined],:host[data-size=sm][data-appearance=outlined-gray]{padding:0 13px}:host[data-size=sm]:has(.c-content:empty){width:36px}:host[data-size=md]{height:40px;padding:0 16px;border-radius:8px}:host[data-size=md][data-appearance=action],:host[data-size=md][data-appearance=outlined],:host[data-size=md][data-appearance=outlined-gray]{padding:0 15px}:host[data-size=md]:has(.c-content:empty){width:40px}:host._disabled{opacity:.5}@media (hover: hover){:host-context([cuiTheme=dark])[data-appearance=destructive]:hover{background:var(--cui-red-300)}}:host-context([cuiTheme=dark])[data-appearance=destructive]:active{background:var(--cui-red-300)}:host-context([cuiTheme=dark])[data-appearance=destructive]:disabled{background:var(--cui-danger)}.c-content:empty{display:contents}.c-wrapper{display:flex;justify-content:center;align-items:center;gap:8px;height:100%}.c-wrapper_invisible{opacity:0}.c-loader{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}\n"] }]
        }], propDecorators: { shape: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-shape']
            }], disabled: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['class._disabled']
            }], isLoaderShown: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['class._loading']
            }], icon: [{
                type: Input
            }], iconRight: [{
                type: Input
            }], appearance: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-appearance']
            }], size: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-size']
            }], containsOnlyIcon: [{
                type: HostBinding,
                args: ['class._only-icon']
            }], isDisabled: [{
                type: HostBinding,
                args: ['disabled']
            }], content: [{
                type: ViewChild,
                args: ['content']
            }] } });

class CuiAccordionItemComponent {
    constructor() {
        this.isOpen = true;
        this.appearance = 'default';
        this.isOpenChange = new EventEmitter();
    }
    get buttonIcon() {
        return this.isOpen ? 'cuiIconChevronDown' : 'cuiIconChevronRight';
    }
    get _appearance() {
        return this.appearance;
    }
    onRowToggle() {
        this.isOpen = !this.isOpen;
        this.isOpenChange.emit(this.isOpen);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiAccordionItemComponent, selector: "cui-accordion-item", inputs: { isOpen: "isOpen", appearance: "appearance" }, outputs: { isOpenChange: "isOpenChange" }, host: { properties: { "attr.appearance": "this._appearance" } }, ngImport: i0, template: "<header class=\"c-header\">\n  <button\n    cuiButton\n    appearance=\"ghost\"\n    size=\"xxs\"\n    [icon]=\"buttonIcon\"\n    (click)=\"onRowToggle()\"\n  ></button>\n  <div class=\"c-header__wrapper\">\n    <ng-content></ng-content>\n  </div>\n</header>\n<div *ngIf=\"isOpen\" class=\"c-content\">\n  <ng-content select=\"[cuiAccordionItemContent]\"></ng-content>\n</div>\n", styles: [":host{padding:16px;display:flex;flex-direction:column;gap:8px;border-radius:8px;background:var(--cui-base-10)}.c-header{font-weight:400;font-size:12px;line-height:14px;display:flex;align-items:center;gap:8px;color:var(--cui-base-900);font-family:var(--cui-main-font);text-transform:uppercase}.c-header__wrapper{width:100%}:host[appearance=border]{padding:0;gap:0;border-radius:8px;border:1px solid var(--cui-base-200)}:host[appearance=border] .c-header{padding:10px 16px}:host[appearance=border] .c-content{border-top:1px solid var(--cui-base-200)}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-accordion-item', changeDetection: ChangeDetectionStrategy.OnPush, template: "<header class=\"c-header\">\n  <button\n    cuiButton\n    appearance=\"ghost\"\n    size=\"xxs\"\n    [icon]=\"buttonIcon\"\n    (click)=\"onRowToggle()\"\n  ></button>\n  <div class=\"c-header__wrapper\">\n    <ng-content></ng-content>\n  </div>\n</header>\n<div *ngIf=\"isOpen\" class=\"c-content\">\n  <ng-content select=\"[cuiAccordionItemContent]\"></ng-content>\n</div>\n", styles: [":host{padding:16px;display:flex;flex-direction:column;gap:8px;border-radius:8px;background:var(--cui-base-10)}.c-header{font-weight:400;font-size:12px;line-height:14px;display:flex;align-items:center;gap:8px;color:var(--cui-base-900);font-family:var(--cui-main-font);text-transform:uppercase}.c-header__wrapper{width:100%}:host[appearance=border]{padding:0;gap:0;border-radius:8px;border:1px solid var(--cui-base-200)}:host[appearance=border] .c-header{padding:10px 16px}:host[appearance=border] .c-content{border-top:1px solid var(--cui-base-200)}\n"] }]
        }], propDecorators: { isOpen: [{
                type: Input
            }], appearance: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], _appearance: [{
                type: HostBinding,
                args: ['attr.appearance']
            }] } });

class CuiSvgModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSvgModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiSvgModule, declarations: [CuiSvgComponent], imports: [CommonModule], exports: [CuiSvgComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSvgModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSvgModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [CuiSvgComponent],
                    exports: [CuiSvgComponent]
                }]
        }] });

class CuiButtonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonModule, declarations: [CuiButtonComponent], imports: [CommonModule,
            CuiSvgModule], exports: [CuiButtonComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonModule, imports: [CommonModule,
            CuiSvgModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule
                    ],
                    declarations: [CuiButtonComponent],
                    exports: [CuiButtonComponent]
                }]
        }] });

class CuiAccordionModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionModule, declarations: [CuiAccordionComponent,
            CuiAccordionItemComponent], imports: [CommonModule,
            CuiSvgModule,
            CuiButtonModule], exports: [CuiAccordionComponent,
            CuiAccordionItemComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionModule, imports: [CommonModule,
            CuiSvgModule,
            CuiButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule,
                        CuiButtonModule
                    ],
                    declarations: [
                        CuiAccordionComponent,
                        CuiAccordionItemComponent
                    ],
                    exports: [
                        CuiAccordionComponent,
                        CuiAccordionItemComponent
                    ]
                }]
        }] });

const CUI_NOTIFICATION_DEFAULT_OPTIONS = {
    status: 'info',
    mode: 'default'
};
const CUI_NOTIFICATION_OPTIONS = cuiCreateToken(CUI_NOTIFICATION_DEFAULT_OPTIONS);
const CUI_NOTIFICATION_ICONS = {
    info: {
        icon: 'cuiIconInfo'
    },
    success: {
        icon: 'cuiIconCheckCircle'
    },
    alert: {
        icon: 'cuiIconAlertTriangle'
    },
    error: {
        icon: 'cuiIconXCircle'
    },
};
const CUI_NOTIFICATION_ICON_OPTIONS_DEFAULT_MODE = {
    info: {
        color: 'var(--c-info-icon-color)'
    },
    success: {
        color: 'var(--cui-green-500)'
    },
    alert: {
        color: 'var(--cui-yellow-400)'
    },
    error: {
        color: 'var(--cui-danger)'
    },
};
const CUI_NOTIFICATION_ICON_OPTIONS_LIGHT_MODE = {
    info: {
        color: 'var(--cui-info)'
    },
    success: {
        color: 'var(--cui-green-700)'
    },
    alert: {
        color: 'var(--cui-yellow-400)'
    },
    error: {
        color: 'var(--cui-danger)'
    },
};
const CUI_NOTIFICATION_ICON_OPTIONS = {
    default: CUI_NOTIFICATION_ICON_OPTIONS_DEFAULT_MODE,
    light: CUI_NOTIFICATION_ICON_OPTIONS_LIGHT_MODE
};

class CuiNotificationComponent {
    constructor() {
        this.cuiNotificationOptions = inject(CUI_NOTIFICATION_OPTIONS);
        this.ICONS = CUI_NOTIFICATION_ICONS;
        this.ICON_OPTIONS = CUI_NOTIFICATION_ICON_OPTIONS;
        this.status = this.cuiNotificationOptions.status;
        this.mode = this.cuiNotificationOptions.mode;
        this.isCloseable = false;
        this.closed = new EventEmitter();
    }
    ngOnInit() {
        this.initIconOptions();
    }
    onClose() {
        this.closed.next();
    }
    initIconOptions() {
        this.iconOptions = this.ICON_OPTIONS[this.mode];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiNotificationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiNotificationComponent, selector: "cui-notification", inputs: { status: "status", mode: "mode", isCloseable: "isCloseable" }, outputs: { closed: "closed" }, host: { properties: { "attr.data-status": "this.status", "attr.data-mode": "this.mode" } }, ngImport: i0, template: "<cui-svg\n  class=\"c-icon\"\n  [icon]=\"ICONS[status].icon\"\n  [color]=\"iconOptions[status].color\"\n></cui-svg>\n<div class=\"c-content\">\n  <ng-content></ng-content>\n</div>\n<button\n  *ngIf=\"isCloseable\"\n  class=\"c-button\"\n  (click)=\"onClose()\"\n>\n  <cui-svg\n    icon=\"cuiIconX\"\n    color=\"var(--cui-gray-0)\"\n  />\n</button>\n", styles: [":host{--c-info-icon-color: var(--cui-blue-600);padding:16px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:flex-start;border-radius:12px;background:var(--cui-gray-800);color:var(--cui-gray-0);font-family:var(--cui-main-font)}:host[data-mode=light]{padding:15px;border:1px solid;color:var(--cui-base-900)}:host[data-mode=light][data-status=info]{border-color:var(--cui-info);background:var(--cui-badge-info-bg)}:host[data-mode=light][data-status=success]{border-color:var(--cui-green-700);background:var(--cui-badge-success-bg)}:host[data-mode=light][data-status=alert]{border-color:var(--cui-yellow-400);background:var(--cui-badge-warning-bg)}:host[data-mode=light][data-status=error]{border-color:var(--cui-danger);background:var(--cui-badge-danger-bg)}:host-context([cuiTheme=dark]){--c-info-icon-color: var(--cui-light-blue-400)}:host-context([cuiTheme=dark])[data-status=info]{background:var(--cui-blue-900)}:host-context([cuiTheme=dark])[data-status=success]{background:var(--cui-green-900)}:host-context([cuiTheme=dark])[data-status=alert]{background:var(--cui-yellow-900)}:host-context([cuiTheme=dark])[data-status=error]{background:var(--cui-red-900)}.c-content{flex:1;margin-left:12px;margin-right:16px;margin-top:5px;overflow-wrap:anywhere}.c-icon{margin-top:6px}.c-button{display:flex;align-items:center;justify-content:center;width:28px;height:28px;border-radius:8px;padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent}.c-button:hover{background:#fff3}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiNotificationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-notification', changeDetection: ChangeDetectionStrategy.OnPush, template: "<cui-svg\n  class=\"c-icon\"\n  [icon]=\"ICONS[status].icon\"\n  [color]=\"iconOptions[status].color\"\n></cui-svg>\n<div class=\"c-content\">\n  <ng-content></ng-content>\n</div>\n<button\n  *ngIf=\"isCloseable\"\n  class=\"c-button\"\n  (click)=\"onClose()\"\n>\n  <cui-svg\n    icon=\"cuiIconX\"\n    color=\"var(--cui-gray-0)\"\n  />\n</button>\n", styles: [":host{--c-info-icon-color: var(--cui-blue-600);padding:16px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:flex-start;border-radius:12px;background:var(--cui-gray-800);color:var(--cui-gray-0);font-family:var(--cui-main-font)}:host[data-mode=light]{padding:15px;border:1px solid;color:var(--cui-base-900)}:host[data-mode=light][data-status=info]{border-color:var(--cui-info);background:var(--cui-badge-info-bg)}:host[data-mode=light][data-status=success]{border-color:var(--cui-green-700);background:var(--cui-badge-success-bg)}:host[data-mode=light][data-status=alert]{border-color:var(--cui-yellow-400);background:var(--cui-badge-warning-bg)}:host[data-mode=light][data-status=error]{border-color:var(--cui-danger);background:var(--cui-badge-danger-bg)}:host-context([cuiTheme=dark]){--c-info-icon-color: var(--cui-light-blue-400)}:host-context([cuiTheme=dark])[data-status=info]{background:var(--cui-blue-900)}:host-context([cuiTheme=dark])[data-status=success]{background:var(--cui-green-900)}:host-context([cuiTheme=dark])[data-status=alert]{background:var(--cui-yellow-900)}:host-context([cuiTheme=dark])[data-status=error]{background:var(--cui-red-900)}.c-content{flex:1;margin-left:12px;margin-right:16px;margin-top:5px;overflow-wrap:anywhere}.c-icon{margin-top:6px}.c-button{display:flex;align-items:center;justify-content:center;width:28px;height:28px;border-radius:8px;padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent}.c-button:hover{background:#fff3}\n"] }]
        }], propDecorators: { status: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-status']
            }], mode: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-mode']
            }], isCloseable: [{
                type: Input
            }], closed: [{
                type: Output
            }] } });

class CuiNotificationModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiNotificationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiNotificationModule, declarations: [CuiNotificationComponent], imports: [CommonModule,
            CuiSvgModule], exports: [CuiNotificationComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiNotificationModule, imports: [CommonModule,
            CuiSvgModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiNotificationModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule
                    ],
                    declarations: [CuiNotificationComponent],
                    exports: [CuiNotificationComponent]
                }]
        }] });

const CUI_ALERTS = cuiCreateToken(new BehaviorSubject([]));
const CUI_ALERT_DEFAULT_OPTIONS = {
    label: '',
    needAutoClose: true,
    isCloseable: true,
    mode: 'default',
    position: 'right',
    resizing: 'fixed'
};
const CUI_ALERT_OPTIONS = cuiCreateTokenFromFactory(() => ({
    ...CUI_ALERT_DEFAULT_OPTIONS,
    ...inject(CUI_NOTIFICATION_OPTIONS)
}));
const CUI_ALERT_CONTEXT = new InjectionToken('');

class CuiAlertComponent {
    constructor() {
        this.context = inject(CUI_ALERT_CONTEXT);
        this.AUTO_CLOSE_DURATION_IN_MILLISECONDS = 3000;
    }
    get resizing() {
        return this.context.resizing;
    }
    ngOnInit() {
        this.initAutoClose();
    }
    onClosed() {
        this.context.$implicit.complete();
    }
    initAutoClose() {
        if (!this.context.needAutoClose) {
            return;
        }
        setTimeout(this.onClosed.bind(this), this.AUTO_CLOSE_DURATION_IN_MILLISECONDS);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiAlertComponent, selector: "cui-alert", host: { properties: { "attr.data-resizing": "this.resizing" } }, ngImport: i0, template: "<cui-notification\n  [status]=\"context.status\"\n  [mode]=\"context.mode\"\n  [isCloseable]=\"context.isCloseable\"\n  (closed)=\"onClosed()\"\n>\n  <h2\n    *ngIf=\"context.label\"\n    class=\"c-heading\"\n  >\n    {{ context.label }}\n  </h2>\n  {{ context.content }}\n</cui-notification>\n", styles: [":host{font-weight:400;font-size:14px;line-height:20px;max-width:470px}:host[data-resizing=hug]{width:fit-content}:host[data-resizing=fixed]{width:470px}.c-heading{font-weight:500;font-size:14px;line-height:20px;margin:0 0 8px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CuiNotificationComponent, selector: "cui-notification", inputs: ["status", "mode", "isCloseable"], outputs: ["closed"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-alert', changeDetection: ChangeDetectionStrategy.OnPush, template: "<cui-notification\n  [status]=\"context.status\"\n  [mode]=\"context.mode\"\n  [isCloseable]=\"context.isCloseable\"\n  (closed)=\"onClosed()\"\n>\n  <h2\n    *ngIf=\"context.label\"\n    class=\"c-heading\"\n  >\n    {{ context.label }}\n  </h2>\n  {{ context.content }}\n</cui-notification>\n", styles: [":host{font-weight:400;font-size:14px;line-height:20px;max-width:470px}:host[data-resizing=hug]{width:fit-content}:host[data-resizing=fixed]{width:470px}.c-heading{font-weight:500;font-size:14px;line-height:20px;margin:0 0 8px}\n"] }]
        }], propDecorators: { resizing: [{
                type: HostBinding,
                args: ['attr.data-resizing']
            }] } });

class CuiAlertsComponent {
    constructor() {
        this.destroy$ = inject(CuiDestroyService, { self: true });
        this.alerts$ = inject(CUI_ALERTS);
    }
    ngOnInit() {
        this.initAlertInjectorsSubscription();
    }
    trackByFn(_, alert) {
        return alert.id;
    }
    alertsMatcher(alert, position) {
        return alert.position === position;
    }
    initAlertInjectorsSubscription() {
        this.alerts$
            .pipe(takeUntil(this.destroy$))
            .subscribe(dialogs => this.alertInjectors = dialogs.map(useValue => Injector.create({
            providers: [{ provide: CUI_ALERT_CONTEXT, useValue }]
        })));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiAlertsComponent, selector: "cui-alerts", providers: [CuiDestroyService], ngImport: i0, template: "<ng-container *cuiLet=\"alerts$ | async as alerts\">\n  <div class=\"c-wrapper c-wrapper_position_center\">\n    <ng-container *ngFor=\"let alert of alerts! | cuiFilter: alertsMatcher: 'center'; let i = index; trackBy: trackByFn\">\n      <ng-container *ngComponentOutlet=\"alert.component; injector: alertInjectors[i]\" />\n    </ng-container>\n  </div>\n  <div class=\"c-wrapper c-wrapper_position_right\">\n    <ng-container *ngFor=\"let alert of alerts! | cuiFilter: alertsMatcher: 'right'; let i = index; trackBy: trackByFn\">\n      <ng-container *ngComponentOutlet=\"alert.component; injector: alertInjectors[i]\" />\n    </ng-container>\n  </div>\n</ng-container>\n", styles: [":host{display:flex;flex-direction:column;position:fixed;right:20px;bottom:20px}.c-wrapper{position:fixed;bottom:20px;display:flex;flex-direction:column;gap:16px;pointer-events:none}.c-wrapper_position_center{align-items:center;left:50%;transform:translate(-50%)}.c-wrapper_position_right{align-items:flex-end;right:20px}.c-wrapper ::ng-deep>*{pointer-events:auto}\n"], dependencies: [{ kind: "directive", type: i1.NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: i1$1.CuiFilterPipe, name: "cuiFilter" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-alerts', changeDetection: ChangeDetectionStrategy.OnPush, providers: [CuiDestroyService], template: "<ng-container *cuiLet=\"alerts$ | async as alerts\">\n  <div class=\"c-wrapper c-wrapper_position_center\">\n    <ng-container *ngFor=\"let alert of alerts! | cuiFilter: alertsMatcher: 'center'; let i = index; trackBy: trackByFn\">\n      <ng-container *ngComponentOutlet=\"alert.component; injector: alertInjectors[i]\" />\n    </ng-container>\n  </div>\n  <div class=\"c-wrapper c-wrapper_position_right\">\n    <ng-container *ngFor=\"let alert of alerts! | cuiFilter: alertsMatcher: 'right'; let i = index; trackBy: trackByFn\">\n      <ng-container *ngComponentOutlet=\"alert.component; injector: alertInjectors[i]\" />\n    </ng-container>\n  </div>\n</ng-container>\n", styles: [":host{display:flex;flex-direction:column;position:fixed;right:20px;bottom:20px}.c-wrapper{position:fixed;bottom:20px;display:flex;flex-direction:column;gap:16px;pointer-events:none}.c-wrapper_position_center{align-items:center;left:50%;transform:translate(-50%)}.c-wrapper_position_right{align-items:flex-end;right:20px}.c-wrapper ::ng-deep>*{pointer-events:auto}\n"] }]
        }] });

class CuiAlertModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertModule, declarations: [CuiAlertComponent,
            CuiAlertsComponent], imports: [CommonModule,
            CuiFilterPipe,
            CuiNotificationModule,
            CuiLetDirective], exports: [CuiAlertComponent,
            CuiAlertComponent,
            CuiAlertsComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertModule, imports: [CommonModule,
            CuiNotificationModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiFilterPipe,
                        CuiNotificationModule,
                        CuiLetDirective
                    ],
                    declarations: [
                        CuiAlertComponent,
                        CuiAlertsComponent
                    ],
                    exports: [
                        CuiAlertComponent,
                        CuiAlertComponent,
                        CuiAlertsComponent
                    ]
                }]
        }] });

class CuiAlertService extends CuiPopoverService {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertService, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertService, providedIn: 'root', useFactory: () => new CuiAlertService(CUI_ALERTS, CuiAlertComponent, inject(CUI_ALERT_OPTIONS)) }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiAlertService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                    useFactory: () => new CuiAlertService(CUI_ALERTS, CuiAlertComponent, inject(CUI_ALERT_OPTIONS))
                }]
        }] });

const CUI_BADGE_DEFAULT_OPTIONS = {
    color: 'light-blue',
    size: 'sm',
    isWithDot: false
};
const CUI_BADGE_OPTIONS = cuiCreateToken(CUI_BADGE_DEFAULT_OPTIONS);

class CuiBadgeComponent {
    constructor() {
        this.options = inject(CUI_BADGE_OPTIONS);
        this.color = this.options.color;
        this.size = this.options.size;
        this.isWithDot = this.options.isWithDot;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBadgeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiBadgeComponent, selector: "cui-badge", inputs: { color: "color", size: "size", isWithDot: "isWithDot" }, host: { properties: { "attr.data-color": "this.color", "attr.data-size": "this.size" } }, ngImport: i0, template: "<span\n  *ngIf=\"isWithDot\"\n  class=\"c-dots\"\n></span>\n<ng-content />", styles: [":host{padding-top:2px;padding-bottom:2px;display:inline-flex;align-items:center;gap:4px;flex-shrink:0;border-radius:25px;color:var(--cui-gray-900);font-family:var(--cui-main-font)}:host[data-color=light-blue]{color:var(--cui-badge-info-label);background:var(--cui-badge-info-bg)}:host[data-color=light-blue] .c-dots{background:var(--cui-info)}:host[data-color=yellow]{color:var(--cui-badge-warning-label);background:var(--cui-badge-warning-bg)}:host[data-color=yellow] .c-dots{background:var(--cui-warning)}:host[data-color=green]{color:var(--cui-badge-success-label);background:var(--cui-badge-success-bg)}:host[data-color=green] .c-dots{background:var(--cui-success)}:host[data-color=gray]{color:var(--cui-badge-gray-label);background:var(--cui-badge-gray-bg)}:host[data-color=gray] .c-dots{background:var(--cui-base-500)}:host[data-color=dark-gray]{color:var(--cui-base-900);background:var(--cui-base-200)}:host[data-color=dark-gray] .c-dots{background:var(--cui-base-500)}:host[data-color=red]{color:var(--cui-badge-danger-label);background:var(--cui-badge-danger-bg)}:host[data-color=red] .c-dots{background:var(--cui-danger)}:host[data-color=violet]{color:var(--cui-badge-violet-label);background:var(--cui-badge-violet-bg);outline:1px solid var(--cui-violet-400);outline-offset:-1px}:host[data-color=violet] .c-dots{background:var(--cui-violet-400)}:host[data-size=sm]{font-size:12px;line-height:14px;padding-right:6px;padding-left:6px}:host[data-size=md]{font-size:14px;line-height:20px;padding-right:8px;padding-left:8px}.c-dots{width:6px;height:6px;border-radius:50%}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBadgeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-badge', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span\n  *ngIf=\"isWithDot\"\n  class=\"c-dots\"\n></span>\n<ng-content />", styles: [":host{padding-top:2px;padding-bottom:2px;display:inline-flex;align-items:center;gap:4px;flex-shrink:0;border-radius:25px;color:var(--cui-gray-900);font-family:var(--cui-main-font)}:host[data-color=light-blue]{color:var(--cui-badge-info-label);background:var(--cui-badge-info-bg)}:host[data-color=light-blue] .c-dots{background:var(--cui-info)}:host[data-color=yellow]{color:var(--cui-badge-warning-label);background:var(--cui-badge-warning-bg)}:host[data-color=yellow] .c-dots{background:var(--cui-warning)}:host[data-color=green]{color:var(--cui-badge-success-label);background:var(--cui-badge-success-bg)}:host[data-color=green] .c-dots{background:var(--cui-success)}:host[data-color=gray]{color:var(--cui-badge-gray-label);background:var(--cui-badge-gray-bg)}:host[data-color=gray] .c-dots{background:var(--cui-base-500)}:host[data-color=dark-gray]{color:var(--cui-base-900);background:var(--cui-base-200)}:host[data-color=dark-gray] .c-dots{background:var(--cui-base-500)}:host[data-color=red]{color:var(--cui-badge-danger-label);background:var(--cui-badge-danger-bg)}:host[data-color=red] .c-dots{background:var(--cui-danger)}:host[data-color=violet]{color:var(--cui-badge-violet-label);background:var(--cui-badge-violet-bg);outline:1px solid var(--cui-violet-400);outline-offset:-1px}:host[data-color=violet] .c-dots{background:var(--cui-violet-400)}:host[data-size=sm]{font-size:12px;line-height:14px;padding-right:6px;padding-left:6px}:host[data-size=md]{font-size:14px;line-height:20px;padding-right:8px;padding-left:8px}.c-dots{width:6px;height:6px;border-radius:50%}\n"] }]
        }], propDecorators: { color: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-color']
            }], size: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-size']
            }], isWithDot: [{
                type: Input
            }] } });

class CuiBadgeModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBadgeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiBadgeModule, declarations: [CuiBadgeComponent], imports: [CommonModule], exports: [CuiBadgeComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBadgeModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBadgeModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [CuiBadgeComponent],
                    exports: [CuiBadgeComponent]
                }]
        }] });

const CUI_BANNER_DEFAULT_OPTIONS = {
    status: 'info'
};
const CUI_BANNER_OPTIONS = cuiCreateToken(CUI_BANNER_DEFAULT_OPTIONS);

class CuiAccessor {
}
class CuiPositionAccessor extends CuiAccessor {
}
class CuiRectAccessor extends CuiAccessor {
}
function cuiProvideAccessor(provide, type, fallback) {
    return {
        provide,
        deps: [[new SkipSelf(), new Optional(), provide], fallback],
        useFactory: cuiFallbackAccessor(type),
    };
}
function cuiFallbackAccessor(type) {
    return (accessors, fallback) => accessors?.find?.((accessor) => accessor !== fallback && accessor.type === type) || fallback;
}
function cuiPositionAccessorFor(type, fallback) {
    return cuiProvideAccessor(CuiPositionAccessor, type, fallback);
}
function cuiRectAccessorFor(type, fallback) {
    return cuiProvideAccessor(CuiRectAccessor, type, fallback);
}
function cuiAsPositionAccessor(accessor) {
    return cuiProvide(CuiPositionAccessor, accessor, true);
}
function cuiAsRectAccessor(accessor) {
    return cuiProvide(CuiRectAccessor, accessor, true);
}

class CuiVehicle {
}
function cuiAsVehicle(vehicle) {
    return cuiProvide(CuiVehicle, vehicle, true);
}

class CuiDriver extends Observable {
}
function cuiAsDriver(driver) {
    return cuiProvide(CuiDriver, driver, true);
}
class CuiDriverDirective {
    constructor() {
        this.destroyRef = inject(DestroyRef);
        this.drivers = inject(CuiDriver, { self: true, optional: true }) || [];
        this.vehicles = inject(CuiVehicle, {
            self: true,
            optional: true,
        });
    }
    ngAfterViewInit() {
        const vehicle = this.vehicles?.find(({ type }) => type === this.type);
        merge(...this.drivers.filter(({ type }) => type === this.type))
            .pipe(distinctUntilChanged(), takeUntilDestroyed(this.destroyRef))
            .subscribe((value) => {
            vehicle?.toggle(value);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDriverDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiDriverDirective, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDriverDirective, decorators: [{
            type: Directive
        }] });

class CuiPositionService extends Observable {
    constructor() {
        const animationFrame$ = inject(CUI_ANIMATION_FRAME);
        const zone = inject(NgZone);
        super((subscriber) => animationFrame$
            .pipe(startWith(null), map(() => this.accessor.getPosition(this.el.getBoundingClientRect(), this.el)), cuiZonefree(zone), finalize(() => this.accessor.getPosition(EMPTY_CLIENT_RECT)))
            .subscribe(subscriber));
        this.el = cuiInjectElement();
        this.accessor = inject(CuiPositionAccessor);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiPositionService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiPositionService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiPositionService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [] });

const CUI_THEME_STORAGE_DEFAULT_KEY = 'cuiTheme';
const CUI_DEFAULT_THEME = 'light';
const CUI_THEME_STORAGE_KEY = cuiCreateToken(CUI_THEME_STORAGE_DEFAULT_KEY);
const CUI_THEME = cuiCreateToken(CUI_DEFAULT_THEME);

class CuiThemeService extends BehaviorSubject {
    constructor() {
        super(inject(CUI_LOCAL_STORAGE).getItem(inject(CUI_THEME_STORAGE_KEY))
            ?? inject(CUI_THEME));
        this.localStorage = inject(CUI_LOCAL_STORAGE);
        this.key = inject(CUI_THEME_STORAGE_KEY);
    }
    next(theme) {
        this.localStorage.setItem(this.key, theme);
        super.next(theme);
    }
    // При работе только двух тем
    switch() {
        this.next(this.value === 'light' ? 'dark' : 'light');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiThemeService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiThemeService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiThemeService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

const CuiLoadingState = {
    LOADING: 'loading',
    COMPLETED: 'completed',
    INITIAL: 'initial'
};

class CuiLoaderService {
    constructor() {
        this.RESET_TO_INITIAL_TIME = 1000;
        this.loaderStateSignal = signal(CuiLoadingState.INITIAL);
        this.requestCount = 0;
        this.loaderState = this.loaderStateSignal.asReadonly();
        AngularOutsideLoaderService.setInstance(this);
    }
    setLoading() {
        this.requestCount++;
        // need to use without queueMicrotask (error)
        queueMicrotask(() => this.loaderStateSignal.set(CuiLoadingState.LOADING));
    }
    setCompleted() {
        this.requestCount = this.requestCount && this.requestCount - 1;
        if (this.requestCount) {
            return;
        }
        return this.loaderStateSignal.set(CuiLoadingState.COMPLETED);
    }
    handleCompletedRequest() {
        this.setCompleted();
        clearTimeout(this.resetLoadingStateTimerId);
        this.resetLoadingStateTimerId = setTimeout(() => {
            if (this.requestCount) {
                return;
            }
            this.loaderStateSignal.set(CuiLoadingState.INITIAL);
        }, this.RESET_TO_INITIAL_TIME);
    }
    reset() {
        this.requestCount = 0;
        this.resetLoadingStateTimerId = undefined;
        this.loaderStateSignal.set(CuiLoadingState.INITIAL);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLoaderService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLoaderService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLoaderService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });
// NEED TO USE LoaderService OUTSIDE ANGULAR INJECTION CONTEXT
class AngularOutsideLoaderService {
    static getInstance() {
        if (!this.instance) {
            throw new Error("The instance hasn't been initialized yet");
        }
        return this.instance;
    }
    static setInstance(instance) {
        this.instance = instance;
    }
}

class CuiVisualViewportService {
    constructor() {
        this.isWebkit = inject(CUI_IS_WEBKIT);
        this.win = inject(CUI_WINDOW);
    }
    // https://bugs.webkit.org/show_bug.cgi?id=207089
    correct(point) {
        return this.isWebkit
            ? [
                point[0] + (this.win.visualViewport?.offsetTop ?? 0),
                point[1] + (this.win.visualViewport?.offsetLeft ?? 0),
            ]
            : point;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiVisualViewportService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiVisualViewportService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiVisualViewportService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class CuiToken extends OAuthService {
    constructor() {
        super(...arguments);
        this.tokenData = signal({});
        this.CONVERT_TO_SECONDS_CONSTANT = 1000;
    }
    getRefreshTokenExpiration() {
        const refreshTokenExpiration = this.getTokenDataFromStore(this.getRefreshToken());
        return refreshTokenExpiration.exp;
    }
    getAccessTokenData() {
        const token = this.getAccessToken();
        if (!token) {
            throw new Error('No access token found');
        }
        return this.getTokenDataFromStore(token);
    }
    checkIsTokenExpired() {
        const token = this.getAccessToken();
        if (!token) {
            return true;
        }
        return this.checkTokenExpired(this.getAccessTokenExpiration() / this.CONVERT_TO_SECONDS_CONSTANT);
    }
    checkIsRefreshTokenExpired() {
        const token = this.getRefreshToken();
        if (!token) {
            return true;
        }
        return this.checkTokenExpired(this.getRefreshTokenExpiration());
    }
    getTokenDataFromStore(token) {
        const tokenData = this.tokenData()[token];
        if (tokenData) {
            return tokenData;
        }
        const currentTokenData = this.parseToken(token);
        this.tokenData.update((prev) => ({ ...prev, [token]: currentTokenData }));
        return currentTokenData;
    }
    parseToken(token) {
        try {
            const base64Url = token.split('.')[1];
            const base64 = base64Url.replace(/-/g, '+').replace(/_/g, '/');
            return JSON.parse(atob(base64));
        }
        catch {
            throw new Error('Invalid token');
        }
    }
    checkTokenExpired(expiredTimeInSeconds) {
        const currentTime = Date.now() / this.CONVERT_TO_SECONDS_CONSTANT;
        return currentTime >= expiredTimeInSeconds;
    }
}
class CuiTokenBase extends CuiToken {
    constructor() {
        super(...arguments);
        this.exchangeContextApiService = inject(CuiExchangeContextApiService);
        this.EXCHANGE_TOKEN_VALUE = 'employee_session';
    }
    // TODO: override refreshToken with custom refresh token request to the backend
    refreshToken() {
        try {
            const tokenData = this.getAccessTokenData();
            if (this.EXCHANGE_TOKEN_VALUE in tokenData) {
                return this.refreshExchangedToken();
            }
        }
        catch (error) {
            this.logger.error('Error refreshing token', error);
        }
        return super.refreshToken();
    }
    refreshExchangedToken() {
        return new Promise((resolve, reject) => this.exchangeContextApiService
            .refresh(this.getRefreshToken())
            .pipe(switchMap((tokenResponse) => this.setIdToken(tokenResponse)))
            .subscribe({
            next: (tokenResponse) => {
                this.setTokenResponse(tokenResponse);
                resolve(tokenResponse);
            },
            error: (error) => {
                this.logger.error('Error refreshing token', error);
                this.eventsSubject.next(new OAuthErrorEvent('token_refresh_error', error));
                reject(error);
            }
        }));
    }
    exchangeToken(params) {
        return this.exchangeContextApiService.exchange(params).pipe(switchMap((tokenResponse) => this.setIdToken(tokenResponse)), tap((tokenResponse) => this.setTokenResponse(tokenResponse)), catchError((error) => {
            this.logger.error('Error exchanging token', error);
            this.eventsSubject.next(new OAuthErrorEvent('token_refresh_error', error));
            return throwError(() => error);
        }));
    }
    setTokenResponse(tokenResponse) {
        const expiresIn = tokenResponse.expires_in || this.fallbackAccessTokenExpirationTimeInSec;
        this.debug('tokenResponse', tokenResponse);
        this.storeAccessTokenResponse(tokenResponse.access_token, tokenResponse.refresh_token, expiresIn, tokenResponse.scope);
        this.eventsSubject.next(new OAuthSuccessEvent('token_received'));
        this.eventsSubject.next(new OAuthSuccessEvent('token_refreshed'));
    }
    setIdToken(tokenResponse) {
        if (!this.oidc || !tokenResponse.id_token) {
            return of(tokenResponse);
        }
        return from(this.processIdToken(tokenResponse.id_token, tokenResponse.access_token, true)).pipe(tap((result) => this.storeIdToken(result)), map(() => tokenResponse));
    }
}

class CuiAuthBase extends CuiTokenBase {
    createLoginUrl(state, loginHint, customRedirectUri, noPrompt, params) {
        return super.createLoginUrl(state, loginHint, customRedirectUri, noPrompt, params);
    }
    async useCheckTokenFlow(loginCallback) {
        const isAccessTokenExpired = this.checkIsTokenExpired();
        const isRefreshTokenExpired = this.checkIsRefreshTokenExpired();
        if (isRefreshTokenExpired) {
            return loginCallback();
        }
        if (!isAccessTokenExpired) {
            return;
        }
        return await this.refreshToken();
    }
    initAuthRefreshEvents(loginCallback) {
        this.events.pipe(filter((event) => event instanceof OAuthInfoEvent)).subscribe((event) => {
            if (event.type !== 'token_expires' || event.info !== 'access_token') {
                return;
            }
            if (!this.hasValidAccessToken() || !this.getRefreshToken()) {
                return loginCallback();
            }
            this.refreshToken();
        });
    }
}

class CuiBannerComponent {
    constructor() {
        this.options = inject(CUI_BANNER_OPTIONS);
        this.theme$ = inject(CuiThemeService);
        this.ICON_OPTIONS = {
            info: {
                icon: 'cuiIconInfo',
                color: 'var(--c-info-icon-color)'
            },
            success: {
                icon: 'cuiIconCheckCircle',
                color: 'var(--cui-success)'
            },
            alert: {
                icon: 'cuiIconAlertTriangle',
                color: 'var(--c-alert-icon-color)'
            },
            error: {
                icon: 'cuiIconAlertCircle',
                color: 'var(--cui-danger)'
            },
        };
        this.THEME_CLOSE_BUTTON_ICON_COLORS = {
            light: 'var(--cui-gray-500)',
            dark: 'var(--cui-gray-0)'
        };
        this.status = this.options.status;
        this.isCloseable = true;
        this.actionButtonClicked = new EventEmitter();
        this.closed = new EventEmitter();
    }
    onAction() {
        this.actionButtonClicked.emit();
    }
    onClose() {
        this.closed.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiBannerComponent, selector: "cui-banner", inputs: { status: "status", isCloseable: "isCloseable", label: "label", actionButtonText: "actionButtonText" }, outputs: { actionButtonClicked: "actionButtonClicked", closed: "closed" }, host: { properties: { "attr.data-status": "this.status" } }, ngImport: i0, template: "<cui-svg\n  *cuiLet=\"ICON_OPTIONS[status] as iconOption\"\n  [icon]=\"iconOption.icon\"\n  [color]=\"iconOption.color\"\n  class=\"c-icon\"\n></cui-svg>\n<div class=\"c-wrapper\">\n  <h2\n    *ngIf=\"label\"\n    class=\"c-heading\"\n  >\n    {{ label }}\n  </h2>\n  <ng-content></ng-content>\n  <button\n    cuiButton\n    *ngIf=\"actionButtonText\"\n    appearance=\"link\"\n    class=\"c-action\"\n    (click)=\"onAction()\"\n  >\n    {{ actionButtonText }}\n  </button>\n</div>\n<button\n  *ngIf=\"isCloseable\"\n  class=\"c-button\"\n  (click)=\"onClose()\"\n>\n\n@if (theme$ | async; as theme) {\n    <cui-svg\n      icon=\"cuiIconX\"\n      [color]=\"THEME_CLOSE_BUTTON_ICON_COLORS[theme]\"\n    />\n}\n</button>\n", styles: [":host{--c-info-icon-color: var(--cui-light-blue-800);--c-alert-icon-color: var(--cui-orange-800);padding:8px 16px;font-weight:400;font-size:14px;line-height:20px;display:flex;gap:16px;align-items:center;color:var(--cui-base-900);font-family:var(--cui-main-font)}:host[data-status=info]{color:var(--cui-light-blue-800);background:var(--cui-blue-50)}:host[data-status=success]{background:var(--cui-green-50)}:host[data-status=alert]{color:var(--cui-orange-800);background:var(--cui-yellow-100)}:host[data-status=error]{background:var(--cui-red-50)}:host-context([cuiTheme=dark]){--c-info-icon-color: var(--cui-light-blue-400);--c-alert-icon-color: var(--cui-yellow-300);color:var(--cui-gray-0)}:host-context([cuiTheme=dark])[data-status=info]{color:var(--cui-light-blue-400);background:var(--cui-blue-900)}:host-context([cuiTheme=dark])[data-status=info] .c-action:hover{color:var(--cui-blue-500)}:host-context([cuiTheme=dark])[data-status=success]{background:var(--cui-green-900)}:host-context([cuiTheme=dark])[data-status=success] .c-action{color:var(--cui-green-500)}:host-context([cuiTheme=dark])[data-status=alert]{background:var(--cui-yellow-900)}:host-context([cuiTheme=dark])[data-status=alert] .c-action{color:var(--cui-yellow-300)}:host-context([cuiTheme=dark])[data-status=error]{background:var(--cui-red-900)}:host-context([cuiTheme=dark])[data-status=error] .c-action{color:var(--cui-red-400)}.c-icon{height:28px}.c-wrapper{flex:1;display:flex;align-items:center;gap:16px;overflow-wrap:anywhere}.c-heading{font-weight:500;font-size:14px;line-height:20px;margin:0}.c-button{display:flex;align-items:center;justify-content:center;width:28px;height:28px;border-radius:8px;padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent}.c-button:hover{background:#fff3}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-banner', changeDetection: ChangeDetectionStrategy.OnPush, template: "<cui-svg\n  *cuiLet=\"ICON_OPTIONS[status] as iconOption\"\n  [icon]=\"iconOption.icon\"\n  [color]=\"iconOption.color\"\n  class=\"c-icon\"\n></cui-svg>\n<div class=\"c-wrapper\">\n  <h2\n    *ngIf=\"label\"\n    class=\"c-heading\"\n  >\n    {{ label }}\n  </h2>\n  <ng-content></ng-content>\n  <button\n    cuiButton\n    *ngIf=\"actionButtonText\"\n    appearance=\"link\"\n    class=\"c-action\"\n    (click)=\"onAction()\"\n  >\n    {{ actionButtonText }}\n  </button>\n</div>\n<button\n  *ngIf=\"isCloseable\"\n  class=\"c-button\"\n  (click)=\"onClose()\"\n>\n\n@if (theme$ | async; as theme) {\n    <cui-svg\n      icon=\"cuiIconX\"\n      [color]=\"THEME_CLOSE_BUTTON_ICON_COLORS[theme]\"\n    />\n}\n</button>\n", styles: [":host{--c-info-icon-color: var(--cui-light-blue-800);--c-alert-icon-color: var(--cui-orange-800);padding:8px 16px;font-weight:400;font-size:14px;line-height:20px;display:flex;gap:16px;align-items:center;color:var(--cui-base-900);font-family:var(--cui-main-font)}:host[data-status=info]{color:var(--cui-light-blue-800);background:var(--cui-blue-50)}:host[data-status=success]{background:var(--cui-green-50)}:host[data-status=alert]{color:var(--cui-orange-800);background:var(--cui-yellow-100)}:host[data-status=error]{background:var(--cui-red-50)}:host-context([cuiTheme=dark]){--c-info-icon-color: var(--cui-light-blue-400);--c-alert-icon-color: var(--cui-yellow-300);color:var(--cui-gray-0)}:host-context([cuiTheme=dark])[data-status=info]{color:var(--cui-light-blue-400);background:var(--cui-blue-900)}:host-context([cuiTheme=dark])[data-status=info] .c-action:hover{color:var(--cui-blue-500)}:host-context([cuiTheme=dark])[data-status=success]{background:var(--cui-green-900)}:host-context([cuiTheme=dark])[data-status=success] .c-action{color:var(--cui-green-500)}:host-context([cuiTheme=dark])[data-status=alert]{background:var(--cui-yellow-900)}:host-context([cuiTheme=dark])[data-status=alert] .c-action{color:var(--cui-yellow-300)}:host-context([cuiTheme=dark])[data-status=error]{background:var(--cui-red-900)}:host-context([cuiTheme=dark])[data-status=error] .c-action{color:var(--cui-red-400)}.c-icon{height:28px}.c-wrapper{flex:1;display:flex;align-items:center;gap:16px;overflow-wrap:anywhere}.c-heading{font-weight:500;font-size:14px;line-height:20px;margin:0}.c-button{display:flex;align-items:center;justify-content:center;width:28px;height:28px;border-radius:8px;padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent}.c-button:hover{background:#fff3}\n"] }]
        }], propDecorators: { status: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-status']
            }], isCloseable: [{
                type: Input
            }], label: [{
                type: Input
            }], actionButtonText: [{
                type: Input
            }], actionButtonClicked: [{
                type: Output
            }], closed: [{
                type: Output
            }] } });

class CuiBannerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBannerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiBannerModule, declarations: [CuiBannerComponent], imports: [CommonModule,
            CuiLetDirective,
            CuiSvgModule,
            CuiButtonModule], exports: [CuiBannerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBannerModule, imports: [CommonModule,
            CuiSvgModule,
            CuiButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBannerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiLetDirective,
                        CuiSvgModule,
                        CuiButtonModule
                    ],
                    declarations: [CuiBannerComponent],
                    exports: [CuiBannerComponent]
                }]
        }] });

class CuiBreadcrumbsComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiBreadcrumbsComponent, selector: "cui-breadcrumbs", queries: [{ propertyName: "breadcrumbs", predicate: CuiItemDirective, read: TemplateRef }], ngImport: i0, template: "<ng-container *ngIf=\"breadcrumbs.changes | async\"/>\n<ng-container *ngFor=\"let breadcrumb of breadcrumbs; let isLast = last\">\n  <ng-container *ngTemplateOutlet=\"breadcrumb\" />\n  <cui-svg\n    *ngIf=\"!isLast\"\n    icon=\"cuiIconSlashDivider\"\n    color=\"var(--cui-base-500)\"\n  />\n</ng-container>\n", styles: [":host{display:flex;align-items:center;flex-wrap:wrap;gap:2px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-breadcrumbs', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"breadcrumbs.changes | async\"/>\n<ng-container *ngFor=\"let breadcrumb of breadcrumbs; let isLast = last\">\n  <ng-container *ngTemplateOutlet=\"breadcrumb\" />\n  <cui-svg\n    *ngIf=\"!isLast\"\n    icon=\"cuiIconSlashDivider\"\n    color=\"var(--cui-base-500)\"\n  />\n</ng-container>\n", styles: [":host{display:flex;align-items:center;flex-wrap:wrap;gap:2px}\n"] }]
        }], propDecorators: { breadcrumbs: [{
                type: ContentChildren,
                args: [CuiItemDirective, { read: TemplateRef }]
            }] } });

class CuiBreadcrumbComponent {
    constructor() {
        this.isLast = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiBreadcrumbComponent, selector: "[cuiBreadcrumb]", inputs: { isLast: "isLast" }, ngImport: i0, template: "<ng-content />\n", styles: [":host{font-weight:400;font-size:12px;line-height:14px;cursor:pointer;color:var(--cui-base-500);font-family:var(--cui-main-font)}:host:hover{color:var(--cui-base-900);text-decoration:underline}:host:last-of-type{cursor:default;color:var(--cui-base-900);text-decoration:none}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbComponent, decorators: [{
            type: Component,
            args: [{ selector: '[cuiBreadcrumb]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content />\n", styles: [":host{font-weight:400;font-size:12px;line-height:14px;cursor:pointer;color:var(--cui-base-500);font-family:var(--cui-main-font)}:host:hover{color:var(--cui-base-900);text-decoration:underline}:host:last-of-type{cursor:default;color:var(--cui-base-900);text-decoration:none}\n"] }]
        }], propDecorators: { isLast: [{
                type: Input
            }] } });

class CuiBreadcrumbsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbsModule, declarations: [CuiBreadcrumbsComponent,
            CuiBreadcrumbComponent], imports: [CommonModule,
            CuiSvgModule], exports: [CuiBreadcrumbsComponent,
            CuiBreadcrumbComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbsModule, imports: [CommonModule,
            CuiSvgModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBreadcrumbsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule
                    ],
                    declarations: [
                        CuiBreadcrumbsComponent,
                        CuiBreadcrumbComponent
                    ],
                    exports: [
                        CuiBreadcrumbsComponent,
                        CuiBreadcrumbComponent
                    ]
                }]
        }] });

class CuiButtonGroupComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiButtonGroupComponent, selector: "cui-button-group", ngImport: i0, template: "<ng-content select=\"button[cuiButton], a[cuiButton]\"></ng-content>\n", styles: [":host{display:inline-flex}:host ::ng-deep [cuiButton]:after{z-index:1;content:\"\";position:absolute;top:50%;right:-.5px;height:80%;width:1px;border-radius:.5px;transform:translateY(-50%);background:currentColor;opacity:.5}:host ::ng-deep [cuiButton]:first-child{border-right:none;border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep [cuiButton]:last-child{border-left:none;border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep [cuiButton]:last-child:after{content:none}:host ::ng-deep [cuiButton]:not(:first-child):not(:last-child){border-left:none;border-right:none;border-radius:0}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-button-group', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content select=\"button[cuiButton], a[cuiButton]\"></ng-content>\n", styles: [":host{display:inline-flex}:host ::ng-deep [cuiButton]:after{z-index:1;content:\"\";position:absolute;top:50%;right:-.5px;height:80%;width:1px;border-radius:.5px;transform:translateY(-50%);background:currentColor;opacity:.5}:host ::ng-deep [cuiButton]:first-child{border-right:none;border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep [cuiButton]:last-child{border-left:none;border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep [cuiButton]:last-child:after{content:none}:host ::ng-deep [cuiButton]:not(:first-child):not(:last-child){border-left:none;border-right:none;border-radius:0}\n"] }]
        }] });

class CuiButtonGroupModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonGroupModule, declarations: [CuiButtonGroupComponent], exports: [CuiButtonGroupComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonGroupModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiButtonGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiButtonGroupComponent],
                    exports: [CuiButtonGroupComponent]
                }]
        }] });

class CuiCheckboxComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiCheckboxComponent, selector: "input[type=\"checkbox\"][cuiCheckbox]", ngImport: i0, template: '', isInline: true, styles: [":host{position:relative;width:16px;height:16px;border:1px solid var(--cui-base-200);border-radius:4px;outline:none;margin:0;appearance:none;cursor:pointer;background:var(--cui-base-0)}:host:before{content:\"\";position:absolute;transform:translate(-50%,-50%);top:50%;left:50%;width:12px;height:12px;mask-image:url('data:image/svg+xml,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\" fill=\"none\"><path d=\"M10 3L4.5 8.5L2 6\" stroke=\"white\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"/></svg>')}:host:checked{border:none;background:var(--cui-info)}:host:checked:before{background:#fff}:host:focus{box-shadow:0 0 0 2px var(--cui-focus)}@media (hover: hover){:host:hover{border-color:var(--cui-base-400)}}:host:active{border-color:var(--cui-base-400);box-shadow:none}:host:disabled{cursor:not-allowed;border:1px solid var(--cui-base-200);background:var(--cui-base-100)}:host:disabled:checked:before{border:1px solid var(--cui-info);background:var(--cui-gray-500)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input[type="checkbox"][cuiCheckbox]', template: '', changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host{position:relative;width:16px;height:16px;border:1px solid var(--cui-base-200);border-radius:4px;outline:none;margin:0;appearance:none;cursor:pointer;background:var(--cui-base-0)}:host:before{content:\"\";position:absolute;transform:translate(-50%,-50%);top:50%;left:50%;width:12px;height:12px;mask-image:url('data:image/svg+xml,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"12\" height=\"12\" viewBox=\"0 0 12 12\" fill=\"none\"><path d=\"M10 3L4.5 8.5L2 6\" stroke=\"white\" stroke-width=\"1.5\" stroke-linecap=\"round\" stroke-linejoin=\"round\"/></svg>')}:host:checked{border:none;background:var(--cui-info)}:host:checked:before{background:#fff}:host:focus{box-shadow:0 0 0 2px var(--cui-focus)}@media (hover: hover){:host:hover{border-color:var(--cui-base-400)}}:host:active{border-color:var(--cui-base-400);box-shadow:none}:host:disabled{cursor:not-allowed;border:1px solid var(--cui-base-200);background:var(--cui-base-100)}:host:disabled:checked:before{border:1px solid var(--cui-info);background:var(--cui-gray-500)}\n"] }]
        }] });

class CuiCheckboxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckboxModule, declarations: [CuiCheckboxComponent], exports: [CuiCheckboxComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckboxModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckboxModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiCheckboxComponent],
                    exports: [CuiCheckboxComponent]
                }]
        }] });

const CUI_ROOT_SELECTOR = 'cui-root';

const CUI_DIALOGS = cuiCreateToken(new BehaviorSubject([]));
const CUI_DIALOG_DEFAULT_OPTIONS = {
    size: 'auto',
    data: undefined,
    dismissible: true
};
const CUI_DIALOG_OPTIONS = cuiCreateToken(CUI_DIALOG_DEFAULT_OPTIONS);
const CUI_DIALOG_CONTEXT = new InjectionToken('');

class CuiDialogsComponent {
    constructor() {
        this.document = inject(DOCUMENT);
        this.destroy$ = inject(CuiDestroyService, { self: true });
        this.dialogs$ = inject(CUI_DIALOGS);
        this.dialogInjectorCache = new Map();
    }
    ngOnInit() {
        this.initDialogsSubscription();
    }
    trackByFn(_, dialog) {
        return dialog.id;
    }
    initDialogsSubscription() {
        this.dialogs$
            .pipe(takeUntil(this.destroy$))
            .subscribe(dialogs => {
            this.document.body.style.overflow = dialogs.length ? 'hidden' : '';
            this.dialogInjectors = dialogs.map(dialog => {
                if (!this.dialogInjectorCache.has(dialog.id)) {
                    this.dialogInjectorCache.set(dialog.id, Injector.create({
                        providers: [{ provide: CUI_DIALOG_CONTEXT, useValue: dialog }],
                        parent: dialog.injector
                    }));
                }
                return this.dialogInjectorCache.get(dialog.id);
            });
            this.dialogInjectorCache.forEach((_, dialogId) => {
                if (dialogs.find(dialog => dialog.id === dialogId)) {
                    return;
                }
                this.dialogInjectorCache.delete(dialogId);
            });
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiDialogsComponent, selector: "cui-dialogs", providers: [CuiDestroyService], ngImport: i0, template: "<ng-container *cuiLet=\"dialogs$ | async as dialogs\">\n  <ng-container *ngFor=\"let dialog of dialogs; let i = index; trackBy: trackByFn\">\n    <ng-container *ngComponentOutlet=\"dialog.component; injector: dialogInjectors[i]\"></ng-container>\n  </ng-container>\n  <div\n    *ngIf=\"dialogs!.length\"\n    class=\"c-overlay\"\n  ></div>\n</ng-container>\n", styles: [":host{isolation:isolate}.c-overlay{position:fixed;inset:0;background:var(--cui-base);opacity:.3}\n"], dependencies: [{ kind: "directive", type: i1.NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-dialogs', changeDetection: ChangeDetectionStrategy.OnPush, providers: [CuiDestroyService], template: "<ng-container *cuiLet=\"dialogs$ | async as dialogs\">\n  <ng-container *ngFor=\"let dialog of dialogs; let i = index; trackBy: trackByFn\">\n    <ng-container *ngComponentOutlet=\"dialog.component; injector: dialogInjectors[i]\"></ng-container>\n  </ng-container>\n  <div\n    *ngIf=\"dialogs!.length\"\n    class=\"c-overlay\"\n  ></div>\n</ng-container>\n", styles: [":host{isolation:isolate}.c-overlay{position:fixed;inset:0;background:var(--cui-base);opacity:.3}\n"] }]
        }] });

const TRANSITION = '{{duration}}ms ease-in-out';
const DURATION = { params: { duration: 300 } };
const STAGGER = 300;
/**
 * Add to enable child :leave animation (fixes https://github.com/angular/angular/issues/15753)
 */
const cuiParentAnimation = trigger('cuiParentAnimation', [
    transition(':leave', [query(':scope > *', [animateChild()], { optional: true })]),
]);
/**
 * Add on parent to stop initial :enter animation for children
 */
const cuiParentStop = trigger('cuiParentStop', [transition(':enter', [])]);
const cuiHost = trigger('cuiHost', [
    transition(':enter', [
        style({ overflow: 'clip' }),
        query(':scope > *', [animateChild()], { optional: true }),
    ]),
    transition(':leave', [query(':scope > *', [animateChild()], { optional: true })]),
]);
const cuiHeightCollapse = trigger('cuiHeightCollapse', [
    transition(':enter', [style({ height: 0 }), animate(TRANSITION, style({ height: '*' }))], DURATION),
    transition(':leave', [style({ height: '*' }), animate(TRANSITION, style({ height: 0 }))], DURATION),
]);
const cuiHeightCollapseList = trigger('cuiHeightCollapseList', [
    transition('* => *', [
        query(':enter', [
            style({ height: 0 }),
            stagger(STAGGER, [animate(TRANSITION, style({ height: '*' }))]),
        ], {
            optional: true,
        }),
        query(':leave', [
            style({ height: '*' }),
            stagger(STAGGER, [animate(TRANSITION, style({ height: 0 }))]),
        ], {
            optional: true,
        }),
    ], DURATION),
]);
const cuiWidthCollapse = trigger('cuiWidthCollapse', [
    transition(':enter', [style({ width: 0 }), animate(TRANSITION, style({ width: '*' }))], DURATION),
    transition(':leave', [style({ width: '*' }), animate(TRANSITION, style({ width: 0 }))], DURATION),
]);
const cuiWidthCollapseList = trigger('cuiWidthCollapseList', [
    transition('* => *', [
        query(':enter', [
            style({ width: 0 }),
            stagger(STAGGER, [animate(TRANSITION, style({ width: '*' }))]),
        ], {
            optional: true,
        }),
        query(':leave', [
            style({ width: '*' }),
            stagger(STAGGER, [animate(TRANSITION, style({ width: 0 }))]),
        ], {
            optional: true,
        }),
    ], DURATION),
]);
const cuiFadeIn = trigger('cuiFadeIn', [
    transition(':enter', [style({ opacity: 0 }), animate(TRANSITION, style({ opacity: 1 }))], DURATION),
    transition(':leave', [style({ opacity: 1 }), animate(TRANSITION, style({ opacity: 0 }))], DURATION),
]);
const cuiFadeInList = trigger('cuiFadeInList', [
    transition('* => *', [
        query(':enter', [
            style({ opacity: 0 }),
            stagger(STAGGER, [animate(TRANSITION, style({ opacity: 1 }))]),
        ], {
            optional: true,
        }),
        query(':leave', [
            style({ opacity: 1 }),
            stagger(STAGGER, [animate(TRANSITION, style({ opacity: 0 }))]),
        ], {
            optional: true,
        }),
    ], DURATION),
]);
const cuiFadeInTop = trigger('cuiFadeInTop', [
    transition(':enter', [
        style({ transform: 'translateY(-{{start}}px)', opacity: 0 }),
        animate(TRANSITION, style({ transform: 'translateY({{end}})', opacity: 1 })),
    ], { params: { end: 0, start: 10, duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translateY({{end}})', opacity: 1 }),
        animate(TRANSITION, style({ transform: 'translateY(-{{start}}px)', opacity: 0 })),
    ], { params: { end: 0, start: 10, duration: 300 } }),
]);
const cuiFadeInBottom = trigger('cuiFadeInBottom', [
    transition(':enter', [
        style({ transform: 'translateY({{start}}px)', opacity: 0 }),
        animate(TRANSITION, style({ transform: 'translateY({{end}})', opacity: 1 })),
    ], { params: { end: 0, start: 10, duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translateY({{end}})', opacity: 1 }),
        animate(TRANSITION, style({ transform: 'translateY({{start}}px)', opacity: 0 })),
    ], { params: { end: 0, start: 10, duration: 300 } }),
]);
const cuiDropdownAnimation = trigger('cuiDropdownAnimation', [
    transition(':enter', [
        style({ transform: 'translateY(-{{start}}px)', opacity: 0 }),
        animate(TRANSITION, style({ transform: 'translateY({{end}})', opacity: 1 })),
    ], { params: { end: 0, start: 10, duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translateY({{end}})', opacity: 1 }),
        animate(TRANSITION, style({ transform: 'translateY(-{{start}}px)', opacity: 0 })),
    ], { params: { end: 0, start: 10, duration: 300 } }),
]);
const cuiScaleIn = trigger('cuiScaleIn', [
    transition(':enter', [
        style({ transform: 'scale({{start}})' }),
        animate('{{duration}}ms {{easing}}', style({ transform: 'scale({{end}})' })),
    ], { params: { end: 1, start: 0, duration: 300, easing: 'ease-in-out' } }),
    transition(':leave', [
        style({ transform: 'scale({{end}})' }),
        animate(TRANSITION, style({ transform: 'scale({{start}})' })),
    ], { params: { end: 1, start: 0, duration: 300 } }),
]);
const cuiPop = trigger('cuiPop', [
    transition(':enter', [
        style({ transform: 'scale({{start}})' }),
        animate(TRANSITION, style({ transform: 'scale({{middle}})' })),
        animate(TRANSITION, style({ transform: 'scale({{end}})' })),
    ], { params: { end: 1, middle: 1.1, start: 0, duration: 300 } }),
    transition(':leave', [
        style({ transform: 'scale({{end}})' }),
        animate(TRANSITION, style({ transform: 'scale({{middle}})' })),
        animate(TRANSITION, style({ transform: 'scale({{start}})' })),
    ], { params: { end: 1, middle: 1.1, start: 0, duration: 300 } }),
]);
const cuiScaleInList = trigger('cuiScaleInList', [
    transition('* => *', [
        query(':enter', [
            style({ transform: 'scale({{start}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'scale({{end}})' })),
            ]),
        ], { optional: true }),
        query(':leave', [
            style({ transform: 'scale({{end}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'scale({{start}})' })),
            ]),
        ], { optional: true }),
    ], { params: { end: 1, start: 0, duration: 300 } }),
]);
const cuiSlideIn = trigger('cuiSlideIn', [
    transition('* => left', [
        style({ transform: 'translateX(-{{start}})' }),
        animate(TRANSITION, style({ transform: 'translateX({{end}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition('left => *', [
        style({ transform: 'translateX({{end}})' }),
        animate(TRANSITION, style({ transform: 'translateX(-{{start}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition('* => right', [
        style({ transform: 'translateX({{start}})' }),
        animate(TRANSITION, style({ transform: 'translateX({{end}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition('right => *', [
        style({ transform: 'translateX({{end}})' }),
        animate(TRANSITION, style({ transform: 'translateX({{start}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInLeft = trigger('cuiSlideInLeft', [
    transition(':enter', [
        style({ transform: 'translateX(-{{start}})' }),
        animate(TRANSITION, style({ transform: 'translateX({{end}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translateX({{end}})' }),
        animate(TRANSITION, style({ transform: 'translateX(-{{start}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInLeftList = trigger('cuiSlideInLeftList', [
    transition('* => *', [
        query(':enter', [
            style({ transform: 'translateX(-{{start}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateX({{end}})' })),
            ]),
        ], { optional: true }),
        query(':leave', [
            style({ transform: 'translateX({{end}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateX(-{{start}})' })),
            ]),
        ], { optional: true }),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInRight = trigger('cuiSlideInRight', [
    transition(':enter', [
        style({ transform: 'translateX({{start}})' }),
        animate(TRANSITION, style({ transform: 'translateX({{end}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translateX({{end}})' }),
        animate(TRANSITION, style({ transform: 'translateX({{start}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInRightList = trigger('cuiSlideInRightList', [
    transition('* => *', [
        query(':enter', [
            style({ transform: 'translateX({{start}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateX({{end}})' })),
            ]),
        ], { optional: true }),
        query(':leave', [
            style({ transform: 'translateX({{end}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateX({{start}})' })),
            ]),
        ], { optional: true }),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInTop = trigger('cuiSlideInTop', [
    transition(':enter', [
        style({ transform: 'translate3d(0,{{start}},0)', pointerEvents: 'none' }),
        animate(TRANSITION, style({ transform: 'translate3d(0,{{end}},0)' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translate3d(0,{{end}},0)' }),
        animate(TRANSITION, style({ transform: 'translate3d(0,{{start}},0)' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInTopList = trigger('cuiSlideInTopList', [
    transition('* => *', [
        query(':enter', [
            style({ transform: 'translateY({{start}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateY({{end}})' })),
            ]),
        ], { optional: true }),
        query(':leave', [
            style({ transform: 'translateY({{end}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateY({{start}})' })),
            ]),
        ], { optional: true }),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInBottom = trigger('cuiSlideInBottom', [
    transition(':enter', [
        style({ transform: 'translateY(-{{start}})' }),
        animate(TRANSITION, style({ transform: 'translateY({{end}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
    transition(':leave', [
        style({ transform: 'translateY({{end}})' }),
        animate(TRANSITION, style({ transform: 'translateY(-{{start}})' })),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);
const cuiSlideInBottomList = trigger('cuiSlideInBottomList', [
    transition('* => *', [
        query(':enter', [
            style({ transform: 'translateY(-{{start}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateY({{end}})' })),
            ]),
        ], { optional: true }),
        query(':leave', [
            style({ transform: 'translateY({{end}})' }),
            stagger(STAGGER, [
                animate(TRANSITION, style({ transform: 'translateY(-{{start}})' })),
            ]),
        ], { optional: true }),
    ], { params: { end: 0, start: '100%', duration: 300 } }),
]);

/**
 * Service for displaying hints/tooltips
 */
class CuiTooltipService extends BehaviorSubject {
    constructor() {
        super([]);
    }
    add(directive) {
        this.next(this.value.concat(directive));
    }
    remove(directive) {
        if (this.value.includes(directive)) {
            this.next(this.value.filter((hint) => hint !== directive));
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: () => [] });

class CuiTooltips {
    constructor() {
        this.hints$ = inject(CuiTooltipService);
        this.destroyRef = inject(DestroyRef);
        this.cdr = inject(ChangeDetectorRef);
        this.hints = [];
    }
    ngOnInit() {
        // Due to this view being parallel to app content, `markForCheck` from `async` pipe
        // can happen after view was checked, so calling `detectChanges` instead
        this.hints$.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((hints) => {
            this.hints = hints;
            this.cdr.detectChanges();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltips, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltips, isStandalone: true, selector: "cui-tooltips", host: { attributes: { "aria-live": "polite" } }, ngImport: i0, template: "<div\n    *ngFor=\"let hint of hints\"\n    role=\"tooltip\"\n    @cuiParentAnimation\n    [cuiActiveZoneParent]=\"hint.activeZone || null\"\n\n>\n    <ng-container *polymorpheusOutlet=\"hint.component; context: {$implicit: hint}\" />\n</div>\n", styles: [":host{position:fixed;top:0;left:0;inline-size:100%;block-size:0}\n"], dependencies: [{ kind: "directive", type: NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: CuiActiveZone, selector: "[cuiActiveZone]:not(ng-container), [cuiActiveZoneChange]:not(ng-container), [cuiActiveZoneParent]:not(ng-container)", inputs: ["cuiActiveZoneParent"], outputs: ["cuiActiveZoneChange"], exportAs: ["cuiActiveZone"] }, { kind: "directive", type: PolymorpheusOutlet, selector: "[polymorpheusOutlet]", inputs: ["polymorpheusOutlet", "polymorpheusOutletContext"] }], animations: [cuiParentAnimation], changeDetection: i0.ChangeDetectionStrategy.Default }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltips, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'cui-tooltips', imports: [NgForOf, PolymorpheusTemplate, CuiActiveZone, PolymorpheusOutlet], changeDetection: ChangeDetectionStrategy.Default, animations: [cuiParentAnimation], host: {
                        'aria-live': 'polite',
                    }, template: "<div\n    *ngFor=\"let hint of hints\"\n    role=\"tooltip\"\n    @cuiParentAnimation\n    [cuiActiveZoneParent]=\"hint.activeZone || null\"\n\n>\n    <ng-container *polymorpheusOutlet=\"hint.component; context: {$implicit: hint}\" />\n</div>\n", styles: [":host{position:fixed;top:0;left:0;inline-size:100%;block-size:0}\n"] }]
        }] });

class CuiRootComponent {
    constructor() {
        this.document = inject(DOCUMENT);
        this.theme$ = inject(CuiThemeService);
    }
    ngOnInit() {
        this.initThemeSubscription();
    }
    initThemeSubscription() {
        this.theme$
            .subscribe(theme => this.document.documentElement.setAttribute('cuiTheme', theme));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRootComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiRootComponent, selector: "cui-root", ngImport: i0, template: "<div class=\"c-content\">\n  <ng-content />\n</div>\n<cui-dialogs />\n<cui-alerts />\n<cui-tooltips />\n", styles: [".c-content{overflow:auto;min-height:100vh;isolation:isolate}\n"], dependencies: [{ kind: "component", type: CuiDialogsComponent, selector: "cui-dialogs" }, { kind: "component", type: CuiAlertsComponent, selector: "cui-alerts" }, { kind: "component", type: CuiTooltips, selector: "cui-tooltips" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRootComponent, decorators: [{
            type: Component,
            args: [{ selector: CUI_ROOT_SELECTOR, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"c-content\">\n  <ng-content />\n</div>\n<cui-dialogs />\n<cui-alerts />\n<cui-tooltips />\n", styles: [".c-content{overflow:auto;min-height:100vh;isolation:isolate}\n"] }]
        }] });

// TODO: сделать структурную директиву
const ContentType = {
    String: 'string',
    Template: 'template',
    Component: 'component'
};
class CuiDialogComponent {
    constructor() {
        this.element = inject(ElementRef).nativeElement;
        this.context = inject(CUI_DIALOG_CONTEXT);
        this.LAST_OF_TYPE_SELECTOR = ':last-of-type';
        this.ContentType = ContentType;
        this.contentType = ContentType.Component;
    }
    get size() {
        return this.context.size;
    }
    ngOnInit() {
        this.initContentType();
    }
    get contentTemplateRef() {
        return this.context.content;
    }
    get componentType() {
        return this.context.content;
    }
    onEscape() {
        if (!this.context.dismissible) {
            return;
        }
        if (!this.element.matches(this.LAST_OF_TYPE_SELECTOR)) {
            return;
        }
        this.context.completeWith();
    }
    initContentType() {
        const content = this.context.content;
        switch (true) {
            case (typeof content === 'string'):
                this.contentType = ContentType.String;
                return;
            case (content instanceof TemplateRef):
                this.contentType = ContentType.Template;
                return;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiDialogComponent, selector: "cui-dialog", host: { listeners: { "document:keydown.escape": "onEscape($event)" }, properties: { "attr.data-size": "this.size" } }, hostDirectives: [{ directive: i1$1.CuiFocusTrapDirective }], ngImport: i0, template: "<ng-container [ngSwitch]=\"contentType\">\n  <ng-container *ngSwitchCase=\"ContentType.String\">\n    {{ context.content }}\n  </ng-container>\n  <ng-container *ngSwitchCase=\"ContentType.Template\">\n    <ng-container *ngTemplateOutlet=\"contentTemplateRef; context: context\"></ng-container>\n  </ng-container>\n  <ng-container *ngSwitchCase=\"ContentType.Component\">\n    <div class=\"c-component-container\">\n      <ng-container *ngComponentOutlet=\"componentType\"></ng-container>\n    </div>\n  </ng-container>\n</ng-container>\n", styles: [":host{box-shadow:0 2px 4px -1px #0000000f,0 4px 6px -1px #0000001a;position:fixed;top:50%;left:50%;transform:translate(-50%,-50%);display:flex;flex-direction:column;box-sizing:border-box;max-height:calc(100vh - 40px);width:100%;border-radius:12px;outline:none;background:var(--cui-base-0);font-family:var(--cui-main-font);border:1px solid var(--cui-base-200)}:host:last-of-type{z-index:1}:host[data-size=auto]{width:auto}:host[data-size=sm]{max-width:620px}:host[data-size=xl]{max-width:1080px}.c-component-container{display:contents}.c-component-container ::ng-deep>*{display:contents}\n"], dependencies: [{ kind: "directive", type: i1.NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-dialog', changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [CuiFocusTrapDirective], template: "<ng-container [ngSwitch]=\"contentType\">\n  <ng-container *ngSwitchCase=\"ContentType.String\">\n    {{ context.content }}\n  </ng-container>\n  <ng-container *ngSwitchCase=\"ContentType.Template\">\n    <ng-container *ngTemplateOutlet=\"contentTemplateRef; context: context\"></ng-container>\n  </ng-container>\n  <ng-container *ngSwitchCase=\"ContentType.Component\">\n    <div class=\"c-component-container\">\n      <ng-container *ngComponentOutlet=\"componentType\"></ng-container>\n    </div>\n  </ng-container>\n</ng-container>\n", styles: [":host{box-shadow:0 2px 4px -1px #0000000f,0 4px 6px -1px #0000001a;position:fixed;top:50%;left:50%;transform:translate(-50%,-50%);display:flex;flex-direction:column;box-sizing:border-box;max-height:calc(100vh - 40px);width:100%;border-radius:12px;outline:none;background:var(--cui-base-0);font-family:var(--cui-main-font);border:1px solid var(--cui-base-200)}:host:last-of-type{z-index:1}:host[data-size=auto]{width:auto}:host[data-size=sm]{max-width:620px}:host[data-size=xl]{max-width:1080px}.c-component-container{display:contents}.c-component-container ::ng-deep>*{display:contents}\n"] }]
        }], propDecorators: { size: [{
                type: HostBinding,
                args: ['attr.data-size']
            }], onEscape: [{
                type: HostListener,
                args: ['document:keydown.escape', ['$event']]
            }] } });

class CuiDialogActionsComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogActionsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiDialogActionsComponent, selector: "cui-dialog-actions", ngImport: i0, template: "<div class=\"c-divider\"></div>\n<div class=\"c-content\">\n  <ng-content />\n</div>\n", styles: [":host{padding-right:24px;padding-left:24px;padding-bottom:16px;display:block}.c-divider{position:relative;left:-24px;width:calc(100% + 48px);height:1px;margin-bottom:15px;background:var(--cui-base-200)}.c-content{display:flex;align-items:center;justify-content:flex-end;gap:12px}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogActionsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-dialog-actions', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"c-divider\"></div>\n<div class=\"c-content\">\n  <ng-content />\n</div>\n", styles: [":host{padding-right:24px;padding-left:24px;padding-bottom:16px;display:block}.c-divider{position:relative;left:-24px;width:calc(100% + 48px);height:1px;margin-bottom:15px;background:var(--cui-base-200)}.c-content{display:flex;align-items:center;justify-content:flex-end;gap:12px}\n"] }]
        }] });

class CuiDialogHeaderComponent {
    constructor() {
        this.closed = new EventEmitter();
    }
    onClose(event) {
        this.closed.emit(event);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiDialogHeaderComponent, selector: "header[cuiDialogHeader][heading]", inputs: { heading: "heading", headingContext: "headingContext", subheading: "subheading" }, outputs: { closed: "closed" }, ngImport: i0, template: "<div class=\"c-heading\">\n  <ng-container *polymorpheusOutlet=\"heading as heading; context: headingContext\">{{ heading }}</ng-container>\n</div>\n<button\n  cuiButton\n  type=\"button\"\n  appearance=\"ghost\"\n  icon=\"cuiIconClearSm\"\n  class=\"c-button\"\n  (click)=\"onClose($event)\"\n></button>\n<span *ngIf=\"subheading\">{{ subheading }}</span>\n<ng-content />\n", styles: [":host{padding:16px 24px;position:relative;display:flex;flex-direction:column;gap:4px;font-family:var(--cui-main-font);color:var(--cui-base-500)}.c-heading{font-weight:500;font-size:16px;line-height:24px;width:calc(100% - 36px);color:var(--cui-base-900)}.c-button{position:absolute;top:12px;right:12px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.PolymorpheusOutlet, selector: "[polymorpheusOutlet]", inputs: ["polymorpheusOutlet", "polymorpheusOutletContext"] }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'header[cuiDialogHeader][heading]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"c-heading\">\n  <ng-container *polymorpheusOutlet=\"heading as heading; context: headingContext\">{{ heading }}</ng-container>\n</div>\n<button\n  cuiButton\n  type=\"button\"\n  appearance=\"ghost\"\n  icon=\"cuiIconClearSm\"\n  class=\"c-button\"\n  (click)=\"onClose($event)\"\n></button>\n<span *ngIf=\"subheading\">{{ subheading }}</span>\n<ng-content />\n", styles: [":host{padding:16px 24px;position:relative;display:flex;flex-direction:column;gap:4px;font-family:var(--cui-main-font);color:var(--cui-base-500)}.c-heading{font-weight:500;font-size:16px;line-height:24px;width:calc(100% - 36px);color:var(--cui-base-900)}.c-button{position:absolute;top:12px;right:12px}\n"] }]
        }], propDecorators: { heading: [{
                type: Input
            }], headingContext: [{
                type: Input
            }], subheading: [{
                type: Input
            }], closed: [{
                type: Output
            }] } });

class CuiDialogModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogModule, declarations: [CuiDialogComponent,
            CuiDialogsComponent,
            CuiDialogActionsComponent,
            CuiDialogHeaderComponent], imports: [CommonModule,
            PolymorpheusOutlet,
            CuiLetDirective,
            CuiButtonModule], exports: [CuiDialogComponent,
            CuiDialogsComponent,
            CuiDialogActionsComponent,
            CuiDialogHeaderComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogModule, imports: [CommonModule,
            CuiButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        PolymorpheusOutlet,
                        CuiLetDirective,
                        CuiButtonModule
                    ],
                    declarations: [
                        CuiDialogComponent,
                        CuiDialogsComponent,
                        CuiDialogActionsComponent,
                        CuiDialogHeaderComponent
                    ],
                    exports: [
                        CuiDialogComponent,
                        CuiDialogsComponent,
                        CuiDialogActionsComponent,
                        CuiDialogHeaderComponent
                    ]
                }]
        }] });

class CuiDialogService extends CuiPopoverService {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogService, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogService, providedIn: 'root', useFactory: () => new CuiDialogService(CUI_DIALOGS, CuiDialogComponent, inject(CUI_DIALOG_OPTIONS)) }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                    useFactory: () => new CuiDialogService(CUI_DIALOGS, CuiDialogComponent, inject(CUI_DIALOG_OPTIONS))
                }]
        }] });

const CUI_REDUCED_MOTION = cuiCreateTokenFromFactory(() => inject(DOCUMENT).defaultView?.matchMedia?.('(prefers-reduced-motion: reduce)')
    .matches ?? false);

/**
 * Speed of all Taiga UI animations. 1 equals 300ms.
 */
const CUI_ANIMATIONS_SPEED = cuiCreateTokenFromFactory(() => inject(CUI_REDUCED_MOTION) ? 0 : 1);

/**
 * Viewport accessor
 */
const CUI_VIEWPORT = cuiCreateTokenFromFactory(() => {
    const win = inject(CUI_WINDOW);
    return {
        type: 'viewport',
        getClientRect() {
            const rect = {
                top: 0,
                left: 0,
                right: win.innerWidth,
                bottom: win.innerHeight,
                width: win.innerWidth,
                height: win.innerHeight,
                x: 0,
                y: 0,
            };
            return {
                ...rect,
                toJSON: () => JSON.stringify(rect),
            };
        },
    };
});
function cuiAsViewport(accessor) {
    return cuiProvide(CUI_VIEWPORT, accessor);
}

function cuiRemoveSpaces(value) {
    return value.replace(/\s+/g, '');
}

function cuiReplace(value, search, replace) {
    const regex = new RegExp(search.replace(/[.*+?^${}()|[\]\\]/g, '\\$&'), 'g');
    return value.replace(regex, replace);
}

/**
 * @internal
 */
function cuiIsObscured(el, exceptSelector = 'cui-hints') {
    return !!cuiGetElementObscures(el)?.some((el) => !el.closest(exceptSelector));
}

function cuiOverrideOptions(override, fallback) {
    return (directive, options) => {
        const result = directive || { ...(options || fallback) };
        Object.keys(override).forEach((key) => {
            // Update directive props with new defaults before inputs are processed
            result[key] = override[key];
        });
        return result;
    };
}

const CUI_ANIMATIONS_DEFAULT_DURATION = 300;
function cuiToAnimationOptions(speed, easing) {
    return {
        value: '',
        params: {
            duration: cuiGetDuration(speed),
            easing,
        },
    };
}
function cuiGetDuration(speed) {
    return speed && CUI_ANIMATIONS_DEFAULT_DURATION / speed;
}

const LEADING_TRAILING_SPACES_REGEX = /^\s|\s$/;
const MULTIPLE_SPACES_REGEX = /\s{2,}/;
function hasExtraSpaces(value) {
    const hasLeadingOrTrailingSpaces = LEADING_TRAILING_SPACES_REGEX.test(value);
    const hasMultipleSpaces = MULTIPLE_SPACES_REGEX.test(value);
    if (hasLeadingOrTrailingSpaces || hasMultipleSpaces) {
        return { extraSpaces: true };
    }
    return null;
}

function asyncExtraSpacesValidators(delay) {
    return ({ value }) => {
        return timer(delay).pipe(map(() => hasExtraSpaces(value)));
    };
}
function syncExtraSpacesValidator() {
    return ({ value }) => hasExtraSpaces(value);
}

function cuiCreateDefaultValidators({ maxLength = 100, asyncDelay = 700 } = {}) {
    // Need to offset because this delay must be before changing value
    const OFFSET = 1;
    const adjustedAsyncDelay = asyncDelay - OFFSET;
    const validators = {
        validators: [Validators.required, Validators.maxLength(maxLength)],
        asyncValidators: []
    };
    if (asyncDelay) {
        validators.asyncValidators.push(asyncExtraSpacesValidators(adjustedAsyncDelay));
    }
    else {
        validators.validators.push(syncExtraSpacesValidator());
    }
    return validators;
}

/**
 * A component to display a tooltip
 */
const CUI_TOOLTIP_COMPONENT = cuiCreateTokenFromFactory(() => CuiTooltipComponent);

class CuiTooltipDriver extends CuiDriverDirective {
    constructor() {
        super(...arguments);
        this.type = 'hint';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipDriver, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipDriver, isStandalone: true, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipDriver, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                }]
        }] });

const CUI_TOOLTIP_DIRECTIONS = [
    'top',
    'top-left',
    'top-right',
    'bottom',
    'bottom-left',
    'bottom-right',
    'left-top',
    'left',
    'left-bottom',
    'right-top',
    'right',
    'right-bottom',
];
/** Default values for tooltip options */
const CUI_TOOLTIP_DEFAULT_OPTIONS = {
    direction: 'top',
    showDelay: 500,
    hideDelay: 200,
    appearance: '',
    /** TODO @deprecated use {@link CUI_TOOLTIP_OPTIONS} instead **/
    icon: '@cui.circle-help',
};
/**
 * Default parameters for tooltip directive
 */
const CUI_TOOLTIP_OPTIONS = cuiCreateToken(CUI_TOOLTIP_DEFAULT_OPTIONS);
const cuiTooltipOptionsProvider = (override) => ({
    provide: CUI_TOOLTIP_OPTIONS,
    deps: [
        [new Optional(), new Self(), CuiTooltipOptionsDirective],
        [new Optional(), new SkipSelf(), CUI_TOOLTIP_OPTIONS],
    ],
    useFactory: cuiOverrideOptions(override, CUI_TOOLTIP_DEFAULT_OPTIONS),
});
/**
 * @deprecated: drop in 5.0
 */
class CuiTooltipOptionsDirective {
    constructor() {
        this.options = inject(CUI_TOOLTIP_OPTIONS, { skipSelf: true });
        this.direction = this.options.direction;
        this.appearance = this.options.appearance;
        this.showDelay = this.options.showDelay;
        this.hideDelay = this.options.hideDelay;
        this.icon = this.options.icon;
        this.change$ = new Subject();
    }
    ngOnChanges() {
        this.change$.next();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipOptionsDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipOptionsDirective, isStandalone: true, selector: "[cuiTooltipContent]", inputs: { content: ["cuiTooltipContent", "content"], direction: ["cuiTooltipDirection", "direction"], appearance: ["cuiTooltipAppearance", "appearance"], showDelay: ["cuiTooltipShowDelay", "showDelay"], hideDelay: ["cuiTooltipHideDelay", "hideDelay"] }, providers: [cuiProvide(CUI_TOOLTIP_OPTIONS, CuiTooltipOptionsDirective)], usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipOptionsDirective, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltipContent]',
                    providers: [cuiProvide(CUI_TOOLTIP_OPTIONS, CuiTooltipOptionsDirective)],
                }]
        }], propDecorators: { content: [{
                type: Input,
                args: ['cuiTooltipContent']
            }], direction: [{
                type: Input,
                args: ['cuiTooltipDirection']
            }], appearance: [{
                type: Input,
                args: ['cuiTooltipAppearance']
            }], showDelay: [{
                type: Input,
                args: ['cuiTooltipShowDelay']
            }], hideDelay: [{
                type: Input,
                args: ['cuiTooltipHideDelay']
            }] } });

class CuiTooltipHover extends CuiDriver {
    constructor() {
        super((subscriber) => this.stream$.subscribe(subscriber));
        this.isMobile = inject(CUI_IS_MOBILE);
        this.el = cuiInjectElement();
        this.hovered$ = inject(CuiHoveredService);
        this.options = inject(CUI_TOOLTIP_OPTIONS);
        this.visible = false;
        this.toggle$ = new Subject();
        this.stream$ = merge(this.toggle$.pipe(switchMap((visible) => this.isMobile
            ? of(visible)
            : of(visible).pipe(delay(visible ? 0 : this.cuiTooltipHideDelay))), takeUntil(this.hovered$), repeat()), this.hovered$.pipe(switchMap((visible) => this.isMobile
            ? of(visible)
            : of(visible).pipe(delay(visible ? this.cuiTooltipShowDelay : this.cuiTooltipHideDelay))), takeUntil(this.toggle$), repeat())).pipe(filter(() => this.enabled), map((value) => value &&
            (this.el.hasAttribute('cuiTooltipPointer') || !cuiIsObscured(this.el))), tap((visible) => {
            this.visible = visible;
        }));
        this.parent = inject(CuiTooltipHover, {
            optional: true,
            skipSelf: true,
        });
        this.cuiTooltipShowDelay = this.options.showDelay;
        this.cuiTooltipHideDelay = this.options.hideDelay;
        this.type = 'hint';
        this.enabled = true;
    }
    toggle(visible = !this.visible) {
        this.toggle$.next(visible);
        this.parent?.toggle(visible);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipHover, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipHover, isStandalone: true, inputs: { cuiTooltipShowDelay: "cuiTooltipShowDelay", cuiTooltipHideDelay: "cuiTooltipHideDelay" }, providers: [cuiAsDriver(CuiTooltipHover), CuiHoveredService], exportAs: ["cuiTooltipHover"], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipHover, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    providers: [cuiAsDriver(CuiTooltipHover), CuiHoveredService],
                    exportAs: 'cuiTooltipHover',
                }]
        }], ctorParameters: () => [], propDecorators: { cuiTooltipShowDelay: [{
                type: Input
            }], cuiTooltipHideDelay: [{
                type: Input
            }] } });

const GAP$1 = 8;
const ARROW_OFFSET = 24;
const TOP = 0;
const LEFT = 1;
class CuiTooltipPosition extends CuiPositionAccessor {
    constructor() {
        super(...arguments);
        this.offset = inject(CUI_IS_MOBILE) ? 16 : 5;
        this.viewport = inject(CUI_VIEWPORT);
        this.accessor = cuiFallbackAccessor('hint')(inject(CuiRectAccessor), inject(CuiTooltipDirective));
        this.points = CUI_TOOLTIP_DIRECTIONS.reduce((acc, direction) => ({ ...acc, [direction]: [0, 0] }), {});
        this.direction = inject(CUI_TOOLTIP_OPTIONS).direction;
        this.directionChange = new EventEmitter();
        this.type = 'hint';
    }
    emitDirection(direction) {
        this.directionChange.emit(direction);
    }
    getPosition(rect, el) {
        const width = el?.clientWidth ?? rect.width;
        const height = el?.clientHeight ?? rect.height;
        const hostRect = this.accessor.getClientRect() ?? EMPTY_CLIENT_RECT;
        const leftCenter = hostRect.left + hostRect.width / 2;
        const topCenter = hostRect.top + hostRect.height / 2;
        this.points['top-left'][TOP] = hostRect.top - height - this.offset;
        this.points['top-left'][LEFT] = leftCenter - width + ARROW_OFFSET;
        this.points.top[TOP] = this.points['top-left'][TOP];
        this.points.top[LEFT] = leftCenter - width / 2;
        this.points['top-right'][TOP] = this.points['top-left'][TOP];
        this.points['top-right'][LEFT] = leftCenter - ARROW_OFFSET;
        this.points['bottom-left'][TOP] = hostRect.bottom + this.offset;
        this.points['bottom-left'][LEFT] = this.points['top-left'][LEFT];
        this.points.bottom[TOP] = this.points['bottom-left'][TOP];
        this.points.bottom[LEFT] = this.points.top[LEFT];
        this.points['bottom-right'][TOP] = this.points['bottom-left'][TOP];
        this.points['bottom-right'][LEFT] = this.points['top-right'][LEFT];
        this.points['left-top'][TOP] = topCenter - height + ARROW_OFFSET;
        this.points['left-top'][LEFT] = hostRect.left - width - this.offset;
        this.points.left[TOP] = topCenter - height / 2;
        this.points.left[LEFT] = this.points['left-top'][LEFT];
        this.points['left-bottom'][TOP] = topCenter - ARROW_OFFSET;
        this.points['left-bottom'][LEFT] = this.points['left-top'][LEFT];
        this.points['right-top'][TOP] = this.points['left-top'][TOP];
        this.points['right-top'][LEFT] = hostRect.right + this.offset;
        this.points.right[TOP] = this.points.left[TOP];
        this.points.right[LEFT] = this.points['right-top'][LEFT];
        this.points['right-bottom'][TOP] = this.points['left-bottom'][TOP];
        this.points['right-bottom'][LEFT] = this.points['right-top'][LEFT];
        const priorityDirections = Array.isArray(this.direction)
            ? this.direction
            : [this.direction];
        const sortedDirections = priorityDirections.concat(CUI_TOOLTIP_DIRECTIONS);
        const direction = sortedDirections.find((direction) => this.checkPosition(this.points[direction], width, height));
        this.emitDirection(direction || this.fallback);
        return this.points[direction || this.fallback];
    }
    get fallback() {
        return this.points.top[TOP] >
            this.viewport.getClientRect().bottom - this.points.bottom[TOP]
            ? 'top'
            : 'bottom';
    }
    checkPosition([top, left], width, height) {
        const viewport = this.viewport.getClientRect();
        return (top > GAP$1 &&
            left > GAP$1 &&
            top + height < viewport.bottom - GAP$1 &&
            left + width < viewport.right - GAP$1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipPosition, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipPosition, isStandalone: true, inputs: { direction: ["cuiTooltipDirection", "direction"] }, outputs: { directionChange: "cuiTooltipDirectionChange" }, usesInheritance: true, ngImport: i0 }); }
}
__decorate([
    cuiPure,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], CuiTooltipPosition.prototype, "emitDirection", null);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipPosition, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                }]
        }], propDecorators: { direction: [{
                type: Input,
                args: ['cuiTooltipDirection']
            }], directionChange: [{
                type: Output,
                args: ['cuiTooltipDirectionChange']
            }], emitDirection: [] } });

class CuiTooltipDirective {
    constructor() {
        this.service = inject(CuiTooltipService);
        this.appearance = inject(CUI_TOOLTIP_OPTIONS).appearance;
        this.content = signal(null);
        this.component = inject((PolymorpheusComponent));
        this.el = cuiInjectElement();
        this.activeZone = inject(CuiActiveZone, { optional: true });
        this.type = 'hint';
    }
    set cuiTooltip(content) {
        this.content.set(content);
        if (!content) {
            this.toggle(false);
        }
    }
    ngOnDestroy() {
        this.toggle(false);
    }
    getClientRect() {
        return this.el.getBoundingClientRect();
    }
    toggle(show) {
        if (show && this.content()) {
            this.service.add(this);
        }
        else {
            this.service.remove(this);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipDirective, isStandalone: true, selector: "[cuiTooltip]:not(ng-container):not(ng-template)", inputs: { context: ["cuiTooltipContext", "context"], appearance: ["cuiTooltipAppearance", "appearance"], cuiTooltip: "cuiTooltip" }, providers: [
            cuiAsRectAccessor(CuiTooltipDirective),
            cuiAsVehicle(CuiTooltipDirective),
            {
                provide: PolymorpheusComponent,
                deps: [CUI_TOOLTIP_COMPONENT, INJECTOR],
                useClass: PolymorpheusComponent,
            },
        ], hostDirectives: [{ directive: CuiTooltipDriver }, { directive: CuiTooltipHover, inputs: ["cuiTooltipHideDelay", "cuiTooltipHideDelay", "cuiTooltipShowDelay", "cuiTooltipShowDelay"] }, { directive: CuiTooltipPosition, inputs: ["cuiTooltipDirection", "cuiTooltipDirection"], outputs: ["cuiTooltipDirectionChange", "cuiTooltipDirectionChange"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipDirective, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltip]:not(ng-container):not(ng-template)',
                    providers: [
                        cuiAsRectAccessor(CuiTooltipDirective),
                        cuiAsVehicle(CuiTooltipDirective),
                        {
                            provide: PolymorpheusComponent,
                            deps: [CUI_TOOLTIP_COMPONENT, INJECTOR],
                            useClass: PolymorpheusComponent,
                        },
                    ],
                    hostDirectives: [
                        CuiTooltipDriver,
                        {
                            directive: CuiTooltipHover,
                            inputs: ['cuiTooltipHideDelay', 'cuiTooltipShowDelay'],
                        },
                        {
                            directive: CuiTooltipPosition,
                            inputs: ['cuiTooltipDirection'],
                            outputs: ['cuiTooltipDirectionChange'],
                        },
                    ],
                }]
        }], propDecorators: { context: [{
                type: Input,
                args: ['cuiTooltipContext']
            }], appearance: [{
                type: Input,
                args: ['cuiTooltipAppearance']
            }], cuiTooltip: [{
                type: Input
            }] } });

class CuiTooltipPointer extends CuiTooltipHover {
    constructor() {
        super(...arguments);
        this.currentRect = EMPTY_CLIENT_RECT;
    }
    getClientRect() {
        return this.currentRect;
    }
    onMove({ clientX, clientY }) {
        this.currentRect = cuiPointToClientRect(clientX, clientY);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipPointer, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipPointer, isStandalone: true, selector: "[cuiTooltip][cuiTooltipPointer]", host: { listeners: { "mousemove.silent": "onMove($event)" } }, providers: [cuiAsRectAccessor(CuiTooltipPointer), cuiAsDriver(CuiTooltipPointer)], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipPointer, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltip][cuiTooltipPointer]',
                    providers: [cuiAsRectAccessor(CuiTooltipPointer), cuiAsDriver(CuiTooltipPointer)],
                    host: {
                        '(mousemove.silent)': 'onMove($event)',
                    },
                }]
        }] });

class CuiTooltipUnstyledComponent {
    constructor() {
        this.context = injectContext();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipUnstyledComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipUnstyledComponent, isStandalone: true, selector: "ng-component", host: { properties: { "@cuiParentAnimation": "" } }, ngImport: i0, template: '<ng-container *polymorpheusOutlet="context.$implicit.content()" />', isInline: true, dependencies: [{ kind: "directive", type: PolymorpheusOutlet, selector: "[polymorpheusOutlet]", inputs: ["polymorpheusOutlet", "polymorpheusOutletContext"] }], animations: [cuiParentAnimation], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipUnstyledComponent, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [PolymorpheusOutlet],
                    template: '<ng-container *polymorpheusOutlet="context.$implicit.content()" />',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    animations: [cuiParentAnimation],
                    host: { '[@cuiParentAnimation]': '' },
                }]
        }] });
class CuiTooltipUnstyled {
    constructor() {
        const hint = inject((CuiTooltipDirective));
        hint.component = new PolymorpheusComponent(CuiTooltipUnstyledComponent);
        hint.content.set(inject((TemplateRef)));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipUnstyled, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipUnstyled, isStandalone: true, selector: "ng-template[cuiTooltip]", ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipUnstyled, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: 'ng-template[cuiTooltip]',
                }]
        }], ctorParameters: () => [] });

const GAP = 8;
const CUI_TOOLTIP_PROVIDERS = [
    CuiPositionService,
    CuiHoveredService,
    cuiPositionAccessorFor('hint', CuiTooltipPosition),
    cuiRectAccessorFor('hint', forwardRef(() => CuiTooltipDirective)),
];
class CuiTooltipComponent {
    constructor() {
        this.el = cuiInjectElement();
        this.hover = inject(CuiTooltipHover);
        this.vvs = inject(CuiVisualViewportService);
        this.viewport = inject(CUI_VIEWPORT);
        this.desktop = { value: '', params: { end: 1, start: 1 } };
        this.options = cuiToAnimationOptions(inject(CUI_ANIMATIONS_SPEED), 'cubic-bezier(0.35, 1.3, 0.25, 1)');
        this.pointer = inject(CuiTooltipPointer, { optional: true });
        this.accessor = inject(CuiRectAccessor);
        this.hint = injectContext().$implicit;
        this.isMobile = inject(CUI_IS_MOBILE);
        this.content = this.hint.component.component === CuiTooltipUnstyledComponent
            ? signal('')
            : this.hint.content;
        this.appearance = this.hint.appearance ||
            this.hint.el.closest('[cuiTheme]')?.getAttribute('cuiTheme');
        inject(CuiPositionService)
            .pipe(takeWhile(() => this.hint.el.isConnected), map((point) => this.vvs.correct(point)), takeUntilDestroyed())
            .subscribe({
            next: ([top, left]) => this.update(top, left),
            complete: () => this.hover.toggle(false),
        });
        inject(CuiHoveredService)
            .pipe(takeUntilDestroyed())
            .subscribe((hover) => this.hover.toggle(hover));
    }
    onClick(target) {
        if ((!target.closest('cui-hint') && !this.hint.el.contains(target)) ||
            cuiIsObscured(this.hint.el)) {
            this.hover.toggle(false);
        }
    }
    apply(top, left, beakTop, beakLeft) {
        this.el.style.top = top;
        this.el.style.left = left;
        this.el.style.setProperty('--top', `${beakTop}%`);
        this.el.style.setProperty('--left', `${beakLeft}%`);
        this.el.style.setProperty('--rotate', !beakLeft || Math.ceil(beakLeft) === 100 ? '90deg' : '0deg');
    }
    update(top, left) {
        const { clientHeight, clientWidth } = this.el;
        const rect = this.accessor.getClientRect();
        const viewport = this.viewport.getClientRect();
        if (rect === EMPTY_CLIENT_RECT || !clientHeight || !clientWidth) {
            return;
        }
        const safeLeft = cuiClamp(left, GAP, viewport.width - clientWidth - GAP);
        const [beakTop, beakLeft] = this.vvs.correct([
            rect.top + rect.height / 2 - top,
            rect.left + rect.width / 2 - safeLeft,
        ]);
        this.apply(cuiPx(Math.round(top)), cuiPx(Math.round(safeLeft)), Math.round((cuiClamp(beakTop, 0, clientHeight) / clientHeight) * 100), Math.round((cuiClamp(beakLeft, 0, clientWidth) / clientWidth) * 100));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipComponent, isStandalone: true, selector: "cui-tooltip", host: { listeners: { "document:click": "onClick($event.target)" }, properties: { "@cuiScaleIn": "isMobile ? options : desktop", "@cuiFadeIn": "options", "class._untouchable": "pointer", "class._mobile": "isMobile", "attr.data-appearance": "appearance", "attr.cuiTheme": "appearance" } }, providers: CUI_TOOLTIP_PROVIDERS, ngImport: i0, template: `
    <ng-content />
    <span
      *polymorpheusOutlet="content() as text; context: hint.context"
      [innerHTML]="text"
    ></span>
  `, isInline: true, styles: [":host{padding:4px 8px;font-weight:400;font-size:14px;line-height:20px;overflow-y:auto;position:absolute;max-inline-size:375px;max-block-size:375px;background:var(--cui-gray-900);border-radius:6px;color:var(--cui-gray-0);box-sizing:border-box;font-family:var(--cui-main-font);white-space:pre-line;overflow-wrap:break-word;transform-origin:var(--left) var(--top)}:host:not([style*=top]){visibility:hidden}:host._untouchable{pointer-events:none}\n"], dependencies: [{ kind: "directive", type: PolymorpheusOutlet, selector: "[polymorpheusOutlet]", inputs: ["polymorpheusOutlet", "polymorpheusOutletContext"] }], animations: [cuiFadeIn, cuiScaleIn], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
__decorate([
    cuiPure,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Number, Number]),
    __metadata("design:returntype", void 0)
], CuiTooltipComponent.prototype, "apply", null);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'cui-tooltip', imports: [PolymorpheusOutlet], template: `
    <ng-content />
    <span
      *polymorpheusOutlet="content() as text; context: hint.context"
      [innerHTML]="text"
    ></span>
  `, changeDetection: ChangeDetectionStrategy.OnPush, providers: CUI_TOOLTIP_PROVIDERS, animations: [cuiFadeIn, cuiScaleIn], host: {
                        '[@cuiScaleIn]': 'isMobile ? options : desktop',
                        '[@cuiFadeIn]': 'options',
                        '[class._untouchable]': 'pointer',
                        '[class._mobile]': 'isMobile',
                        '[attr.data-appearance]': 'appearance',
                        '[attr.cuiTheme]': 'appearance',
                        '(document:click)': 'onClick($event.target)',
                    }, styles: [":host{padding:4px 8px;font-weight:400;font-size:14px;line-height:20px;overflow-y:auto;position:absolute;max-inline-size:375px;max-block-size:375px;background:var(--cui-gray-900);border-radius:6px;color:var(--cui-gray-0);box-sizing:border-box;font-family:var(--cui-main-font);white-space:pre-line;overflow-wrap:break-word;transform-origin:var(--left) var(--top)}:host:not([style*=top]){visibility:hidden}:host._untouchable{pointer-events:none}\n"] }]
        }], ctorParameters: () => [], propDecorators: { apply: [] } });

class CuiTooltipDescribe extends CuiDriver {
    constructor() {
        super((subscriber) => this.stream$.subscribe(subscriber));
        this.doc = inject(DOCUMENT);
        this.el = cuiInjectElement();
        this.zone = inject(NgZone);
        this.id$ = new BehaviorSubject('');
        this.stream$ = this.id$.pipe(distinctUntilChanged(), cuiIfMap(() => fromEvent(this.doc, 'keydown', { capture: true }), cuiIsPresent), switchMap(() => this.focused
            ? of(false)
            : merge(cuiTypedFromEvent(this.doc, 'keyup'), cuiTypedFromEvent(this.element, 'blur')).pipe(map(() => this.focused))), debounce((visible) => visible ? timer(1000, cuiZonefreeScheduler(this.zone)) : of(null)), startWith(false), distinctUntilChanged(), skip(1), cuiZoneOptimized());
        this.type = 'hint';
    }
    set cuiTooltipDescribe(id) {
        this.id$.next(id || '');
    }
    get element() {
        return this.doc.getElementById(this.id$.value || '') || this.el;
    }
    get focused() {
        return cuiIsNativeFocused(this.element);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipDescribe, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipDescribe, isStandalone: true, selector: "[cuiTooltipDescribe]", inputs: { cuiTooltipDescribe: "cuiTooltipDescribe" }, providers: [cuiAsDriver(CuiTooltipDescribe)], usesInheritance: true, ngImport: i0 }); }
}
__decorate([
    cuiPure,
    __metadata("design:type", HTMLElement),
    __metadata("design:paramtypes", [])
], CuiTooltipDescribe.prototype, "element", null);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipDescribe, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltipDescribe]',
                    providers: [cuiAsDriver(CuiTooltipDescribe)],
                }]
        }], ctorParameters: () => [], propDecorators: { cuiTooltipDescribe: [{
                type: Input
            }], element: [] } });

class CuiTooltipHost extends CuiRectAccessor {
    constructor() {
        super(...arguments);
        this.type = 'hint';
    }
    getClientRect() {
        return this.cuiTooltipHost?.getBoundingClientRect() || EMPTY_CLIENT_RECT;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipHost, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipHost, isStandalone: true, selector: "[cuiTooltip][cuiTooltipHost]", inputs: { cuiTooltipHost: "cuiTooltipHost" }, providers: [cuiAsRectAccessor(CuiTooltipHost)], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipHost, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltip][cuiTooltipHost]',
                    providers: [cuiAsRectAccessor(CuiTooltipHost)],
                }]
        }], propDecorators: { cuiTooltipHost: [{
                type: Input
            }] } });

class CuiTooltipManual extends CuiDriver {
    constructor() {
        super((subscriber) => this.stream$.subscribe(subscriber));
        this.hover = inject(CuiTooltipHover);
        this.stream$ = new BehaviorSubject(false);
        this.cuiTooltipManual = false;
        this.type = 'hint';
        this.hover.enabled = false;
    }
    ngOnChanges() {
        this.stream$.next(this.cuiTooltipManual);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipManual, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipManual, isStandalone: true, selector: "[cuiTooltip][cuiTooltipManual]", inputs: { cuiTooltipManual: "cuiTooltipManual" }, providers: [cuiAsDriver(CuiTooltipManual)], usesInheritance: true, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipManual, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltip][cuiTooltipManual]',
                    providers: [cuiAsDriver(CuiTooltipManual)],
                }]
        }], ctorParameters: () => [], propDecorators: { cuiTooltipManual: [{
                type: Input
            }] } });

class CuiTooltipOverflow {
    constructor() {
        this.hint = inject(CuiTooltipDirective);
    }
    onMouseEnter({ scrollWidth, clientWidth, textContent }) {
        this.hint.cuiTooltip = scrollWidth > clientWidth ? textContent : '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipOverflow, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTooltipOverflow, isStandalone: true, selector: "[cuiTooltipOverflow]", host: { listeners: { "mouseenter": "onMouseEnter($event.currentTarget)" } }, hostDirectives: [{ directive: CuiTooltipDirective, inputs: ["cuiTooltipAppearance", "cuiTooltipAppearance"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTooltipOverflow, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[cuiTooltipOverflow]',
                    hostDirectives: [
                        {
                            directive: CuiTooltipDirective,
                            inputs: ['cuiTooltipAppearance'],
                        },
                    ],
                    host: {
                        '(mouseenter)': 'onMouseEnter($event.currentTarget)',
                    },
                }]
        }] });

const CuiTooltip = [
    CuiTooltipComponent,
    CuiTooltipDirective,
    CuiTooltipOptionsDirective,
    CuiTooltipUnstyled,
    CuiTooltipDriver,
    CuiTooltipPosition,
    CuiTooltipHover,
    CuiTooltipOverflow,
    CuiTooltipDescribe,
    CuiTooltipHost,
    CuiTooltipManual,
    CuiTooltipPointer,
];

class CuiRootModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRootModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiRootModule, declarations: [CuiRootComponent], imports: [CommonModule,
            CuiDialogModule,
            CuiAlertModule,
            CuiTooltips], exports: [CuiRootComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRootModule, imports: [CommonModule,
            CuiDialogModule,
            CuiAlertModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRootModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiDialogModule,
                        CuiAlertModule,
                        CuiTooltips
                    ],
                    declarations: [CuiRootComponent],
                    exports: [CuiRootComponent]
                }]
        }] });

class CuiContextMenuComponent {
    constructor() {
        this.viewContainerRef = inject(ViewContainerRef);
        this.document = inject(DOCUMENT);
        this.documentElement = this.document.documentElement;
        this.window = inject(CUI_WINDOW);
        this.destroy$ = inject(CuiDestroyService, { self: true });
        this.cuiClickOutsideDirective = inject(CuiClickOutsideDirective, { self: true });
        this.cuiTargetDirective = inject(CuiTargetDirective, { self: true });
        this.EXTRA_OFFSET_LEFT = 0;
        this.EXTRA_OFFSET_TOP = 0;
        this.isVisible = false;
        this.withPaddings = true;
    }
    ngOnInit() {
        this.initClickOutsideSubscription();
    }
    ngOnDestroy() {
        this.clearViewContainerRef();
    }
    ngAfterViewInit() {
        this.initTargetElementListener();
    }
    onSelect(item) {
        this.close();
        item.command?.();
    }
    onClose() {
        this.close();
    }
    onStopClickPropagation(event) {
        event.stopPropagation();
    }
    trackByFn(_, item) {
        return item.label;
    }
    initClickOutsideSubscription() {
        this.cuiClickOutsideDirective.cuiClickOutside
            .pipe(takeUntil(this.destroy$))
            .subscribe((target) => {
            if (this.target.contains(target)) {
                return;
            }
            this.close();
        });
    }
    initTargetElementListener() {
        this.cuiTargetDirective.clicked
            .pipe(takeUntil(this.destroy$))
            .subscribe(this.targetEventListener.bind(this));
    }
    initHidingSubscription() {
        this.initHidingFromWindowEvent('scroll');
        this.initHidingFromWindowEvent('resize');
    }
    initHidingFromWindowEvent(eventName) {
        fromEvent(this.window, eventName)
            .pipe(take(1))
            .subscribe(() => this.close());
    }
    targetEventListener(event) {
        event.stopPropagation();
        // TODO: нужен для перерисовки ngFor
        this.document.body.click();
        this.isVisible = !this.isVisible;
        this.clearViewContainerRef();
        if (!this.isVisible) {
            return;
        }
        this.renderList();
        this.changePosition(event.clientX, event.clientY);
        this.initHidingSubscription();
    }
    ;
    close() {
        this.isVisible = false;
        this.clearViewContainerRef();
    }
    renderList() {
        const root = this.document.querySelector(CUI_ROOT_SELECTOR);
        const backdropViewRef = this.viewContainerRef.createEmbeddedView(this.backdrop);
        const listViewRef = this.viewContainerRef.createEmbeddedView(this.list);
        this.node = listViewRef.rootNodes[0];
        root.append(backdropViewRef.rootNodes[0], this.node);
    }
    changePosition(x, y) {
        this.node.style.visibility = 'hidden';
        setTimeout(() => {
            const { clientWidth, clientHeight } = this.documentElement;
            const width = this.node.offsetWidth;
            const height = this.node.offsetHeight;
            let left = x;
            let top = y;
            if (left + width > clientWidth) {
                left -= width;
            }
            if (top + height > clientHeight) {
                top -= height;
            }
            left = Math.max(left, this.EXTRA_OFFSET_LEFT);
            top = Math.max(top, this.EXTRA_OFFSET_TOP);
            this.node.style.left = left + 'px';
            this.node.style.top = top + 'px';
            this.node.style.visibility = '';
            cuiGetClosestFocusable({ initial: this.node, root: this.node })?.focus();
        });
    }
    clearViewContainerRef() {
        this.viewContainerRef.clear();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContextMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiContextMenuComponent, selector: "cui-context-menu[items][target]", inputs: { items: "items", target: "target", width: "width", withPaddings: "withPaddings" }, host: { listeners: { "window:resize": "onClose()", "click": "onStopClickPropagation($event)" } }, providers: [CuiDestroyService], viewQueries: [{ propertyName: "list", first: true, predicate: ["list"], descendants: true }, { propertyName: "backdrop", first: true, predicate: ["backdrop"], descendants: true }], hostDirectives: [{ directive: i1$1.CuiClickOutsideDirective }, { directive: i1$1.CuiTargetDirective, inputs: ["ccTarget", "target"] }], ngImport: i0, template: "<ng-template #backdrop>\n  <div class=\"c-backdrop\"></div>\n</ng-template>\n\n<ng-template #list>\n    <div class=\"c-container\" [style.width]=\"width\">\n      <ul class=\"c-ul\" [class.c-ul_with-padding]=\"withPaddings\">\n        <li\n          *ngFor=\"let item of items; trackBy: trackByFn\"\n          [style.color]=\"item.color\"\n        >\n          <button\n            type=\"button\"\n            class=\"c-button\"\n            (click)=\"onSelect(item)\"\n          >\n            <cui-svg\n              *ngIf=\"item.icon\"\n              [icon]=\"item.icon\"\n              [color]=\"item.color\"\n            ></cui-svg>\n            <span>{{ item.label }}</span>\n          </button>\n        </li>\n      </ul>\n    </div>\n</ng-template>\n", styles: [":host{display:none}.c-container{position:fixed;width:268px;border-radius:8px;z-index:1}.c-backdrop{position:fixed;inset:0}.c-ul{padding:0;margin:0;list-style:none;font-weight:400;font-size:14px;line-height:20px;box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;border:1px solid var(--cui-base-200);border-radius:inherit;width:100%;background:var(--cui-base-0);color:var(--cui-base-900);font-family:var(--cui-main-font)}.c-ul_with-padding{padding-top:7px;padding-bottom:7px}.c-button{padding:8px 11px 8px 0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;padding:8px 11px;width:100%;display:flex;align-items:center;gap:12px}.c-button:active{background:var(--cui-base-50)}@media (hover: hover){.c-button:hover{background:var(--cui-base-50)}}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContextMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-context-menu[items][target]', changeDetection: ChangeDetectionStrategy.OnPush, providers: [CuiDestroyService], hostDirectives: [
                        CuiClickOutsideDirective,
                        {
                            directive: CuiTargetDirective,
                            inputs: ['ccTarget: target']
                        }
                    ], template: "<ng-template #backdrop>\n  <div class=\"c-backdrop\"></div>\n</ng-template>\n\n<ng-template #list>\n    <div class=\"c-container\" [style.width]=\"width\">\n      <ul class=\"c-ul\" [class.c-ul_with-padding]=\"withPaddings\">\n        <li\n          *ngFor=\"let item of items; trackBy: trackByFn\"\n          [style.color]=\"item.color\"\n        >\n          <button\n            type=\"button\"\n            class=\"c-button\"\n            (click)=\"onSelect(item)\"\n          >\n            <cui-svg\n              *ngIf=\"item.icon\"\n              [icon]=\"item.icon\"\n              [color]=\"item.color\"\n            ></cui-svg>\n            <span>{{ item.label }}</span>\n          </button>\n        </li>\n      </ul>\n    </div>\n</ng-template>\n", styles: [":host{display:none}.c-container{position:fixed;width:268px;border-radius:8px;z-index:1}.c-backdrop{position:fixed;inset:0}.c-ul{padding:0;margin:0;list-style:none;font-weight:400;font-size:14px;line-height:20px;box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;border:1px solid var(--cui-base-200);border-radius:inherit;width:100%;background:var(--cui-base-0);color:var(--cui-base-900);font-family:var(--cui-main-font)}.c-ul_with-padding{padding-top:7px;padding-bottom:7px}.c-button{padding:8px 11px 8px 0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;padding:8px 11px;width:100%;display:flex;align-items:center;gap:12px}.c-button:active{background:var(--cui-base-50)}@media (hover: hover){.c-button:hover{background:var(--cui-base-50)}}\n"] }]
        }], propDecorators: { items: [{
                type: Input
            }], target: [{
                type: Input
            }], width: [{
                type: Input
            }], withPaddings: [{
                type: Input
            }], list: [{
                type: ViewChild,
                args: ['list']
            }], backdrop: [{
                type: ViewChild,
                args: ['backdrop']
            }], onClose: [{
                type: HostListener,
                args: ['window:resize']
            }], onStopClickPropagation: [{
                type: HostListener,
                args: ['click', ['$event']]
            }] } });

class CuiContextMenuModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContextMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiContextMenuModule, declarations: [CuiContextMenuComponent], imports: [CommonModule,
            CuiSvgModule], exports: [CuiContextMenuComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContextMenuModule, imports: [CommonModule,
            CuiSvgModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContextMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule
                    ],
                    declarations: [CuiContextMenuComponent],
                    exports: [CuiContextMenuComponent]
                }]
        }] });

class CuiDropdownDirective {
    constructor() {
        this.document = inject(DOCUMENT);
        this.viewContainerRef = inject(ViewContainerRef);
        this.target = inject(ElementRef).nativeElement;
        this.window = inject(CUI_WINDOW);
        this.SPACE_BETWEEN_TARGET_AND_LIST = 5;
        this.CONTAINER_SELECTOR = 'cui-dropdowns';
        this.DROPDOWN_SELECTOR = 'cui-dropdown';
        this.orientation = 'left';
        this.isOpened = new EventEmitter();
        this.isOpen = signal(false);
        this.targetToggleEventListener = () => {
            if (!this.isOpen()) {
                this.open();
                return;
            }
            this.close();
        };
        this.initTargetElementListener();
    }
    onResize() {
        this.close();
    }
    onClick(event) {
        if (!this.isOpen()) {
            return;
        }
        const target = event.target;
        const elements = this.document.elementsFromPoint(event.clientX, event.clientY);
        const doesExist = elements.some((element) => this.element.contains(element));
        if (this.target.contains(target) || this.element.contains(target) || doesExist) {
            return;
        }
        this.close();
    }
    ngOnInit() {
        this.initContainer();
        this.initDropdown();
    }
    ngOnDestroy() {
        this.close();
        this.destroyElementResizeObserver();
    }
    open() {
        this.isOpen.set(true);
        this.container.append(this.backdrop, this.element);
        this.calculateDropdownPosition();
        this.isOpened.emit(true);
    }
    close() {
        this.isOpen.set(false);
        this.element?.remove();
        this.backdrop?.remove();
        this.isOpened.emit(false);
    }
    initContainer() {
        const root = this.document.querySelector('cui-dialogs');
        const container = this.document.body.querySelector(this.CONTAINER_SELECTOR);
        if (container) {
            this.container = container;
            return;
        }
        this.container = this.document.createElement(this.CONTAINER_SELECTOR);
        root?.after(this.container);
    }
    initDropdown() {
        const content = this.viewContainerRef.createEmbeddedView(this.content).rootNodes;
        this.element = this.document.createElement(this.DROPDOWN_SELECTOR);
        this.backdrop = this.document.createElement('div');
        this.element.style.top = '0';
        this.element.style.position = 'absolute';
        this.backdrop.style.position = 'fixed';
        this.backdrop.style.inset = '0';
        this.element.append(...content);
        this.initResizeObserver();
    }
    initTargetElementListener() {
        fromEvent(this.target, 'click').pipe(takeUntilDestroyed()).subscribe(this.targetToggleEventListener);
    }
    initResizeObserver() {
        this.elementResizeObserver = new ResizeObserver(() => {
            this.changeDropdownYCoordinateIfNeeded();
        });
        this.elementResizeObserver.observe(this.element);
    }
    destroyElementResizeObserver() {
        this.elementResizeObserver.disconnect();
    }
    changeDropdownYCoordinateIfNeeded() {
        const distanceToBottom = this.document.documentElement.clientHeight - this.element.getBoundingClientRect().bottom;
        if (distanceToBottom >= 0) {
            return;
        }
        this.element.style.top = parseFloat(this.element.style.top) + distanceToBottom + 'px';
    }
    calculateDropdownPosition() {
        this.element.style.visibility = 'hidden';
        setTimeout(() => {
            const targetRect = this.target.getBoundingClientRect();
            const container = this.findScrollableContainer(this.target);
            const containerRect = container.getBoundingClientRect();
            const { clientHeight, clientWidth } = this.document.documentElement;
            const visibleTop = Math.max(targetRect.top, containerRect.top);
            const visibleBottom = Math.min(targetRect.bottom, containerRect.bottom);
            const dropdownHeight = this.element.offsetHeight;
            const shouldListOpenAbove = clientHeight - visibleBottom < dropdownHeight;
            const shouldListAlignLeft = targetRect.left + dropdownHeight > clientWidth;
            const orientation = this.orientation ?? (shouldListAlignLeft ? 'left' : 'right');
            this.changePositionY({ shouldListOpenAbove, visibleTop, visibleBottom, dropdownHeight });
            this.changePositionX(orientation, clientWidth, targetRect);
            this.element.style.visibility = 'visible';
        });
    }
    changePositionX(orientation, clientWidth, targetRect) {
        switch (orientation) {
            case 'right':
                this.element.style.left = 'auto';
                this.element.style.right = `${clientWidth - targetRect.right}px`;
                break;
            case 'stretch':
                this.element.style.left = `${targetRect.left}px`;
                this.element.style.right = `${clientWidth - targetRect.right}px`;
                break;
            default:
                this.element.style.right = 'auto';
                this.element.style.left = `${targetRect.left}px`;
        }
    }
    changePositionY({ shouldListOpenAbove, visibleTop, visibleBottom, dropdownHeight }) {
        const offset = this.SPACE_BETWEEN_TARGET_AND_LIST;
        if (shouldListOpenAbove) {
            this.element.style.top = `${this.window.scrollY + visibleTop - dropdownHeight - offset}px`;
            return;
        }
        this.element.style.top = `${this.window.scrollY + visibleBottom + offset}px`;
    }
    findScrollableContainer(element) {
        let parent = element.parentElement;
        while (parent) {
            const { overflowY } = window.getComputedStyle(parent);
            if (overflowY === 'auto' || overflowY === 'scroll') {
                return parent;
            }
            parent = parent.parentElement;
        }
        return this.document.body;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDropdownDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiDropdownDirective, isStandalone: true, selector: "[cuiDropdown]", inputs: { content: ["cuiDropdown", "content"], orientation: "orientation" }, outputs: { isOpened: "isOpened" }, host: { listeners: { "window:resize": "onResize()", "document:click": "onClick($event)" } }, exportAs: ["cuiDropdown"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDropdownDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiDropdown]',
                    exportAs: 'cuiDropdown',
                    standalone: true,
                }]
        }], ctorParameters: () => [], propDecorators: { content: [{
                type: Input,
                args: [{ required: true, alias: 'cuiDropdown' }]
            }], orientation: [{
                type: Input
            }], isOpened: [{
                type: Output
            }], onResize: [{
                type: HostListener,
                args: ['window:resize']
            }], onClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class CuiDropdownWrapperComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDropdownWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiDropdownWrapperComponent, isStandalone: true, selector: "cui-dropdown-wrapper", inputs: { title: "title", width: "width" }, hostDirectives: [{ directive: i1$1.CuiFocusTrapDirective }], ngImport: i0, template: "<div\r\n    [style.width]=\"width\"\r\n    class=\"dropdown\"\r\n>\r\n    <header *ngIf=\"title\" class=\"header\">\r\n        <h3 class=\"title\">{{ title }}</h3>\r\n        <ng-content select=\"[ccDropdownHeaderContent]\" />\r\n    </header>\r\n\r\n    <div class=\"scrollable-content\">\r\n        <ng-content />\r\n    </div>\r\n    <footer class=\"footer\">\r\n        <ng-content select=\"[ccDropdownFooterContent]\" />\r\n    </footer>\r\n</div>\r\n", styles: [".dropdown{box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;padding-top:3px;padding-bottom:3px;display:flex;flex-direction:column;border-radius:8px;border:1px solid var(--cui-base-200);max-height:350px;height:100%;width:345px;background:var(--cui-base-0)}.header{padding-right:5px;padding-left:5px;display:flex;flex-direction:column;justify-content:center}.title{font-weight:400;font-size:14px;line-height:20px;padding:4px 8px;color:var(--cui-base-500);text-transform:uppercase}.scrollable-content{overflow:auto}.footer{padding:2px 5px}.footer:empty{display:contents}\n"], dependencies: [{ kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDropdownWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-dropdown-wrapper', standalone: true, imports: [NgIf], changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [CuiFocusTrapDirective], template: "<div\r\n    [style.width]=\"width\"\r\n    class=\"dropdown\"\r\n>\r\n    <header *ngIf=\"title\" class=\"header\">\r\n        <h3 class=\"title\">{{ title }}</h3>\r\n        <ng-content select=\"[ccDropdownHeaderContent]\" />\r\n    </header>\r\n\r\n    <div class=\"scrollable-content\">\r\n        <ng-content />\r\n    </div>\r\n    <footer class=\"footer\">\r\n        <ng-content select=\"[ccDropdownFooterContent]\" />\r\n    </footer>\r\n</div>\r\n", styles: [".dropdown{box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;padding-top:3px;padding-bottom:3px;display:flex;flex-direction:column;border-radius:8px;border:1px solid var(--cui-base-200);max-height:350px;height:100%;width:345px;background:var(--cui-base-0)}.header{padding-right:5px;padding-left:5px;display:flex;flex-direction:column;justify-content:center}.title{font-weight:400;font-size:14px;line-height:20px;padding:4px 8px;color:var(--cui-base-500);text-transform:uppercase}.scrollable-content{overflow:auto}.footer{padding:2px 5px}.footer:empty{display:contents}\n"] }]
        }], propDecorators: { title: [{
                type: Input
            }], width: [{
                type: Input
            }] } });

class CuiFormFieldComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiFormFieldComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiFormFieldComponent, selector: "cui-form-field", ngImport: i0, template: "<ng-content select=\"label[cuiLabel]\" />\n<ng-content />\n<div class=\"c-hint-container\">\n    <ng-content select=\"cui-hint\" />\n</div>\n", styles: [":host{display:flex;flex-direction:column;gap:4px}.c-hint-container{margin-top:2px}.c-hint-container:empty{display:contents}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiFormFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-form-field', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content select=\"label[cuiLabel]\" />\n<ng-content />\n<div class=\"c-hint-container\">\n    <ng-content select=\"cui-hint\" />\n</div>\n", styles: [":host{display:flex;flex-direction:column;gap:4px}.c-hint-container{margin-top:2px}.c-hint-container:empty{display:contents}\n"] }]
        }] });

class CuiFormFieldModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiFormFieldModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiFormFieldModule, declarations: [CuiFormFieldComponent], exports: [CuiFormFieldComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiFormFieldModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiFormFieldModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiFormFieldComponent],
                    exports: [CuiFormFieldComponent]
                }]
        }] });

class CuiHintComponent {
    constructor() {
        this.hintType = 'info';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiHintComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiHintComponent, selector: "cui-hint", inputs: { hintType: "hintType" }, host: { properties: { "attr.data-hint-type": "this.hintType" } }, ngImport: i0, template: "<ng-content></ng-content>\n", styles: [":host{font-weight:400;font-size:14px;line-height:20px;display:inline-block;font-family:var(--cui-main-font)}:host[data-hint-type=info]{color:var(--cui-base-500)}:host[data-hint-type=error]{color:var(--cui-danger)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiHintComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-hint', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content></ng-content>\n", styles: [":host{font-weight:400;font-size:14px;line-height:20px;display:inline-block;font-family:var(--cui-main-font)}:host[data-hint-type=info]{color:var(--cui-base-500)}:host[data-hint-type=error]{color:var(--cui-danger)}\n"] }]
        }], propDecorators: { hintType: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['attr.data-hint-type']
            }] } });

class CuiHintModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiHintModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiHintModule, declarations: [CuiHintComponent], exports: [CuiHintComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiHintModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiHintModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiHintComponent],
                    exports: [CuiHintComponent]
                }]
        }] });

class CuiIconButtonComponent {
    constructor() {
        this.ICON_WIDTH = 16;
        this.ICON_HEIGHT = 16;
        this.ICON_STROKE_WIDTH = 1.5;
    }
    get isWithHoverColor() {
        return !!this.hoverColor;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiIconButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiIconButtonComponent, selector: "button[cuiIconButton][icon], a[cuiIconButton][icon]", inputs: { icon: "icon", color: "color", hoverColor: "hoverColor" }, host: { properties: { "style.--icon-hover-color": "this.hoverColor", "class._with-hover-color": "this.isWithHoverColor" } }, ngImport: i0, template: "<cui-svg\n  [icon]=\"icon\"\n  [width]=\"ICON_WIDTH\"\n  [height]=\"ICON_HEIGHT\"\n  [color]=\"color\"\n  [strokeWidth]=\"ICON_STROKE_WIDTH\"\n  class=\"c-icon\"\n></cui-svg>\n", styles: [":host{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex;justify-content:center;align-items:center;width:24px;height:24px}:host._with-hover-color:active .c-icon ::ng-deep [stroke]{stroke:var(--icon-hover-color)}:host._with-hover-color:active .c-icon ::ng-deep [fill]:not([fill=none]){fill:var(--icon-hover-color)}@media (hover: hover){:host._with-hover-color:hover .c-icon ::ng-deep [stroke]{stroke:var(--icon-hover-color)}:host._with-hover-color:hover .c-icon ::ng-deep [fill]:not([fill=none]){fill:var(--icon-hover-color)}}\n"], dependencies: [{ kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiIconButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'button[cuiIconButton][icon], a[cuiIconButton][icon]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<cui-svg\n  [icon]=\"icon\"\n  [width]=\"ICON_WIDTH\"\n  [height]=\"ICON_HEIGHT\"\n  [color]=\"color\"\n  [strokeWidth]=\"ICON_STROKE_WIDTH\"\n  class=\"c-icon\"\n></cui-svg>\n", styles: [":host{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex;justify-content:center;align-items:center;width:24px;height:24px}:host._with-hover-color:active .c-icon ::ng-deep [stroke]{stroke:var(--icon-hover-color)}:host._with-hover-color:active .c-icon ::ng-deep [fill]:not([fill=none]){fill:var(--icon-hover-color)}@media (hover: hover){:host._with-hover-color:hover .c-icon ::ng-deep [stroke]{stroke:var(--icon-hover-color)}:host._with-hover-color:hover .c-icon ::ng-deep [fill]:not([fill=none]){fill:var(--icon-hover-color)}}\n"] }]
        }], propDecorators: { icon: [{
                type: Input
            }], color: [{
                type: Input
            }], hoverColor: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['style.--icon-hover-color']
            }], isWithHoverColor: [{
                type: HostBinding,
                args: ['class._with-hover-color']
            }] } });

class CuiIconButtonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiIconButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiIconButtonModule, declarations: [CuiIconButtonComponent], imports: [CommonModule,
            CuiSvgModule], exports: [CuiIconButtonComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiIconButtonModule, imports: [CommonModule,
            CuiSvgModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiIconButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule
                    ],
                    declarations: [CuiIconButtonComponent],
                    exports: [CuiIconButtonComponent]
                }]
        }] });

class CuiTextFieldController {
    constructor(iconLeftDirective, idDirective, isErrorDirective, placeholderDirective, sizeDirective) {
        this.iconLeftDirective = iconLeftDirective;
        this.idDirective = idDirective;
        this.isErrorDirective = isErrorDirective;
        this.placeholderDirective = placeholderDirective;
        this.sizeDirective = sizeDirective;
    }
    get iconLeft() {
        return this.iconLeftDirective.iconLeft;
    }
    get id() {
        return this.idDirective.id;
    }
    get isError() {
        return this.isErrorDirective.isError;
    }
    get placeholder() {
        return this.placeholderDirective.placeholder;
    }
    get size() {
        return this.sizeDirective.size;
    }
}

const CUI_TEXT_FIELD_ICON_LEFT = new InjectionToken('', {
    factory: () => new CuiTextFieldIconLeftDirective()
});
class CuiTextFieldIconLeftDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldIconLeftDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTextFieldIconLeftDirective, selector: "[cuiTextFieldIconLeft]", inputs: { iconLeft: ["cuiTextFieldIconLeft", "iconLeft"] }, providers: [cuiProvide(CUI_TEXT_FIELD_ICON_LEFT, CuiTextFieldIconLeftDirective)], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldIconLeftDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiTextFieldIconLeft]',
                    providers: [cuiProvide(CUI_TEXT_FIELD_ICON_LEFT, CuiTextFieldIconLeftDirective)]
                }]
        }], propDecorators: { iconLeft: [{
                type: Input,
                args: ['cuiTextFieldIconLeft']
            }] } });

const CUI_TEXT_FIELD_ID = new InjectionToken('', {
    factory: () => new CuiTextFieldIdDirective()
});
class CuiTextFieldIdDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldIdDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTextFieldIdDirective, selector: "[cuiTextFieldId]", inputs: { id: ["cuiTextFieldId", "id"] }, providers: [cuiProvide(CUI_TEXT_FIELD_ID, CuiTextFieldIdDirective)], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldIdDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiTextFieldId]',
                    providers: [cuiProvide(CUI_TEXT_FIELD_ID, CuiTextFieldIdDirective)]
                }]
        }], propDecorators: { id: [{
                type: Input,
                args: ['cuiTextFieldId']
            }] } });

const CUI_TEXT_FIELD_IS_ERROR = new InjectionToken('', {
    factory: () => new CuiTextFieldIsErrorDirective()
});
class CuiTextFieldIsErrorDirective {
    constructor() {
        this.isError = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldIsErrorDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTextFieldIsErrorDirective, selector: "[cuiTextFieldIsError]", inputs: { isError: ["cuiTextFieldIsError", "isError"] }, providers: [cuiProvide(CUI_TEXT_FIELD_IS_ERROR, CuiTextFieldIsErrorDirective)], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldIsErrorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiTextFieldIsError]',
                    providers: [cuiProvide(CUI_TEXT_FIELD_IS_ERROR, CuiTextFieldIsErrorDirective)]
                }]
        }], propDecorators: { isError: [{
                type: Input,
                args: ['cuiTextFieldIsError']
            }] } });

const CUI_TEXT_FIELD_PLACEHOLDER = new InjectionToken('', {
    factory: () => new CuiTextFieldPlaceholderDirective()
});
class CuiTextFieldPlaceholderDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldPlaceholderDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTextFieldPlaceholderDirective, selector: "[cuiTextFieldPlaceholder]", inputs: { placeholder: ["cuiTextFieldPlaceholder", "placeholder"] }, providers: [cuiProvide(CUI_TEXT_FIELD_PLACEHOLDER, CuiTextFieldPlaceholderDirective)], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldPlaceholderDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiTextFieldPlaceholder]',
                    providers: [cuiProvide(CUI_TEXT_FIELD_PLACEHOLDER, CuiTextFieldPlaceholderDirective)]
                }]
        }], propDecorators: { placeholder: [{
                type: Input,
                args: ['cuiTextFieldPlaceholder']
            }] } });

const CUI_TEXT_FIELD_SIZE = new InjectionToken('', {
    factory: () => new CuiTextFieldSizeDirective()
});
class CuiTextFieldSizeDirective {
    constructor() {
        this.size = 'sm';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldSizeDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.13", type: CuiTextFieldSizeDirective, selector: "[cuiTextFieldSize]", inputs: { size: ["cuiTextFieldSize", "size"] }, providers: [cuiProvide(CUI_TEXT_FIELD_SIZE, CuiTextFieldSizeDirective)], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldSizeDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[cuiTextFieldSize]',
                    providers: [cuiProvide(CUI_TEXT_FIELD_SIZE, CuiTextFieldSizeDirective)]
                }]
        }], propDecorators: { size: [{
                type: Input,
                args: ['cuiTextFieldSize']
            }] } });

class CuiTextFieldControllerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldControllerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldControllerModule, declarations: [CuiTextFieldIconLeftDirective,
            CuiTextFieldIdDirective,
            CuiTextFieldPlaceholderDirective,
            CuiTextFieldIsErrorDirective,
            CuiTextFieldSizeDirective], exports: [CuiTextFieldIconLeftDirective,
            CuiTextFieldIdDirective,
            CuiTextFieldPlaceholderDirective,
            CuiTextFieldIsErrorDirective,
            CuiTextFieldSizeDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldControllerModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextFieldControllerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CuiTextFieldIconLeftDirective,
                        CuiTextFieldIdDirective,
                        CuiTextFieldPlaceholderDirective,
                        CuiTextFieldIsErrorDirective,
                        CuiTextFieldSizeDirective
                    ],
                    exports: [
                        CuiTextFieldIconLeftDirective,
                        CuiTextFieldIdDirective,
                        CuiTextFieldPlaceholderDirective,
                        CuiTextFieldIsErrorDirective,
                        CuiTextFieldSizeDirective
                    ]
                }]
        }] });

const CUI_TEXT_FIELD_CONTROLLER = new InjectionToken('');
const CUI_TEXT_FILED_CONTROLLER_PROVIDER = [
    {
        provide: CUI_TEXT_FIELD_CONTROLLER,
        useFactory: (...controllers) => {
            return new CuiTextFieldController(...controllers);
        },
        deps: [
            CUI_TEXT_FIELD_ICON_LEFT,
            CUI_TEXT_FIELD_ID,
            CUI_TEXT_FIELD_IS_ERROR,
            CUI_TEXT_FIELD_PLACEHOLDER,
            CUI_TEXT_FIELD_SIZE
        ]
    }
];

class CuiInputNumberComponent {
    constructor() {
        this.changeDetectorRef = inject(ChangeDetectorRef);
        this.cuiTextFieldController = inject(CUI_TEXT_FIELD_CONTROLLER);
        this.maskOptions = this.generateMask();
        this._precision = 0;
        this._min = Number.MIN_SAFE_INTEGER;
        this._max = Number.MAX_SAFE_INTEGER;
    }
    set precision(value) {
        this._precision = value;
        this.maskOptions = this.generateMask();
    }
    set min(value) {
        this._min = value;
        this.maskOptions = this.generateMask();
    }
    set max(value) {
        this._max = value;
        this.maskOptions = this.generateMask();
    }
    get id() {
        return this.cuiTextFieldController.id;
    }
    get placeholder() {
        return this.cuiTextFieldController.placeholder;
    }
    get iconLeft() {
        return this.cuiTextFieldController.iconLeft;
    }
    get size() {
        return this.cuiTextFieldController.size;
    }
    get isError() {
        return this.cuiTextFieldController.isError;
    }
    writeValue(value) {
        this.value = value?.toString();
        this.changeDetectorRef.markForCheck();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
        this.changeDetectorRef.markForCheck();
    }
    onInput({ target }) {
        this.changeModel(target.value);
    }
    onFocus() {
        this.input.nativeElement.focus();
    }
    changeModel(value) {
        const parsedValue = maskitoParseNumber(value);
        this.value = value;
        this.onChange(Number.isNaN(parsedValue) ? null : parsedValue);
    }
    generateMask() {
        return maskitoNumberOptionsGenerator({
            precision: this._precision,
            min: this._min,
            max: this._max
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputNumberComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiInputNumberComponent, selector: "cui-input-number", inputs: { precision: "precision", min: "min", max: "max" }, host: { listeners: { "click": "onFocus()" }, properties: { "class._disabled": "this.isDisabled", "attr.data-size": "this.size", "class._with-error": "this.isError" } }, providers: [
            CUI_TEXT_FILED_CONTROLLER_PROVIDER,
            cuiProvide(NG_VALUE_ACCESSOR, CuiInputNumberComponent, true)
        ], viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: "<cui-svg\n  *ngIf=\"iconLeft\"\n  [icon]=\"iconLeft\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  #input\n  [ngModel]=\"value\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  type=\"text\"\n  [maskito]=\"maskOptions\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>\n\n", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.MaskitoDirective, selector: "[maskito]", inputs: ["maskito", "maskitoElement"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputNumberComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-input-number', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        CUI_TEXT_FILED_CONTROLLER_PROVIDER,
                        cuiProvide(NG_VALUE_ACCESSOR, CuiInputNumberComponent, true)
                    ], template: "<cui-svg\n  *ngIf=\"iconLeft\"\n  [icon]=\"iconLeft\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  #input\n  [ngModel]=\"value\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  type=\"text\"\n  [maskito]=\"maskOptions\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>\n\n", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}\n"] }]
        }], propDecorators: { precision: [{
                type: Input
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], isDisabled: [{
                type: HostBinding,
                args: ['class._disabled']
            }], input: [{
                type: ViewChild,
                args: ['input']
            }], size: [{
                type: HostBinding,
                args: ['attr.data-size']
            }], isError: [{
                type: HostBinding,
                args: ['class._with-error']
            }], onFocus: [{
                type: HostListener,
                args: ['click']
            }] } });

class CuiInputNumberModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputNumberModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiInputNumberModule, declarations: [CuiInputNumberComponent], imports: [CommonModule,
            FormsModule,
            MaskitoDirective,
            CuiSvgModule], exports: [CuiInputNumberComponent,
            CuiTextFieldControllerModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputNumberModule, imports: [CommonModule,
            FormsModule,
            CuiSvgModule, CuiTextFieldControllerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputNumberModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        MaskitoDirective,
                        CuiSvgModule,
                    ],
                    declarations: [CuiInputNumberComponent],
                    exports: [
                        CuiInputNumberComponent,
                        CuiTextFieldControllerModule
                    ]
                }]
        }] });

class CuiContentWrapperComponent {
    constructor() {
        this.DEFAULT_BACKGROUND_COLOR = 'var(--cui-base-0)';
        this.DEFAULT_GAP = 8;
        this.backgroundColor = input(this.DEFAULT_BACKGROUND_COLOR);
        this.gap = input(this.DEFAULT_GAP);
    }
    get _backgroundColor() {
        return this.backgroundColor();
    }
    get _gap() {
        return this.gap();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContentWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiContentWrapperComponent, isStandalone: true, selector: "cui-content-wrapper, [cuiContentWrapper]", inputs: { backgroundColor: { classPropertyName: "backgroundColor", publicName: "backgroundColor", isSignal: true, isRequired: false, transformFunction: null }, gap: { classPropertyName: "gap", publicName: "gap", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "style.background": "this._backgroundColor", "style.gap.px": "this._gap" } }, ngImport: i0, template: "<ng-content />\n", styles: [":host{padding:16px;display:flex;flex-direction:column;gap:16px;border-radius:8px}:host:empty{display:contents}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiContentWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-content-wrapper, [cuiContentWrapper]', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content />\n", styles: [":host{padding:16px;display:flex;flex-direction:column;gap:16px;border-radius:8px}:host:empty{display:contents}\n"] }]
        }], propDecorators: { _backgroundColor: [{
                type: HostBinding,
                args: ['style.background']
            }], _gap: [{
                type: HostBinding,
                args: ['style.gap.px']
            }] } });

class CuiGhostInputComponent {
    constructor() {
        this.isError = input(false, { transform: booleanAttribute });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiGhostInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiGhostInputComponent, isStandalone: true, selector: "input [cuiGhostInput]", inputs: { isError: { classPropertyName: "isError", publicName: "isError", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class._with-error": "isError()" } }, ngImport: i0, template: '', isInline: true, styles: [":host{padding-right:3px;padding-left:3px;width:100%;border:1px solid transparent;border-radius:8px;outline:none;background:none}:host:focus-visible{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host:disabled{opacity:.5}:host::placeholder{color:var(--cui-base-400)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-visible{box-shadow:0 0 0 2px #d92d2040}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiGhostInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input [cuiGhostInput]', standalone: true, template: '', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._with-error]': 'isError()'
                    }, styles: [":host{padding-right:3px;padding-left:3px;width:100%;border:1px solid transparent;border-radius:8px;outline:none;background:none}:host:focus-visible{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host:disabled{opacity:.5}:host::placeholder{color:var(--cui-base-400)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-visible{box-shadow:0 0 0 2px #d92d2040}\n"] }]
        }] });

class CuiInputPasswordComponent {
    constructor() {
        this.changeDetectorRef = inject(ChangeDetectorRef);
        this.cuiTextFieldController = inject(CUI_TEXT_FIELD_CONTROLLER);
        this.isPasswordHidden = true;
    }
    get id() {
        return this.cuiTextFieldController.id;
    }
    get placeholder() {
        return this.cuiTextFieldController.placeholder;
    }
    get iconLeft() {
        return this.cuiTextFieldController.iconLeft;
    }
    get isToggleButtonShown() {
        return !this.isDisabled;
    }
    get icon() {
        return this.isPasswordHidden ? 'cuiIconEye' : 'cuiIconEyeOff';
    }
    get type() {
        return this.isPasswordHidden ? 'password' : 'text';
    }
    get buttonTitle() {
        return this.isPasswordHidden ? 'Reveal password' : 'Hide password';
    }
    get size() {
        return this.cuiTextFieldController.size;
    }
    get isError() {
        return this.cuiTextFieldController.isError;
    }
    writeValue(value) {
        this.value = value;
        this.changeDetectorRef.markForCheck();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
        if (this.isDisabled) {
            this.isPasswordHidden = true;
        }
        this.changeDetectorRef.markForCheck();
    }
    onInput({ target }) {
        const value = target.value;
        this.value = value;
        this.onChange(value);
    }
    onTogglePasswordVisibility() {
        this.isPasswordHidden = !this.isPasswordHidden;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputPasswordComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiInputPasswordComponent, selector: "cui-input-password", host: { properties: { "class._disabled": "this.isDisabled", "attr.data-size": "this.size", "class._with-error": "this.isError" } }, providers: [
            CUI_TEXT_FILED_CONTROLLER_PROVIDER,
            cuiProvide(NG_VALUE_ACCESSOR, CuiInputPasswordComponent, true)
        ], ngImport: i0, template: "<cui-svg\n  *ngIf=\"iconLeft\"\n  [icon]=\"iconLeft\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  [ngModel]=\"value\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  [type]=\"type\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>\n<button\n  *ngIf=\"isToggleButtonShown\"\n  [title]=\"buttonTitle\"\n  class=\"c-button\"\n  (click)=\"onTogglePasswordVisibility()\"\n>\n  <cui-svg\n    [icon]=\"icon\"\n    [width]=\"16\"\n    [height]=\"16\"\n    color=\"var(--cui-base-500)\"\n  ></cui-svg>\n</button>\n", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}.c-input::-ms-reveal{display:none}.c-input[type=password]{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputPasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-input-password', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        CUI_TEXT_FILED_CONTROLLER_PROVIDER,
                        cuiProvide(NG_VALUE_ACCESSOR, CuiInputPasswordComponent, true)
                    ], template: "<cui-svg\n  *ngIf=\"iconLeft\"\n  [icon]=\"iconLeft\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  [ngModel]=\"value\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  [type]=\"type\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>\n<button\n  *ngIf=\"isToggleButtonShown\"\n  [title]=\"buttonTitle\"\n  class=\"c-button\"\n  (click)=\"onTogglePasswordVisibility()\"\n>\n  <cui-svg\n    [icon]=\"icon\"\n    [width]=\"16\"\n    [height]=\"16\"\n    color=\"var(--cui-base-500)\"\n  ></cui-svg>\n</button>\n", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}.c-input::-ms-reveal{display:none}.c-input[type=password]{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent}\n"] }]
        }], propDecorators: { isDisabled: [{
                type: HostBinding,
                args: ['class._disabled']
            }], size: [{
                type: HostBinding,
                args: ['attr.data-size']
            }], isError: [{
                type: HostBinding,
                args: ['class._with-error']
            }] } });

class CuiInputPasswordModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputPasswordModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiInputPasswordModule, declarations: [CuiInputPasswordComponent], imports: [CommonModule,
            FormsModule,
            CuiSvgModule], exports: [CuiInputPasswordComponent,
            CuiTextFieldControllerModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputPasswordModule, imports: [CommonModule,
            FormsModule,
            CuiSvgModule, CuiTextFieldControllerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputPasswordModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        CuiSvgModule
                    ],
                    declarations: [CuiInputPasswordComponent],
                    exports: [
                        CuiInputPasswordComponent,
                        CuiTextFieldControllerModule
                    ]
                }]
        }] });

class CuiInputTextComponent {
    constructor() {
        this.changeDetectorRef = inject(ChangeDetectorRef);
        this.cuiTextFieldController = inject(CUI_TEXT_FIELD_CONTROLLER);
    }
    get id() {
        return this.cuiTextFieldController.id;
    }
    get placeholder() {
        return this.cuiTextFieldController.placeholder;
    }
    get iconLeft() {
        return this.cuiTextFieldController.iconLeft;
    }
    get isClearButtonHidden() {
        return !(this.value && !this.isDisabled);
    }
    get size() {
        return this.cuiTextFieldController.size;
    }
    get isError() {
        return this.cuiTextFieldController.isError;
    }
    writeValue(value) {
        this.value = value;
        this.changeDetectorRef.markForCheck();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
        this.changeDetectorRef.markForCheck();
    }
    onInput({ target }) {
        this.changeModel(target.value);
    }
    onClear() {
        this.changeModel('');
    }
    onFocus() {
        this.input.nativeElement.focus();
    }
    changeModel(value) {
        this.value = value;
        this.onChange(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiInputTextComponent, selector: "cui-input-text", host: { listeners: { "click": "onFocus()" }, properties: { "class._disabled": "this.isDisabled", "attr.data-size": "this.size", "class._with-error": "this.isError" } }, providers: [
            CUI_TEXT_FILED_CONTROLLER_PROVIDER,
            cuiProvide(NG_VALUE_ACCESSOR, CuiInputTextComponent, true)
        ], viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: "<cui-svg\n  *ngIf=\"iconLeft\"\n  [icon]=\"iconLeft\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  #input\n  [ngModel]=\"value\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  type=\"text\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>\n<button\n  type=\"button\"\n  class=\"c-button\"\n  [class.c-button_hidden]=\"isClearButtonHidden\"\n  (click)=\"onClear()\"\n>\n  <cui-svg\n    icon=\"cuiIconClear\"\n    color=\"var(--cui-base-300)\"\n    class=\"c-close-icon\"\n  />\n</button>\n", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}.c-close-icon ::ng-deep path{stroke:var(--cui-base-0)!important}.c-button_hidden{visibility:hidden}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-input-text', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        CUI_TEXT_FILED_CONTROLLER_PROVIDER,
                        cuiProvide(NG_VALUE_ACCESSOR, CuiInputTextComponent, true)
                    ], template: "<cui-svg\n  *ngIf=\"iconLeft\"\n  [icon]=\"iconLeft\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  #input\n  [ngModel]=\"value\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  type=\"text\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>\n<button\n  type=\"button\"\n  class=\"c-button\"\n  [class.c-button_hidden]=\"isClearButtonHidden\"\n  (click)=\"onClear()\"\n>\n  <cui-svg\n    icon=\"cuiIconClear\"\n    color=\"var(--cui-base-300)\"\n    class=\"c-close-icon\"\n  />\n</button>\n", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}.c-close-icon ::ng-deep path{stroke:var(--cui-base-0)!important}.c-button_hidden{visibility:hidden}\n"] }]
        }], propDecorators: { isDisabled: [{
                type: HostBinding,
                args: ['class._disabled']
            }], input: [{
                type: ViewChild,
                args: ['input']
            }], size: [{
                type: HostBinding,
                args: ['attr.data-size']
            }], isError: [{
                type: HostBinding,
                args: ['class._with-error']
            }], onFocus: [{
                type: HostListener,
                args: ['click']
            }] } });

class CuiInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiInputModule, declarations: [CuiInputTextComponent], imports: [CommonModule,
            FormsModule,
            CuiSvgModule], exports: [CuiInputTextComponent,
            CuiTextFieldControllerModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputModule, imports: [CommonModule,
            FormsModule,
            CuiSvgModule, CuiTextFieldControllerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        CuiSvgModule
                    ],
                    declarations: [CuiInputTextComponent],
                    exports: [
                        CuiInputTextComponent,
                        CuiTextFieldControllerModule
                    ]
                }]
        }] });

const CUI_INPUT_TIME_DEFAULT_OPTIONS = {
    mode: 'HH:MM'
};
const CUI_INPUT_TIME_OPTIONS = new InjectionToken('', {
    factory: () => CUI_INPUT_TIME_DEFAULT_OPTIONS
});

class CuiInputTimeComponent {
    constructor() {
        this.changeDetectorRef = inject(ChangeDetectorRef);
        this.cuiTextFieldController = inject(CUI_TEXT_FIELD_CONTROLLER);
        this.options = inject(CUI_INPUT_TIME_OPTIONS);
        this._mode = this.options.mode;
        this.maskOptions = this.generateMask(this._mode);
        this.defaultPlaceholder = this._mode.toLowerCase();
    }
    set mode(value) {
        this._mode = value;
        this.maskOptions = this.generateMask(value);
        this.defaultPlaceholder = value.toLowerCase();
    }
    get id() {
        return this.cuiTextFieldController.id;
    }
    get placeholder() {
        return this.cuiTextFieldController.placeholder ?? this.defaultPlaceholder;
    }
    get computedValue() {
        return this.value ? this.value.toString(this._mode) : '';
    }
    get size() {
        return this.cuiTextFieldController.size;
    }
    get isError() {
        return this.cuiTextFieldController.isError;
    }
    writeValue(value) {
        this.value = value;
        this.changeDetectorRef.markForCheck();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
        this.changeDetectorRef.markForCheck();
    }
    onInput(event) {
        const value = event.target.value;
        if (value.length !== this._mode.length) {
            this.onChange(null);
            return;
        }
        const time = CuiTime.fromString(value);
        this.onChange(time);
    }
    onFocus() {
        this.input.nativeElement.focus();
    }
    generateMask(mode) {
        return maskitoTimeOptionsGenerator({ mode });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTimeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiInputTimeComponent, selector: "cui-input-time", inputs: { mode: "mode" }, host: { listeners: { "click": "onFocus()" }, properties: { "class._disabled": "this.isDisabled", "attr.data-size": "this.size", "class._with-error": "this.isError" } }, providers: [
            CUI_TEXT_FILED_CONTROLLER_PROVIDER,
            cuiProvide(NG_VALUE_ACCESSOR, CuiInputTimeComponent, true)
        ], viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: "<cui-svg\n  icon=\"cuiIconClock\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  #input\n  [ngModel]=\"computedValue\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  type=\"text\"\n  [maskito]=\"maskOptions\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}\n"], dependencies: [{ kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.MaskitoDirective, selector: "[maskito]", inputs: ["maskito", "maskitoElement"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-input-time', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        CUI_TEXT_FILED_CONTROLLER_PROVIDER,
                        cuiProvide(NG_VALUE_ACCESSOR, CuiInputTimeComponent, true)
                    ], template: "<cui-svg\n  icon=\"cuiIconClock\"\n  color=\"var(--cui-base-500)\"\n></cui-svg>\n<input\n  #input\n  [ngModel]=\"computedValue\"\n  [attr.id]=\"id\"\n  [attr.placeholder]=\"placeholder\"\n  type=\"text\"\n  [maskito]=\"maskOptions\"\n  [disabled]=\"isDisabled\"\n  class=\"c-input\"\n  (input)=\"onInput($event)\"\n  (focus)=\"onTouched()\"\n>", styles: [":host{padding-right:13px;padding-left:13px;font-weight:400;font-size:14px;line-height:20px;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;cursor:text;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus-within{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host[data-size=sm]{padding-top:7px;padding-bottom:7px}:host[data-size=md]{padding-top:8px;padding-bottom:8px}:host._disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus-within{box-shadow:0 0 0 2px #d92d2040}.c-input{padding:0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;background:none;color:inherit;font:inherit;line-height:inherit;width:100%}.c-input:disabled{cursor:not-allowed}.c-input::placeholder{color:var(--cui-base-400)}.c-button{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;display:flex}\n"] }]
        }], propDecorators: { mode: [{
                type: Input
            }], isDisabled: [{
                type: HostBinding,
                args: ['class._disabled']
            }], input: [{
                type: ViewChild,
                args: ['input']
            }], size: [{
                type: HostBinding,
                args: ['attr.data-size']
            }], isError: [{
                type: HostBinding,
                args: ['class._with-error']
            }], onFocus: [{
                type: HostListener,
                args: ['click']
            }] } });

class CuiInputTimeModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTimeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTimeModule, declarations: [CuiInputTimeComponent], imports: [CommonModule,
            FormsModule,
            MaskitoDirective,
            CuiSvgModule], exports: [CuiInputTimeComponent,
            CuiTextFieldControllerModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTimeModule, imports: [CommonModule,
            FormsModule,
            CuiSvgModule, CuiTextFieldControllerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiInputTimeModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        MaskitoDirective,
                        CuiSvgModule
                    ],
                    declarations: [CuiInputTimeComponent],
                    exports: [
                        CuiInputTimeComponent,
                        CuiTextFieldControllerModule
                    ]
                }]
        }] });

class CuiLabelComponent {
    constructor() {
        this.isRequired = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiLabelComponent, selector: "label[cuiLabel]", inputs: { isRequired: "isRequired" }, ngImport: i0, template: "<span class=\"c-wrapper\">\n  <ng-content></ng-content>\n</span>\n<span\n  *ngIf=\"isRequired\"\n  class=\"c-star\"\n>\n  *\n</span>\n", styles: [":host{font-weight:500;font-size:14px;line-height:20px;display:inline-flex;gap:2px;width:fit-content;color:var(--cui-base-900);font-family:var(--cui-main-font)}.c-wrapper{display:inline-flex;align-items:center;gap:8px}.c-star{color:var(--cui-danger)}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'label[cuiLabel]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span class=\"c-wrapper\">\n  <ng-content></ng-content>\n</span>\n<span\n  *ngIf=\"isRequired\"\n  class=\"c-star\"\n>\n  *\n</span>\n", styles: [":host{font-weight:500;font-size:14px;line-height:20px;display:inline-flex;gap:2px;width:fit-content;color:var(--cui-base-900);font-family:var(--cui-main-font)}.c-wrapper{display:inline-flex;align-items:center;gap:8px}.c-star{color:var(--cui-danger)}\n"] }]
        }], propDecorators: { isRequired: [{
                type: Input
            }] } });

class CuiLabelModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLabelModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiLabelModule, declarations: [CuiLabelComponent], imports: [CommonModule], exports: [CuiLabelComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLabelModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLabelModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [CuiLabelComponent],
                    exports: [CuiLabelComponent]
                }]
        }] });

class CuiLetterBoxComponent {
    constructor() {
        this.DEFAULT_BACKGROUND_COLOR = 'var(--cui-magenta-500)';
        this.size = 'sm';
        this.shape = null;
    }
    get _backgroundColor() {
        return this.backgroundColor ?? this.DEFAULT_BACKGROUND_COLOR;
    }
    get _size() {
        return this.size;
    }
    get _shape() {
        return this.shape;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLetterBoxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiLetterBoxComponent, isStandalone: true, selector: "cui-letter-box", inputs: { letter: "letter", backgroundColor: "backgroundColor", size: "size", shape: "shape" }, host: { properties: { "style.background-color": "this._backgroundColor", "attr.data-size": "this._size", "attr.data-shape": "this._shape" } }, ngImport: i0, template: "{{ letter }}\n", styles: [":host{font-weight:600;flex-shrink:0;display:inline-flex;justify-content:center;align-items:center;border-radius:4px;color:var(--cui-gray-0);text-transform:uppercase}:host[data-size=sm]{font-size:12px;line-height:14px;padding-right:4px;padding-left:4px;min-width:18px;height:18px}:host[data-size=md]{font-size:14px;line-height:20px;min-width:24px;height:24px}:host[data-shape=rounded]{padding:0;border-radius:50%}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLetterBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-letter-box', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "{{ letter }}\n", styles: [":host{font-weight:600;flex-shrink:0;display:inline-flex;justify-content:center;align-items:center;border-radius:4px;color:var(--cui-gray-0);text-transform:uppercase}:host[data-size=sm]{font-size:12px;line-height:14px;padding-right:4px;padding-left:4px;min-width:18px;height:18px}:host[data-size=md]{font-size:14px;line-height:20px;min-width:24px;height:24px}:host[data-shape=rounded]{padding:0;border-radius:50%}\n"] }]
        }], propDecorators: { letter: [{
                type: Input,
                args: [{ required: true }]
            }], backgroundColor: [{
                type: Input
            }], size: [{
                type: Input
            }], shape: [{
                type: Input
            }], _backgroundColor: [{
                type: HostBinding,
                args: ['style.background-color']
            }], _size: [{
                type: HostBinding,
                args: ['attr.data-size']
            }], _shape: [{
                type: HostBinding,
                args: ['attr.data-shape']
            }] } });

class CuiRadioComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRadioComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiRadioComponent, selector: "input[type=\"radio\"][cuiRadio]", ngImport: i0, template: '', isInline: true, styles: [":host{position:relative;width:16px;height:16px;border:1px solid var(--cui-base-200);border-radius:50%;outline:none;margin:0;appearance:none;cursor:pointer;background:var(--cui-base-0)}:host:before{content:\"\";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:10px;height:10px;border-radius:50%}:host:focus{box-shadow:0 0 0 2px var(--cui-focus)}@media (hover: hover){:host:hover{border-color:var(--cui-base-400)}}:host:active{border-color:var(--cui-base-400);box-shadow:none}:host:checked{border:2px solid var(--cui-info)}:host:checked:before{background:var(--cui-info)}:host:disabled{cursor:not-allowed;border:1px solid var(--cui-base-200);background:var(--cui-base-100)}:host:disabled:checked{border-width:2px}:host:disabled:checked:before{background:var(--cui-base-200)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRadioComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input[type="radio"][cuiRadio]', template: '', changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host{position:relative;width:16px;height:16px;border:1px solid var(--cui-base-200);border-radius:50%;outline:none;margin:0;appearance:none;cursor:pointer;background:var(--cui-base-0)}:host:before{content:\"\";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:10px;height:10px;border-radius:50%}:host:focus{box-shadow:0 0 0 2px var(--cui-focus)}@media (hover: hover){:host:hover{border-color:var(--cui-base-400)}}:host:active{border-color:var(--cui-base-400);box-shadow:none}:host:checked{border:2px solid var(--cui-info)}:host:checked:before{background:var(--cui-info)}:host:disabled{cursor:not-allowed;border:1px solid var(--cui-base-200);background:var(--cui-base-100)}:host:disabled:checked{border-width:2px}:host:disabled:checked:before{background:var(--cui-base-200)}\n"] }]
        }] });

class CuiRadioModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRadioModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiRadioModule, declarations: [CuiRadioComponent], exports: [CuiRadioComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRadioModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRadioModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiRadioComponent],
                    exports: [CuiRadioComponent]
                }]
        }] });

class CuiSelectComponent {
    constructor() {
        this.element = inject(ElementRef).nativeElement;
        this.document = inject(DOCUMENT);
        this.changeDetectorRef = inject(ChangeDetectorRef);
        this.viewContainerRef = inject(ViewContainerRef);
        this.destroy$ = inject(CuiDestroyService, { self: true });
        this.cuiTextFieldController = inject(CUI_TEXT_FIELD_CONTROLLER);
        this.cuiClickOutsideDirective = inject(CuiClickOutsideDirective, { self: true });
        this.SPACE_BETWEEN_BUTTON_AND_OPTIONS = 3;
        this.isOpened = false;
        this.isOptionsListAbove = false;
        this.gap = `${this.SPACE_BETWEEN_BUTTON_AND_OPTIONS}px`;
    }
    get id() {
        return this.cuiTextFieldController.id;
    }
    get size() {
        return this.cuiTextFieldController.size;
    }
    get placeholder() {
        return this.cuiTextFieldController.placeholder;
    }
    get isError() {
        return this.cuiTextFieldController.isError;
    }
    trackByFn(_, item) {
        return item.label;
    }
    writeValue(value) {
        this.value = value;
        // TODO: Непонятно, зачем нужно в construction вторая часть выражения
        this.selectedOption = this.options.find(option => option.value === value) ?? value;
        this.changeDetectorRef.markForCheck();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    ngOnInit() {
        this.initClickOutsideSubscription();
    }
    ngOnDestroy() {
        this.clearViewContainerRef();
    }
    setDisabledState(isDisabled) {
        this.isDisabled = isDisabled;
        this.changeDetectorRef.markForCheck();
    }
    onSelect(event, option) {
        event.stopPropagation();
        if (option.isDisabled) {
            return;
        }
        this.value = option.value;
        this.selectedOption = option;
        this.onChange(this.value);
        this.onSwitch();
        this.onTouched();
        this.changeDetectorRef.markForCheck();
    }
    onSwitch() {
        if (!this.options.length && !this.defaultOptionText) {
            return;
        }
        if (!this.isOpened) {
            this.open();
            return;
        }
        this.close();
    }
    onClose() {
        this.close();
    }
    onWindowResize() {
        this.button.nativeElement.blur();
        this.close();
    }
    initClickOutsideSubscription() {
        this.cuiClickOutsideDirective.cuiClickOutside
            .pipe(takeUntil(this.destroy$))
            .subscribe(() => {
            if (this.isOpened) {
                this.onTouched();
            }
            this.close();
        });
    }
    open() {
        this.isOpened = true;
        const rootElement = this.document.querySelector(CUI_ROOT_SELECTOR);
        const { top: elementRectTop, left: elementRectLeft, bottom: elementRectBottom } = this.element.getBoundingClientRect();
        const distanceToBottom = this.document.documentElement.clientHeight
            - (elementRectBottom + this.SPACE_BETWEEN_BUTTON_AND_OPTIONS);
        const embeddedViewRef = this.viewContainerRef.createEmbeddedView(this.optionsWrapper);
        const node = embeddedViewRef.rootNodes[0];
        const nodeStyles = node.style;
        this.isOptionsListAbove = distanceToBottom < this.getOptionsListHeightContainer.nativeElement.offsetHeight;
        embeddedViewRef.detectChanges();
        nodeStyles.width = this.element.offsetWidth + 'px';
        nodeStyles.left = window.scrollX + elementRectLeft + 'px';
        if (this.isOptionsListAbove) {
            nodeStyles.top = window.scrollY + elementRectTop
                - this.getOptionsListHeightContainer.nativeElement.offsetHeight
                - this.SPACE_BETWEEN_BUTTON_AND_OPTIONS
                + 'px';
        }
        else {
            nodeStyles.top = window.scrollY + elementRectBottom + this.SPACE_BETWEEN_BUTTON_AND_OPTIONS + 'px';
        }
        rootElement.appendChild(this.viewContainerRef.createEmbeddedView(this.backdrop).rootNodes[0]);
        rootElement.appendChild(embeddedViewRef.rootNodes[0]);
    }
    close() {
        this.isOpened = false;
        this.clearViewContainerRef();
    }
    clearViewContainerRef() {
        this.viewContainerRef.clear();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiSelectComponent, selector: "cui-select[options]", inputs: { options: "options", defaultOptionText: "defaultOptionText" }, host: { listeners: { "window:resize": "onWindowResize()" }, properties: { "style.--c-gap": "this.gap" } }, providers: [
            CUI_TEXT_FILED_CONTROLLER_PROVIDER,
            cuiProvide(NG_VALUE_ACCESSOR, CuiSelectComponent, true),
            CuiDestroyService
        ], viewQueries: [{ propertyName: "button", first: true, predicate: ["button"], descendants: true }, { propertyName: "getOptionsListHeightContainer", first: true, predicate: ["getOptionsListHeightContainer"], descendants: true }, { propertyName: "backdrop", first: true, predicate: ["backdrop"], descendants: true }, { propertyName: "optionsWrapper", first: true, predicate: ["optionsWrapper"], descendants: true }], hostDirectives: [{ directive: i1$1.CuiClickOutsideDirective }], ngImport: i0, template: "<button\n    #button\n    type=\"button\"\n    [attr.id]=\"id\"\n    [attr.data-size]=\"size\"\n    [disabled]=\"isDisabled\"\n    class=\"c-button\"\n    [class.c-button_active]=\"isOpened\"\n    [class.c-button_with-error]=\"isError\"\n    (click)=\"onSwitch()\"\n>\n  <ng-container *ngIf=\"selectedOption; else placeholderTemplate\">\n    {{ selectedOption.label }}\n  </ng-container>\n  <ng-template #placeholderTemplate>\n    <span class=\"c-placeholder\">{{ placeholder }}</span>\n  </ng-template>\n  <cui-svg\n    icon=\"cuiIconChevronDown\"\n    color=\"var(--cui-base-500)\"\n  />\n</button>\n<ng-template #backdrop>\n  <div class=\"c-backdrop\"></div>\n</ng-template>\n<ng-template #optionsWrapper>\n  <div\n    cuiFocusTrap\n    class=\"c-options__wrapper\"\n    [class.c-options__wrapper_top]=\"isOptionsListAbove\"\n  >\n    <ng-container *ngTemplateOutlet=\"optionsList\"/>\n  </div>\n</ng-template>\n<div\n    #getOptionsListHeightContainer\n    class=\"c-get-options-list-height-container\"\n>\n  <ng-container *ngTemplateOutlet=\"optionsList\"/>\n</div>\n<ng-template #optionsList>\n  <ul\n    class=\"c-options\"\n    [class.c-options_top]=\"isOptionsListAbove\"\n  >\n    <ng-container *ngIf=\"options.length; else empty\">\n      <li *ngFor=\"let option of options; trackBy: trackByFn\">\n        <button\n          type=\"button\"\n          class=\"c-option-button\"\n          [class.c-option-button_selected]=\"selectedOption === option\"\n          [disabled]=\"option.isDisabled\"\n          (click)=\"onSelect($event, option)\"\n        >\n          <span>{{ option.label }}</span>\n          <cui-svg\n            *ngIf=\"selectedOption === option\"\n            icon=\"cuiIconCheckSm\"\n            color=\"var(--cui-info)\"\n            class=\"c-option-button__icon\"\n          />\n        </button>\n      </li>\n    </ng-container>\n    <ng-template #empty>\n      <li *ngIf=\"defaultOptionText\">\n        <button\n          type=\"button\"\n          class=\"c-option-button\"\n          (click)=\"onClose()\"\n        >\n          {{ defaultOptionText }}\n        </button>\n      </li>\n    </ng-template>\n  </ul>\n</ng-template>\n", styles: [":host{display:block;font-family:var(--cui-main-font);position:relative}.c-button{border:0;flex-shrink:0;outline:none;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;padding:0 13px;font-weight:400;font-size:14px;line-height:20px;display:flex;justify-content:space-between;align-items:center;gap:8px;width:100%;border:1px solid var(--cui-base-200);border-radius:8px;cursor:pointer;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font);text-align:start}.c-button:hover{border-color:var(--cui-base-300)}.c-button_active.c-button_active,.c-button:focus{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}.c-button:disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}.c-button[data-size=sm]{padding-top:7px;padding-bottom:7px}.c-button[data-size=md]{padding-top:8px;padding-bottom:8px}.c-button_with-error{border-color:var(--cui-danger)}.c-button_with-error:focus{box-shadow:0 0 0 2px #d92d2040;border-color:var(--cui-danger)}.c-placeholder{color:var(--cui-base-400)}.c-backdrop{position:fixed;inset:0}.c-options__wrapper{position:absolute;font-family:var(--cui-main-font);z-index:1}.c-get-options-list-height-container{position:fixed;visibility:hidden}.c-options{padding:7px 0;margin:0;list-style:none;font-weight:400;font-size:14px;line-height:20px;box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;overflow:auto;max-height:180px;border:1px solid var(--cui-base-200);border-radius:8px;background:var(--cui-base-0);color:var(--cui-base-900)}.c-option-button{padding:8px 11px 8px 0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;padding:8px 11px;width:100%;display:flex;align-items:center;gap:12px;text-align:start}.c-option-button:active{background:var(--cui-base-50)}@media (hover: hover){.c-option-button:hover{background:var(--cui-base-50)}}.c-option-button_selected{background:var(--cui-base-50)}.c-option-button:disabled{background:unset;opacity:50%}.c-option-button__icon{margin-left:auto}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "directive", type: i1$1.CuiFocusTrapDirective, selector: "[cuiFocusTrap]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-select[options]', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        CUI_TEXT_FILED_CONTROLLER_PROVIDER,
                        cuiProvide(NG_VALUE_ACCESSOR, CuiSelectComponent, true),
                        CuiDestroyService
                    ], hostDirectives: [CuiClickOutsideDirective], template: "<button\n    #button\n    type=\"button\"\n    [attr.id]=\"id\"\n    [attr.data-size]=\"size\"\n    [disabled]=\"isDisabled\"\n    class=\"c-button\"\n    [class.c-button_active]=\"isOpened\"\n    [class.c-button_with-error]=\"isError\"\n    (click)=\"onSwitch()\"\n>\n  <ng-container *ngIf=\"selectedOption; else placeholderTemplate\">\n    {{ selectedOption.label }}\n  </ng-container>\n  <ng-template #placeholderTemplate>\n    <span class=\"c-placeholder\">{{ placeholder }}</span>\n  </ng-template>\n  <cui-svg\n    icon=\"cuiIconChevronDown\"\n    color=\"var(--cui-base-500)\"\n  />\n</button>\n<ng-template #backdrop>\n  <div class=\"c-backdrop\"></div>\n</ng-template>\n<ng-template #optionsWrapper>\n  <div\n    cuiFocusTrap\n    class=\"c-options__wrapper\"\n    [class.c-options__wrapper_top]=\"isOptionsListAbove\"\n  >\n    <ng-container *ngTemplateOutlet=\"optionsList\"/>\n  </div>\n</ng-template>\n<div\n    #getOptionsListHeightContainer\n    class=\"c-get-options-list-height-container\"\n>\n  <ng-container *ngTemplateOutlet=\"optionsList\"/>\n</div>\n<ng-template #optionsList>\n  <ul\n    class=\"c-options\"\n    [class.c-options_top]=\"isOptionsListAbove\"\n  >\n    <ng-container *ngIf=\"options.length; else empty\">\n      <li *ngFor=\"let option of options; trackBy: trackByFn\">\n        <button\n          type=\"button\"\n          class=\"c-option-button\"\n          [class.c-option-button_selected]=\"selectedOption === option\"\n          [disabled]=\"option.isDisabled\"\n          (click)=\"onSelect($event, option)\"\n        >\n          <span>{{ option.label }}</span>\n          <cui-svg\n            *ngIf=\"selectedOption === option\"\n            icon=\"cuiIconCheckSm\"\n            color=\"var(--cui-info)\"\n            class=\"c-option-button__icon\"\n          />\n        </button>\n      </li>\n    </ng-container>\n    <ng-template #empty>\n      <li *ngIf=\"defaultOptionText\">\n        <button\n          type=\"button\"\n          class=\"c-option-button\"\n          (click)=\"onClose()\"\n        >\n          {{ defaultOptionText }}\n        </button>\n      </li>\n    </ng-template>\n  </ul>\n</ng-template>\n", styles: [":host{display:block;font-family:var(--cui-main-font);position:relative}.c-button{border:0;flex-shrink:0;outline:none;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;padding:0 13px;font-weight:400;font-size:14px;line-height:20px;display:flex;justify-content:space-between;align-items:center;gap:8px;width:100%;border:1px solid var(--cui-base-200);border-radius:8px;cursor:pointer;background:var(--cui-input);color:var(--cui-base-900);font-family:var(--cui-main-font);text-align:start}.c-button:hover{border-color:var(--cui-base-300)}.c-button_active.c-button_active,.c-button:focus{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}.c-button:disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}.c-button[data-size=sm]{padding-top:7px;padding-bottom:7px}.c-button[data-size=md]{padding-top:8px;padding-bottom:8px}.c-button_with-error{border-color:var(--cui-danger)}.c-button_with-error:focus{box-shadow:0 0 0 2px #d92d2040;border-color:var(--cui-danger)}.c-placeholder{color:var(--cui-base-400)}.c-backdrop{position:fixed;inset:0}.c-options__wrapper{position:absolute;font-family:var(--cui-main-font);z-index:1}.c-get-options-list-height-container{position:fixed;visibility:hidden}.c-options{padding:7px 0;margin:0;list-style:none;font-weight:400;font-size:14px;line-height:20px;box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;overflow:auto;max-height:180px;border:1px solid var(--cui-base-200);border-radius:8px;background:var(--cui-base-0);color:var(--cui-base-900)}.c-option-button{padding:8px 11px 8px 0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;padding:8px 11px;width:100%;display:flex;align-items:center;gap:12px;text-align:start}.c-option-button:active{background:var(--cui-base-50)}@media (hover: hover){.c-option-button:hover{background:var(--cui-base-50)}}.c-option-button_selected{background:var(--cui-base-50)}.c-option-button:disabled{background:unset;opacity:50%}.c-option-button__icon{margin-left:auto}\n"] }]
        }], propDecorators: { options: [{
                type: Input
            }], defaultOptionText: [{
                type: Input
            }], button: [{
                type: ViewChild,
                args: ['button']
            }], getOptionsListHeightContainer: [{
                type: ViewChild,
                args: ['getOptionsListHeightContainer']
            }], backdrop: [{
                type: ViewChild,
                args: ['backdrop']
            }], optionsWrapper: [{
                type: ViewChild,
                args: ['optionsWrapper']
            }], gap: [{
                type: HostBinding,
                args: ['style.--c-gap']
            }], onWindowResize: [{
                type: HostListener,
                args: ['window:resize']
            }] } });

class CuiSelectModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectModule, declarations: [CuiSelectComponent], imports: [CommonModule,
            CuiSvgModule,
            CuiFocusTrapDirective], exports: [CuiSelectComponent,
            CuiTextFieldControllerModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectModule, imports: [CommonModule,
            CuiSvgModule, CuiTextFieldControllerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        CuiSvgModule,
                        CuiFocusTrapDirective
                    ],
                    declarations: [CuiSelectComponent],
                    exports: [
                        CuiSelectComponent,
                        CuiTextFieldControllerModule
                    ]
                }]
        }] });

class CuiEmptyStateComponent {
    constructor() {
        this.title = input();
        this.subtitle = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEmptyStateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiEmptyStateComponent, isStandalone: true, selector: "cui-empty-state, [cuiEmptyState]", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: false, transformFunction: null }, subtitle: { classPropertyName: "subtitle", publicName: "subtitle", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class._with-title": "!!this.title()" } }, ngImport: i0, template: "@if (title(); as title) {\n    <p class=\"title\">{{ title }}</p>\n}\n@if (subtitle(); as subtitle) {\n    <p class=\"subtitle\">{{ subtitle }}</p>\n}\n<ng-content />\n", styles: [":host{--padding-vertical: 24px;--padding-horizontal: 0;display:flex;flex-direction:column;gap:16px;align-items:center;justify-content:center;padding:16px;margin:auto;height:100%;text-align:center}:host._with-title{padding:var(--padding-vertical) var(--padding-horizontal)}.title,.subtitle{margin:0}.title{font-weight:500;font-size:16px;line-height:24px}.subtitle{font-weight:400;font-size:14px;line-height:20px;color:var(--cui-base-500)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEmptyStateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-empty-state, [cuiEmptyState]', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._with-title]': '!!this.title()'
                    }, template: "@if (title(); as title) {\n    <p class=\"title\">{{ title }}</p>\n}\n@if (subtitle(); as subtitle) {\n    <p class=\"subtitle\">{{ subtitle }}</p>\n}\n<ng-content />\n", styles: [":host{--padding-vertical: 24px;--padding-horizontal: 0;display:flex;flex-direction:column;gap:16px;align-items:center;justify-content:center;padding:16px;margin:auto;height:100%;text-align:center}:host._with-title{padding:var(--padding-vertical) var(--padding-horizontal)}.title,.subtitle{margin:0}.title{font-weight:500;font-size:16px;line-height:24px}.subtitle{font-weight:400;font-size:14px;line-height:20px;color:var(--cui-base-500)}\n"] }]
        }] });

const IS_SIDEBAR_OPENED_STORAGE_KEY = 'is-sidebar-opened';

class CuiRenderDynamicComponentsService {
    constructor() {
        this.dynamicComponentsSignal = signal([]);
        this.dynamicComponents = this.dynamicComponentsSignal.asReadonly();
    }
    open(dynamicComponent) {
        this.dynamicComponentsSignal.update((prevDynamicComponents) => [...prevDynamicComponents, dynamicComponent]);
    }
    closeLast() {
        this.dynamicComponentsSignal.update((prevDynamicComponents) => prevDynamicComponents.slice(0, -1));
    }
    closeAllExceptFirst() {
        this.dynamicComponentsSignal.update((prevDynamicComponents) => {
            const firstDynamicComponent = prevDynamicComponents[0];
            return firstDynamicComponent ? [firstDynamicComponent] : [];
        });
    }
    closeAll() {
        this.dynamicComponentsSignal.set([]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRenderDynamicComponentsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRenderDynamicComponentsService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRenderDynamicComponentsService, decorators: [{
            type: Injectable
        }] });

class CuiRenderDynamicComponentsComponent {
    constructor() {
        this.renderDynamicComponentsService = inject(CuiRenderDynamicComponentsService);
        this.dynamicComponents = this.renderDynamicComponentsService.dynamicComponents;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRenderDynamicComponentsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiRenderDynamicComponentsComponent, isStandalone: true, selector: "cui-render-dynamic-components", ngImport: i0, template: "@for (dynamicComponent of dynamicComponents(); let isLast = $last; track $index) {\n    <div\n        class=\"container\"\n        [class.container_hidden]=\"!isLast\"\n    >\n        <ng-container *ngComponentOutlet=\"dynamicComponent.component; inputs: dynamicComponent.inputs\" />\n    </div>\n}\n", styles: [":host{display:contents}.container{display:contents}.container_hidden{display:none}\n"], dependencies: [{ kind: "directive", type: NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiRenderDynamicComponentsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-render-dynamic-components', imports: [NgComponentOutlet], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "@for (dynamicComponent of dynamicComponents(); let isLast = $last; track $index) {\n    <div\n        class=\"container\"\n        [class.container_hidden]=\"!isLast\"\n    >\n        <ng-container *ngComponentOutlet=\"dynamicComponent.component; inputs: dynamicComponent.inputs\" />\n    </div>\n}\n", styles: [":host{display:contents}.container{display:contents}.container_hidden{display:none}\n"] }]
        }] });

class CuiSidebarService extends CuiRenderDynamicComponentsService {
    constructor() {
        super(...arguments);
        this.localStorage = inject(CUI_LOCAL_STORAGE);
        this.isOpenedSignal = signal(this.localStorage.getItem(IS_SIDEBAR_OPENED_STORAGE_KEY) === 'true');
        this.isHiddenSignal = signal(false);
        this.widthSignal = signal(0);
        this.isOpened = this.isOpenedSignal.asReadonly();
        this.isHidden = this.isHiddenSignal.asReadonly();
        this.width = this.widthSignal.asReadonly();
    }
    hide() {
        this.isHiddenSignal.set(true);
    }
    show() {
        this.isHiddenSignal.set(false);
    }
    switch() {
        this.isOpenedSignal.update((value) => !value);
        this.localStorage.setItem(IS_SIDEBAR_OPENED_STORAGE_KEY, this.isOpenedSignal().toString());
    }
    setWidth(value) {
        this.widthSignal.set(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarService, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class CuiSidebarHeaderComponent {
    constructor() {
        this.document = inject(DOCUMENT);
        this.sidebarService = inject(CuiSidebarService);
        this.isOpened = this.sidebarService.isOpened;
        this.buttonIcon = computed(() => this.isOpened() ? 'cuiIconChevronsLeft' : 'cuiIconChevronsRight');
        this.headerSlot = input.required();
    }
    onSwitch(event) {
        event.stopPropagation();
        this.document.body.click();
        this.sidebarService.switch();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiSidebarHeaderComponent, isStandalone: true, selector: "header[cuiSidebarHeader]", inputs: { headerSlot: { classPropertyName: "headerSlot", publicName: "headerSlot", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container [ngTemplateOutlet]=\"headerSlot()\" [ngTemplateOutletContext]=\"{ $implicit: isOpened() }\" />\n<button type=\"button\" class=\"button\" [class.button_opened]=\"isOpened()\" (click)=\"onSwitch($event)\">\n  <cui-svg [icon]=\"buttonIcon()\" color=\"var(--cui-base-500)\" />\n</button>", styles: [":host{display:flex;gap:8px;align-items:center;padding:8px 12px 22px;position:relative;border-bottom:1px solid var(--cui-base-200);margin-bottom:21px}.button{padding:6px;position:absolute;bottom:0;transform:translateY(calc(50% + .5px));display:flex;border-radius:50%;background:var(--cui-base-100)}.button_opened{right:0}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'header[cuiSidebarHeader]', imports: [CuiSvgModule, NgTemplateOutlet], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container [ngTemplateOutlet]=\"headerSlot()\" [ngTemplateOutletContext]=\"{ $implicit: isOpened() }\" />\n<button type=\"button\" class=\"button\" [class.button_opened]=\"isOpened()\" (click)=\"onSwitch($event)\">\n  <cui-svg [icon]=\"buttonIcon()\" color=\"var(--cui-base-500)\" />\n</button>", styles: [":host{display:flex;gap:8px;align-items:center;padding:8px 12px 22px;position:relative;border-bottom:1px solid var(--cui-base-200);margin-bottom:21px}.button{padding:6px;position:absolute;bottom:0;transform:translateY(calc(50% + .5px));display:flex;border-radius:50%;background:var(--cui-base-100)}.button_opened{right:0}\n"] }]
        }] });

class CuiSidebarContainerComponent {
    constructor() {
        this.sidebarService = inject(CuiSidebarService);
        this.isOpened = this.sidebarService.isOpened;
        this.isHidden = this.sidebarService.isHidden;
    }
    onResize(width) {
        this.sidebarService.setWidth(width);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiSidebarContainerComponent, isStandalone: true, selector: "cui-sidebar-container", host: { listeners: { "cuiResizeObserver": "onResize($event.width)" }, properties: { "class._opened": "isOpened()" } }, hostDirectives: [{ directive: i1$1.CuiDimensionsObserverDirective, outputs: ["cuiResizeObserver", "cuiResizeObserver"] }], ngImport: i0, template: "@if (!isHidden()) {\n    <ng-content />\n}\n", styles: [":host{padding:16px 7.5px 8px 8px;position:fixed;top:0;bottom:0;left:0;display:flex;flex-direction:column;border-right:.5px solid var(--cui-base-200);background:var(--cui-base-50)}:host._opened{width:240px}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-sidebar-container', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [
                        {
                            directive: CuiDimensionsObserverDirective,
                            outputs: ['cuiResizeObserver']
                        }
                    ], host: {
                        '(cuiResizeObserver)': 'onResize($event.width)',
                        '[class._opened]': 'isOpened()'
                    }, template: "@if (!isHidden()) {\n    <ng-content />\n}\n", styles: [":host{padding:16px 7.5px 8px 8px;position:fixed;top:0;bottom:0;left:0;display:flex;flex-direction:column;border-right:.5px solid var(--cui-base-200);background:var(--cui-base-50)}:host._opened{width:240px}\n"] }]
        }] });

class CuiSidebarNavigationComponent {
    constructor() {
        this.links = input.required();
        this.slot = input.required();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarNavigationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiSidebarNavigationComponent, isStandalone: true, selector: "cui-sidebar-navigation", inputs: { links: { classPropertyName: "links", publicName: "links", isSignal: true, isRequired: true, transformFunction: null }, slot: { classPropertyName: "slot", publicName: "slot", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<nav class=\"nav\">\n  <ul class=\"list\">\n    @for (link of links(); track link.text; let isLast = $last) {\n    <ng-container [ngTemplateOutlet]=\"slot()\" [ngTemplateOutletContext]=\"{ $implicit: link, isLast }\" />\n    }\n  </ul>\n</nav>", styles: [".nav{flex:1}.list{display:flex;flex-direction:column;gap:4px;height:100%}\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarNavigationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-sidebar-navigation', imports: [NgTemplateOutlet], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<nav class=\"nav\">\n  <ul class=\"list\">\n    @for (link of links(); track link.text; let isLast = $last) {\n    <ng-container [ngTemplateOutlet]=\"slot()\" [ngTemplateOutletContext]=\"{ $implicit: link, isLast }\" />\n    }\n  </ul>\n</nav>", styles: [".nav{flex:1}.list{display:flex;flex-direction:column;gap:4px;height:100%}\n"] }]
        }] });

class CuiSidebarNavigationItemComponent {
    constructor() {
        this.text = input.required();
        this.icon = input();
        this.active = input();
        this.isOpen = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarNavigationItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiSidebarNavigationItemComponent, isStandalone: true, selector: "[cuiSidebarNavigationItem]", inputs: { text: { classPropertyName: "text", publicName: "text", isSignal: true, isRequired: true, transformFunction: null }, icon: { classPropertyName: "icon", publicName: "icon", isSignal: true, isRequired: false, transformFunction: null }, active: { classPropertyName: "active", publicName: "active", isSignal: true, isRequired: false, transformFunction: null }, isOpen: { classPropertyName: "isOpen", publicName: "isOpen", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class._active": "active()" } }, ngImport: i0, template: "@if (icon(); as icon) {\n<cui-svg [icon]=\"icon\" color=\"var(--cui-base-500)\" />\n}\n@if (isOpen()) {\n{{ text() }}\n}", styles: [":host{padding:8px 12px;display:flex;gap:12px;width:100%;border-radius:8px}:host:active{background:var(--cui-base-100)}@media (hover: hover){:host:hover{background:var(--cui-base-100)}}:host._active{background:var(--cui-base-100)}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarNavigationItemComponent, decorators: [{
            type: Component,
            args: [{ selector: '[cuiSidebarNavigationItem]', imports: [CuiSvgModule], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._active]': 'active()'
                    }, template: "@if (icon(); as icon) {\n<cui-svg [icon]=\"icon\" color=\"var(--cui-base-500)\" />\n}\n@if (isOpen()) {\n{{ text() }}\n}", styles: [":host{padding:8px 12px;display:flex;gap:12px;width:100%;border-radius:8px}:host:active{background:var(--cui-base-100)}@media (hover: hover){:host:hover{background:var(--cui-base-100)}}:host._active{background:var(--cui-base-100)}\n"] }]
        }] });

class CuiSidebarNavigationContainerComponent {
    constructor() {
        this.slot = input.required();
        this.title = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarNavigationContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiSidebarNavigationContainerComponent, isStandalone: true, selector: "cui-sidebar-navigation-container", inputs: { slot: { classPropertyName: "slot", publicName: "slot", isSignal: true, isRequired: true, transformFunction: null }, title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "@if (title(); as title) {\n    <h3 class=\"title\">{{ title }}</h3>\n}\n\n<ng-container [ngTemplateOutlet]=\"slot()\" />\n", styles: [":host{display:flex;flex-direction:column;gap:4px}.title{padding:8px 12px;font-weight:400;font-size:14px;line-height:20px;color:var(--cui-base-500);text-transform:uppercase}\n"], dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSidebarNavigationContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-sidebar-navigation-container', imports: [NgTemplateOutlet], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "@if (title(); as title) {\n    <h3 class=\"title\">{{ title }}</h3>\n}\n\n<ng-container [ngTemplateOutlet]=\"slot()\" />\n", styles: [":host{display:flex;flex-direction:column;gap:4px}.title{padding:8px 12px;font-weight:400;font-size:14px;line-height:20px;color:var(--cui-base-500);text-transform:uppercase}\n"] }]
        }] });

class CuiCardWrapperComponent {
    constructor() {
        this.withBorder = input(true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCardWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiCardWrapperComponent, isStandalone: true, selector: "cui-card-wrapper, [cuiCardWrapper]", inputs: { withBorder: { classPropertyName: "withBorder", publicName: "withBorder", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class._with-border": "withBorder()" } }, ngImport: i0, template: "<ng-content />\n", styles: [":host{--gap: 4px;--background: var(--cui-bg-light);--background-hover: var(--cui-base-10);--border: var(--cui-base-200);display:flex;gap:var(--gap);align-items:center;padding:4px 8px;border-radius:8px;width:100%;background-color:var(--background)}:host:hover{background-color:var(--background-hover)}:host._with-border{border:1px solid var(--border)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCardWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-card-wrapper, [cuiCardWrapper]', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._with-border]': 'withBorder()'
                    }, template: "<ng-content />\n", styles: [":host{--gap: 4px;--background: var(--cui-bg-light);--background-hover: var(--cui-base-10);--border: var(--cui-base-200);display:flex;gap:var(--gap);align-items:center;padding:4px 8px;border-radius:8px;width:100%;background-color:var(--background)}:host:hover{background-color:var(--background-hover)}:host._with-border{border:1px solid var(--border)}\n"] }]
        }] });

class CuiLayoutComponent {
    constructor() {
        this.sidebarWidth = input.required();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLayoutComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiLayoutComponent, isStandalone: true, selector: "cui-layout", inputs: { sidebarWidth: { classPropertyName: "sidebarWidth", publicName: "sidebarWidth", isSignal: true, isRequired: true, transformFunction: null } }, host: { properties: { "style.marginLeft.px": "sidebarWidth()" } }, ngImport: i0, template: "<div class=\"content\">\n    <ng-content />\n</div>\n", styles: [":host{--maxWidth: 1320px;--horizontalPadding: 24px;--verticalPadding: 0;position:relative;display:block;min-height:100vh}:host .content{padding:var(--verticalPadding) var(--horizontalPadding);margin:0 auto;max-width:var(--maxWidth)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLayoutComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-layout', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[style.marginLeft.px]': 'sidebarWidth()'
                    }, template: "<div class=\"content\">\n    <ng-content />\n</div>\n", styles: [":host{--maxWidth: 1320px;--horizontalPadding: 24px;--verticalPadding: 0;position:relative;display:block;min-height:100vh}:host .content{padding:var(--verticalPadding) var(--horizontalPadding);margin:0 auto;max-width:var(--maxWidth)}\n"] }]
        }] });

const CUI_TAB_ACTIVATE = 'cui-tab-activate';
class CuiTabComponent {
    constructor() {
        this.element = inject(ElementRef).nativeElement;
    }
    onClick() {
        this.element.dispatchEvent(new CustomEvent(CUI_TAB_ACTIVATE, { bubbles: true }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiTabComponent, selector: "button[cuiTab]", host: { listeners: { "click": "onClick()" } }, ngImport: i0, template: "<ng-content />\n", styles: [":host{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;font-family:var(--cui-main-font)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'button[cuiTab]', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content />\n", styles: [":host{padding:0;border:0;flex-shrink:0;outline:none;cursor:pointer;appearance:none;color:inherit;font:inherit;background:inherit;text-decoration:none;-webkit-tap-highlight-color:transparent;font-family:var(--cui-main-font)}\n"] }]
        }], propDecorators: { onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class CuiTabsComponent {
    constructor() {
        this.element = inject(ElementRef).nativeElement;
        this.activeElementClass = '_active';
        this.activeItemIndex = 0;
        this.activeItemIndexChange = new EventEmitter();
    }
    get tabs() {
        return Array.from(this.element.querySelectorAll('[cuiTab]'));
    }
    get activeElement() {
        return this.tabs[this.activeItemIndex] || null;
    }
    ngAfterViewChecked() {
        this.changeActiveItem();
    }
    onActivate(event) {
        event.stopPropagation();
        const index = this.tabs.findIndex((tab) => tab === event.target);
        if (index === this.activeItemIndex) {
            return;
        }
        this.activeItemIndexChange.emit(index);
        this.activeItemIndex = index;
    }
    changeActiveItem() {
        this.tabs.forEach(nativeElement => {
            const active = nativeElement === this.activeElement;
            nativeElement.classList.toggle(this.activeElementClass, active);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiTabsComponent, selector: "cui-tabs", inputs: { activeItemIndex: "activeItemIndex" }, outputs: { activeItemIndexChange: "activeItemIndexChange" }, host: { listeners: { "cui-tab-activate": "onActivate($event)" } }, ngImport: i0, template: "<ng-content select=\"[cuiTab]\" />\n", styles: [":host{display:flex;border-radius:8px;gap:32px}:host ::ng-deep>[cuiTab]{padding:8px 12px;font-weight:500;font-size:14px;line-height:20px;color:var(--cui-base-500);border-radius:6px}@media (hover: hover){:host ::ng-deep>[cuiTab]:hover{color:var(--cui-base-900);background:var(--cui-base-50)}}:host ::ng-deep>[cuiTab]:active{color:var(--cui-base-900);background:var(--cui-base-50)}:host ::ng-deep>[cuiTab]._active{color:var(--cui-light-blue-600);background:var(--cui-base-50)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-tabs', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-content select=\"[cuiTab]\" />\n", styles: [":host{display:flex;border-radius:8px;gap:32px}:host ::ng-deep>[cuiTab]{padding:8px 12px;font-weight:500;font-size:14px;line-height:20px;color:var(--cui-base-500);border-radius:6px}@media (hover: hover){:host ::ng-deep>[cuiTab]:hover{color:var(--cui-base-900);background:var(--cui-base-50)}}:host ::ng-deep>[cuiTab]:active{color:var(--cui-base-900);background:var(--cui-base-50)}:host ::ng-deep>[cuiTab]._active{color:var(--cui-light-blue-600);background:var(--cui-base-50)}\n"] }]
        }], propDecorators: { activeItemIndex: [{
                type: Input
            }], activeItemIndexChange: [{
                type: Output
            }], onActivate: [{
                type: HostListener,
                args: [CUI_TAB_ACTIVATE, ['$event']]
            }] } });

class CuiTabsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiTabsModule, declarations: [CuiTabsComponent, CuiTabComponent], exports: [CuiTabsComponent, CuiTabComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabsModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTabsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [],
                    declarations: [CuiTabsComponent, CuiTabComponent],
                    exports: [CuiTabsComponent, CuiTabComponent]
                }]
        }] });

class CuiTextareaComponent {
    constructor() {
        this.cuiTextFieldController = inject(CUI_TEXT_FIELD_CONTROLLER);
        this.rows = 4;
        this.noBordersAndPaddings = false;
    }
    get isError() {
        return this.cuiTextFieldController.isError;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextareaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiTextareaComponent, selector: "textarea[cuiTextarea]", inputs: { rows: "rows", noBordersAndPaddings: "noBordersAndPaddings" }, host: { properties: { "rows": "this.rows", "class._no-borders-and-paddings": "this.noBordersAndPaddings", "class._with-error": "this.isError" } }, providers: [CUI_TEXT_FILED_CONTROLLER_PROVIDER], hostDirectives: [{ directive: i1$1.CuiAutoResizingDirective }], ngImport: i0, template: '', isInline: true, styles: [":host{padding:11px 13px 11px 0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;color:inherit;font:inherit;line-height:inherit;padding:11px 13px;font-weight:400;font-size:14px;line-height:20px;box-sizing:border-box;max-height:320px;width:100%;border:1px solid var(--cui-base-200);border-radius:8px;resize:none;background:none;color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus,:host:focus-visible{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host:disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host::placeholder{color:var(--cui-base-400)}:host._no-borders-and-paddings{border:none;border-radius:0;padding:0;box-shadow:none}:host._no-borders-and-paddings:disabled{background:none}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus{box-shadow:0 0 0 2px #d92d2040}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextareaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'textarea[cuiTextarea]', template: '', changeDetection: ChangeDetectionStrategy.OnPush, providers: [CUI_TEXT_FILED_CONTROLLER_PROVIDER], hostDirectives: [CuiAutoResizingDirective], styles: [":host{padding:11px 13px 11px 0;outline:none;margin:0;border-width:0;appearance:none;caret-color:currentColor;color:inherit;font:inherit;line-height:inherit;padding:11px 13px;font-weight:400;font-size:14px;line-height:20px;box-sizing:border-box;max-height:320px;width:100%;border:1px solid var(--cui-base-200);border-radius:8px;resize:none;background:none;color:var(--cui-base-900);font-family:var(--cui-main-font)}:host:hover{border-color:var(--cui-base-300)}:host:focus,:host:focus-visible{box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}:host:disabled{cursor:not-allowed;opacity:.5;background:var(--cui-base-50);border-color:var(--cui-base-200)}:host::placeholder{color:var(--cui-base-400)}:host._no-borders-and-paddings{border:none;border-radius:0;padding:0;box-shadow:none}:host._no-borders-and-paddings:disabled{background:none}:host._with-error{border-color:var(--cui-danger)}:host._with-error:focus{box-shadow:0 0 0 2px #d92d2040}\n"] }]
        }], propDecorators: { rows: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['rows']
            }], noBordersAndPaddings: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['class._no-borders-and-paddings']
            }], isError: [{
                type: HostBinding,
                args: ['class._with-error']
            }] } });

class CuiTextareaModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextareaModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiTextareaModule, declarations: [CuiTextareaComponent], exports: [CuiTextareaComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextareaModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiTextareaModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiTextareaComponent],
                    exports: [CuiTextareaComponent]
                }]
        }] });

class CuiToggleComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiToggleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiToggleComponent, selector: "input[type=\"checkbox\"][cuiToggle]", ngImport: i0, template: '', isInline: true, styles: [":host{position:relative;width:30px;height:18px;border-radius:9px;margin:0;appearance:none;cursor:pointer;background:var(--cui-base-300);transition:background .5s ease}:host:before{content:\"\";position:absolute;top:50%;left:2px;transform:translateY(-50%);width:14px;height:14px;border-radius:50%;background:var(--cui-gray-0);transition:left .5s ease}:host:checked{background:var(--cui-info);transition:background .5s ease}:host:checked:before{left:14px;transition:left .5s ease}:host:disabled{cursor:not-allowed;background:var(--cui-base-300)}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiToggleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'input[type="checkbox"][cuiToggle]', template: '', changeDetection: ChangeDetectionStrategy.OnPush, styles: [":host{position:relative;width:30px;height:18px;border-radius:9px;margin:0;appearance:none;cursor:pointer;background:var(--cui-base-300);transition:background .5s ease}:host:before{content:\"\";position:absolute;top:50%;left:2px;transform:translateY(-50%);width:14px;height:14px;border-radius:50%;background:var(--cui-gray-0);transition:left .5s ease}:host:checked{background:var(--cui-info);transition:background .5s ease}:host:checked:before{left:14px;transition:left .5s ease}:host:disabled{cursor:not-allowed;background:var(--cui-base-300)}\n"] }]
        }] });

class CuiToggleModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiToggleModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: CuiToggleModule, declarations: [CuiToggleComponent], exports: [CuiToggleComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiToggleModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiToggleModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CuiToggleComponent],
                    exports: [CuiToggleComponent]
                }]
        }] });

const COMBINED_TEXT_BLOCK_PART = 'combined-text-block-part';
const COMBINED_TEXT_BLOCK = 'combined-text-block';
const COMBINED_TEXT_BLOCK_NAME = 'paragraph';
const COMBINED_TEXT_BLOCK_ADDED = 'combinedTextBlockAdded';
const COMBINED_TEXT_BLOCK_UPDATED = 'combinedTextBlockUpdated';
const COMBINED_TEXT_BLOCK_REMOVED = 'combinedTextBlockRemoved';
const SPLIT_MAX_LENGTH = 1000;
const SPLIT_LENGTH = 500;
const EDITOR_SELECTOR = '[data-editor]';
const DEFAULT_PLACEHOLDER = "Type text or '/' for commands...";
const DEFAULT_READONLY_PLACEHOLDER = "No 'Description' was provided";
const DEFAULT_CONFIG = {
    tools: {},
    readOnly: false,
    autofocus: false
};
const CuiEditorTranslations = {
    en: import('./cuby-ui-core-en-D3DnyYmu.mjs'),
};

class CuiHeaderTool extends Header {
    constructor(data) {
        super(data);
    }
    validate() {
        return true;
    }
    render() {
        return super.render();
    }
    save(block) {
        return super.save(block);
    }
}

class CuiListTool extends List {
    constructor(data) {
        super(data);
    }
    render() {
        return super.render();
    }
}

class CuiSelectionBase {
    static get isInline() {
        return true;
    }
    get state() {
        return this._state;
    }
    set state(state) {
        this._state = state;
        this.button?.classList.toggle(this.api.styles.inlineToolButtonActive, state);
    }
    constructor(data) {
        this.LIST_CLASS = 'cdx-list__item';
        this.SELECTED_TEXT_CLASS = '_selected';
        this.TAG = 'B';
        this.COMMAND = 'bold';
        this._state = false;
        this.api = data.api;
    }
    wrap(range) {
        const { startContainer, endContainer } = range;
        this.addSelectionToDOM(range, startContainer, endContainer);
    }
    unwrap() {
        document.execCommand(this.COMMAND);
    }
    checkState() {
        this.state = document.queryCommandState(this.COMMAND);
        return this.state;
    }
    surround(range) {
        if (this.state) {
            this.unwrap();
            return;
        }
        this.wrap(range);
    }
    createElement(text = '') {
        const element = document.createElement(this.TAG);
        element.textContent = text;
        return element;
    }
    addSelectionToDOM(range, startBlock, endBlock) {
        const classes = [this.LIST_CLASS, COMBINED_TEXT_BLOCK_PART];
        const { className, parent: startParent } = this.getClosestParentWithClass(startBlock, classes);
        const { parent: endParent } = this.getClosestParentWithClass(endBlock, classes);
        if (!className || startParent === endParent) {
            this.addSelectionForOnlyChild(range);
            return;
        }
        this.addSelectionForChildren(startParent, endParent);
    }
    addSelectionForOnlyChild(range) {
        const selectedText = range.extractContents();
        const selection = this.createElement();
        selection.appendChild(selectedText);
        range.insertNode(selection);
    }
    addSelectionForChildren(startParent, endParent) {
        const nodes = this.getSelectedNodesFromDOM(startParent, endParent);
        nodes.forEach((node) => node.classList.add(this.SELECTED_TEXT_CLASS));
        document.execCommand(this.COMMAND);
        nodes.forEach((node) => node.classList.remove(this.SELECTED_TEXT_CLASS));
    }
    getSelectedNodesFromDOM(startParent, endParent) {
        const nodes = [startParent];
        let next = startParent.nextSibling;
        while (next && next !== endParent) {
            nodes.push(next);
            next = next?.nextSibling || null;
        }
        nodes.push(endParent);
        return nodes;
    }
    getClosestParentWithClass(node, classes) {
        const nodeParent = node.parentElement;
        let parent = nodeParent;
        let resultClassName = '';
        for (const className of classes) {
            const parentWithClass = parent.closest('.' + className);
            if (!parentWithClass) {
                continue;
            }
            parent = parentWithClass;
            resultClassName = className;
            break;
        }
        return { className: resultClassName, parent };
    }
}

class CuiBoldInlineTool extends CuiSelectionBase {
    static { this.title = 'Bold'; }
    static get sanitize() {
        return {
            b: {}
        };
    }
    constructor(data) {
        super(data);
        this.COMMAND = 'bold';
        this.CSS = {
            button: 'ce-inline-tool',
            buttonActive: 'ce-inline-tool--active',
            buttonModifier: 'ce-inline-tool--bold'
        };
    }
    render() {
        this.button = document.createElement('button');
        this.button.type = 'button';
        this.button.classList.add(this.CSS.button, this.CSS.buttonModifier);
        /* eslint-disable */
        this.button.innerHTML = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
            <path d="M7.5 10.0002V5.91683C7.5 5.8708 7.53731 5.8335 7.58333 5.8335H8.66667C9.58333 5.8335 11.6667 5.91683 11.6667 7.91683C11.6667 7.91683 11.6667 10.0002 9.16667 10.0002M7.5 10.0002V14.0002C7.5 14.0922 7.57462 14.1668 7.66667 14.1668H10.4167C11.6667 14.1668 12.5 13.3335 12.5 12.0835C12.5 9.754 9.16667 10.0002 9.16667 10.0002M7.5 10.0002H9.16667" stroke="#121315" stroke-width="1.66667" stroke-linecap="round"/>
        </svg>`;
        /* eslint-enable */
        return this.button;
    }
    get shortcut() {
        return 'CMD+B';
    }
}

class CuiItalicInlineTool extends CuiSelectionBase {
    static { this.title = 'Italic'; }
    static get sanitize() {
        return {
            i: {}
        };
    }
    constructor(data) {
        super(data);
        this.COMMAND = 'italic';
        this.TAG = 'I';
        this.CSS = {
            button: 'ce-inline-tool',
            buttonActive: 'ce-inline-tool--active',
            buttonModifier: 'ce-inline-tool--italic'
        };
    }
    render() {
        this.button = document.createElement('button');
        this.button.type = 'button';
        this.button.classList.add(this.CSS.button, this.CSS.buttonModifier);
        /* eslint-disable */
        this.button.innerHTML = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
            <path d="M11.118 8.3335C10.3532 10.6116 9.16797 14.1668 9.16797 14.1668" stroke="#121315" stroke-width="1.66667" stroke-linecap="round"/>
            <path d="M11.8404 5.8335H11.832" stroke="#121315" stroke-width="1.66667" stroke-linecap="round"/>
        </svg>`;
        /* eslint-enable */
        return this.button;
    }
    get shortcut() {
        return 'CMD+I';
    }
}

function urlValidator() {
    return ({ value }) => {
        try {
            new URL(value);
            return null;
        }
        catch {
            return { url: true };
        }
    };
}

const BlockConversionToCombined = {
    paragraph: 'combinedTextBlock'
};

function generateId() {
    return '_' + Math.random().toString(36).substring(2, 9);
}

class CuiJTextApiService {
    constructor() {
        this.httpClient = inject(HttpClient);
        this.GET_BLOCK_DEFAULT_SIZE = 40;
        this.JTEXT_URL = 'framer/jtext';
        this.BLOCK_URL = 'block';
        this.BLOCKS_URL = 'blocks';
        this.JTEXT_BLOCK_URL = this.JTEXT_URL + '/' + this.BLOCK_URL;
        this.JTEXT_BLOCKS_URL = this.JTEXT_URL + '/' + this.BLOCKS_URL;
        this.options = {};
    }
    addOptions(options) {
        this.options = options ?? {};
    }
    createBlock(body) {
        return this.httpClient.post(this.JTEXT_BLOCK_URL, body, this.options);
    }
    updateBlock(body) {
        return this.httpClient.patch(this.JTEXT_BLOCK_URL, body, this.options);
    }
    getBlocks(fragmentId, page = 0, sizeBlock = this.GET_BLOCK_DEFAULT_SIZE) {
        return this.httpClient.get(`${this.JTEXT_URL}/${fragmentId}`, {
            params: { page, sizeBlock },
            headers: { 'Content-Type': 'application/x-ndjson' },
            observe: 'events',
            ...this.options
        });
    }
    createBlocks(body) {
        return this.httpClient.post(this.JTEXT_BLOCKS_URL, body, this.options);
    }
    deleteBlock(containerId, blockId) {
        return this.httpClient.delete(`${this.JTEXT_URL}/${containerId}/${this.BLOCK_URL}/${blockId}`, this.options);
    }
    deleteBlocks(containerId, blocksIds) {
        return this.httpClient.delete(`${this.JTEXT_URL}/${containerId}/${this.BLOCKS_URL}`, {
            params: { blocksIds },
            ...this.options
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiJTextApiService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiJTextApiService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiJTextApiService, decorators: [{
            type: Injectable
        }] });

class CuiEditorService {
    constructor() {
        this.destroyRef = inject(DestroyRef);
        this.jtextService = inject(CuiJTextApiService);
    }
    sortEventsByTypes(events) {
        const blocks = {
            'block-removed': [],
            'block-added': [],
            'block-changed': []
        };
        events.forEach((editorEvent) => {
            if (editorEvent.detail.target.name === COMBINED_TEXT_BLOCK_NAME) {
                return;
            }
            const eventType = editorEvent.type;
            if (eventType === "block-changed" /* EventActions.update */) {
                const changedBlock = blocks["block-added" /* EventActions.add */].find((block) => block.detail.target.id === editorEvent.detail.target.id);
                if (changedBlock) {
                    return;
                }
            }
            if (eventType === "block-removed" /* EventActions.remove */) {
                const len = blocks["block-added" /* EventActions.add */].length;
                blocks["block-added" /* EventActions.add */] = blocks["block-added" /* EventActions.add */].filter((block) => block.detail.target.id !== editorEvent.detail.target.id);
                if (len > blocks["block-added" /* EventActions.add */].length) {
                    return;
                }
            }
            blocks[eventType].push(editorEvent);
        });
        return blocks;
    }
    collectAddedBlocksRequest(editorId, addedBlocks) {
        const addBlocksBody = {
            jtextContainerId: editorId,
            position: addedBlocks[0]?.index,
            block: addedBlocks.map((e) => e.block)
        };
        const addBlocks$ = addedBlocks.length ? this.jtextService.createBlocks(addBlocksBody) : of([]);
        return addBlocks$;
    }
    collectUpdatedBlocksRequest(updatedBlocks, blockIdsMap) {
        const updatedBlocksWithId = updatedBlocks.reduce((acc, block) => {
            const blockWithId = {
                ...block,
                id: blockIdsMap.get(block.id)
            };
            if (blockWithId.id) {
                acc.push(blockWithId);
            }
            return acc;
        }, []);
        const updateBlocksArray = updatedBlocksWithId.map((block) => this.jtextService.updateBlock(block));
        const updateBlocks$ = updatedBlocksWithId.length ? forkJoin(updateBlocksArray) : of([]);
        return updateBlocks$;
    }
    collectRemovedBlocksRequest(editorId, removedBlocksIds, blockIdsMap) {
        const removedBlocks = removedBlocksIds.reduce((blockIds, blockId) => {
            const backendID = blockIdsMap.get(blockId);
            if (backendID) {
                blockIds.push(backendID);
            }
            return blockIds;
        }, []);
        const removeBlocks$ = removedBlocks.length ? this.jtextService.deleteBlocks(editorId, removedBlocks) : of();
        removedBlocks.forEach((removedBlock) => {
            blockIdsMap.delete(removedBlock);
        });
        return removeBlocks$;
    }
    getFullBlockData(event, editorData) {
        const target = event.detail.target;
        const index = Number(target.holder.dataset['index']);
        const blockIndex = event.detail.index;
        const blockType = target.name;
        const blockId = target.id;
        const currentBlockByIndex = editorData.blocks[blockIndex];
        const blockData = currentBlockByIndex?.id === blockId ? editorData.blocks[blockIndex].data : { text: '' };
        return {
            index,
            id: blockId,
            block: {
                type: blockType,
                data: blockData
            }
        };
    }
    setListenersOnCustomBlockChanges(editor, data) {
        editor.on(COMBINED_TEXT_BLOCK_ADDED, data.addedCallback);
        editor.on(COMBINED_TEXT_BLOCK_UPDATED, data.updatedCallback);
        editor.on(COMBINED_TEXT_BLOCK_REMOVED, data.removedCallback);
    }
    setStartBlock(editorId, callback) {
        const blockId = generateId();
        const emptyBlock = {
            type: COMBINED_TEXT_BLOCK_PART,
            data: {
                text: '',
                parentId: blockId,
                parentType: COMBINED_TEXT_BLOCK_NAME
            }
        };
        const body = {
            position: 0,
            block: emptyBlock,
            jtextContainerId: editorId
        };
        this.jtextService
            .createBlock(body)
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe((id) => {
            emptyBlock.id = id;
            const block = {
                id: blockId,
                type: COMBINED_TEXT_BLOCK_NAME,
                data: {
                    id: blockId,
                    textBlocks: [emptyBlock]
                }
            };
            callback(block, id);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorService, decorators: [{
            type: Injectable
        }] });

class CuiMarkersService {
    constructor() {
        this.roles = [];
        this.tools = [
            {
                id: '0',
                image: 'blob:https://www.figma.com/f985f4fc-abc6-4727-857e-80633836e2b2',
                title: 'Шуруповерт',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '1',
                image: 'blob:https://www.figma.com/92ad9b38-566c-4ff6-84ba-0b20b24fef39',
                title: 'Молоток',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '2',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '3',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '4',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '5',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '6',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '7',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            },
            {
                id: '8',
                image: '/assets/image 545.png',
                title: 'Лопата',
                type: "tool" /* MarkerType.tool */
            }
        ];
    }
    getMarkersByType(type) {
        return type === "role" /* MarkerType.role */ ? this.roles : this.tools;
    }
    getMarkerObjectByType(type, id) {
        const markersArray = this.getMarkersByType(type);
        return markersArray.find((marker) => marker.id === id);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiMarkersService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiMarkersService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiMarkersService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class SelectOptionComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: SelectOptionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: SelectOptionComponent, isStandalone: true, selector: "cc-select-option", inputs: { tool: "tool" }, ngImport: i0, template: "<ng-container *ngIf=\"tool\">\n  <img\n      *ngIf=\"tool.image\"\n      class=\"image\"\n      [src]=\"tool.image\"\n      alt=\"\"\n  />\n  <h3 class=\"title\">{{ tool.title }}</h3>\n</ng-container>\n", styles: [":host{padding:4px 8px;cursor:pointer;display:flex;align-items:center;gap:8px;border-radius:8px}@media (hover: hover){:host:hover{background-color:var(--cui-base-50)}}:host:active{background-color:var(--cui-base-50)}.title{font-weight:400;font-size:14px;line-height:20px;padding-top:2px;padding-bottom:2px;color:var(--cui-base-900)}.image{width:23px;height:23px;object-fit:cover;object-position:center}\n"], dependencies: [{ kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: SelectOptionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cc-select-option', standalone: true, imports: [NgIf], changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"tool\">\n  <img\n      *ngIf=\"tool.image\"\n      class=\"image\"\n      [src]=\"tool.image\"\n      alt=\"\"\n  />\n  <h3 class=\"title\">{{ tool.title }}</h3>\n</ng-container>\n", styles: [":host{padding:4px 8px;cursor:pointer;display:flex;align-items:center;gap:8px;border-radius:8px}@media (hover: hover){:host:hover{background-color:var(--cui-base-50)}}:host:active{background-color:var(--cui-base-50)}.title{font-weight:400;font-size:14px;line-height:20px;padding-top:2px;padding-bottom:2px;color:var(--cui-base-900)}.image{width:23px;height:23px;object-fit:cover;object-position:center}\n"] }]
        }], propDecorators: { tool: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class MarkerSelectComponent {
    constructor() {
        this.document = inject(DOCUMENT);
        this.destroyRef = inject(DestroyRef);
        this.cuiClickOutsideDirective = inject(CuiClickOutsideDirective, { self: true });
        this.element = inject(ElementRef).nativeElement;
        this.markersService = inject(CuiMarkersService);
        this.SPACE_BETWEEN_TARGET_AND_LIST = 5;
        this.isVisible = signal(false);
        this.isHidden = signal(true);
        // TODO: set current type
        this.elements = this.markersService.getMarkersByType("tool" /* MarkerType.tool */);
        this.targetToggleEventListener = () => {
            this.isVisible.update((prev) => !prev);
            if (!this.isVisible()) {
                return;
            }
            this.calculateDropdownPosition();
        };
    }
    set space(value) {
        this.SPACE_BETWEEN_TARGET_AND_LIST = value;
    }
    get hide() {
        return this.isHidden();
    }
    writeValue(value) {
        this.value = value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    onScroll() {
        this.isVisible.set(false);
    }
    ngOnInit() {
        this.initTargetElementListener();
        this.initClickOutsideSubscription();
        this.initOnCloseWhenEditorScroll();
    }
    ngOnDestroy() {
        this.destroyEventListeners();
    }
    onToolClick(tool) {
        this.value = tool;
        this.onChange(this.value);
        this.onTouched();
        // this.isVisible.set(false);
    }
    initTargetElementListener() {
        this.target.addEventListener('click', this.targetToggleEventListener);
    }
    initClickOutsideSubscription() {
        this.cuiClickOutsideDirective.cuiClickOutside.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((target) => {
            if (this.target.contains(target) || !this.isVisible()) {
                return;
            }
            this.isVisible.set(false);
        });
    }
    initOnCloseWhenEditorScroll() {
        this.editor = this.element.closest(EDITOR_SELECTOR);
        this.editor?.addEventListener('scroll', this.onScroll.bind(this));
    }
    destroyEventListeners() {
        this.editor?.removeEventListener('scroll', this.onScroll.bind(this));
        this.target?.addEventListener('click', this.targetToggleEventListener);
    }
    calculateDropdownPosition() {
        this.isHidden.set(true);
        setTimeout(() => {
            const target = this.target;
            const { bottom: targetRectBottom, left: targetRectLeft } = target.getBoundingClientRect();
            const { clientHeight: documentClientHeight, clientWidth: documentClientWidth } = this.document.documentElement;
            const distanceToBottom = documentClientHeight - (targetRectBottom + this.SPACE_BETWEEN_TARGET_AND_LIST);
            const distanceToRight = documentClientWidth - targetRectLeft;
            const isListRight = distanceToRight < this.element.offsetWidth;
            const isListAbove = distanceToBottom < this.element.offsetHeight;
            this.changePositionY(isListAbove, target.offsetHeight, targetRectBottom);
            this.changePositionX(isListRight, target.offsetWidth, targetRectLeft);
            this.isHidden.set(false);
        });
    }
    changePositionX(isListRight, width, left) {
        if (isListRight) {
            this.element.style.right = 'auto';
            this.element.style.left = left;
            return;
        }
        this.element.style.right = left - this.element.offsetWidth + width;
        this.element.style.left = 'auto';
    }
    changePositionY(isListAbove, height, bottom) {
        if (isListAbove) {
            this.element.style.top =
                bottom - this.element.offsetHeight - height - this.SPACE_BETWEEN_TARGET_AND_LIST + 'px';
            return;
        }
        this.element.style.top = bottom + this.SPACE_BETWEEN_TARGET_AND_LIST + 'px';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: MarkerSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: MarkerSelectComponent, isStandalone: true, selector: "cc-marker-select", inputs: { target: "target", space: "space" }, host: { properties: { "class._hidden": "this.hide" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => MarkerSelectComponent),
                multi: true
            }
        ], hostDirectives: [{ directive: i1$1.CuiClickOutsideDirective }], ngImport: i0, template: "<ng-container *ngIf=\"isVisible()\">\n  <div\n      #dropdown\n      class=\"dropdown\"\n  >\n      <header class=\"header\">\n          <cui-input-text\n              class=\"header__input\"\n              cuiTextFieldId=\"estimated\"\n              cuiTextFieldPlaceholder=\"Search...\"\n          />\n          <button\n              cuiButton\n              type=\"button\"\n              appearance=\"ghost\"\n              size=\"xxs\"\n              icon=\"cuiIconFiltersLines\"\n          ></button>\n      </header>\n      <div class=\"scrollable-content\">\n        <cc-select-option\n            *ngFor=\"let element of elements\"\n            [class._selected]=\"element.id === value?.id\"\n            (click)=\"onToolClick(element)\"\n            [tool]=\"element\"\n        />\n      </div>\n  </div>\n</ng-container>\n", styles: [":host{position:fixed;z-index:10;left:0}:host._hidden{visibility:hidden}._selected{background-color:var(--cui-base-50)}.dropdown{box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;padding-top:3px;padding-bottom:3px;display:flex;flex-direction:column;gap:4px;border-radius:8px;border:1px solid var(--cui-base-200);max-height:350px;width:345px;background:var(--cui-base-0)}.header{padding:4px 5px;display:flex;align-items:center;gap:4px}.header__input{width:100%}.footer{padding:2px 5px}.title{font-weight:400;font-size:14px;line-height:20px;padding:2px 8px;color:var(--cui-base-500);text-transform:uppercase}.scrollable-content{padding-left:5px;overflow:auto}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: CuiContextMenuModule }, { kind: "ngmodule", type: CuiInputModule }, { kind: "component", type: CuiInputTextComponent, selector: "cui-input-text" }, { kind: "directive", type: CuiTextFieldIdDirective, selector: "[cuiTextFieldId]", inputs: ["cuiTextFieldId"] }, { kind: "directive", type: CuiTextFieldPlaceholderDirective, selector: "[cuiTextFieldPlaceholder]", inputs: ["cuiTextFieldPlaceholder"] }, { kind: "ngmodule", type: CuiLabelModule }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "component", type: SelectOptionComponent, selector: "cc-select-option", inputs: ["tool"] }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgFor, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: MarkerSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cc-marker-select', imports: [
                        CuiButtonModule,
                        CuiContextMenuModule,
                        CuiInputModule,
                        CuiLabelModule,
                        FormsModule,
                        ReactiveFormsModule,
                        SelectOptionComponent,
                        NgIf,
                        NgFor
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [CuiClickOutsideDirective], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => MarkerSelectComponent),
                            multi: true
                        }
                    ], template: "<ng-container *ngIf=\"isVisible()\">\n  <div\n      #dropdown\n      class=\"dropdown\"\n  >\n      <header class=\"header\">\n          <cui-input-text\n              class=\"header__input\"\n              cuiTextFieldId=\"estimated\"\n              cuiTextFieldPlaceholder=\"Search...\"\n          />\n          <button\n              cuiButton\n              type=\"button\"\n              appearance=\"ghost\"\n              size=\"xxs\"\n              icon=\"cuiIconFiltersLines\"\n          ></button>\n      </header>\n      <div class=\"scrollable-content\">\n        <cc-select-option\n            *ngFor=\"let element of elements\"\n            [class._selected]=\"element.id === value?.id\"\n            (click)=\"onToolClick(element)\"\n            [tool]=\"element\"\n        />\n      </div>\n  </div>\n</ng-container>\n", styles: [":host{position:fixed;z-index:10;left:0}:host._hidden{visibility:hidden}._selected{background-color:var(--cui-base-50)}.dropdown{box-shadow:0 1px 4px #0000000a,0 1px 4px #0000000a;padding-top:3px;padding-bottom:3px;display:flex;flex-direction:column;gap:4px;border-radius:8px;border:1px solid var(--cui-base-200);max-height:350px;width:345px;background:var(--cui-base-0)}.header{padding:4px 5px;display:flex;align-items:center;gap:4px}.header__input{width:100%}.footer{padding:2px 5px}.title{font-weight:400;font-size:14px;line-height:20px;padding:2px 8px;color:var(--cui-base-500);text-transform:uppercase}.scrollable-content{padding-left:5px;overflow:auto}\n"] }]
        }], propDecorators: { target: [{
                type: Input
            }], space: [{
                type: Input
            }], hide: [{
                type: HostBinding,
                args: ['class._hidden']
            }] } });

const MARKER_SELECT_SELECTOR = 'marker-select';

class MarkerModalComponent {
    constructor() {
        this.element = inject(ElementRef).nativeElement;
        this.document = inject(DOCUMENT);
        this.destroyRef = inject(DestroyRef);
        this.cuiClickOutsideDirective = inject(CuiClickOutsideDirective, { self: true });
        this.cuiIdService = inject(CuiIdService);
        this.markersService = inject(CuiMarkersService);
        this.TITLE_MAX_LENGTH = 100;
        this.formTitle = signal('');
        this.isTitleEmpty = computed(() => !this.formTitle().length);
        this.isTitleMoreThanMaxLength = computed(() => this.formTitle().length > this.TITLE_MAX_LENGTH);
        this.isTitleInvalid = computed(() => this.isTitleEmpty() || this.isTitleMoreThanMaxLength());
        this.titleId = this.cuiIdService.generate();
        this.dataId = this.cuiIdService.generate();
        this.spaceBetweenTargetAndList = 5;
        this.startTitle = '';
        this.isGlobal = false;
        this.isTool = false;
        this.saveClicked = new EventEmitter();
        this.cancelClicked = new EventEmitter();
        this.isVisible = signal(false);
        this.isHidden = signal(true);
        this.targetToggleEventListener = () => {
            this.isVisible.update((prev) => !prev);
            if (!this.isVisible()) {
                return;
            }
            this.calculateDropdownPosition();
        };
    }
    set title(value) {
        this.startTitle = value;
        this.formTitle.set(value);
    }
    set url(value) {
        this.dynamicDataControl = new FormControl(value, {
            nonNullable: true,
            validators: [Validators.required, urlValidator()]
        });
    }
    set tool(value) {
        const tool = this.markersService.getMarkerObjectByType(value.type, value.id);
        this.dynamicDataControl = new FormControl(tool, {
            nonNullable: true,
            validators: [Validators.required]
        });
    }
    set space(value) {
        this.spaceBetweenTargetAndList = value;
    }
    get isFormInvalid() {
        return this.dynamicDataControl.invalid || this.isTitleInvalid();
    }
    get isDynamicDataErrorShown() {
        return this.dynamicDataControl.invalid && this.dynamicDataControl.dirty;
    }
    get hide() {
        return this.isHidden();
    }
    get fixed() {
        return this.isGlobal;
    }
    ngOnInit() {
        this.initTargetElementListener();
        this.initClickOutsideSubscription();
        this.initOnCloseWhenEditorScroll();
    }
    ngOnDestroy() {
        this.destroyEventListeners();
    }
    onTitleLabelClick(element) {
        const range = document.createRange();
        const selection = window.getSelection();
        range.selectNodeContents(element);
        range.collapse(false);
        selection?.removeAllRanges();
        selection?.addRange(range);
    }
    onSave() {
        if (this.isFormInvalid) {
            return;
        }
        this.isVisible.set(false);
        this.saveClicked.emit({ title: this.formTitle(), data: this.dynamicDataControl.value });
    }
    onScroll() {
        this.isVisible.set(false);
    }
    onCancel() {
        this.isVisible.set(false);
        this.cancelClicked.emit();
    }
    onClearTitle(titleElement) {
        this.formTitle.set('');
        titleElement.textContent = '';
        titleElement.focus();
    }
    onTitleChange(event) {
        if (event.key === 'Enter') {
            event.preventDefault();
            return;
        }
        const target = event.target;
        const value = target.textContent;
        this.formTitle.set(value);
    }
    onTitlePaste(event) {
        event.stopPropagation();
        event.preventDefault();
        if (!this.document) {
            return;
        }
        const value = event.clipboardData?.getData('text/plain');
        const target = event.target;
        this.document.execCommand('insertText', false, value);
        setTimeout(() => this.formTitle.set(target.textContent));
    }
    initTargetElementListener() {
        this.target.addEventListener('click', this.targetToggleEventListener);
    }
    initClickOutsideSubscription() {
        this.cuiClickOutsideDirective.cuiClickOutside.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((target) => {
            if (this.element.contains(target) || this.target.contains(target) || !this.isVisible()) {
                return;
            }
            this.isVisible.set(false);
        });
    }
    initOnCloseWhenEditorScroll() {
        this.editor = this.document.querySelector(EDITOR_SELECTOR);
        this.editor.addEventListener('scroll', this.onScroll.bind(this));
    }
    destroyEventListeners() {
        this.editor.removeEventListener('scroll', this.onScroll.bind(this));
        this.target.addEventListener('click', this.targetToggleEventListener);
    }
    calculateDropdownPosition() {
        this.isHidden.set(true);
        setTimeout(() => {
            const target = this.target;
            const { bottom: targetRectBottom, left: targetRectLeft } = target.getBoundingClientRect();
            const { clientHeight: documentClientHeight, clientWidth: documentClientWidth } = this.document.documentElement;
            const distanceToBottom = documentClientHeight - (targetRectBottom + this.spaceBetweenTargetAndList);
            const distanceToRight = documentClientWidth - targetRectLeft;
            const isListRight = distanceToRight < this.element.offsetWidth;
            const isListAbove = distanceToBottom < this.element.offsetHeight;
            this.changePositionY(isListAbove, target.offsetHeight, targetRectBottom);
            this.changePositionX(isListRight, target.offsetWidth, targetRectLeft);
            this.isHidden.set(false);
        });
    }
    changePositionX(isListRight, width, left) {
        if (this.isGlobal) {
            this.changeGlobalPositionX(isListRight, width, left);
            return;
        }
        if (isListRight) {
            this.element.style.right = '0';
            this.element.style.left = 'auto';
            return;
        }
        this.element.style.right = 'auto';
        this.element.style.left = '0';
    }
    changePositionY(isListAbove, height, bottom) {
        if (this.isGlobal) {
            this.changeGlobalPositionY(isListAbove, height, bottom);
            return;
        }
        if (isListAbove) {
            this.element.style.bottom = height + this.spaceBetweenTargetAndList + 'px';
            this.element.style.top = 'auto';
            return;
        }
        this.element.style.top = height + this.spaceBetweenTargetAndList + 'px';
        this.element.style.bottom = 'auto';
    }
    changeGlobalPositionX(isListRight, width, left) {
        if (isListRight) {
            this.element.style.left = left - this.element.offsetWidth + width + 'px';
            return;
        }
        this.element.style.left = left + 'px';
    }
    changeGlobalPositionY(isListAbove, height, bottom) {
        if (isListAbove) {
            this.element.style.top =
                bottom - this.element.offsetHeight - height - this.spaceBetweenTargetAndList + 'px';
            return;
        }
        this.element.style.top = bottom + this.spaceBetweenTargetAndList + 'px';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: MarkerModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: MarkerModalComponent, isStandalone: true, selector: "ng-component", inputs: { title: "title", url: "url", tool: "tool", isGlobal: "isGlobal", isTool: "isTool", target: "target", space: "space" }, outputs: { saveClicked: "saveClicked", cancelClicked: "cancelClicked" }, host: { properties: { "class._hidden": "this.hide", "class._fixed": "this.fixed" } }, hostDirectives: [{ directive: i1$1.CuiClickOutsideDirective }], ngImport: i0, template: "<ng-container *transloco=\"let t\">\n  <ng-container *ngIf=\"isVisible()\">\n    <form\n        autocomplete=\"off\"\n        class=\"wrapper\"\n    >\n        <cui-form-field>\n            <!-- eslint-disable-next-line -->\n            <label\n                [for]=\"titleId\"\n                cuiLabel\n                [isRequired]=\"true\"\n                (click)=\"onTitleLabelClick(titleElement)\"\n            >\n                {{ t('TITLE') }}\n            </label>\n            <!-- TODO: \u0435\u0441\u043B\u0438 \u043D\u0430\u0439\u0434\u0435\u0442\u0441\u044F \u0432\u0430\u0440\u0438\u043A \u0441\u0434\u0435\u043B\u0430\u0442\u044C \u0447\u0435\u0440\u0435\u0437 \u0444\u043E\u0440\u043C\u0443 -->\n            <div\n                class=\"title\"\n                [class.title_invalid]=\"isTitleInvalid()\"\n            >\n                <div\n                    #titleElement\n                    class=\"title__text\"\n                    contenteditable\n                    attr.data-placeholder=\"{{ t('TITLE') }}...\"\n                    (paste)=\"onTitlePaste($event)\"\n                    (keyup)=\"onTitleChange($event)\"\n                    [innerHTML]=\"startTitle\"\n                ></div>\n                <button\n                    type=\"button\"\n                    class=\"title__clear\"\n                    (click)=\"onClearTitle(titleElement)\"\n                >\n                    <cui-svg\n                        icon=\"cuiIconClear\"\n                        color=\"var(--cui-base-300)\"\n                        class=\"title__icon\"\n                    />\n                </button>\n            </div>\n\n            <cui-hint *ngIf=\"isTitleInvalid()\" hintType=\"error\">\n                <ng-container *ngIf=\"isTitleEmpty()\">\n                  {{ t('FIELD_IS_REQUIRED') }}\n                </ng-container>\n                <ng-container *ngIf=\"isTitleMoreThanMaxLength()\">\n                  {{ t('PLEASE_KEEP_FIELD_UNDER_CHARACTERS') }}\n                </ng-container>\n            </cui-hint>\n        </cui-form-field>\n        <cui-form-field>\n            <label\n                [for]=\"dataId\"\n                cuiLabel\n                [isRequired]=\"true\"\n            >\n                {{ isTool ? t('TOOL') : t('URL') }}\n            </label>\n            <ng-container *ngIf=\"dynamicDataControl\">\n              <ng-container *ngIf=\"isTool; else input\">\n                <div>\n                    <button\n                        #target=\"elementRef\"\n                        class=\"button tool-button\"\n                        cuiButton\n                        type=\"button\"\n                        cuiElement\n                        appearance=\"outlined-gray\"\n                        size=\"sm\"\n                    >\n                        {{ $any(dynamicDataControl.value)?.title || t('SELECT_TOOL') }}\n                    </button>\n                </div>\n                <cc-marker-select\n                    [formControl]=\"dynamicDataControl\"\n                    [target]=\"target.nativeElement\"\n                />\n              </ng-container>\n              <ng-template #input>\n                <cui-input-text\n                    [cuiTextFieldId]=\"dataId\"\n                    [formControl]=\"dynamicDataControl\"\n                    autocomplete=\"off\"\n                    [cuiTextFieldIsError]=\"isDynamicDataErrorShown\"\n                    cuiTextFieldPlaceholder=\"{{ t('LINK') }}...\"\n                />\n                <cui-hint *ngIf=\"isDynamicDataErrorShown\" hintType=\"error\">\n                  <ng-container *ngIf=\"dynamicDataControl.errors?.['required']\">\n                    {{ t('FIELD_IS_REQUIRED') }}\n                  </ng-container>\n                  <ng-container *ngIf=\"dynamicDataControl.errors?.['url']\">\n                    {{ t('INVALID_URL') }}\n                  </ng-container>\n                </cui-hint>\n              </ng-template>\n            </ng-container>\n        </cui-form-field>\n        <div class=\"buttons\">\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"outlined-gray\"\n                size=\"sm\"\n                (click)=\"onCancel()\"\n            >\n                {{ t('CANCEL') }}\n            </button>\n            <button\n                cuiButton\n                type=\"submit\"\n                appearance=\"action\"\n                size=\"sm\"\n                [disabled]=\"isFormInvalid\"\n                (click)=\"onSave()\"\n            >\n                {{ t('SAVE') }}\n            </button>\n        </div>\n    </form>\n  </ng-container>\n</ng-container>\n\n", styles: [":host{position:absolute;z-index:1;left:0}:host._fixed{position:fixed}:host._hidden{position:fixed;visibility:hidden}:host ::ng-deep .tool-button{width:100%}:host ::ng-deep .tool-button>span{justify-content:flex-start!important}.wrapper{padding:11px;box-shadow:0 2px 4px -1px #0000000f,0 4px 6px -1px #0000001a;display:flex;flex-direction:column;gap:16px;border-radius:8px;border:1px solid var(--cui-base-200);max-width:450px;background-color:var(--cui-base-0)}.buttons{padding-top:12px;display:flex;justify-content:flex-end;gap:12px}.title{padding:7px 13px;cursor:text;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;width:426px;background:var(--cui-input);color:var(--cui-base-900)}.title:hover{border-color:var(--cui-base-300)}.title:focus-within{outline:none;box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}.title_invalid,.title_invalid:focus-within{box-shadow:none;border-color:var(--cui-danger)}.title__text{flex-grow:1;text-wrap:nowrap;overflow:hidden}.title__text[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.title__text:focus{outline:none}.title__clear{padding:0;visibility:hidden}.title__icon{width:16px}.title__icon ::ng-deep [stroke]{stroke:var(--cui-base-0)}.title__text:not(:empty)+.title__clear{visibility:visible}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "directive", type: CuiElementDirective, selector: "[cuiElement]", exportAs: ["elementRef"] }, { kind: "ngmodule", type: CuiFormFieldModule }, { kind: "component", type: CuiFormFieldComponent, selector: "cui-form-field" }, { kind: "ngmodule", type: CuiHintModule }, { kind: "component", type: CuiHintComponent, selector: "cui-hint", inputs: ["hintType"] }, { kind: "ngmodule", type: CuiInputModule }, { kind: "component", type: CuiInputTextComponent, selector: "cui-input-text" }, { kind: "directive", type: CuiTextFieldIdDirective, selector: "[cuiTextFieldId]", inputs: ["cuiTextFieldId"] }, { kind: "directive", type: CuiTextFieldPlaceholderDirective, selector: "[cuiTextFieldPlaceholder]", inputs: ["cuiTextFieldPlaceholder"] }, { kind: "directive", type: CuiTextFieldIsErrorDirective, selector: "[cuiTextFieldIsError]", inputs: ["cuiTextFieldIsError"] }, { kind: "ngmodule", type: CuiLabelModule }, { kind: "component", type: CuiLabelComponent, selector: "label[cuiLabel]", inputs: ["isRequired"] }, { kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$1.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: MarkerSelectComponent, selector: "cc-marker-select", inputs: ["target", "space"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2$1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: MarkerModalComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [
                        CuiButtonModule,
                        CuiElementDirective,
                        CuiFormFieldModule,
                        CuiHintModule,
                        CuiInputModule,
                        CuiLabelModule,
                        CuiSvgModule,
                        FormsModule,
                        MarkerSelectComponent,
                        ReactiveFormsModule,
                        TranslocoDirective,
                        NgIf
                    ], changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [CuiClickOutsideDirective], template: "<ng-container *transloco=\"let t\">\n  <ng-container *ngIf=\"isVisible()\">\n    <form\n        autocomplete=\"off\"\n        class=\"wrapper\"\n    >\n        <cui-form-field>\n            <!-- eslint-disable-next-line -->\n            <label\n                [for]=\"titleId\"\n                cuiLabel\n                [isRequired]=\"true\"\n                (click)=\"onTitleLabelClick(titleElement)\"\n            >\n                {{ t('TITLE') }}\n            </label>\n            <!-- TODO: \u0435\u0441\u043B\u0438 \u043D\u0430\u0439\u0434\u0435\u0442\u0441\u044F \u0432\u0430\u0440\u0438\u043A \u0441\u0434\u0435\u043B\u0430\u0442\u044C \u0447\u0435\u0440\u0435\u0437 \u0444\u043E\u0440\u043C\u0443 -->\n            <div\n                class=\"title\"\n                [class.title_invalid]=\"isTitleInvalid()\"\n            >\n                <div\n                    #titleElement\n                    class=\"title__text\"\n                    contenteditable\n                    attr.data-placeholder=\"{{ t('TITLE') }}...\"\n                    (paste)=\"onTitlePaste($event)\"\n                    (keyup)=\"onTitleChange($event)\"\n                    [innerHTML]=\"startTitle\"\n                ></div>\n                <button\n                    type=\"button\"\n                    class=\"title__clear\"\n                    (click)=\"onClearTitle(titleElement)\"\n                >\n                    <cui-svg\n                        icon=\"cuiIconClear\"\n                        color=\"var(--cui-base-300)\"\n                        class=\"title__icon\"\n                    />\n                </button>\n            </div>\n\n            <cui-hint *ngIf=\"isTitleInvalid()\" hintType=\"error\">\n                <ng-container *ngIf=\"isTitleEmpty()\">\n                  {{ t('FIELD_IS_REQUIRED') }}\n                </ng-container>\n                <ng-container *ngIf=\"isTitleMoreThanMaxLength()\">\n                  {{ t('PLEASE_KEEP_FIELD_UNDER_CHARACTERS') }}\n                </ng-container>\n            </cui-hint>\n        </cui-form-field>\n        <cui-form-field>\n            <label\n                [for]=\"dataId\"\n                cuiLabel\n                [isRequired]=\"true\"\n            >\n                {{ isTool ? t('TOOL') : t('URL') }}\n            </label>\n            <ng-container *ngIf=\"dynamicDataControl\">\n              <ng-container *ngIf=\"isTool; else input\">\n                <div>\n                    <button\n                        #target=\"elementRef\"\n                        class=\"button tool-button\"\n                        cuiButton\n                        type=\"button\"\n                        cuiElement\n                        appearance=\"outlined-gray\"\n                        size=\"sm\"\n                    >\n                        {{ $any(dynamicDataControl.value)?.title || t('SELECT_TOOL') }}\n                    </button>\n                </div>\n                <cc-marker-select\n                    [formControl]=\"dynamicDataControl\"\n                    [target]=\"target.nativeElement\"\n                />\n              </ng-container>\n              <ng-template #input>\n                <cui-input-text\n                    [cuiTextFieldId]=\"dataId\"\n                    [formControl]=\"dynamicDataControl\"\n                    autocomplete=\"off\"\n                    [cuiTextFieldIsError]=\"isDynamicDataErrorShown\"\n                    cuiTextFieldPlaceholder=\"{{ t('LINK') }}...\"\n                />\n                <cui-hint *ngIf=\"isDynamicDataErrorShown\" hintType=\"error\">\n                  <ng-container *ngIf=\"dynamicDataControl.errors?.['required']\">\n                    {{ t('FIELD_IS_REQUIRED') }}\n                  </ng-container>\n                  <ng-container *ngIf=\"dynamicDataControl.errors?.['url']\">\n                    {{ t('INVALID_URL') }}\n                  </ng-container>\n                </cui-hint>\n              </ng-template>\n            </ng-container>\n        </cui-form-field>\n        <div class=\"buttons\">\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"outlined-gray\"\n                size=\"sm\"\n                (click)=\"onCancel()\"\n            >\n                {{ t('CANCEL') }}\n            </button>\n            <button\n                cuiButton\n                type=\"submit\"\n                appearance=\"action\"\n                size=\"sm\"\n                [disabled]=\"isFormInvalid\"\n                (click)=\"onSave()\"\n            >\n                {{ t('SAVE') }}\n            </button>\n        </div>\n    </form>\n  </ng-container>\n</ng-container>\n\n", styles: [":host{position:absolute;z-index:1;left:0}:host._fixed{position:fixed}:host._hidden{position:fixed;visibility:hidden}:host ::ng-deep .tool-button{width:100%}:host ::ng-deep .tool-button>span{justify-content:flex-start!important}.wrapper{padding:11px;box-shadow:0 2px 4px -1px #0000000f,0 4px 6px -1px #0000001a;display:flex;flex-direction:column;gap:16px;border-radius:8px;border:1px solid var(--cui-base-200);max-width:450px;background-color:var(--cui-base-0)}.buttons{padding-top:12px;display:flex;justify-content:flex-end;gap:12px}.title{padding:7px 13px;cursor:text;display:flex;align-items:center;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px;width:426px;background:var(--cui-input);color:var(--cui-base-900)}.title:hover{border-color:var(--cui-base-300)}.title:focus-within{outline:none;box-shadow:0 0 0 2px var(--cui-focus);border-color:var(--cui-info)}.title_invalid,.title_invalid:focus-within{box-shadow:none;border-color:var(--cui-danger)}.title__text{flex-grow:1;text-wrap:nowrap;overflow:hidden}.title__text[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.title__text:focus{outline:none}.title__clear{padding:0;visibility:hidden}.title__icon{width:16px}.title__icon ::ng-deep [stroke]{stroke:var(--cui-base-0)}.title__text:not(:empty)+.title__clear{visibility:visible}\n"] }]
        }], propDecorators: { title: [{
                type: Input
            }], url: [{
                type: Input
            }], tool: [{
                type: Input
            }], isGlobal: [{
                type: Input
            }], isTool: [{
                type: Input
            }], target: [{
                type: Input
            }], space: [{
                type: Input
            }], saveClicked: [{
                type: Output
            }], cancelClicked: [{
                type: Output
            }], hide: [{
                type: HostBinding,
                args: ['class._hidden']
            }], fixed: [{
                type: HostBinding,
                args: ['class._fixed']
            }] } });

const MARKER_MODAL_SELECTOR = 'cc-marker-modal';

function createLinkModal(tooltip, link) {
    const linkModal = document.createElement(MARKER_MODAL_SELECTOR);
    const button = tooltip.querySelector('.edit');
    linkModal.url = link.href;
    linkModal.title = link.innerText;
    linkModal.target = button;
    linkModal.space = 15;
    linkModal.addEventListener('saveClicked', (event) => {
        const customEvent = event;
        if (typeof customEvent.detail.data === 'string') {
            link.setAttribute('href', customEvent.detail.data);
        }
        link.innerHTML = customEvent.detail.title;
        tooltip.remove();
    });
    linkModal.addEventListener('cancelClicked', () => {
        tooltip.remove();
    });
    return linkModal;
}

class EditorToolModalComponent {
    set marker(value) {
        this.calculateModalPosition(value);
    }
    get _isHidden() {
        return this.isHidden();
    }
    get _isFullscreen() {
        return this.isFullscreen();
    }
    constructor() {
        this.element = inject(ElementRef).nativeElement;
        this.window = inject(CUI_WINDOW);
        this.cuiClickOutsideDirective = inject(CuiClickOutsideDirective, { self: true });
        this.SPACE_BETWEEN_TARGET_AND_LIST = 10;
        this.isFullscreen = signal(false);
        this.isHidden = signal(true);
        this.closed = new EventEmitter();
        this.initClickOutsideSubscription();
    }
    onCloseModal() {
        this.closed.emit();
    }
    onMaximizeModal() {
        this.isFullscreen.update((prev) => !prev);
    }
    initClickOutsideSubscription() {
        this.cuiClickOutsideDirective.cuiClickOutside
            .pipe(skip(1), takeUntilDestroyed())
            .subscribe(() => this.onCloseModal());
    }
    calculateModalPosition(marker) {
        const { bottom, left } = marker.getBoundingClientRect();
        setTimeout(() => {
            const modalWidth = this.element.offsetWidth;
            this.element.style.top = bottom + this.window.scrollY + this.SPACE_BETWEEN_TARGET_AND_LIST + 'px';
            this.element.style.left = left + this.window.scrollX + marker.offsetWidth / 2 - modalWidth / 2 + 'px';
            this.isHidden.set(false);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorToolModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EditorToolModalComponent, isStandalone: true, selector: "ng-component", inputs: { tool: "tool", marker: "marker" }, outputs: { closed: "closed" }, host: { properties: { "class._hidden": "this._isHidden", "class._fullscreen": "this._isFullscreen" } }, hostDirectives: [{ directive: i1$1.CuiClickOutsideDirective }], ngImport: i0, template: "<div class=\"triangle\"></div>\n<div class=\"wrapper\">\n    <header class=\"header\">\n        <h3 class=\"title\">{{ tool.title }}</h3>\n        <div class=\"header__buttons\">\n            <!-- TODO: replace icon with 'maximize' -->\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconArrowSortSm\"\n                (click)=\"onMaximizeModal()\"\n            ></button>\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconX\"\n                (click)=\"onCloseModal()\"\n            ></button>\n        </div>\n    </header>\n    <div class=\"content\">\n        <div class=\"info\">\n            <!-- TODO: \u0431\u0443\u0434\u0435\u0442 \u043A\u0430\u0440\u0442\u0438\u043D\u043A\u0430-->\n            <p class=\"info__item\">\n                <span class=\"info__field\">\u0422\u0438\u043F:</span>\n                <span class=\"info__title\">{{ tool.title }}</span>\n            </p>\n            <p class=\"info__item\">\n                <span class=\"info__field\">\u0421\u0442\u0440\u0430\u043D\u0430 \u043F\u0440\u043E\u0438\u0437\u0432\u043E\u0434\u0438\u0442\u0435\u043B\u044C:</span>\n                <span class=\"info__title\">{{ tool.title }}</span>\n            </p>\n        </div>\n    </div>\n</div>\n", styles: [".content{padding-right:23px;padding-left:23px;padding-bottom:7px;font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font);max-height:415px;overflow-y:auto}:host{position:absolute;z-index:10;left:50%;top:30px;min-height:100px;max-width:450px}:host._fullscreen{position:fixed;top:0!important;left:0!important;max-width:none;height:100vh;width:100%;transform:none}:host._fullscreen .content{max-height:calc(100% - 56px)}:host._hidden{visibility:hidden}.triangle{position:absolute;top:-7px;left:50%;width:14px;height:14px;border-radius:2px;border:1px solid var(--cui-base-200);background:var(--cui-base-0);transform:translate(-50%) rotate(45deg)}.wrapper{position:relative;border-radius:8px;border:1px solid var(--cui-base-200);background:var(--cui-base-0);height:100%}.header{padding:8.2px 15px 8px;display:flex;align-items:flex-end;justify-content:space-between;gap:16px;margin-bottom:12px}.title{font-weight:500;font-size:14px;line-height:20px;padding-top:2px;padding-bottom:2px;text-wrap:nowrap;text-overflow:ellipsis;overflow:hidden;color:var(--cui-base-900)}.info{display:flex;flex-direction:column;gap:8px}.info__item{display:flex;gap:8px}.info__field{font-weight:400;font-size:16px;line-height:24px;text-wrap:nowrap;color:var(--cui-gray-600)}.info__title{font-weight:500;font-size:16px;line-height:24px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;color:var(--cui-base-900)}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorToolModalComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CuiButtonModule], changeDetection: ChangeDetectionStrategy.OnPush, hostDirectives: [CuiClickOutsideDirective], template: "<div class=\"triangle\"></div>\n<div class=\"wrapper\">\n    <header class=\"header\">\n        <h3 class=\"title\">{{ tool.title }}</h3>\n        <div class=\"header__buttons\">\n            <!-- TODO: replace icon with 'maximize' -->\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconArrowSortSm\"\n                (click)=\"onMaximizeModal()\"\n            ></button>\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconX\"\n                (click)=\"onCloseModal()\"\n            ></button>\n        </div>\n    </header>\n    <div class=\"content\">\n        <div class=\"info\">\n            <!-- TODO: \u0431\u0443\u0434\u0435\u0442 \u043A\u0430\u0440\u0442\u0438\u043D\u043A\u0430-->\n            <p class=\"info__item\">\n                <span class=\"info__field\">\u0422\u0438\u043F:</span>\n                <span class=\"info__title\">{{ tool.title }}</span>\n            </p>\n            <p class=\"info__item\">\n                <span class=\"info__field\">\u0421\u0442\u0440\u0430\u043D\u0430 \u043F\u0440\u043E\u0438\u0437\u0432\u043E\u0434\u0438\u0442\u0435\u043B\u044C:</span>\n                <span class=\"info__title\">{{ tool.title }}</span>\n            </p>\n        </div>\n    </div>\n</div>\n", styles: [".content{padding-right:23px;padding-left:23px;padding-bottom:7px;font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font);max-height:415px;overflow-y:auto}:host{position:absolute;z-index:10;left:50%;top:30px;min-height:100px;max-width:450px}:host._fullscreen{position:fixed;top:0!important;left:0!important;max-width:none;height:100vh;width:100%;transform:none}:host._fullscreen .content{max-height:calc(100% - 56px)}:host._hidden{visibility:hidden}.triangle{position:absolute;top:-7px;left:50%;width:14px;height:14px;border-radius:2px;border:1px solid var(--cui-base-200);background:var(--cui-base-0);transform:translate(-50%) rotate(45deg)}.wrapper{position:relative;border-radius:8px;border:1px solid var(--cui-base-200);background:var(--cui-base-0);height:100%}.header{padding:8.2px 15px 8px;display:flex;align-items:flex-end;justify-content:space-between;gap:16px;margin-bottom:12px}.title{font-weight:500;font-size:14px;line-height:20px;padding-top:2px;padding-bottom:2px;text-wrap:nowrap;text-overflow:ellipsis;overflow:hidden;color:var(--cui-base-900)}.info{display:flex;flex-direction:column;gap:8px}.info__item{display:flex;gap:8px}.info__field{font-weight:400;font-size:16px;line-height:24px;text-wrap:nowrap;color:var(--cui-gray-600)}.info__title{font-weight:500;font-size:16px;line-height:24px;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;color:var(--cui-base-900)}\n"] }]
        }], ctorParameters: () => [], propDecorators: { tool: [{
                type: Input,
                args: [{ required: true }]
            }], marker: [{
                type: Input
            }], closed: [{
                type: Output
            }], _isHidden: [{
                type: HostBinding,
                args: ['class._hidden']
            }], _isFullscreen: [{
                type: HostBinding,
                args: ['class._fullscreen']
            }] } });

const EDITOR_TOOL_MODAL_SELECTOR = 'cc-editor-tool-modal';

class EditorTooltipComponent {
    constructor() {
        // TODO: Удалить класс
        this.BUTTONS_OPTIONS = new Map([
            ['copy', { icon: 'cuiIconCopy', handler: (event) => this.copyClicked.emit(event) }],
            ['edit', { icon: 'cuiIconEdit', handler: (event) => this.editClicked.emit(event), class: 'edit' }],
            ['delete', { icon: 'cuiIconTrash', handler: (event) => this.deleteClicked.emit(event) }]
        ]);
        this._options = ['edit', 'delete'];
        this.buttons = this.getButtonsFromOptions(this._options);
        this.copyClicked = new EventEmitter();
        this.editClicked = new EventEmitter();
        this.deleteClicked = new EventEmitter();
    }
    set options(value) {
        this._options = value;
        this.buttons = this.getButtonsFromOptions(value);
    }
    getButtonsFromOptions(options) {
        return options.map((option) => this.BUTTONS_OPTIONS.get(option));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorTooltipComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EditorTooltipComponent, isStandalone: true, selector: "ng-component", inputs: { title: "title", options: "options" }, outputs: { copyClicked: "copyClicked", editClicked: "editClicked", deleteClicked: "deleteClicked" }, ngImport: i0, template: "<h3 class=\"title\">{{ title }}</h3>\r\n<div class=\"buttons-container\">\r\n    <ng-container *ngFor=\"let button of buttons\">\r\n      <div class=\"divider\"></div>\r\n      <!--        TODO: class \u0434\u043E\u043B\u0436\u0435\u043D \u0431\u044B\u0442\u044C \u0443\u0434\u0430\u043B\u0451\u043D \u0432 \u0431\u0443\u0434\u0443\u0449\u0435\u043C-->\r\n      <button\r\n          class=\"button\"\r\n          cuiButton\r\n          type=\"button\"\r\n          appearance=\"ghost\"\r\n          size=\"xxs\"\r\n          [icon]=\"button.icon\"\r\n          [class]=\"button.class\"\r\n          (click)=\"button.handler($event)\"\r\n      ></button>\r\n    </ng-container>\r\n</div>\r\n", styles: [":host{padding:4px 6px;box-shadow:0 4px 6px -2px #0000000d,0 10px 15px -3px #0000001a;font-weight:400;font-size:14px;line-height:20px;position:fixed;z-index:12;left:0;top:0;display:flex;align-items:center;gap:12px;border-radius:4px;font-family:var(--cui-main-font);background:var(--cui-gray-800)}.title{font-weight:400;font-size:14px;line-height:20px;max-width:300px;text-wrap:nowrap;overflow:hidden;text-overflow:ellipsis;color:var(--cui-gray-0)}.divider{width:1px;height:24px;background:var(--cui-gray-500)}.buttons-container{display:flex;align-items:center;gap:4px}.button{--cui-base-50: rgba(255 255 255 / 10%);--cui-base-500: var(--cui-gray-0)}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "directive", type: NgFor, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorTooltipComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CuiButtonModule, NgFor], changeDetection: ChangeDetectionStrategy.OnPush, template: "<h3 class=\"title\">{{ title }}</h3>\r\n<div class=\"buttons-container\">\r\n    <ng-container *ngFor=\"let button of buttons\">\r\n      <div class=\"divider\"></div>\r\n      <!--        TODO: class \u0434\u043E\u043B\u0436\u0435\u043D \u0431\u044B\u0442\u044C \u0443\u0434\u0430\u043B\u0451\u043D \u0432 \u0431\u0443\u0434\u0443\u0449\u0435\u043C-->\r\n      <button\r\n          class=\"button\"\r\n          cuiButton\r\n          type=\"button\"\r\n          appearance=\"ghost\"\r\n          size=\"xxs\"\r\n          [icon]=\"button.icon\"\r\n          [class]=\"button.class\"\r\n          (click)=\"button.handler($event)\"\r\n      ></button>\r\n    </ng-container>\r\n</div>\r\n", styles: [":host{padding:4px 6px;box-shadow:0 4px 6px -2px #0000000d,0 10px 15px -3px #0000001a;font-weight:400;font-size:14px;line-height:20px;position:fixed;z-index:12;left:0;top:0;display:flex;align-items:center;gap:12px;border-radius:4px;font-family:var(--cui-main-font);background:var(--cui-gray-800)}.title{font-weight:400;font-size:14px;line-height:20px;max-width:300px;text-wrap:nowrap;overflow:hidden;text-overflow:ellipsis;color:var(--cui-gray-0)}.divider{width:1px;height:24px;background:var(--cui-gray-500)}.buttons-container{display:flex;align-items:center;gap:4px}.button{--cui-base-50: rgba(255 255 255 / 10%);--cui-base-500: var(--cui-gray-0)}\n"] }]
        }], propDecorators: { title: [{
                type: Input,
                args: [{ required: true }]
            }], options: [{
                type: Input
            }], copyClicked: [{
                type: Output
            }], editClicked: [{
                type: Output
            }], deleteClicked: [{
                type: Output
            }] } });

const EDITOR_TOOLTIP_SELECTOR = 'cc-editor-tooltip';

class EditorToolComponent {
    constructor() {
        this.window = inject(CUI_WINDOW);
        this.document = inject(DOCUMENT);
        this.readOnly = false;
        this.isLoading = false;
        this.fileSelected = new EventEmitter();
        this.captionChanged = new EventEmitter();
        this.previousValue = this.caption;
    }
    get isCaptionShown() {
        return !this.readOnly || !!this.caption;
    }
    onSelectFile() {
        this.fileSelected.emit();
    }
    onTitleChange(event) {
        const target = event.currentTarget;
        if (target.innerHTML === '<br>') {
            target.innerHTML = '';
        }
        const value = target.innerHTML;
        if (this.previousValue === value) {
            return;
        }
        this.previousValue = value;
        this.captionChanged.emit(value);
    }
    onTitlePaste(event) {
        event.stopPropagation();
        event.preventDefault();
        if (!this.document) {
            return;
        }
        const value = event.clipboardData?.getData('text/plain');
        const target = event.target;
        this.document.execCommand('insertText', false, value);
        setTimeout(() => this.captionChanged.emit(target.textContent));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorToolComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EditorToolComponent, selector: "ng-component", inputs: { api: "api", preview: "preview", caption: "caption", buttonContent: "buttonContent", readOnly: "readOnly", isLoading: "isLoading" }, outputs: { fileSelected: "fileSelected", captionChanged: "captionChanged" }, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorToolComponent, decorators: [{
            type: Component,
            args: [{
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], propDecorators: { api: [{
                type: Input,
                args: [{ required: true }]
            }], preview: [{
                type: Input,
                args: [{ required: true }]
            }], caption: [{
                type: Input,
                args: [{ required: true }]
            }], buttonContent: [{
                type: Input,
                args: [{ required: true }]
            }], readOnly: [{
                type: Input
            }], isLoading: [{
                type: Input
            }], fileSelected: [{
                type: Output
            }], captionChanged: [{
                type: Output
            }] } });

class FileSizePipe {
    constructor() {
        this.SIZES = ['Bytes', 'KB', 'MB', 'GB'];
        this.BYTES_IN_KILOBYTE = 1024;
    }
    transform(bytes) {
        if (isNaN(bytes) || bytes === 0) {
            return '0 Bytes';
        }
        const index = Math.floor(Math.log(bytes) / Math.log(this.BYTES_IN_KILOBYTE));
        return `${parseFloat((bytes / Math.pow(this.BYTES_IN_KILOBYTE, index)).toFixed(1))} ${this.SIZES[index]}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: FileSizePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: FileSizePipe, isStandalone: true, name: "fileSize" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: FileSizePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'fileSize',
                    standalone: true
                }]
        }] });

class EditorAttachesToolComponent extends EditorToolComponent {
    constructor() {
        super(...arguments);
        this.Extensions = {
            doc: '#1483E9',
            docx: '#1483E9',
            odt: '#1483E9',
            pdf: '#DB2F2F',
            rtf: '#744FDC',
            tex: '#5a5a5b',
            txt: '#5a5a5b',
            pptx: '#E35200',
            ppt: '#E35200',
            mp3: '#eab456',
            mp4: '#f676a6',
            xls: '#11AE3D',
            html: '#2988f0',
            htm: '#2988f0',
            png: '#AA2284',
            jpg: '#D13359',
            jpeg: '#D13359',
            gif: '#f6af76',
            zip: '#4f566f',
            rar: '#4f566f',
            exe: '#e26f6f',
            svg: '#bf5252',
            key: '#00B2FF',
            sketch: '#FFC700',
            ai: '#FB601D',
            psd: '#388ae5',
            dmg: '#e26f6f',
            json: '#2988f0',
            csv: '#11AE3D'
        };
    }
    get color() {
        return this.Extensions[this.file?.extension];
    }
    get isShowLoadButton() {
        return !this.file && !this.isCaptionShown && !this.isLoading;
    }
    onPreventEnter(event) {
        if (this.checkKey(event)) {
            return;
        }
        event.preventDefault();
        event.stopPropagation();
    }
    checkKey(event) {
        return event.key !== 'Enter';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorAttachesToolComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EditorAttachesToolComponent, isStandalone: true, selector: "ng-component", inputs: { file: "file", title: "title" }, host: { properties: { "class._hidden": "isShowLoadButton" } }, usesInheritance: true, ngImport: i0, template: "<ng-container *ngIf=\"!isLoading; else preloader\">\r\n  <ng-container *transloco=\"let t\">\r\n      <div *ngIf=\"file; else buttonTemplate\" class=\"file\">\r\n          <div\r\n              class=\"icon\"\r\n              [style.backgroundColor]=\"color\"\r\n          >\r\n              {{ file.extension | uppercase }}\r\n          </div>\r\n          <div class=\"info\">\r\n              <div\r\n                  class=\"title\"\r\n                  attr.data-placeholder=\"{{ t('FILE_TITLE') }}...\"\r\n                  [innerHTML]=\"title\"\r\n                  [attr.contenteditable]=\"!readOnly\"\r\n                  (paste)=\"onTitlePaste($event)\"\r\n                  (keydown)=\"onPreventEnter($event)\"\r\n                  (keyup)=\"onTitleChange($event)\"\r\n              ></div>\r\n              <div *ngIf=\"file.size; let size\" class=\"size\">{{ size | fileSize }}</div>\r\n          </div>\r\n          <a\r\n              class=\"download\"\r\n              [href]=\"file.url\"\r\n              target=\"_blank\"\r\n              download\r\n          >\r\n              <cui-svg icon=\"cuiIconChevronDownSm\" />\r\n          </a>\r\n      </div>\r\n      <ng-template #buttonTemplate>\r\n        <button\r\n            [class]=\"['select-btn', this.api.styles.button]\"\r\n            (click)=\"onSelectFile()\"\r\n            type=\"button\"\r\n        >\r\n            <cui-svg icon=\"cuiIconPaperclipSm\" />\r\n            &nbsp;{{ buttonContent }}\r\n        </button>\r\n      </ng-template>\r\n  </ng-container>\r\n</ng-container>\r\n\r\n<ng-template #preloader>\r\n    <div class=\"wrapper\">\r\n        <div class=\"preloader\"></div>\r\n    </div>\r\n</ng-template>\r\n\r\n", styles: [":host{padding-top:6px;padding-bottom:6px;font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font);display:block}:host._hidden{display:none}.file{padding:10px 12px;display:flex;justify-content:space-between;align-items:center;gap:8px;border-radius:10px;border:1px solid var(--cui-base-200);background-color:var(--cui-base-10)}.info{display:flex;flex-direction:column;gap:2px;width:85%}.icon{padding:6px 2px;font-weight:500;font-size:12px;line-height:14px;display:flex;align-items:flex-end;border-radius:8px;width:35px;height:35px;color:var(--cui-gray-0)}.title{font-weight:400;font-size:14px;line-height:20px;outline:none}.size{font-weight:400;font-size:13px;line-height:16px;color:var(--cui-base-500)}.download{padding:6px;margin-left:auto;border-radius:8px;color:var(--cui-base-0);background:var(--cui-base-50)}.wrapper{display:flex;flex-direction:column;margin-bottom:10px;border:1px solid var(--cui-base-200);border-radius:10px;min-height:50px;background-color:var(--cui-base-0)}.wrapper._loaded{min-height:auto}.preloader{width:30px;height:30px;border-radius:50%;background-size:cover;margin:auto;position:relative;background-position:center center}@keyframes preloader-spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.preloader:after{content:\"\";position:absolute;z-index:3;width:30px;height:30px;border-radius:50%;border:2px solid var(--cui-base-200);border-top-color:var(--cui-blue-600);left:50%;top:50%;margin-top:-15px;margin-left:-15px;animation:preloader-spin 2s infinite linear;box-sizing:border-box}.title[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.select-btn{display:flex;align-items:center;justify-content:center;width:100%}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "pipe", type: FileSizePipe, name: "fileSize" }, { kind: "ngmodule", type: FormsModule }, { kind: "pipe", type: UpperCasePipe, name: "uppercase" }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorAttachesToolComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CuiSvgModule, FileSizePipe, FormsModule, UpperCasePipe, NgIf, TranslocoDirective], changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._hidden]': 'isShowLoadButton'
                    }, template: "<ng-container *ngIf=\"!isLoading; else preloader\">\r\n  <ng-container *transloco=\"let t\">\r\n      <div *ngIf=\"file; else buttonTemplate\" class=\"file\">\r\n          <div\r\n              class=\"icon\"\r\n              [style.backgroundColor]=\"color\"\r\n          >\r\n              {{ file.extension | uppercase }}\r\n          </div>\r\n          <div class=\"info\">\r\n              <div\r\n                  class=\"title\"\r\n                  attr.data-placeholder=\"{{ t('FILE_TITLE') }}...\"\r\n                  [innerHTML]=\"title\"\r\n                  [attr.contenteditable]=\"!readOnly\"\r\n                  (paste)=\"onTitlePaste($event)\"\r\n                  (keydown)=\"onPreventEnter($event)\"\r\n                  (keyup)=\"onTitleChange($event)\"\r\n              ></div>\r\n              <div *ngIf=\"file.size; let size\" class=\"size\">{{ size | fileSize }}</div>\r\n          </div>\r\n          <a\r\n              class=\"download\"\r\n              [href]=\"file.url\"\r\n              target=\"_blank\"\r\n              download\r\n          >\r\n              <cui-svg icon=\"cuiIconChevronDownSm\" />\r\n          </a>\r\n      </div>\r\n      <ng-template #buttonTemplate>\r\n        <button\r\n            [class]=\"['select-btn', this.api.styles.button]\"\r\n            (click)=\"onSelectFile()\"\r\n            type=\"button\"\r\n        >\r\n            <cui-svg icon=\"cuiIconPaperclipSm\" />\r\n            &nbsp;{{ buttonContent }}\r\n        </button>\r\n      </ng-template>\r\n  </ng-container>\r\n</ng-container>\r\n\r\n<ng-template #preloader>\r\n    <div class=\"wrapper\">\r\n        <div class=\"preloader\"></div>\r\n    </div>\r\n</ng-template>\r\n\r\n", styles: [":host{padding-top:6px;padding-bottom:6px;font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font);display:block}:host._hidden{display:none}.file{padding:10px 12px;display:flex;justify-content:space-between;align-items:center;gap:8px;border-radius:10px;border:1px solid var(--cui-base-200);background-color:var(--cui-base-10)}.info{display:flex;flex-direction:column;gap:2px;width:85%}.icon{padding:6px 2px;font-weight:500;font-size:12px;line-height:14px;display:flex;align-items:flex-end;border-radius:8px;width:35px;height:35px;color:var(--cui-gray-0)}.title{font-weight:400;font-size:14px;line-height:20px;outline:none}.size{font-weight:400;font-size:13px;line-height:16px;color:var(--cui-base-500)}.download{padding:6px;margin-left:auto;border-radius:8px;color:var(--cui-base-0);background:var(--cui-base-50)}.wrapper{display:flex;flex-direction:column;margin-bottom:10px;border:1px solid var(--cui-base-200);border-radius:10px;min-height:50px;background-color:var(--cui-base-0)}.wrapper._loaded{min-height:auto}.preloader{width:30px;height:30px;border-radius:50%;background-size:cover;margin:auto;position:relative;background-position:center center}@keyframes preloader-spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.preloader:after{content:\"\";position:absolute;z-index:3;width:30px;height:30px;border-radius:50%;border:2px solid var(--cui-base-200);border-top-color:var(--cui-blue-600);left:50%;top:50%;margin-top:-15px;margin-left:-15px;animation:preloader-spin 2s infinite linear;box-sizing:border-box}.title[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.select-btn{display:flex;align-items:center;justify-content:center;width:100%}\n"] }]
        }], propDecorators: { file: [{
                type: Input,
                args: [{ required: true }]
            }], title: [{
                type: Input,
                args: [{ required: true }]
            }] } });

const EDITOR_ATTACHES_TOOL_SELECTOR = 'cc-editor-attaches-tool';

class EditorImageToolComponent extends EditorToolComponent {
    constructor() {
        super(...arguments);
        this.isLoaded = signal(false);
        this.tunesSignal = signal({});
    }
    set tunes(tunes) {
        this.tunesSignal.set(tunes);
    }
    get isShowLoadButton() {
        return !this.image && !this.isCaptionShown && !this.isLoading;
    }
    onPreventEnter(event) {
        if (this.checkKey(event)) {
            return;
        }
        event.stopPropagation();
    }
    checkKey(event) {
        return (event.key !== 'Backspace' && event.key !== 'Enter') || event.shiftKey;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorImageToolComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EditorImageToolComponent, isStandalone: true, selector: "ng-component", inputs: { image: "image", tunes: "tunes" }, host: { properties: { "class._hidden": "isShowLoadButton" } }, usesInheritance: true, ngImport: i0, template: "<ng-container *ngIf=\"!isLoading; else preloader\">\r\n  <ng-container *transloco=\"let t\">\r\n        <ng-container *ngIf=\"image; else buttonTemplate\">\r\n          <div\r\n              class=\"wrapper\"\r\n              [ngClass]=\"tunesSignal()\"\r\n              [class._loaded]=\"isLoaded()\"\r\n          >\r\n              <img\r\n                  class=\"image\"\r\n                  [src]=\"image\"\r\n                  alt=\"Image\"\r\n              />\r\n          </div>\r\n          <div\r\n              *ngIf=\"isCaptionShown\"\r\n              class=\"caption cdx-input\"\r\n              [attr.contenteditable]=\"!readOnly\"\r\n              attr.data-placeholder=\"{{ t('CAPTION') }}...\"\r\n              (paste)=\"onTitlePaste($event)\"\r\n              (keydown)=\"onPreventEnter($event)\"\r\n              (keyup)=\"onTitleChange($event)\"\r\n              [innerHTML]=\"caption\"\r\n          ></div>\r\n        </ng-container>\r\n        <ng-template #buttonTemplate>\r\n          <button\r\n              #button\r\n              type=\"button\"\r\n              [class]=\"['select-btn', this.api.styles.button]\"\r\n              (click)=\"onSelectFile()\"\r\n          >\r\n              <svg\r\n                  xmlns=\"http://www.w3.org/2000/svg\"\r\n                  width=\"20\"\r\n                  height=\"20\"\r\n                  viewBox=\"0 0 20 20\"\r\n                  fill=\"none\"\r\n              >\r\n                  <path\r\n                      d=\"M12.5013 4.1665H7.5013C5.66035 4.1665 4.16797 5.65889 4.16797 7.49984V12.4998C4.16797 14.3408 5.66035 15.8332 7.5013 15.8332H12.5013C14.3423 15.8332 15.8346 14.3408 15.8346 12.4998V7.49984C15.8346 5.65889 14.3423 4.1665 12.5013 4.1665Z\"\r\n                      stroke=\"#121315\"\r\n                      stroke-width=\"1.66667\"\r\n                  />\r\n                  <path\r\n                      d=\"M4.28125 12.7665L7.24033 9.63825C7.52263 9.33617 7.90546 9.1665 8.30463 9.1665C8.70377 9.1665 9.0866 9.33617 9.36893 9.63825L12.8208 13.3332M11.3154 11.7218L12.5092 10.444C12.7914 10.1419 13.1743 9.97217 13.5734 9.97217C13.9726 9.97217 14.3554 10.1419 14.6378 10.444L15.699 11.636\"\r\n                      stroke=\"#121315\"\r\n                      stroke-width=\"1.66667\"\r\n                      stroke-linecap=\"round\"\r\n                      stroke-linejoin=\"round\"\r\n                  />\r\n                  <path\r\n                      d=\"M11.4805 7.77783H11.4879\"\r\n                      stroke=\"#121315\"\r\n                      stroke-width=\"1.66667\"\r\n                      stroke-linecap=\"round\"\r\n                      stroke-linejoin=\"round\"\r\n                  />\r\n              </svg>\r\n              &nbsp;{{ buttonContent }}\r\n          </button>\r\n        </ng-template>\r\n  </ng-container>\r\n</ng-container>\r\n<ng-template #preloader>\r\n  <div class=\"wrapper\">\r\n      <div class=\"preloader\">\r\n          <img\r\n              *ngIf=\"preview\"\r\n              class=\"preloader__image\"\r\n              [src]=\"preview\"\r\n              alt=\"Preloader\"\r\n          />\r\n      </div>\r\n  </div>\r\n</ng-template>\r\n\r\n", styles: [":host{padding-top:6px;padding-bottom:6px;font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font);display:block}:host ::ng-deep .cdx-input{border:1px solid var(--cui-base-200);background:transparent;box-shadow:none}:host ::ng-deep .play{margin:auto}:host ::ng-deep .play path{fill:var(--cui-base-0);stroke:var(--cui-base-300)}:host._hidden{display:none}.image{display:block;max-width:100%;width:fit-content;height:250px}.wrapper{display:flex;flex-direction:column;margin-bottom:10px;border:1px solid var(--cui-base-200);border-radius:3px;min-height:200px;background-color:var(--cui-base-0)}.wrapper._loaded{min-height:auto}.wrapper.stretched .image{width:100%;height:auto}.wrapper.center .image{margin:auto}.preloader{width:50px;height:50px;border-radius:50%;background-size:cover;margin:auto;position:relative;background-color:var(--cui-base-200);background-position:center center}@keyframes preloader-spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.preloader__image{width:50px;height:50px;border-radius:50%}.preloader:after{content:\"\";position:absolute;z-index:3;width:60px;height:60px;border-radius:50%;border:2px solid var(--cui-base-200);border-top-color:var(--cui-blue-600);left:50%;top:50%;margin-top:-30px;margin-left:-30px;animation:preloader-spin 2s infinite linear;box-sizing:border-box}.caption[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.select-btn{display:flex;align-items:center;justify-content:center;width:100%}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorImageToolComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CuiSvgModule, FormsModule, NgClass, NgIf, TranslocoDirective], changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._hidden]': 'isShowLoadButton'
                    }, template: "<ng-container *ngIf=\"!isLoading; else preloader\">\r\n  <ng-container *transloco=\"let t\">\r\n        <ng-container *ngIf=\"image; else buttonTemplate\">\r\n          <div\r\n              class=\"wrapper\"\r\n              [ngClass]=\"tunesSignal()\"\r\n              [class._loaded]=\"isLoaded()\"\r\n          >\r\n              <img\r\n                  class=\"image\"\r\n                  [src]=\"image\"\r\n                  alt=\"Image\"\r\n              />\r\n          </div>\r\n          <div\r\n              *ngIf=\"isCaptionShown\"\r\n              class=\"caption cdx-input\"\r\n              [attr.contenteditable]=\"!readOnly\"\r\n              attr.data-placeholder=\"{{ t('CAPTION') }}...\"\r\n              (paste)=\"onTitlePaste($event)\"\r\n              (keydown)=\"onPreventEnter($event)\"\r\n              (keyup)=\"onTitleChange($event)\"\r\n              [innerHTML]=\"caption\"\r\n          ></div>\r\n        </ng-container>\r\n        <ng-template #buttonTemplate>\r\n          <button\r\n              #button\r\n              type=\"button\"\r\n              [class]=\"['select-btn', this.api.styles.button]\"\r\n              (click)=\"onSelectFile()\"\r\n          >\r\n              <svg\r\n                  xmlns=\"http://www.w3.org/2000/svg\"\r\n                  width=\"20\"\r\n                  height=\"20\"\r\n                  viewBox=\"0 0 20 20\"\r\n                  fill=\"none\"\r\n              >\r\n                  <path\r\n                      d=\"M12.5013 4.1665H7.5013C5.66035 4.1665 4.16797 5.65889 4.16797 7.49984V12.4998C4.16797 14.3408 5.66035 15.8332 7.5013 15.8332H12.5013C14.3423 15.8332 15.8346 14.3408 15.8346 12.4998V7.49984C15.8346 5.65889 14.3423 4.1665 12.5013 4.1665Z\"\r\n                      stroke=\"#121315\"\r\n                      stroke-width=\"1.66667\"\r\n                  />\r\n                  <path\r\n                      d=\"M4.28125 12.7665L7.24033 9.63825C7.52263 9.33617 7.90546 9.1665 8.30463 9.1665C8.70377 9.1665 9.0866 9.33617 9.36893 9.63825L12.8208 13.3332M11.3154 11.7218L12.5092 10.444C12.7914 10.1419 13.1743 9.97217 13.5734 9.97217C13.9726 9.97217 14.3554 10.1419 14.6378 10.444L15.699 11.636\"\r\n                      stroke=\"#121315\"\r\n                      stroke-width=\"1.66667\"\r\n                      stroke-linecap=\"round\"\r\n                      stroke-linejoin=\"round\"\r\n                  />\r\n                  <path\r\n                      d=\"M11.4805 7.77783H11.4879\"\r\n                      stroke=\"#121315\"\r\n                      stroke-width=\"1.66667\"\r\n                      stroke-linecap=\"round\"\r\n                      stroke-linejoin=\"round\"\r\n                  />\r\n              </svg>\r\n              &nbsp;{{ buttonContent }}\r\n          </button>\r\n        </ng-template>\r\n  </ng-container>\r\n</ng-container>\r\n<ng-template #preloader>\r\n  <div class=\"wrapper\">\r\n      <div class=\"preloader\">\r\n          <img\r\n              *ngIf=\"preview\"\r\n              class=\"preloader__image\"\r\n              [src]=\"preview\"\r\n              alt=\"Preloader\"\r\n          />\r\n      </div>\r\n  </div>\r\n</ng-template>\r\n\r\n", styles: [":host{padding-top:6px;padding-bottom:6px;font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font);display:block}:host ::ng-deep .cdx-input{border:1px solid var(--cui-base-200);background:transparent;box-shadow:none}:host ::ng-deep .play{margin:auto}:host ::ng-deep .play path{fill:var(--cui-base-0);stroke:var(--cui-base-300)}:host._hidden{display:none}.image{display:block;max-width:100%;width:fit-content;height:250px}.wrapper{display:flex;flex-direction:column;margin-bottom:10px;border:1px solid var(--cui-base-200);border-radius:3px;min-height:200px;background-color:var(--cui-base-0)}.wrapper._loaded{min-height:auto}.wrapper.stretched .image{width:100%;height:auto}.wrapper.center .image{margin:auto}.preloader{width:50px;height:50px;border-radius:50%;background-size:cover;margin:auto;position:relative;background-color:var(--cui-base-200);background-position:center center}@keyframes preloader-spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.preloader__image{width:50px;height:50px;border-radius:50%}.preloader:after{content:\"\";position:absolute;z-index:3;width:60px;height:60px;border-radius:50%;border:2px solid var(--cui-base-200);border-top-color:var(--cui-blue-600);left:50%;top:50%;margin-top:-30px;margin-left:-30px;animation:preloader-spin 2s infinite linear;box-sizing:border-box}.caption[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.select-btn{display:flex;align-items:center;justify-content:center;width:100%}\n"] }]
        }], propDecorators: { image: [{
                type: Input,
                args: [{ required: true }]
            }], tunes: [{
                type: Input
            }] } });

const EDITOR_IMAGE_TOOL_SELECTOR = 'cc-editor-image-tool';

class EditorVideoToolComponent extends EditorToolComponent {
    constructor() {
        super(...arguments);
        this.isLoaded = signal(false);
    }
    get isShowLoadButton() {
        return !this.video && !this.isCaptionShown && !this.isLoading;
    }
    onPlay() {
        this.isLoaded.set(true);
    }
    onPreventEnter(event) {
        if (this.checkKey(event)) {
            return;
        }
        event.stopPropagation();
    }
    checkKey(event) {
        return (event.key !== 'Backspace' && event.key !== 'Enter') || event.shiftKey;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorVideoToolComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: EditorVideoToolComponent, isStandalone: true, selector: "ng-component", inputs: { video: "video" }, host: { properties: { "class._hidden": "isShowLoadButton" } }, usesInheritance: true, ngImport: i0, template: "<ng-container *transloco=\"let t\">\r\n  <ng-container *ngIf=\"!isLoading; else preloader\">\r\n    <ng-container *ngIf=\"video; else buttonTemplate\">\r\n      <div\r\n          class=\"wrapper\"\r\n          [class._loaded]=\"isLoaded()\"\r\n      >\r\n        <video\r\n            *ngIf=\"isLoaded(); else playButtonTemplate\"\r\n            class=\"video\"\r\n            [src]=\"video\"\r\n            controls\r\n            autoplay\r\n            muted\r\n            playsinline\r\n        ></video>\r\n\r\n        <ng-template #playButtonTemplate>\r\n          <button\r\n              type=\"button\"\r\n              class=\"play\"\r\n              (click)=\"onPlay()\"\r\n          >\r\n            <cui-svg\r\n                class=\"play\"\r\n                icon=\"cuiIconPlayCircleSm\"\r\n                [height]=\"72\"\r\n                [width]=\"72\"\r\n                [strokeWidth]=\"0.5\"\r\n            />\r\n          </button>\r\n        </ng-template>\r\n      </div>\r\n\r\n      <div\r\n          *ngIf=\"isCaptionShown\"\r\n          class=\"caption cdx-input\"\r\n          [attr.contenteditable]=\"!readOnly\"\r\n          attr.data-placeholder=\"{{ t('CAPTION') }}...\"\r\n          (paste)=\"onTitlePaste($event)\"\r\n          (keydown)=\"onPreventEnter($event)\"\r\n          (keyup)=\"onTitleChange($event)\"\r\n          [innerHTML]=\"caption\"\r\n      ></div>\r\n    </ng-container>\r\n\r\n    <ng-template #buttonTemplate>\r\n      <button\r\n          type=\"button\"\r\n          [class]=\"['select-btn', this.api.styles.button]\"\r\n          (click)=\"onSelectFile()\"\r\n      >\r\n          <cui-svg icon=\"cuiIconPlayCircle\" />\r\n          &nbsp;{{ buttonContent }}\r\n      </button>\r\n    </ng-template>\r\n  </ng-container>\r\n</ng-container>\r\n\r\n\r\n<ng-template #preloader>\r\n  <div class=\"wrapper\">\r\n    <div class=\"preloader\">\r\n      <img\r\n          *ngIf=\"preview\"\r\n          class=\"preloader__image\"\r\n          [src]=\"preview\"\r\n          alt=\"Preloader\"\r\n      />\r\n    </div>\r\n  </div>\r\n</ng-template>\r\n\r\n\r\n", styles: [":host{font-weight:400;font-size:14px;line-height:20px;padding-top:6px;padding-bottom:6px;font-family:var(--cui-main-font);display:block}:host ::ng-deep .cdx-input{border:1px solid var(--cui-base-200);background:transparent;box-shadow:none}:host ::ng-deep .play{margin:auto}:host ::ng-deep .play path{fill:var(--cui-base-0);stroke:var(--cui-base-300)}:host._hidden{display:none}.wrapper{display:flex;flex-direction:column;margin-bottom:10px;border:1px solid var(--cui-base-200);border-radius:3px;min-height:200px;background-color:var(--cui-base-0)}.wrapper._loaded{min-height:auto}.video{display:block;max-width:100%}.preloader{width:50px;height:50px;border-radius:50%;background-size:cover;margin:auto;position:relative;background-color:var(--cui-base-200);background-position:center center}@keyframes preloader-spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.preloader__image{width:50px;height:50px;border-radius:50%}.preloader:after{content:\"\";position:absolute;z-index:3;width:60px;height:60px;border-radius:50%;border:2px solid var(--cui-base-200);border-top-color:var(--cui-blue-600);left:50%;top:50%;margin-top:-30px;margin-left:-30px;animation:preloader-spin 2s infinite linear;box-sizing:border-box}.caption[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.select-btn{display:flex;align-items:center;justify-content:center;width:100%}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: EditorVideoToolComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CuiSvgModule, FormsModule, NgIf, TranslocoDirective], changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '[class._hidden]': 'isShowLoadButton'
                    }, template: "<ng-container *transloco=\"let t\">\r\n  <ng-container *ngIf=\"!isLoading; else preloader\">\r\n    <ng-container *ngIf=\"video; else buttonTemplate\">\r\n      <div\r\n          class=\"wrapper\"\r\n          [class._loaded]=\"isLoaded()\"\r\n      >\r\n        <video\r\n            *ngIf=\"isLoaded(); else playButtonTemplate\"\r\n            class=\"video\"\r\n            [src]=\"video\"\r\n            controls\r\n            autoplay\r\n            muted\r\n            playsinline\r\n        ></video>\r\n\r\n        <ng-template #playButtonTemplate>\r\n          <button\r\n              type=\"button\"\r\n              class=\"play\"\r\n              (click)=\"onPlay()\"\r\n          >\r\n            <cui-svg\r\n                class=\"play\"\r\n                icon=\"cuiIconPlayCircleSm\"\r\n                [height]=\"72\"\r\n                [width]=\"72\"\r\n                [strokeWidth]=\"0.5\"\r\n            />\r\n          </button>\r\n        </ng-template>\r\n      </div>\r\n\r\n      <div\r\n          *ngIf=\"isCaptionShown\"\r\n          class=\"caption cdx-input\"\r\n          [attr.contenteditable]=\"!readOnly\"\r\n          attr.data-placeholder=\"{{ t('CAPTION') }}...\"\r\n          (paste)=\"onTitlePaste($event)\"\r\n          (keydown)=\"onPreventEnter($event)\"\r\n          (keyup)=\"onTitleChange($event)\"\r\n          [innerHTML]=\"caption\"\r\n      ></div>\r\n    </ng-container>\r\n\r\n    <ng-template #buttonTemplate>\r\n      <button\r\n          type=\"button\"\r\n          [class]=\"['select-btn', this.api.styles.button]\"\r\n          (click)=\"onSelectFile()\"\r\n      >\r\n          <cui-svg icon=\"cuiIconPlayCircle\" />\r\n          &nbsp;{{ buttonContent }}\r\n      </button>\r\n    </ng-template>\r\n  </ng-container>\r\n</ng-container>\r\n\r\n\r\n<ng-template #preloader>\r\n  <div class=\"wrapper\">\r\n    <div class=\"preloader\">\r\n      <img\r\n          *ngIf=\"preview\"\r\n          class=\"preloader__image\"\r\n          [src]=\"preview\"\r\n          alt=\"Preloader\"\r\n      />\r\n    </div>\r\n  </div>\r\n</ng-template>\r\n\r\n\r\n", styles: [":host{font-weight:400;font-size:14px;line-height:20px;padding-top:6px;padding-bottom:6px;font-family:var(--cui-main-font);display:block}:host ::ng-deep .cdx-input{border:1px solid var(--cui-base-200);background:transparent;box-shadow:none}:host ::ng-deep .play{margin:auto}:host ::ng-deep .play path{fill:var(--cui-base-0);stroke:var(--cui-base-300)}:host._hidden{display:none}.wrapper{display:flex;flex-direction:column;margin-bottom:10px;border:1px solid var(--cui-base-200);border-radius:3px;min-height:200px;background-color:var(--cui-base-0)}.wrapper._loaded{min-height:auto}.video{display:block;max-width:100%}.preloader{width:50px;height:50px;border-radius:50%;background-size:cover;margin:auto;position:relative;background-color:var(--cui-base-200);background-position:center center}@keyframes preloader-spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.preloader__image{width:50px;height:50px;border-radius:50%}.preloader:after{content:\"\";position:absolute;z-index:3;width:60px;height:60px;border-radius:50%;border:2px solid var(--cui-base-200);border-top-color:var(--cui-blue-600);left:50%;top:50%;margin-top:-30px;margin-left:-30px;animation:preloader-spin 2s infinite linear;box-sizing:border-box}.caption[data-placeholder]:empty:before{content:attr(data-placeholder);position:absolute;color:var(--cui-base-400)}.select-btn{display:flex;align-items:center;justify-content:center;width:100%}\n"] }]
        }], propDecorators: { video: [{
                type: Input,
                args: [{ required: true }]
            }] } });

const EDITOR_VIDEO_TOOL_SELECTOR = 'cc-editor-video-tool';

function createSelect(marker, tooltip) {
    const select = document.createElement(MARKER_SELECT_SELECTOR);
    const button = tooltip.querySelector('.edit');
    select.space = 8;
    select.target = button;
    select.addEventListener('toolClick', (event) => onToolClick(marker, tooltip, event));
    return select;
}
function createToolModal(marker, tooltip) {
    const toolModal = document.createElement(MARKER_MODAL_SELECTOR);
    const button = tooltip.querySelector('.edit');
    const toolId = marker.dataset['id'];
    const toolType = marker.dataset['type'];
    toolModal.title = marker.innerText;
    toolModal.target = button;
    toolModal.isTool = true;
    toolModal.tool = {
        id: toolId,
        type: toolType
    };
    toolModal.space = 8;
    toolModal.addEventListener('saveClicked', (event) => {
        const customEvent = event;
        const data = customEvent.detail.data;
        if (data && typeof data !== 'string') {
            marker.setAttribute('data-id', data.id);
            marker.setAttribute('data-type', data.type);
        }
        marker.innerHTML = customEvent.detail.title;
        tooltip.remove();
    });
    toolModal.addEventListener('cancelClicked', () => {
        tooltip.remove();
    });
    return toolModal;
}
function onToolClick(marker, tooltip, event) {
    event.stopPropagation();
    const customEvent = event;
    const tool = customEvent.detail;
    marker.dataset['id'] = tool.id;
    tooltip.remove();
}

function removeElementTagWrapper(element) {
    const parent = element.parentElement;
    const innerElementNodes = element.childNodes;
    let node;
    while (innerElementNodes.length) {
        node = innerElementNodes.item(0);
        parent?.insertBefore(node, element);
    }
    element.remove();
}

function copyTextToClipboard(text) {
    if (window?.navigator.clipboard && window.isSecureContext) {
        window.navigator.clipboard.writeText(text);
    }
    copyTextToClipboardFallback(text);
}
// TODO: Remove when switch to https
function copyTextToClipboardFallback(text) {
    const textarea = document.createElement('textarea');
    textarea.value = text;
    document.body.appendChild(textarea);
    textarea.focus({ preventScroll: true });
    textarea.select();
    document.execCommand('copy');
    document.body.removeChild(textarea);
}

const tooltipMap = {
    MARK: createMarkerTooltip,
    A: createLinkTooltip
};
function createMarkerTooltip(marker) {
    const tooltip = createTooltip(marker, marker.innerText);
    setTimeout(() => {
        const select = createToolModal(marker, tooltip);
        tooltip.append(select);
    });
    return tooltip;
}
function createLinkTooltip(link) {
    const linkElement = link;
    const options = ['copy', 'edit', 'delete'];
    const linkUrl = linkElement.href;
    const tooltip = createTooltip(linkElement, linkUrl, options);
    tooltip.addEventListener('copyClicked', () => copyTextToClipboard(linkUrl));
    setTimeout(() => {
        const linkModal = createLinkModal(tooltip, linkElement);
        tooltip.append(linkModal);
    });
    return tooltip;
}
function createTooltip(element, title, options) {
    const tooltip = document.createElement(EDITOR_TOOLTIP_SELECTOR);
    tooltip.title = title;
    if (options) {
        tooltip.options = options;
    }
    tooltip.addEventListener('deleteClicked', (event) => {
        event.stopPropagation();
        removeElementTagWrapper(element);
        tooltip.remove();
    });
    return tooltip;
}

var CuiFileUploaderStatus;
(function (CuiFileUploaderStatus) {
    CuiFileUploaderStatus["Loading"] = "loading";
    CuiFileUploaderStatus["Completed"] = "completed";
})(CuiFileUploaderStatus || (CuiFileUploaderStatus = {}));
class CuiFileUploader {
    constructor(config, onUpload, onError) {
        this.REQUEST_METHOD = 'POST';
        this.selectFile = ({ fileSelected }) => {
            const input = document.createElement('input');
            const types = this.config?.types || '*';
            input.type = 'file';
            input.accept = types;
            input.onchange = () => {
                const files = input.files;
                if (!files?.length) {
                    return;
                }
                this.getFile(files, fileSelected);
            };
            input.click();
        };
        this.config = config;
        this.onUpload = onUpload;
        this.onError = onError;
    }
    getFile(files, fileSelected) {
        const file = files.item(0);
        if (!file) {
            return;
        }
        fileSelected(file);
    }
    uploadFile(file) {
        const formData = new FormData();
        const formField = this.config.field || 'file';
        formData.append(formField, file);
        if (!this.config.endpoint) {
            return;
        }
        this.config.load(CuiFileUploaderStatus.Loading);
        const upload = fetch(this.config.endpoint, {
            headers: this.config.additionalRequestHeaders,
            method: this.REQUEST_METHOD,
            body: formData
        });
        upload
            .then((response) => response.json())
            .then((response) => this.onUpload(response, file))
            .catch(() => this.onError())
            .finally(() => this.config.load(CuiFileUploaderStatus.Completed));
    }
    uploadByUrl(url) {
        this.onUpload({ success: 1, file: { url } });
    }
}

function recalculateIndexes(blocksApi) {
    if (!blocksApi) {
        return;
    }
    const blocks = blocksApi.getBlocksCount();
    let index = 0;
    for (let i = 0; i < blocks; i++) {
        const block = blocksApi.getBlockByIndex(i);
        if (!block) {
            continue;
        }
        const blockElement = block?.holder;
        const subblocks = blockElement.querySelectorAll('.' + COMBINED_TEXT_BLOCK_PART);
        blockElement.setAttribute('data-index', String(index));
        if (!subblocks.length) {
            index++;
            continue;
        }
        subblocks.forEach((subblock) => {
            const subBlockIndex = subblock.getAttribute('data-index');
            const indexAsNumber = subBlockIndex ? Number(subBlockIndex) : null;
            if (indexAsNumber !== null && indexAsNumber === index) {
                index++;
                return;
            }
            subblock.setAttribute('data-index', String(index));
            index++;
        });
    }
}

const unsplittableTags = { mark: true, a: true };
const PART_LENGTH_MEASUREMENT_ERROR = 20;
const BR_TAG = '<br>';
function splitHTML(input, maxLength = SPLIT_LENGTH) {
    const parts = [];
    const tagNames = [];
    const tags = [];
    let currentPart = '';
    let index = 0;
    // remove specsymbols
    input = input.replaceAll('&nbsp;', ' ');
    while (input.length > index) {
        while (currentPart.length < maxLength && input.length > index) {
            if (checkIsBrTag(input, index)) {
                // when br tag
                if (currentPart.length + BR_TAG.length > maxLength) {
                    parts.push(currentPart);
                    currentPart = BR_TAG;
                }
                else {
                    currentPart += BR_TAG;
                }
                index += BR_TAG.length - 1;
            }
            else if (checkIsEndOfTag(input, index)) {
                // when tag ends
                const tagName = getEndTag(tagNames.pop());
                tags.pop();
                if ((currentPart + tagName).length > maxLength) {
                    parts.push(currentPart);
                    currentPart = '';
                }
                else {
                    currentPart += tagName;
                }
                index += tagName.length - 1;
            }
            else if (input[index] === '<') {
                // when tag starts
                const { tag, tagName, newIndex } = getTagAndTagName(input, index);
                index = newIndex;
                if (checkIsLengthEnough(currentPart, tag)) {
                    currentPart = switchPartWhenUnclosedTagsExist(tagNames, tags, parts, currentPart);
                }
                currentPart += tag;
                if (!unsplittableTags[tagName]) {
                    tagNames.push(tagName);
                    tags.push(tag);
                }
            }
            else {
                // other symbols
                currentPart += input[index];
            }
            index += 1;
        }
        currentPart = switchPartWhenUnclosedTagsExist(tagNames, tags, parts, currentPart);
    }
    return parts;
}
function switchPartWhenUnclosedTagsExist(tagNames, tags, parts, currentPart) {
    if (!tagNames.length) {
        parts.push(currentPart);
        return '';
    }
    let closeAllTags = '';
    for (let i = tagNames.length - 1; i >= 0; i -= 1) {
        closeAllTags += getEndTag(tagNames[i]);
    }
    currentPart += closeAllTags;
    parts.push(currentPart);
    currentPart = tags.reduce((openTags, tag) => (openTags += tag), '');
    return currentPart;
}
function getTagAndTagName(input, index) {
    let tag = '';
    let tagName = '';
    tag += input[index];
    index += 1;
    while (input[index] !== ' ' && input[index] !== '>') {
        tag += input[index];
        tagName += input[index];
        index += 1;
    }
    while (input[index] !== '>') {
        tag += input[index];
        index += 1;
    }
    tag += input[index];
    [tag, index] = getFullTag(input, index, tag, tagName);
    return { tag, tagName, newIndex: index };
}
function getFullTag(input, index, tag, tagName) {
    if (!unsplittableTags[tagName]) {
        return [tag, index];
    }
    let fullTag = tag;
    index += 1;
    while (!checkIsEndOfTag(input, index)) {
        fullTag += input[index];
        index += 1;
    }
    const endTag = getEndTag(tagName);
    index += endTag.length - 1;
    return [fullTag + endTag, index];
}
function checkIsLengthEnough(currentPart, tag) {
    return currentPart.length + tag.length + PART_LENGTH_MEASUREMENT_ERROR > SPLIT_LENGTH;
}
function getEndTag(tagName) {
    return '</' + tagName + '>';
}
function checkIsEndOfTag(input, index) {
    return input[index] === '<' && input[index + 1] === '/';
}
function checkIsBrTag(input, index) {
    let tag = '';
    if (input[index] !== '<') {
        return false;
    }
    while (input[index] && input[index] !== '>') {
        tag += input[index];
        index += 1;
    }
    return tag + '>' === BR_TAG;
}

class CuiImageTool {
    get Tunes() {
        return [
            {
                name: 'stretched',
                title: 'Stretch image',
                toggle: true
            },
            {
                name: 'center',
                title: 'Center image',
                toggle: true
            }
        ];
    }
    static get isReadOnlySupported() {
        return true;
    }
    static get toolbox() {
        return {
            /* eslint-disable */
            icon: `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
                <path d="M12.5013 4.1665H7.5013C5.66035 4.1665 4.16797 5.65889 4.16797 7.49984V12.4998C4.16797 14.3408 5.66035 15.8332 7.5013 15.8332H12.5013C14.3423 15.8332 15.8346 14.3408 15.8346 12.4998V7.49984C15.8346 5.65889 14.3423 4.1665 12.5013 4.1665Z" stroke="#121315" stroke-width="1.66667"/>
                <path d="M4.28125 12.7665L7.24033 9.63825C7.52263 9.33617 7.90546 9.1665 8.30463 9.1665C8.70377 9.1665 9.0866 9.33617 9.36893 9.63825L12.8208 13.3332M11.3154 11.7218L12.5092 10.444C12.7914 10.1419 13.1743 9.97217 13.5734 9.97217C13.9726 9.97217 14.3554 10.1419 14.6378 10.444L15.699 11.636" stroke="#121315" stroke-width="1.66667" stroke-linecap="round" stroke-linejoin="round"/>
                <path d="M11.4805 7.77783H11.4879" stroke="#121315" stroke-width="1.66667" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>`,
            /* eslint-enable */
            title: 'Image'
        };
    }
    static get pasteConfig() {
        return {
            tags: [
                {
                    img: { src: true }
                }
            ],
            files: {
                mimeTypes: ['image/*']
            }
        };
    }
    constructor(options) {
        this.selectedFile = null;
        this.onSelectFile = () => {
            return this.uploader.selectFile({
                fileSelected: (file) => {
                    const url = URL.createObjectURL(file);
                    this.imageTool.preview = url;
                    this.imageTool.isLoading = true;
                    this.selectedFile = file;
                    this.uploader.uploadFile(file);
                }
            });
        };
        const { api, readOnly, config, data, block } = options;
        this.blockApi = block;
        this.api = api;
        this.readOnly = readOnly;
        this.config = {
            load: config?.load ?? (() => { }),
            field: config?.field ?? 'image',
            types: config?.types ?? 'image/*',
            endpoint: config?.endpoint ?? '',
            buttonContent: config?.buttonContent ?? this.api.i18n.t('Select an Image'),
            additionalRequestHeaders: config?.additionalRequestHeaders || {},
        };
        this.uploader = new CuiFileUploader(this.config, this.onUpload.bind(this), this.uploadingFailed.bind(this));
        this.data = data;
        this.data.tunes = this.data.tunes || {};
    }
    async onPaste(event) {
        const actions = {
            tag: this.pasteByTag.bind(this),
            file: this.pasteByFile.bind(this)
        };
        const key = event.type;
        this.imageTool.isLoading = true;
        actions[key](event);
    }
    pasteByFile(event) {
        const file = event.detail.file;
        this.selectedFile = file;
        this.uploader.uploadFile(file);
    }
    pasteByTag(event) {
        const file = event.detail.data.src;
        this.selectedFile = file;
        this.uploader.uploadByUrl(file);
    }
    appendCallback() {
        this.onSelectFile();
    }
    render() {
        this.imageTool = document.createElement(EDITOR_IMAGE_TOOL_SELECTOR);
        this.imageTool.api = this.api;
        this.imageTool.image = this.data.file?.url || '';
        this.imageTool.caption = this.data.caption || '';
        this.imageTool.tunes = this.data.tunes;
        this.imageTool.readOnly = this.readOnly;
        this.imageTool.buttonContent = this.config.buttonContent;
        this.imageTool.addEventListener('fileSelected', this.onSelectFile);
        this.imageTool.addEventListener('captionChanged', this.changeCaption.bind(this));
        return this.imageTool;
    }
    renderSettings() {
        return this.Tunes.map((tune) => ({
            icon: tune.icon,
            label: this.api.i18n.t(tune.title),
            name: tune.name,
            toggle: tune.toggle,
            isActive: this.data.tunes[tune.name],
            onActivate: () => this.tuneToggled(tune.name)
        }));
    }
    save() {
        return this.data;
    }
    removed() {
        this.imageTool.removeEventListener('fileSelected', this.onSelectFile);
        this.imageTool.removeEventListener('captionChanged', this.changeCaption);
    }
    changeCaption(event) {
        const customEvent = event;
        const value = customEvent.detail;
        this.data.caption = value;
        this.blockApi?.dispatchChange();
    }
    set image(file) {
        this.data.file = file || {};
        if (file && file.url) {
            this.imageTool.image = file.url;
        }
    }
    onUpload(response) {
        if (!response.success || !response.file || !this.selectedFile) {
            this.uploadingFailed();
            return;
        }
        const url = this.selectedFile instanceof File ? window.URL.createObjectURL(this.selectedFile) : this.selectedFile;
        this.data.file = response.file;
        this.imageTool.image = url;
        this.imageTool.isLoading = false;
    }
    uploadingFailed() {
        this.imageTool.image = '';
        this.imageTool.isLoading = false;
    }
    tuneToggled(tuneName) {
        const value = !(this.data.tunes[tuneName] || false);
        this.data.tunes[tuneName] = value;
        this.imageTool.tunes = { ...this.data.tunes };
    }
}

class CuiVideoTool {
    static get isReadOnlySupported() {
        return true;
    }
    static get toolbox() {
        return {
            icon: CUI_ICONS.cuiIconPlayCircle,
            title: 'Video'
        };
    }
    static get pasteConfig() {
        return {
            tags: ['video'],
            patterns: {
                video: /https?:\/\/\S+\.(mp4)$/i
            },
            files: {
                mimeTypes: ['video/*']
            }
        };
    }
    constructor(options) {
        this.selectedFile = null;
        this.onSelectFile = () => {
            return this.uploader.selectFile({
                fileSelected: (file) => {
                    const url = URL.createObjectURL(file);
                    this.getCaptureFromVideo(url);
                    this.videoTool.isLoading = true;
                    this.selectedFile = file;
                    this.uploader.uploadFile(file);
                }
            });
        };
        const { api, readOnly, config, data, block } = options;
        this.blockApi = block;
        this.api = api;
        this.readOnly = readOnly;
        this.config = {
            load: config?.load ?? (() => { }),
            field: config?.field ?? 'video',
            types: config?.types ?? 'video/*',
            endpoint: config?.endpoint ?? '',
            buttonContent: config?.buttonContent ?? this.api.i18n.t('Select a Video'),
            additionalRequestHeaders: config?.additionalRequestHeaders ?? {},
        };
        this.uploader = new CuiFileUploader(this.config, this.onUpload.bind(this), this.uploadingFailed.bind(this));
        this.data = data;
    }
    async onPaste(event) {
        if (event.type !== 'file') {
            return;
        }
        const file = event.detail.file;
        this.videoTool.isLoading = true;
        this.selectedFile = file;
        this.uploader.uploadFile(file);
    }
    appendCallback() {
        this.onSelectFile();
    }
    render() {
        this.videoTool = document.createElement(EDITOR_VIDEO_TOOL_SELECTOR);
        this.videoTool.api = this.api;
        this.videoTool.video = this.data.file?.url || '';
        this.videoTool.caption = this.data.caption || '';
        this.videoTool.readOnly = this.readOnly;
        this.videoTool.buttonContent = this.config.buttonContent;
        this.videoTool.addEventListener('fileSelected', this.onSelectFile);
        this.videoTool.addEventListener('captionChanged', this.changeCaption.bind(this));
        return this.videoTool;
    }
    save() {
        return this.data;
    }
    removed() {
        this.videoTool.removeEventListener('fileSelected', this.onSelectFile);
        this.videoTool.removeEventListener('captionChanged', this.changeCaption);
    }
    changeCaption(event) {
        const customEvent = event;
        const value = customEvent.detail;
        this.data.caption = value;
        this.blockApi?.dispatchChange();
    }
    set video(file) {
        this.data.file = file || {};
        if (file && file.url) {
            this.videoTool.video = file.url;
        }
    }
    onUpload(response) {
        if (!response.success || !response.file || !this.selectedFile) {
            this.uploadingFailed();
            return;
        }
        const url = this.selectedFile instanceof File ? window.URL.createObjectURL(this.selectedFile) : this.selectedFile;
        this.data.file = response.file;
        this.videoTool.video = url;
        this.videoTool.isLoading = false;
    }
    uploadingFailed() {
        this.videoTool.video = '';
        this.videoTool.isLoading = false;
    }
    getCaptureFromVideo(url) {
        const canvas = document.createElement('canvas');
        const video = document.createElement('video');
        video.src = url;
        video.currentTime = 1;
        canvas.width = 120;
        canvas.height = 120;
        video.onloadeddata = () => {
            const context = canvas.getContext('2d');
            if (!context) {
                return;
            }
            context.drawImage(video, 0, 0, canvas.width, canvas.height);
            canvas.toBlob((blob) => {
                if (!blob) {
                    return;
                }
                this.videoTool.preview = URL.createObjectURL(blob);
            });
        };
        video.load();
    }
}

class CuiAttachesTool {
    static get isReadOnlySupported() {
        return true;
    }
    static get toolbox() {
        return {
            icon: CUI_ICONS.cuiIconPaperclipSm,
            title: 'File'
        };
    }
    constructor(options) {
        this.selectedFile = null;
        this.onSelectFile = () => {
            return this.uploader.selectFile({
                fileSelected: (file) => {
                    this.attachesTool.isLoading = true;
                    this.selectedFile = file;
                    this.uploader.uploadFile(file);
                }
            });
        };
        const { api, readOnly, config, data, block } = options;
        this.blockApi = block;
        this.api = api;
        this.readOnly = readOnly;
        this.config = {
            load: config?.load ?? (() => { }),
            field: config?.field ?? 'file',
            types: config?.types ?? '*',
            endpoint: config?.endpoint ?? '',
            buttonContent: config?.buttonContent ?? this.api.i18n.t('Select a File'),
            additionalRequestHeaders: config?.additionalRequestHeaders ?? {},
        };
        this.uploader = new CuiFileUploader(this.config, this.onUpload.bind(this), this.uploadingFailed.bind(this));
        this.data = data;
    }
    appendCallback() {
        this.onSelectFile();
    }
    render() {
        this.attachesTool = document.createElement(EDITOR_ATTACHES_TOOL_SELECTOR);
        this.attachesTool.api = this.api;
        this.attachesTool.file = this.data.file ?? '';
        this.attachesTool.title = this.data.title ?? '';
        this.attachesTool.readOnly = this.readOnly;
        this.attachesTool.buttonContent = this.config.buttonContent;
        this.attachesTool.addEventListener('fileSelected', this.onSelectFile);
        this.attachesTool.addEventListener('captionChanged', this.changeCaption.bind(this));
        return this.attachesTool;
    }
    save() {
        return this.data;
    }
    removed() {
        this.attachesTool.removeEventListener('fileSelected', this.onSelectFile);
        this.attachesTool.removeEventListener('captionChanged', this.changeCaption);
    }
    changeCaption(event) {
        const customEvent = event;
        const value = customEvent.detail;
        this.data.title = value;
        this.blockApi?.dispatchChange();
    }
    set file(file) {
        this.data.title = file.name;
        this.data.file = {
            name: file.name,
            extension: file.name?.split('.').pop(),
            size: file.size,
            url: file.url
        };
        this.attachesTool.file = { ...this.data.file };
        this.attachesTool.title = file.name;
    }
    onUpload(response) {
        if (!response.success || !response.file || !this.selectedFile) {
            this.uploadingFailed();
            return;
        }
        this.file = {
            name: this.selectedFile.name,
            extension: this.selectedFile.name.split('.').pop(),
            size: this.selectedFile.size,
            url: response.file.url
        };
        this.attachesTool.isLoading = false;
    }
    uploadingFailed() {
        this.attachesTool.file = undefined;
        this.attachesTool.isLoading = false;
    }
}

var RangeContainer;
(function (RangeContainer) {
    RangeContainer["start"] = "startContainer";
    RangeContainer["end"] = "endContainer";
})(RangeContainer || (RangeContainer = {}));
class CuiMarkerTool {
    static get isInline() {
        return true;
    }
    get state() {
        return this._state;
    }
    set state(state) {
        this._state = state;
        this.button?.classList.toggle(this.api.styles.inlineToolButtonActive, state);
    }
    constructor(data) {
        this.LIST_CLASS = 'cdx-list__item';
        this.DEFAULT_CLASS = 'marker';
        this.DIV = 'div';
        this.TAG = 'MARK';
        this.CLASS = 'tool-marker';
        this._state = false;
        this.api = data.api;
    }
    render() {
        this.button = document.createElement('button');
        this.button.type = 'button';
        this.button.classList.add(this.api.styles.inlineToolButton);
        this.range = window.getSelection()?.getRangeAt(0).cloneRange();
        return this.button;
    }
    surround() {
        if (this.state) {
            this.api.inlineToolbar.close();
            this.unwrap();
            return;
        }
        this.markerModal.title = this.range.toString();
    }
    wrap(range) {
        const { startContainer, endContainer } = range;
        const selectedText = range.extractContents();
        const mark = this.createElement();
        mark.appendChild(selectedText);
        this.removeNestedMarkers(mark, this.DEFAULT_CLASS);
        this.addMarkerToDOM(range, mark, startContainer, endContainer);
        this.removeExternalMarkers(range, this.DEFAULT_CLASS);
        this.removeEmptyMarkers(range);
        this.api.selection.expandToTag(mark);
    }
    unwrap() {
        const mark = this.api.selection.findParentTag(this.TAG, this.CLASS);
        if (!mark) {
            return;
        }
        removeElementTagWrapper(mark);
    }
    createElement(text = '') {
        const element = document.createElement(this.TAG);
        element.classList.add(this.DEFAULT_CLASS);
        element.textContent = text;
        return element;
    }
    addMarkerToDOM(range, mark, startBlock, endBlock) {
        const classes = [this.LIST_CLASS, COMBINED_TEXT_BLOCK_PART];
        const { className, parent: startParent } = this.getClosestParentWithClass(startBlock, classes);
        const { parent: endParent } = this.getClosestParentWithClass(endBlock, classes);
        if (!className || startParent === endParent) {
            range.insertNode(mark);
            return;
        }
        this.removeAllParentsFromMarker(mark, className);
        startParent?.append(mark);
    }
    removeEmptyMarkers(range) {
        range.commonAncestorContainer.childNodes.forEach((node) => {
            if (node.nodeName !== this.TAG) {
                return;
            }
            if (node.textContent?.length) {
                return;
            }
            node.remove();
        });
    }
    removeExternalMarkers(range, className) {
        const startContainer = this.getElementFromContainerNode(range, RangeContainer.start, className);
        const endContainer = this.getElementFromContainerNode(range, RangeContainer.end, className);
        const startElement = startContainer?.closest('.' + className);
        const endElement = endContainer?.closest('.' + className);
        if (startElement !== endElement || !startElement?.classList.contains(className)) {
            return;
        }
        const marker = startElement;
        removeElementTagWrapper(marker);
    }
    removeNestedMarkers(element, selector) {
        const markers = element.querySelectorAll('.' + selector);
        markers.forEach((node) => {
            const marker = node;
            removeElementTagWrapper(marker);
        });
    }
    getElementFromContainerNode(range, key, className) {
        const container = range[key];
        if (container?.classList?.contains(className)) {
            return container;
        }
        return container.parentElement;
    }
    removeAllParentsFromMarker(mark, className) {
        const innerMarkerNodes = [];
        mark.childNodes.forEach((node) => {
            innerMarkerNodes.push(node);
        });
        innerMarkerNodes.forEach((node) => {
            const element = node;
            const isBlock = element.classList?.contains(className);
            if (!isBlock) {
                return;
            }
            removeElementTagWrapper(element);
        });
    }
    getClosestParentWithClass(node, classes) {
        const nodeParent = node.parentElement;
        let parent = nodeParent;
        let resultClassName = '';
        for (const className of classes) {
            const parentWithClass = parent.closest('.' + className);
            if (!parentWithClass) {
                continue;
            }
            parent = parentWithClass;
            resultClassName = className;
            break;
        }
        return { className: resultClassName, parent };
    }
}

class CuiLinkMarker extends CuiMarkerTool {
    static get sanitize() {
        return {
            a: {
                href: true,
                class: true,
                target: true,
                contenteditable: true
            }
        };
    }
    constructor(data) {
        super(data);
        this.TAG = 'A';
    }
    render() {
        super.render();
        /* eslint-disable */
        this.button.innerHTML = `<svg width="20" height="15" viewBox="-3 -3 24 19" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M18.2813 1.22405C17.9329 0.874451 17.5189 0.597062 17.0631 0.407792C16.6073 0.218522 16.1186 0.121094 15.625 0.121094C15.1315 0.121094 14.6428 0.218522 14.187 0.407792C13.7312 0.597062 13.3172 0.874451 12.9688 1.22405L13.8563 2.11155C14.089 1.87886 14.3652 1.69429 14.6692 1.56836C14.9733 1.44243 15.2991 1.37762 15.6282 1.37762C15.9572 1.37762 16.2831 1.44243 16.5871 1.56836C16.8911 1.69429 17.1674 1.87886 17.4 2.11155C17.6327 2.34424 17.8173 2.62047 17.9432 2.92449C18.0692 3.22851 18.134 3.55436 18.134 3.88343C18.134 4.21249 18.0692 4.53834 17.9432 4.84236C17.8173 5.14638 17.6327 5.42261 17.4 5.6553L12.4 10.6553C11.9309 11.1252 11.2944 11.3896 10.6304 11.3901C9.96638 11.3907 9.32935 11.1275 8.85942 10.6584C8.38949 10.1893 8.12515 9.55275 8.12457 8.88876C8.12398 8.22476 8.38719 7.58773 8.85629 7.1178L9.73754 6.2303L8.85629 5.3428L7.96879 6.2303C7.61919 6.57869 7.3418 6.99266 7.15253 7.44848C6.96326 7.9043 6.86583 8.393 6.86583 8.88655C6.86583 9.3801 6.96326 9.8688 7.15253 10.3246C7.3418 10.7804 7.61919 11.1944 7.96879 11.5428C8.67597 12.2409 9.63134 12.6298 10.625 12.624C11.1205 12.6261 11.6114 12.5299 12.0695 12.3411C12.5276 12.1523 12.9437 11.8746 13.2938 11.524L18.2938 6.52405C18.9944 5.81927 19.3866 4.86522 19.3842 3.87146C19.3819 2.87771 18.9852 1.92552 18.2813 1.22405Z" fill="#595E6A"/>
            <path d="M2.61879 12.5115C2.38541 12.2793 2.20022 12.0031 2.07386 11.6991C1.94749 11.395 1.88244 11.069 1.88244 10.7397C1.88244 10.4104 1.94749 10.0844 2.07386 9.78028C2.20022 9.47621 2.38541 9.2001 2.61879 8.9678L7.61879 3.9678C7.85109 3.73442 8.1272 3.54923 8.43127 3.42287C8.73534 3.2965 9.06138 3.23145 9.39067 3.23145C9.71995 3.23145 10.046 3.2965 10.3501 3.42287C10.6541 3.54923 10.9302 3.73442 11.1625 3.9678C11.3944 4.20193 11.577 4.48022 11.6994 4.78619C11.8218 5.09215 11.8815 5.41958 11.875 5.74905C11.8769 6.07955 11.8133 6.40715 11.6878 6.7129C11.5623 7.01865 11.3774 7.29647 11.1438 7.5303L9.81879 8.87405L10.7063 9.76155L12.0313 8.43655C12.7366 7.73124 13.1328 6.77463 13.1328 5.77718C13.1328 4.77972 12.7366 3.82311 12.0313 3.1178C11.326 2.41249 10.3694 2.01625 9.37192 2.01625C8.37446 2.01625 7.41785 2.41249 6.71254 3.1178L1.71254 8.1178C1.362 8.4663 1.08382 8.88066 0.893994 9.33706C0.704168 9.79346 0.606445 10.2829 0.606445 10.7772C0.606445 11.2715 0.704168 11.7609 0.893994 12.2173C1.08382 12.6737 1.362 13.088 1.71254 13.4365C2.42431 14.1293 3.38185 14.5115 4.37504 14.499C5.37698 14.5 6.33862 14.1046 7.05004 13.399L6.16254 12.5115C5.93025 12.7449 5.65413 12.9301 5.35006 13.0565C5.04599 13.1829 4.71995 13.2479 4.39067 13.2479C4.06138 13.2479 3.73534 13.1829 3.43127 13.0565C3.1272 12.9301 2.85109 12.7449 2.61879 12.5115Z" fill="#595E6A"/>
        </svg>
        `;
        /* eslint-enable */
        return this.button;
    }
    renderActions() {
        this.dropdown = document.createElement(this.DIV);
        if (this.state) {
            return this.dropdown;
        }
        const linkModal = this.createLinkModal();
        this.dropdown.append(linkModal);
        return this.dropdown;
    }
    wrapLink(range, markerData) {
        const { startContainer, endContainer } = range;
        const url = markerData.data?.toString();
        const link = this.createElement(url, markerData.title);
        range.extractContents();
        this.addMarkerToDOM(range, link, startContainer, endContainer);
        this.removeExternalMarkers(range, this.DEFAULT_CLASS);
        this.removeEmptyMarkers(range);
        this.api.selection.expandToTag(link);
    }
    unwrap() {
        const mark = this.api.selection.findParentTag(this.TAG);
        if (!mark) {
            return;
        }
        removeElementTagWrapper(mark);
    }
    createElement(url = '', text = '') {
        const link = super.createElement(text);
        link.href = url;
        link.contentEditable = 'false';
        link.target = '_blank';
        return link;
    }
    checkState() {
        const link = this.api.selection.findParentTag(this.TAG);
        this.state = !!link;
    }
    createLinkModal() {
        this.markerModal = document.createElement(MARKER_MODAL_SELECTOR);
        this.markerModal.url = '';
        this.markerModal.target = this.button;
        this.markerModal.isGlobal = true;
        this.markerModal.addEventListener('saveClicked', (event) => {
            const customEvent = event;
            const data = customEvent.detail;
            this.wrapLink(this.range, data);
        });
        return this.markerModal;
    }
}

class CuiCustomMarkerTool extends CuiMarkerTool {
    static get sanitize() {
        return {
            mark: {
                class: true,
                'data-id': true,
                'data-type': true,
                contenteditable: true
            }
        };
    }
    constructor(data) {
        super(data);
    }
    wrapTool(range, markerData) {
        const { startContainer, endContainer } = range;
        if (markerData.data && typeof markerData.data !== 'string') {
            this.id = markerData.data.id;
            this.type = markerData.data.type;
        }
        const mark = this.createElement(markerData.title);
        range.extractContents();
        this.removeNestedMarkers(mark, this.DEFAULT_CLASS);
        this.addMarkerToDOM(range, mark, startContainer, endContainer);
        this.removeExternalMarkers(range, this.DEFAULT_CLASS);
        this.removeEmptyMarkers(range);
        this.api.selection.expandToTag(mark);
    }
    onToolButtonClick(event) {
        const range = window.getSelection()?.getRangeAt(0);
        if (range) {
            return;
        }
        event.stopImmediatePropagation();
    }
    render() {
        super.render();
        this.button.onclick = this.onToolButtonClick.bind(this);
        return this.button;
    }
    renderActions() {
        this.dropdown = document.createElement(this.DIV);
        if (this.state) {
            return this.dropdown;
        }
        const markerSelect = this.createLinkModal();
        this.dropdown.append(markerSelect);
        return this.dropdown;
    }
    createElement(text = '') {
        const element = super.createElement(text);
        element.contentEditable = 'false';
        element.classList.add(this.CLASS);
        element.setAttribute('data-id', this.id);
        element.setAttribute('data-type', this.type);
        return element;
    }
    checkState(select) {
        const range = select.getRangeAt(0);
        const mark = this.api.selection.findParentTag(this.TAG);
        const isCorrectTool = mark?.classList.contains(this.CLASS);
        if (!mark || !isCorrectTool) {
            this.state = false;
            return;
        }
        const startContainer = range.startContainer;
        const endContainer = range.endContainer;
        const isStartMarker = mark.contains(startContainer);
        const isEndMarker = mark.contains(endContainer);
        this.state = isStartMarker && isEndMarker && isStartMarker === isEndMarker;
    }
    createLinkModal() {
        this.markerModal = document.createElement(MARKER_MODAL_SELECTOR);
        this.markerModal.tool = { id: '', title: '', type: undefined };
        this.markerModal.target = this.button;
        this.markerModal.isTool = true;
        this.markerModal.isGlobal = true;
        this.markerModal.addEventListener('saveClicked', (event) => {
            const customEvent = event;
            const data = customEvent.detail;
            this.wrapTool(this.range, data);
        });
        return this.markerModal;
    }
}

class CuiRoleMarker extends CuiCustomMarkerTool {
    constructor(data) {
        super(data);
        this.CLASS = 'role-marker';
    }
    render() {
        super.render();
        /* eslint-disable */
        this.button.innerHTML = `<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="-3 -3 24 24" fill="none">
            <path d="M13.3335 17.5V15.8333C13.3335 14.9493 12.9823 14.1014 12.3572 13.4763C11.7321 12.8512 10.8842 12.5 10.0002 12.5H4.16683C3.28277 12.5 2.43493 12.8512 1.80981 13.4763C1.18469 14.1014 0.833496 14.9493 0.833496 15.8333V17.5M16.6668 6.66667V11.6667M19.1668 9.16667H14.1668M10.4168 5.83333C10.4168 7.67428 8.92445 9.16667 7.0835 9.16667C5.24255 9.16667 3.75016 7.67428 3.75016 5.83333C3.75016 3.99238 5.24255 2.5 7.0835 2.5C8.92445 2.5 10.4168 3.99238 10.4168 5.83333Z" stroke="#595E6A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>`;
        /* eslint-enable */
        return this.button;
    }
}

class CuiToolMarker extends CuiCustomMarkerTool {
    constructor(data) {
        super(data);
        this.CLASS = 'tool-marker';
    }
    render() {
        super.render();
        this.button.innerHTML =
            '<svg width="20" height="20" viewBox="-2 -3 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="technologies-tools"><path id="Vector" d="M16.3581 15.3966L16.3581 11.4729C16.3581 11.4158 16.3469 11.3592 16.325 11.3064C16.3031 11.2536 16.2711 11.2056 16.2307 11.1652C16.1903 11.1248 16.1423 11.0928 16.0895 11.0709C16.0368 11.0491 15.9802 11.0378 15.923 11.0378H13.2574L13.2593 11.0372C13.2007 11.0348 13.1422 11.0443 13.0874 11.0651C13.0326 11.0859 12.9825 11.1176 12.9402 11.1582C12.898 11.1989 12.8643 11.2476 12.8414 11.3016C12.8184 11.3556 12.8066 11.4136 12.8067 11.4723L12.8067 15.3972M14.584 11.0334V5.8334M16.3582 15.1022L16.3582 17.0647C16.3583 17.1234 16.3465 17.1814 16.3235 17.2354C16.3006 17.2893 16.2669 17.3381 16.2247 17.3787C16.1824 17.4194 16.1323 17.4511 16.0775 17.4719C16.0227 17.4927 15.9642 17.5022 15.9056 17.4998L15.9075 17.4992H13.2419C13.1847 17.4992 13.1282 17.4879 13.0754 17.466C13.0226 17.4442 12.9746 17.4121 12.9342 17.3717C12.8938 17.3313 12.8618 17.2834 12.8399 17.2306C12.818 17.1778 12.8068 17.1212 12.8068 17.0641L12.8068 15.1022M5.59636 9.88719L5.59636 15.9284C5.59627 16.0872 5.62748 16.2445 5.68821 16.3912C5.74895 16.5379 5.838 16.6713 5.9503 16.7836C6.06259 16.8959 6.19591 16.9849 6.34265 17.0456C6.48938 17.1064 6.64665 17.1376 6.80545 17.1375C7.12589 17.1375 7.43318 17.0101 7.65976 16.7836C7.88634 16.557 8.01365 16.2497 8.0137 15.9293L8.01284 9.88719C9.29329 9.32793 10.4298 8.05047 10.4298 6.56367C10.4302 5.07729 9.22194 3.54264 8.01284 3.241L8.01327 5.83907L6.8046 7.2887L5.59636 5.83864L5.59636 3.241C4.38769 3.54306 3.17902 5.07729 3.17902 6.5641C3.17944 8.05048 4.31591 9.32793 5.59636 9.88719ZM14.9916 5.56545L14.1253 5.56545L13.2589 4.69909L13.6921 2.5332L15.4248 2.5332L15.858 4.69909L14.9916 5.56545Z" stroke="#595E6A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/></g></svg>';
        return this.button;
    }
}

class CuiCombinedTextBlockTool {
    constructor(options) {
        this.TAG = 'span';
        this.DEBOUNCE_TIME = 350;
        this.MAX_CHILD_COUNT_FOR_EMPTY = 1;
        this.PLACEHOLDER_ATTRIBUTE_NAME = 'placeholderActive';
        this.mutationConfig = {
            subtree: true,
            childList: true,
            characterData: true
        };
        this.changes = new Map();
        this.getMutationCallback = (wait) => {
            let timeoutId = null;
            return () => {
                if (timeoutId) {
                    clearTimeout(timeoutId);
                }
                timeoutId = setTimeout(() => this.handleMutations(), wait);
            };
        };
        const body = options;
        const data = body.data;
        this.readOnly = body.readOnly;
        this.placeholder = this.getPlaceholder(body.config);
        this.api = body.api;
        this.data = {
            id: data.id || generateId(),
            textBlocks: data.textBlocks || []
        };
        this.convertDefaultDataToCustom(data);
    }
    static get isInline() {
        return false;
    }
    static get isReadOnlySupported() {
        return true;
    }
    static get enableLineBreaks() {
        return false;
    }
    static get toolbox() {
        return {
            icon: '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24"><path stroke="currentColor" stroke-linecap="round" stroke-width="2" d="M8 9V7.2C8 7.08954 8.08954 7 8.2 7L12 7M16 9V7.2C16 7.08954 15.9105 7 15.8 7L12 7M12 7L12 17M12 17H10M12 17H14"></path></svg>',
            title: 'Text'
        };
    }
    static get pasteConfig() {
        return {
            tags: ['P']
        };
    }
    onPaste(event) {
        if (event.type !== 'tag') {
            return;
        }
        const text = event.detail.data.textContent;
        this.data.textBlocks.splice(this.data.textBlocks.length - 1, 1, this.getBlockPartObject(generateId(), text));
        this.update(this.data.textBlocks);
    }
    render() {
        this.wrapper = document.createElement('div');
        this.wrapper.classList.add(COMBINED_TEXT_BLOCK);
        this.wrapper.dataset[this.PLACEHOLDER_ATTRIBUTE_NAME] = this.api.i18n.t(this.placeholder);
        if (!this.readOnly) {
            this.wrapper.contentEditable = 'true';
        }
        if (!this.data.textBlocks.length) {
            this.data.textBlocks.push(this.getBlockPartObject(generateId(), ''));
        }
        this.update(this.data.textBlocks);
        this.checkIsEditorEmpty();
        if (!this.readOnly) {
            const callback = this.getMutationCallback(this.DEBOUNCE_TIME);
            this.observer = new MutationObserver(this.onMutationEvent.bind(this, callback));
            this.observer.observe(this.wrapper, this.mutationConfig);
        }
        return this.wrapper;
    }
    merge(blocksData) {
        if (!this.wrapper) {
            return;
        }
        let blocksTextContent = '';
        this.data.textBlocks = [];
        blocksData.forEach((block) => {
            blocksTextContent += block.data.text;
        });
        for (let i = 0; i < this.wrapper.childNodes.length; i++) {
            const node = this.wrapper.childNodes.item(i);
            if (!(node instanceof HTMLSpanElement)) {
                return;
            }
            i--;
            blocksTextContent = node.innerHTML + blocksTextContent;
            node.remove();
        }
        const parts = blocksTextContent.length < SPLIT_MAX_LENGTH ? [blocksTextContent] : splitHTML(blocksTextContent);
        parts.forEach((part) => {
            const blockObject = this.getBlockPartObject(generateId(), part);
            this.data.textBlocks.push(blockObject);
        });
        this.update(this.data.textBlocks);
    }
    save(blockContent) {
        const textBlocks = [];
        blockContent.querySelectorAll(this.TAG).forEach((span) => {
            textBlocks.push(this.getBlockPartObject(span.dataset['id'], span.innerHTML));
        });
        return textBlocks;
    }
    removed() {
        this.observer?.disconnect();
        const blockIds = new Set();
        this.data.textBlocks.forEach((block) => {
            blockIds.add(block.id || '');
        });
        this.removeBlocks(blockIds);
    }
    onMutationEvent(callback, mutationList) {
        if (mutationList.length === 0) {
            return;
        }
        mutationList.forEach((mutation) => {
            if (mutation.removedNodes.length) {
                this.changes.set(generateId(), mutation);
                return;
            }
            this.changes.set(mutation.target, mutation);
        });
        callback(mutationList);
        this.checkIsEditorEmpty();
    }
    handleMutations() {
        const mutationsList = [...this.changes.values()];
        const { updatedElements, removedElementsIds } = this.getMutationActions(mutationsList);
        const splitedParts = [];
        updatedElements.forEach((element) => {
            const elementContent = element.innerHTML;
            if (elementContent.length < SPLIT_MAX_LENGTH) {
                return;
            }
            const parts = splitHTML(elementContent);
            parts.forEach((part, index) => {
                if (index === 0) {
                    return;
                }
                const blockId = generateId();
                const textElement = this.createBlock(blockId, part);
                splitedParts.push(textElement);
            });
            element.innerHTML = parts[0];
            element.after(...splitedParts);
        });
        this.addBlocks(splitedParts, updatedElements);
        this.updateBlocks(updatedElements);
        this.removeBlocks(removedElementsIds);
        this.changes.clear();
    }
    getNextIndex() {
        recalculateIndexes(this.api.blocks);
        const index = this.api.blocks.getCurrentBlockIndex();
        const block = this.api.blocks.getBlockByIndex(index);
        const dataIndex = Number(block?.holder.dataset['index']);
        const selection = window.getSelection();
        const range = selection?.rangeCount ? selection.getRangeAt(0) : null;
        const caretPosition = range?.startOffset ?? 1;
        let nextBlockIndex = dataIndex;
        if (caretPosition !== 0) {
            const blockContainer = block?.holder.querySelector('.' + COMBINED_TEXT_BLOCK);
            const childrenCount = blockContainer?.children?.length ? blockContainer?.children?.length - 1 : 0;
            nextBlockIndex = dataIndex + childrenCount + 1;
        }
        if (!nextBlockIndex) {
            nextBlockIndex ||= 0;
        }
        return nextBlockIndex;
    }
    getBlockPartObject(blockId, text) {
        return {
            id: blockId,
            type: COMBINED_TEXT_BLOCK_PART,
            data: {
                text,
                parentId: this.data.id,
                parentType: COMBINED_TEXT_BLOCK_NAME
            }
        };
    }
    getMutationActions(mutationList) {
        const updatedElements = new Set();
        const removedElementsIds = new Set();
        const changedOutsideElements = [];
        this.lastBlockElement = undefined;
        mutationList.forEach((mutation) => {
            this.handleUpdatedBlocks(mutation, updatedElements, changedOutsideElements);
            this.handleRemovedBlocks(mutation, removedElementsIds);
        });
        if (this.lastBlockElement) {
            const lastBlockElement = this.lastBlockElement;
            lastBlockElement.append(...changedOutsideElements);
            this.setCaretToBlocksEnd(lastBlockElement);
        }
        return {
            updatedElements,
            removedElementsIds
        };
    }
    setCaretToBlocksEnd(block) {
        const selection = window.getSelection();
        const range = document.createRange();
        range.setStart(block, block.childNodes.length);
        selection?.removeAllRanges();
        selection?.addRange(range);
    }
    handleUpdatedBlocks(mutation, updatedElements, outsideChanges) {
        let element = mutation.target;
        if (mutation.target.nodeType === Node.TEXT_NODE) {
            element = mutation.target.parentElement;
        }
        const span = element?.closest('.' + COMBINED_TEXT_BLOCK_PART);
        if (span) {
            updatedElements.add(span);
            return;
        }
        this.handleChangesOutsideBlock(element, outsideChanges);
    }
    handleChangesOutsideBlock(element, outsideChanges) {
        if (!element || this.lastBlockElement) {
            return;
        }
        element.childNodes.forEach((block) => {
            const blockElement = block;
            if (blockElement.classList?.contains(COMBINED_TEXT_BLOCK_PART)) {
                this.lastBlockElement = blockElement;
                return;
            }
            outsideChanges.push(block);
        });
    }
    addBlocks(splicedParts, updatedElements) {
        if (!splicedParts.length) {
            return;
        }
        const addedBlocks = splicedParts.map((block) => {
            const blockId = block.dataset['id'];
            return {
                id: blockId,
                type: COMBINED_TEXT_BLOCK_PART,
                data: {
                    text: block.innerHTML,
                    parentId: this.data.id,
                    parentType: COMBINED_TEXT_BLOCK_NAME
                }
            };
        });
        const previousElement = updatedElements.values().next().value;
        const id = previousElement?.dataset['id'];
        const index = Number(previousElement?.dataset['index']) + 1;
        const blockIndex = this.data.textBlocks.findIndex((block) => block.id === id);
        this.data.textBlocks.splice(blockIndex, 0, ...addedBlocks);
        this.api.events.emit(COMBINED_TEXT_BLOCK_ADDED, {
            index,
            blockIndex,
            blocks: addedBlocks,
            data: this.data.textBlocks
        });
    }
    updateBlocks(updatedElements) {
        if (!updatedElements.size) {
            return;
        }
        const updatedBlocks = [...updatedElements.values()].map((block) => {
            return {
                id: block.dataset['id'],
                type: COMBINED_TEXT_BLOCK_PART,
                data: {
                    text: block.innerHTML,
                    parentId: this.data.id,
                    parentType: COMBINED_TEXT_BLOCK_NAME
                }
            };
        });
        this.api.events.emit(COMBINED_TEXT_BLOCK_UPDATED, updatedBlocks);
    }
    handleRemovedBlocks(mutation, removedElementsIds) {
        if (mutation.removedNodes.length === 0) {
            return;
        }
        mutation.removedNodes.forEach((node) => {
            if (!(node instanceof HTMLElement)) {
                return;
            }
            const blockId = node.dataset['id'];
            if (!blockId) {
                return;
            }
            removedElementsIds.add(blockId);
        });
    }
    removeBlocks(ids) {
        if (!ids.size) {
            return;
        }
        const removedElementIds = [...ids.values()];
        this.data.textBlocks = this.data.textBlocks.filter((block) => !ids.has(block.id || ''));
        this.api.events.emit(COMBINED_TEXT_BLOCK_REMOVED, removedElementIds);
    }
    update(blocks) {
        if (!blocks.length) {
            return;
        }
        blocks.forEach((block) => {
            const textElement = this.createBlock(block.id || generateId(), block.data.text);
            if (!this.wrapper) {
                return;
            }
            if (this.wrapper.querySelector('.' + COMBINED_TEXT_BLOCK_PART)) {
                this.wrapper.append(textElement);
                return;
            }
            this.wrapper.replaceChildren(textElement);
        });
        setTimeout(() => {
            this.api.events.emit(COMBINED_TEXT_BLOCK_ADDED, {
                blocks
            });
        });
    }
    createBlock(id, text) {
        const textElement = document.createElement(this.TAG);
        textElement.classList.add(COMBINED_TEXT_BLOCK_PART);
        textElement.innerHTML = text;
        textElement.dataset['id'] = id;
        return textElement;
    }
    convertDefaultDataToCustom(data) {
        if (Array.isArray(data)) {
            this.data.textBlocks = data.map((block) => {
                block.id = generateId();
                block.data.parentId = this.data.id;
                return block;
            });
        }
        if (!data.text) {
            return;
        }
        const fragment = document.createRange().createContextualFragment(data.text);
        let elementContent = '';
        fragment.childNodes.forEach((node) => {
            if (node.nodeType === Node.TEXT_NODE) {
                elementContent += node.textContent;
                return;
            }
            elementContent += node.innerHTML;
        });
        const parts = elementContent.length < SPLIT_MAX_LENGTH ? [elementContent] : splitHTML(elementContent);
        parts.forEach((part) => {
            const blockObject = this.getBlockPartObject(generateId(), part);
            this.data.textBlocks.push(blockObject);
        });
    }
    checkIsEditorEmpty() {
        if (!this.wrapper || this.wrapper.children.length > this.MAX_CHILD_COUNT_FOR_EMPTY) {
            return;
        }
        const item = this.wrapper.children.item(0);
        const isItemEmpty = !item.textContent?.length;
        this.wrapper.dataset['empty'] = `${isItemEmpty}`;
    }
    getPlaceholder(config) {
        if (this.readOnly) {
            return config.readonlyPlaceholder ?? DEFAULT_READONLY_PLACEHOLDER;
        }
        return config.placeholder ?? DEFAULT_PLACEHOLDER;
    }
}

const getEditorConfig = (id, config = DEFAULT_CONFIG) => ({
    holder: id,
    logLevel: 'ERROR',
    readOnly: config.readOnly,
    autofocus: config.autofocus,
    tools: {
        paragraph: {
            class: CuiCombinedTextBlockTool,
            inlineToolbar: true,
            config: {
                placeholder: config.placeholder,
                readonlyPlaceholder: config.readonlyPlaceholder
            }
        },
        link: {
            class: CuiLinkMarker
        },
        bold: {
            class: CuiBoldInlineTool
        },
        italic: {
            class: CuiItalicInlineTool
        },
        ...config.tools
    },
    defaultBlock: COMBINED_TEXT_BLOCK_NAME
});

const EDITOR_CUSTOM_ELEMENTS = [
    {
        selector: EDITOR_TOOLTIP_SELECTOR,
        component: EditorTooltipComponent
    },
    {
        selector: MARKER_SELECT_SELECTOR,
        component: MarkerSelectComponent
    },
    {
        selector: EDITOR_TOOL_MODAL_SELECTOR,
        component: EditorToolModalComponent
    },
    {
        selector: MARKER_MODAL_SELECTOR,
        component: MarkerModalComponent
    },
    {
        selector: EDITOR_VIDEO_TOOL_SELECTOR,
        component: EditorVideoToolComponent
    },
    {
        selector: EDITOR_IMAGE_TOOL_SELECTOR,
        component: EditorImageToolComponent
    },
    {
        selector: EDITOR_ATTACHES_TOOL_SELECTOR,
        component: EditorAttachesToolComponent
    }
];

function cuiProvideEditor() {
    return [
        {
            provide: APP_INITIALIZER,
            useFactory: (injector) => () => {
                EDITOR_CUSTOM_ELEMENTS.forEach(({ component, selector }) => {
                    const element = createCustomElement(component, { injector });
                    window.customElements.define(selector, element);
                });
            },
            deps: [Injector],
            multi: true,
        },
    ];
}

function setEditorDragEvents(editorElement, signal) {
    editorElement.addEventListener('dragstart', dragstartListener, { signal });
}
function dragstartListener(event) {
    event.preventDefault();
}

const FIRST_CHILD_SELECTOR = '_selected';
function setEditorKeyboardEvents(editorElement, signal) {
    editorElement.addEventListener('keydown', keydownListener, { signal });
}
function keydownListener(event) {
    const target = event.target;
    const block = target.closest(`.${COMBINED_TEXT_BLOCK}`);
    if (!block) {
        return;
    }
    const selection = window.getSelection();
    const ranges = selection?.rangeCount;
    if (!ranges || !checkIsBlockFullySelected(block)) {
        return;
    }
    const firstChild = block?.firstElementChild;
    firstChild?.classList.add(FIRST_CHILD_SELECTOR);
    setTimeout(() => firstChild?.classList.remove(FIRST_CHILD_SELECTOR));
}
function checkIsBlockFullySelected(blockElement) {
    const selection = window.getSelection();
    if (!selection || selection.rangeCount === 0) {
        return false;
    }
    const range = selection.getRangeAt(0);
    const startBlock = range.startContainer.parentElement?.closest('.' + COMBINED_TEXT_BLOCK_PART);
    const endBlock = range.endContainer.parentElement?.closest('.' + COMBINED_TEXT_BLOCK_PART);
    const isStartAtBlockStart = startBlock === blockElement.firstChild && range.startOffset === 0;
    const isEndAtBlockEnd = endBlock === blockElement.lastChild;
    return isStartAtBlockStart && isEndAtBlockEnd;
}

function setEditorInfoModalEvents(editorElement, signal) {
    editorElement?.addEventListener('pointerup', pointerUpListener, { signal });
}
function pointerUpListener(event) {
    const selection = window.getSelection();
    if (selection && selection.toString().length > 0) {
        return;
    }
    const target = event.target;
    const marker = target.closest('.marker');
    if (!marker) {
        return;
    }
    onMarkerClick(marker);
}
function onMarkerClick(marker) {
    const id = marker.dataset['id'];
    const type = marker.dataset['type'];
    if (!(id && type)) {
        return;
    }
    const toolModal = document.createElement(EDITOR_TOOL_MODAL_SELECTOR);
    toolModal.tool = { id, type, title: 'Молоток КУБИПРО Ультра MAX 3000' };
    toolModal.marker = marker;
    toolModal.addEventListener('closed', function onCloseModal() {
        toolModal.remove();
    });
    document.body.append(toolModal);
}

const TOOLTIP_POSITION_X = 5;
const TOOLTIP_POSITION_Y = 40;
const TOOLTIP_SAFE_RIGHT_SHIFT = 10;
const TOOLTIP_DEBOUNCE_TIME = 500;
const CLOSE_TOOLTIP_DEBOUNCE_TIME = 50;
let tooltip;
let timeoutId;
let closeTimeoutId;
const closeTooltipHandler = () => closeTooltip();
function closeTooltip(callback) {
    clearTimeout(closeTimeoutId);
    closeTimeoutId = setTimeout(() => {
        clearTimeout(timeoutId);
        tooltip?.remove();
        callback?.();
    }, CLOSE_TOOLTIP_DEBOUNCE_TIME);
}
const debouncedEvent = (event, marker, target) => {
    clearTimeout(timeoutId);
    timeoutId = setTimeout(() => {
        if (tooltip && tooltip?.contains(target)) {
            return;
        }
        closeTooltip(() => openTooltip(event, marker));
    }, TOOLTIP_DEBOUNCE_TIME);
};
function openTooltip(event, marker) {
    const type = marker.tagName;
    tooltip = tooltipMap[type](marker);
    tooltip.style.visibility = 'hidden';
    document.body.append(tooltip);
    setTimeout(() => {
        const positionX = event.clientX;
        const positionY = event.clientY;
        const rightX = document.documentElement.clientWidth - positionX;
        const rightShiftDiffX = tooltip.offsetWidth - rightX;
        const rightShiftX = rightShiftDiffX > 0 ? rightShiftDiffX + TOOLTIP_SAFE_RIGHT_SHIFT : 0;
        tooltip.style.top = positionY - TOOLTIP_POSITION_Y + 'px';
        tooltip.style.left = positionX + TOOLTIP_POSITION_X - rightShiftX + 'px';
        tooltip.style.visibility = 'visible';
    });
}
function setEditorTooltipEvents(signal) {
    document.body.addEventListener('mousemove', mouseMoveListener, { signal });
    document.body.addEventListener('mouseleave', closeTooltipHandler, { signal });
}
function mouseMoveListener(event) {
    const target = event.target;
    const marker = target.closest('.marker');
    if (tooltip?.contains(target)) {
        clearTimeout(timeoutId);
        clearTimeout(closeTimeoutId);
        return;
    }
    if (!marker) {
        closeTooltip();
        return;
    }
    clearTimeout(closeTimeoutId);
    debouncedEvent(event, marker, target);
}

function setEditorEvents(editorElement, signal) {
    setEditorTooltipEvents(signal);
    setEditorInfoModalEvents(editorElement, signal);
    setEditorDragEvents(editorElement, signal);
    setEditorKeyboardEvents(editorElement, signal);
}

class CuiEditorComponent {
    constructor() {
        this.destroy = inject(DestroyRef);
        this.cuiIdService = inject(CuiIdService);
        this.editorService = inject(CuiEditorService);
        this.jTextService = inject(CuiJTextApiService);
        this.POOLING_DELAY = 100;
        this.ELEMENT_SPACE_TO_BOTTOM = 150;
        this.SCROLL_THROTTLE_TIME = 200;
        this.isReadonly = computed(() => this.config?.readOnly);
        this.emptyQueue = new Subject();
        this.isSkipCombinedBlockOnChange = [];
        this.isFirst = true;
        this.isChanging = false;
        this.isSkip = false;
        this.isRequested = false;
        this.isDestroyed = false;
        this.blockIdsMap = new Map();
        this.combinedBlocks = new Map();
        this.index = 0;
        this.page = 0;
        this.addedBlocks = [];
        this.updatedBlocks = [];
        this.removedBlocksIds = [];
        this.changesQueue = [];
        this.abortController = new AbortController();
        this.editorId = this.cuiIdService.generate();
        this.editorEmpty = new EventEmitter();
        this.config = DEFAULT_CONFIG;
        this.requestSize = 40;
    }
    ngOnChanges(changes) {
        if (changes['editorApiId'] || changes['config']) {
            this.initEditorChanges();
        }
    }
    ngOnDestroy() {
        this.isDestroyed = true;
        this.destroyEditor();
    }
    onScrollEvent(element) {
        const overallHeight = element.scrollHeight - this.ELEMENT_SPACE_TO_BOTTOM;
        const currentHeight = element.scrollTop + element.clientHeight;
        if (currentHeight < overallHeight || this.isRequested) {
            return;
        }
        this.isRequested = true;
        const size = this.requestSize;
        let blocksCount = 0;
        this.getBlocks(this.page, size)
            .pipe(tap((blocks) => (blocksCount = blocks.length)), finalize(() => {
            this.isRequested = false;
            if (blocksCount >= size) {
                return;
            }
            this.scrollSubscription.unsubscribe();
        }))
            .subscribe();
        this.page++;
    }
    onEditorChange(_, event) {
        if (this.isReadonly() || this.isDestroyed) {
            return;
        }
        if (!Array.isArray(event)) {
            event = [event];
        }
        recalculateIndexes(this.editor.blocks);
        if (this.isChanging) {
            this.changesQueue.unshift(event);
        }
        this.startChanges(event);
        this.editorEmpty.emit(this.checkIsEmpty());
    }
    onAddedCombinedBlock(data) {
        if (this.isSkipCombinedBlockOnChange.length) {
            this.isSkipCombinedBlockOnChange.pop();
            return;
        }
        const blocksWithoutId = data.blocks.map((block) => ({
            block: { ...block, id: undefined },
            id: block.id
        }));
        this.addedBlocks.push(...blocksWithoutId);
    }
    onUpdatedCombinedBlock(updatedBlocks) {
        if (!updatedBlocks.length) {
            return;
        }
        this.updatedBlocks.push(...updatedBlocks);
    }
    onRemovedCombinedBlock(blockIds) {
        if (!blockIds.length) {
            return;
        }
        this.removedBlocksIds.push(...blockIds);
    }
    initEditorChanges() {
        this.jTextService.addOptions(this.config.requestOptions);
        this.editor = this.initEditor(this.editorId);
        this.editor.isReady.then(() => {
            if (this.isDestroyed) {
                return;
            }
            this.editorElement = this.editorRef.nativeElement;
            this.initEditorEvents(this.editorElement);
            this.initScrollObserver();
            this.startPooling(this.requestSize);
            this.setListenersOnCustomBlockChanges();
        });
    }
    initEditor(id) {
        const config = this.config;
        this.destroyEditor();
        this.editor = new EditorJS({
            ...getEditorConfig(id, config),
            onChange: this.onEditorChange.bind(this)
        });
        return this.editor;
    }
    initScrollObserver() {
        const element = this.config?.element ?? this.editorElement;
        const scrollObserver = fromEvent(element, 'scroll');
        this.scrollSubscription = scrollObserver
            .pipe(takeUntilDestroyed(this.destroy), throttleTime(this.SCROLL_THROTTLE_TIME, undefined, {
            leading: true,
            trailing: true
        }), map(() => this.onScrollEvent(element)))
            .subscribe();
    }
    initEditorEvents(element) {
        const readOnly = this.isReadonly();
        if (readOnly) {
            return;
        }
        setEditorEvents(element, this.abortController.signal);
    }
    startPooling(size) {
        const scrollElement = this.config?.element ?? this.editorElement;
        const withoutPreload = this.config?.withoutPreload;
        this.poolingSubscription = timer(0, this.POOLING_DELAY)
            .pipe(concatMap(() => this.getBlocks(this.page, size).pipe(delay(this.POOLING_DELAY))), tap(() => this.page++), takeWhile((blocks) => !withoutPreload &&
            scrollElement.scrollHeight <= scrollElement.clientHeight &&
            blocks.length >= size), finalize(() => {
            if (this.isDestroyed) {
                return;
            }
            this.setStartBlock();
        }))
            .subscribe();
    }
    destroyEditor() {
        this.abortController.abort();
        this.resetData();
        // TODO: в рандом кейсах падает ошибка если убрать проверку на вызов destroy
        this.editor?.destroy?.();
    }
    setListenersOnCustomBlockChanges() {
        this.editorService.setListenersOnCustomBlockChanges(this.editor, {
            removedCallback: this.onRemovedCombinedBlock.bind(this),
            updatedCallback: this.onUpdatedCombinedBlock.bind(this),
            addedCallback: this.onAddedCombinedBlock.bind(this)
        });
    }
    async startChanges(event) {
        if (this.isSkip || this.isChanging) {
            this.isSkip = false;
            return;
        }
        this.isChanging = true;
        try {
            const editorOutput = await this.editor.save();
            const events = event.filter((data) => data.detail.target.name !== COMBINED_TEXT_BLOCK_NAME);
            const blocks = this.editorService.sortEventsByTypes(events);
            const { addBlocks$, addedBlocks } = this.collectAddedBlocksRequest(blocks, editorOutput);
            this.addedBlocks = [];
            addBlocks$
                .pipe(tap((blockIds) => this.setBlockIdsToMap(blockIds, addedBlocks)), concatMap(() => this.collectUpdatedBlocksRequest(blocks, editorOutput)), concatMap(() => this.collectRemovedBlocksRequest(blocks)))
                .subscribe({
                complete: () => this.startNextChange(),
                error: () => this.startNextChange()
            });
        }
        catch (e) {
            return;
        }
    }
    startNextChange() {
        this.isChanging = false;
        const nextEvents = this.changesQueue.pop();
        if (nextEvents) {
            this.startChanges(nextEvents);
        }
        this.emptyQueue.next(null);
    }
    collectAddedBlocksRequest(blocks, editorOutput) {
        const defaultBlocksWithIndex = blocks["block-added" /* EventActions.add */].map((addedBlock) => this.editorService.getFullBlockData(addedBlock, editorOutput));
        const combinedBlocksWithIndex = this.addedBlocks.map((block) => {
            const element = this.editorElement.querySelector(`[data-id="${block.id}"]`);
            const index = Number(element?.dataset['index']);
            return { ...block, index };
        });
        const addedBlocks = [...defaultBlocksWithIndex, ...combinedBlocksWithIndex].sort((first, second) => first.index - second.index);
        const addBlocks$ = this.editorService.collectAddedBlocksRequest(this.editorApiId, addedBlocks);
        return {
            addedBlocks,
            addBlocks$
        };
    }
    collectUpdatedBlocksRequest(blocks, editorOutput) {
        blocks["block-changed" /* EventActions.update */].forEach((updateBlock) => {
            const { id, block } = this.editorService.getFullBlockData(updateBlock, editorOutput);
            block.id = id;
            this.updatedBlocks.push(block);
        });
        const updateBlocks$ = this.editorService.collectUpdatedBlocksRequest(this.updatedBlocks, this.blockIdsMap);
        this.updatedBlocks = [];
        return updateBlocks$;
    }
    collectRemovedBlocksRequest(blocks) {
        blocks["block-removed" /* EventActions.remove */].forEach((block) => {
            const id = block.detail.target.id;
            this.removedBlocksIds.push(id);
        });
        const removeBlocks$ = this.editorService.collectRemovedBlocksRequest(this.editorApiId, this.removedBlocksIds, this.blockIdsMap);
        this.removedBlocksIds = [];
        return removeBlocks$;
    }
    getBlocks(page = 0, size = 40) {
        let combinedBlock;
        return this.jTextService.getBlocks(this.editorApiId, page, size).pipe(takeUntilDestroyed(this.destroy), finalize(() => {
            if (combinedBlock) {
                this.addCombinedBlock(combinedBlock);
                combinedBlock = null;
            }
            recalculateIndexes(this.editor.blocks);
        }), map((block) => {
            if (block.type === COMBINED_TEXT_BLOCK_PART) {
                const blockData = block.data;
                if (combinedBlock && blockData.parentId !== combinedBlock?.id) {
                    this.addCombinedBlock(combinedBlock);
                    combinedBlock = null;
                }
                combinedBlock = this.setCombinedBlock(block);
                return;
            }
            if (combinedBlock) {
                this.addCombinedBlock(combinedBlock);
                combinedBlock = null;
            }
            this.addBlock(block);
        }), toArray());
    }
    addBlock(block) {
        if (typeof block.type !== 'string') {
            return;
        }
        this.blockIdsMap.set(block.id, block.id);
        this.insert(block);
    }
    addCombinedBlock(combinedBlock) {
        this.isSkipCombinedBlockOnChange.push(true);
        const block = this.editor.blocks.getById(combinedBlock.id || '');
        if (block) {
            this.editor.blocks.update(block.id, combinedBlock.data);
            return;
        }
        this.insert(combinedBlock);
    }
    insert(block) {
        this.checkFirst(block);
        this.index++;
    }
    checkFirst(block) {
        if (!this.isFirst) {
            this.isSkip = true;
            this.editor.blocks.insert(block.type, block.data, {}, this.index, false, false, block.id);
            return;
        }
        // TODO: есть варик что что то пойдет не так
        this.editor.blocks.render({ blocks: [block] }).then(() => this.isSkip = false);
        this.isFirst = false;
    }
    setCombinedBlock(block) {
        const combinedBlockData = block.data;
        const parent = this.combinedBlocks.get(combinedBlockData.parentId);
        this.blockIdsMap.set(block.id, block.id);
        if (parent) {
            const parentData = parent.data;
            parentData.textBlocks.push(block);
            return parent;
        }
        const parentObject = {
            id: combinedBlockData.parentId,
            type: COMBINED_TEXT_BLOCK_NAME,
            data: {
                id: combinedBlockData.parentId,
                textBlocks: [block]
            }
        };
        this.combinedBlocks.set(combinedBlockData.parentId, parentObject);
        return parentObject;
    }
    setBlockIdsToMap(blockIds, addedBlocks) {
        if (!blockIds.length) {
            return;
        }
        addedBlocks.forEach((blockData, index) => {
            this.blockIdsMap.set(blockData.id, blockIds[index]);
        });
    }
    setStartBlock() {
        if (this.blockIdsMap.size) {
            this.setFocus();
            this.editorEmpty.emit(this.checkIsEmpty());
            return;
        }
        if (this.isReadonly()) {
            this.editor.render({ blocks: [] });
            return;
        }
        this.editorService.setStartBlock(this.editorApiId, async (block, id) => {
            this.blockIdsMap.set(id, id);
            this.isSkipCombinedBlockOnChange.push(true);
            await this.editor.render({ blocks: [block] });
            this.setFocus();
            recalculateIndexes(this.editor.blocks);
        });
    }
    setFocus() {
        if (!this.config?.autofocus) {
            return;
        }
        this.editor.caret.focus();
    }
    checkIsEmpty() {
        const MIN_BLOCKS_COUNT = 1;
        const REDACTOR_SELECTOR = '.codex-editor__redactor';
        const redactor = this.editorElement.querySelector(REDACTOR_SELECTOR);
        const blocksCount = redactor?.childElementCount ?? 0;
        return blocksCount <= MIN_BLOCKS_COUNT && !redactor?.textContent;
    }
    resetData() {
        this.scrollSubscription?.unsubscribe();
        this.poolingSubscription?.unsubscribe();
        this.isSkipCombinedBlockOnChange = [];
        this.isFirst = true;
        this.isChanging = false;
        this.isSkip = false;
        this.isRequested = false;
        this.blockIdsMap = new Map();
        this.combinedBlocks = new Map();
        this.index = 0;
        this.page = 0;
        this.addedBlocks = [];
        this.updatedBlocks = [];
        this.removedBlocksIds = [];
        this.changesQueue = [];
        this.abortController = new AbortController();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: CuiEditorComponent, isStandalone: true, selector: "cui-editor", inputs: { editorApiId: "editorApiId", config: "config", requestSize: "requestSize" }, outputs: { editorEmpty: "editorEmpty" }, providers: [CuiEditorService, CuiJTextApiService], viewQueries: [{ propertyName: "editorRef", first: true, predicate: ["editor"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div\n    #editor\n    [id]=\"editorId\"\n    data-editor\n    [class._readonly]=\"config.readOnly\"\n></div>\n", styles: [":host{--textColor: var(--cui-base-900);--menuBackground: var(--cui-base-0);--menuBorder: var(--cui-base-200);--menuItemHover: var(--cui-base-10);--menuItemBackground: var(cui-base-900);--menuIconBackground: var(--cui-base-50);--menuIconHover: var(--cui-base-10);font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font)}:host ::ng-deep .ce-popover{--color-background: var(--menuBackground);--color-text-primary: var(--textColor);--color-border: var(--menuBorder);--color-border-icon: var(--menuBorder);--color-background-item: var(--menuItemBackground);--color-background-item-hover: var(--menuItemHover)}:host ::ng-deep .ce-popover__search{background:var(--menuIconBackground)}:host ::ng-deep .ce-popover .ce-popover-item__icon{background:var(--menuIconBackground)}:host ::ng-deep .ce-conversion-toolbar{background-color:var(--menuBackground);border-color:var(--menuBorder)}:host ::ng-deep .ce-conversion-toolbar__tools{padding:0 6px 6px}:host ::ng-deep .ce-conversion-tool{padding:3px;border-radius:6px}:host ::ng-deep .ce-conversion-tool__icon{border:1px solid var(--menuBorder);background-color:var(--menuIconBackground);box-shadow:none}:host ::ng-deep .ce-conversion-tool:hover{background-color:var(--menuItemHover)}:host ::ng-deep .ce-conversion-tool:hover .ce-conversion-tool__icon{border-color:var(--menuIconHover)}:host ::ng-deep .combined-text-block{padding:.4em 0;line-height:1.6em;outline:none}:host ::ng-deep .combined-text-block .combined-text-block-part{outline:none}:host ::ng-deep .combined-text-block .combined-text-block-part:only-child,:host ::ng-deep .combined-text-block .combined-text-block-part._selected{display:list-item}:host ::ng-deep .combined-text-block .combined-text-block-part:only-child::marker,:host ::ng-deep .combined-text-block .combined-text-block-part._selected::marker{content:\"\"}:host ::ng-deep .image-tool__image{border:1px solid var(--cui-base-200);background-color:var(--cui-base-0)}:host ::ng-deep .image-tool__image-preloader{background-color:var(--cui-base-200)}:host ::ng-deep .image-tool__image-preloader:after{border:1px solid var(--cui-base-200);border-top:1px solid var(--cui-blue-600)}:host ::ng-deep .cdx-button{border:1px solid var(--cui-base-200);color:var(--textColor);background-color:var(--cui-base-0);box-shadow:none}:host ::ng-deep .ce-inline-toolbar{border-color:var(--cui-base-100);color:var(--textColor);background-color:var(--cui-base-0)}:host ::ng-deep .ce-inline-toolbar__dropdown:hover{background-color:var(--cui-base-100)}:host ::ng-deep .ce-inline-tool:hover{background-color:var(--cui-base-100)}:host ::ng-deep .ce-toolbar__plus,:host ::ng-deep .ce-toolbar__settings-btn{color:var(--cui-base-500)}:host ::ng-deep .ce-toolbar__plus:hover,:host ::ng-deep .ce-toolbar__settings-btn:hover{background-color:var(--cui-base-100)}:host ::ng-deep .ce-toolbar__actions{right:100%}:host ::ng-deep .ce-toolbar__content{max-width:none}@media (max-width: 650px){:host ::ng-deep .ce-toolbar__plus,:host ::ng-deep .ce-toolbar__settings-btn{border-color:var(--menuBorder);background-color:var(--menuBackground)}:host ::ng-deep .ce-toolbar__actions{inset:0 auto auto 0}}:host ::ng-deep .ce-block--selected .ce-block__content{background-color:var(--cui-base-200)}:host ::ng-deep .ce-block__content{max-width:100%}:host ::ng-deep .ce-block:only-of-type .combined-text-block[data-placeholder-active][data-empty=true]:before{content:attr(data-placeholder-active);position:absolute;color:var(--cui-base-400)}:host ::ng-deep [data-editor]{padding-right:4px;width:100%;height:100%;min-height:200px;overflow:hidden auto;scrollbar-gutter:stable}:host ::ng-deep [data-editor] .codex-editor{margin-left:60px}:host ::ng-deep [data-editor] .codex-editor--narrow .ce-popover{right:auto}:host ::ng-deep [data-editor] .codex-editor__redactor{margin-right:auto;padding-bottom:260px!important}@media (max-width: 650px){:host ::ng-deep [data-editor] .codex-editor{margin-left:0}}:host ::ng-deep [data-editor]._readonly{min-height:auto}:host ::ng-deep [data-editor]._readonly .codex-editor{margin:auto}:host ::ng-deep [data-editor]._readonly .codex-editor__redactor{padding-bottom:0!important}:host ::ng-deep [data-editor]._readonly .combined-text-block{padding:0}:host ::ng-deep [data-editor] [data-item-name=move-up],:host ::ng-deep [data-editor] [data-item-name=move-down],:host ::ng-deep [data-editor] [data-tool=paragraph]{display:none}:host ::ng-deep [data-editor] *::selection{background:var(--cui-base-200)}:host ::ng-deep [data-editor] a{color:var(--cui-light-blue-600)}:host ::ng-deep .marker{cursor:pointer;text-decoration:underline;color:var(--cui-light-blue-600);background-color:transparent}:host ::ng-deep .tool-marker,:host ::ng-deep .role-marker{margin:0 5px}:host ::ng-deep .tool-marker{color:#e97c00}:host ::ng-deep .role-marker{color:#8803f1}.form{height:100%}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-editor', standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, providers: [CuiEditorService, CuiJTextApiService], template: "<div\n    #editor\n    [id]=\"editorId\"\n    data-editor\n    [class._readonly]=\"config.readOnly\"\n></div>\n", styles: [":host{--textColor: var(--cui-base-900);--menuBackground: var(--cui-base-0);--menuBorder: var(--cui-base-200);--menuItemHover: var(--cui-base-10);--menuItemBackground: var(cui-base-900);--menuIconBackground: var(--cui-base-50);--menuIconHover: var(--cui-base-10);font-weight:400;font-size:14px;line-height:20px;font-family:var(--cui-main-font)}:host ::ng-deep .ce-popover{--color-background: var(--menuBackground);--color-text-primary: var(--textColor);--color-border: var(--menuBorder);--color-border-icon: var(--menuBorder);--color-background-item: var(--menuItemBackground);--color-background-item-hover: var(--menuItemHover)}:host ::ng-deep .ce-popover__search{background:var(--menuIconBackground)}:host ::ng-deep .ce-popover .ce-popover-item__icon{background:var(--menuIconBackground)}:host ::ng-deep .ce-conversion-toolbar{background-color:var(--menuBackground);border-color:var(--menuBorder)}:host ::ng-deep .ce-conversion-toolbar__tools{padding:0 6px 6px}:host ::ng-deep .ce-conversion-tool{padding:3px;border-radius:6px}:host ::ng-deep .ce-conversion-tool__icon{border:1px solid var(--menuBorder);background-color:var(--menuIconBackground);box-shadow:none}:host ::ng-deep .ce-conversion-tool:hover{background-color:var(--menuItemHover)}:host ::ng-deep .ce-conversion-tool:hover .ce-conversion-tool__icon{border-color:var(--menuIconHover)}:host ::ng-deep .combined-text-block{padding:.4em 0;line-height:1.6em;outline:none}:host ::ng-deep .combined-text-block .combined-text-block-part{outline:none}:host ::ng-deep .combined-text-block .combined-text-block-part:only-child,:host ::ng-deep .combined-text-block .combined-text-block-part._selected{display:list-item}:host ::ng-deep .combined-text-block .combined-text-block-part:only-child::marker,:host ::ng-deep .combined-text-block .combined-text-block-part._selected::marker{content:\"\"}:host ::ng-deep .image-tool__image{border:1px solid var(--cui-base-200);background-color:var(--cui-base-0)}:host ::ng-deep .image-tool__image-preloader{background-color:var(--cui-base-200)}:host ::ng-deep .image-tool__image-preloader:after{border:1px solid var(--cui-base-200);border-top:1px solid var(--cui-blue-600)}:host ::ng-deep .cdx-button{border:1px solid var(--cui-base-200);color:var(--textColor);background-color:var(--cui-base-0);box-shadow:none}:host ::ng-deep .ce-inline-toolbar{border-color:var(--cui-base-100);color:var(--textColor);background-color:var(--cui-base-0)}:host ::ng-deep .ce-inline-toolbar__dropdown:hover{background-color:var(--cui-base-100)}:host ::ng-deep .ce-inline-tool:hover{background-color:var(--cui-base-100)}:host ::ng-deep .ce-toolbar__plus,:host ::ng-deep .ce-toolbar__settings-btn{color:var(--cui-base-500)}:host ::ng-deep .ce-toolbar__plus:hover,:host ::ng-deep .ce-toolbar__settings-btn:hover{background-color:var(--cui-base-100)}:host ::ng-deep .ce-toolbar__actions{right:100%}:host ::ng-deep .ce-toolbar__content{max-width:none}@media (max-width: 650px){:host ::ng-deep .ce-toolbar__plus,:host ::ng-deep .ce-toolbar__settings-btn{border-color:var(--menuBorder);background-color:var(--menuBackground)}:host ::ng-deep .ce-toolbar__actions{inset:0 auto auto 0}}:host ::ng-deep .ce-block--selected .ce-block__content{background-color:var(--cui-base-200)}:host ::ng-deep .ce-block__content{max-width:100%}:host ::ng-deep .ce-block:only-of-type .combined-text-block[data-placeholder-active][data-empty=true]:before{content:attr(data-placeholder-active);position:absolute;color:var(--cui-base-400)}:host ::ng-deep [data-editor]{padding-right:4px;width:100%;height:100%;min-height:200px;overflow:hidden auto;scrollbar-gutter:stable}:host ::ng-deep [data-editor] .codex-editor{margin-left:60px}:host ::ng-deep [data-editor] .codex-editor--narrow .ce-popover{right:auto}:host ::ng-deep [data-editor] .codex-editor__redactor{margin-right:auto;padding-bottom:260px!important}@media (max-width: 650px){:host ::ng-deep [data-editor] .codex-editor{margin-left:0}}:host ::ng-deep [data-editor]._readonly{min-height:auto}:host ::ng-deep [data-editor]._readonly .codex-editor{margin:auto}:host ::ng-deep [data-editor]._readonly .codex-editor__redactor{padding-bottom:0!important}:host ::ng-deep [data-editor]._readonly .combined-text-block{padding:0}:host ::ng-deep [data-editor] [data-item-name=move-up],:host ::ng-deep [data-editor] [data-item-name=move-down],:host ::ng-deep [data-editor] [data-tool=paragraph]{display:none}:host ::ng-deep [data-editor] *::selection{background:var(--cui-base-200)}:host ::ng-deep [data-editor] a{color:var(--cui-light-blue-600)}:host ::ng-deep .marker{cursor:pointer;text-decoration:underline;color:var(--cui-light-blue-600);background-color:transparent}:host ::ng-deep .tool-marker,:host ::ng-deep .role-marker{margin:0 5px}:host ::ng-deep .tool-marker{color:#e97c00}:host ::ng-deep .role-marker{color:#8803f1}.form{height:100%}\n"] }]
        }], propDecorators: { editorRef: [{
                type: ViewChild,
                args: ['editor']
            }], editorEmpty: [{
                type: Output
            }], editorApiId: [{
                type: Input,
                args: [{ required: true }]
            }], config: [{
                type: Input
            }], requestSize: [{
                type: Input
            }] } });

class CuiEditorReadonlyComponent {
    constructor() {
        this.isShowMore = signal(false);
        this.isMoreButtonShown = signal(false);
        this.editorConfig = computed(() => ({ readOnly: true, withoutPreload: true, ...this.config() }));
        this.editor = viewChild.required('editor');
        this.editorId = input.required();
        this.config = input.required();
        this.buttonTemplate = input.required();
        this.shortHeight = input(68);
        this.initEditorIdEffect();
        this.initReadEditorProperty();
    }
    onShow(editor) {
        editor.editorElement.scrollTo(0, 0);
        this.isShowMore.update((prev) => !prev);
    }
    initReadEditorProperty() {
        afterRender({
            read: () => this.isMoreButtonShown.set(this.editor().editorElement?.scrollHeight > this.shortHeight())
        });
    }
    initEditorIdEffect() {
        effect(() => {
            this.editorId();
            this.isShowMore.set(false);
        }, { allowSignalWrites: true });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorReadonlyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiEditorReadonlyComponent, isStandalone: true, selector: "cui-editor-readonly", inputs: { editorId: { classPropertyName: "editorId", publicName: "editorId", isSignal: true, isRequired: true, transformFunction: null }, config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null }, buttonTemplate: { classPropertyName: "buttonTemplate", publicName: "buttonTemplate", isSignal: true, isRequired: true, transformFunction: null }, shortHeight: { classPropertyName: "shortHeight", publicName: "shortHeight", isSignal: true, isRequired: false, transformFunction: null } }, viewQueries: [{ propertyName: "editor", first: true, predicate: ["editor"], descendants: true, isSignal: true }], ngImport: i0, template: "<cui-editor\r\n    #editor\r\n    class=\"editor\"\r\n    [class.editor_opened]=\"isShowMore()\"\r\n    [editorApiId]=\"editorId()\"\r\n    [config]=\"editorConfig()\"\r\n/>\r\n@if (isMoreButtonShown()) {\r\n  <button class=\"c-button\" (click)=\"onShow(editor)\">\r\n      <ng-container [ngTemplateOutlet]=\"buttonTemplate()\" [ngTemplateOutletContext]=\"{ $implicit: isShowMore }\"></ng-container>\r\n  </button>\r\n}\r\n", styles: [":host{--height: 68px;--fullHeight: 500px;display:flex;flex-direction:column;gap:8px}:host .editor{display:block;max-height:var(--height);overflow:hidden}:host .editor ::ng-deep [data-editor]{overflow:hidden}:host .editor_opened{max-height:var(--fullHeight)}:host .editor_opened ::ng-deep [data-editor]{max-height:var(--fullHeight);overflow:hidden auto}.c-button{padding:0}\n"], dependencies: [{ kind: "component", type: CuiEditorComponent, selector: "cui-editor", inputs: ["editorApiId", "config", "requestSize"], outputs: ["editorEmpty"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorReadonlyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-editor-readonly', standalone: true, imports: [CuiEditorComponent, NgTemplateOutlet], changeDetection: ChangeDetectionStrategy.OnPush, template: "<cui-editor\r\n    #editor\r\n    class=\"editor\"\r\n    [class.editor_opened]=\"isShowMore()\"\r\n    [editorApiId]=\"editorId()\"\r\n    [config]=\"editorConfig()\"\r\n/>\r\n@if (isMoreButtonShown()) {\r\n  <button class=\"c-button\" (click)=\"onShow(editor)\">\r\n      <ng-container [ngTemplateOutlet]=\"buttonTemplate()\" [ngTemplateOutletContext]=\"{ $implicit: isShowMore }\"></ng-container>\r\n  </button>\r\n}\r\n", styles: [":host{--height: 68px;--fullHeight: 500px;display:flex;flex-direction:column;gap:8px}:host .editor{display:block;max-height:var(--height);overflow:hidden}:host .editor ::ng-deep [data-editor]{overflow:hidden}:host .editor_opened{max-height:var(--fullHeight)}:host .editor_opened ::ng-deep [data-editor]{max-height:var(--fullHeight);overflow:hidden auto}.c-button{padding:0}\n"] }]
        }], ctorParameters: () => [] });

class CuiEditorModalComponent {
    constructor() {
        this.isOpen = signal(false);
        this.isButtonDisabled = signal(false);
        this.title = input.required();
        this.buttonTemplate = input();
        this.config = input.required();
        this.editorId = input();
        this.editorCreated = output();
        this.modalClosed = output();
    }
    onModalOpen() {
        this.isButtonDisabled.set(true);
        if (this.editorId()) {
            this.open();
            return;
        }
        this.editorCreated.emit();
    }
    open() {
        this.isOpen.set(true);
    }
    close() {
        this.isButtonDisabled.set(false);
        this.isOpen.set(false);
        this.modalClosed.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiEditorModalComponent, isStandalone: true, selector: "cui-editor-modal", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: true, transformFunction: null }, buttonTemplate: { classPropertyName: "buttonTemplate", publicName: "buttonTemplate", isSignal: true, isRequired: false, transformFunction: null }, config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null }, editorId: { classPropertyName: "editorId", publicName: "editorId", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { editorCreated: "editorCreated", modalClosed: "modalClosed" }, ngImport: i0, template: "@if (buttonTemplate(); as template) {\n    <button\n        type=\"button\"\n        class=\"button\"\n        (click)=\"onModalOpen()\"\n    >\n        <ng-container [ngTemplateOutlet]=\"template\" />\n    </button>\n} @else {\n    <button\n        class=\"description\"\n        cuiButton\n        type=\"button\"\n        appearance=\"outlined-gray\"\n        icon=\"cuiIconRichText\"\n        size=\"sm\"\n        (click)=\"onModalOpen()\"\n        [disabled]=\"isButtonDisabled()\"\n    >\n        @if (editorId()) {\n            <span class=\"description__text _created\">{{ 'Description' }}</span>\n            <cui-svg\n                class=\"description__icon\"\n                icon=\"cuiIconEdit\"\n                color=\"var(--cui-base-500)\"\n            />\n        } @else {\n            <cui-svg\n                class=\"description__icon\"\n                icon=\"cuiIconPlus\"\n                color=\"var(--cui-light-blue-600)\"\n            />\n            <span class=\"description__text\">{{ 'Add description' }}</span>\n        }\n    </button>\n}\n@if (isOpen()) {\n    <div class=\"wrapper\">\n        @if (editorId(); as id) {\n            <header class=\"header\">\n                <div class=\"info\">\n                    <button\n                        cuiButton\n                        type=\"button\"\n                        icon=\"cuiIconChevronLeft\"\n                        size=\"xxs\"\n                        appearance=\"secondary\"\n                        shape=\"rounded\"\n                        (click)=\"close()\"\n                    ></button>\n                    <h1 class=\"title\">{{ title() }}</h1>\n                </div>\n                <div class=\"actions\">\n                    <!-- <cui-loader /> -->\n                    <button\n                        type=\"button\"\n                        cuiButton\n                        size=\"xs\"\n                        (click)=\"close()\"\n                    >\n                        {{ 'Done' }}\n                    </button>\n                </div>\n            </header>\n\n            <section class=\"section\">\n                <cui-editor\n                    #editorComponent\n                    class=\"editor\"\n                    [editorApiId]=\"id\"\n                    [config]=\"config()\"\n                />\n            </section>\n        }\n    </div>\n}\n", styles: [":host ::ng-deep .delete{width:max-content}:host ::ng-deep .delete .c-content{display:flex;align-items:center;gap:4px;color:var(--cui-danger)}:host ::ng-deep .description .c-content{display:flex;align-items:center;gap:4px}.button{padding:0}.description{width:max-content}.description__text{color:var(--cui-light-blue-600)}.description__text._created{color:var(--cui-base-900)}.description__icon{padding:4px}.wrapper{position:fixed;z-index:10;inset:0;background-color:var(--cui-base-0)}.header{display:flex;justify-content:space-between;padding:8px 16px;border-bottom:.5px solid var(--cui-base-200);background:var(--cui-base-0)}.info,.actions{display:flex;gap:12px;align-items:center}.section{padding-right:24px;padding-left:24px;padding-top:24px;height:calc(100% - 50px);overflow:hidden}.title{font-weight:500;font-size:14px;line-height:20px;margin:0}.editor{padding-right:32px;padding-left:32px;padding-top:32px;display:block;margin:0 auto;max-width:750px;height:100%}\n"], dependencies: [{ kind: "component", type: CuiEditorComponent, selector: "cui-editor", inputs: ["editorApiId", "config", "requestSize"], outputs: ["editorEmpty"] }, { kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-editor-modal', imports: [
                        CuiEditorComponent,
                        CuiButtonModule,
                        NgTemplateOutlet,
                        CuiSvgModule
                    ], standalone: true, template: "@if (buttonTemplate(); as template) {\n    <button\n        type=\"button\"\n        class=\"button\"\n        (click)=\"onModalOpen()\"\n    >\n        <ng-container [ngTemplateOutlet]=\"template\" />\n    </button>\n} @else {\n    <button\n        class=\"description\"\n        cuiButton\n        type=\"button\"\n        appearance=\"outlined-gray\"\n        icon=\"cuiIconRichText\"\n        size=\"sm\"\n        (click)=\"onModalOpen()\"\n        [disabled]=\"isButtonDisabled()\"\n    >\n        @if (editorId()) {\n            <span class=\"description__text _created\">{{ 'Description' }}</span>\n            <cui-svg\n                class=\"description__icon\"\n                icon=\"cuiIconEdit\"\n                color=\"var(--cui-base-500)\"\n            />\n        } @else {\n            <cui-svg\n                class=\"description__icon\"\n                icon=\"cuiIconPlus\"\n                color=\"var(--cui-light-blue-600)\"\n            />\n            <span class=\"description__text\">{{ 'Add description' }}</span>\n        }\n    </button>\n}\n@if (isOpen()) {\n    <div class=\"wrapper\">\n        @if (editorId(); as id) {\n            <header class=\"header\">\n                <div class=\"info\">\n                    <button\n                        cuiButton\n                        type=\"button\"\n                        icon=\"cuiIconChevronLeft\"\n                        size=\"xxs\"\n                        appearance=\"secondary\"\n                        shape=\"rounded\"\n                        (click)=\"close()\"\n                    ></button>\n                    <h1 class=\"title\">{{ title() }}</h1>\n                </div>\n                <div class=\"actions\">\n                    <!-- <cui-loader /> -->\n                    <button\n                        type=\"button\"\n                        cuiButton\n                        size=\"xs\"\n                        (click)=\"close()\"\n                    >\n                        {{ 'Done' }}\n                    </button>\n                </div>\n            </header>\n\n            <section class=\"section\">\n                <cui-editor\n                    #editorComponent\n                    class=\"editor\"\n                    [editorApiId]=\"id\"\n                    [config]=\"config()\"\n                />\n            </section>\n        }\n    </div>\n}\n", styles: [":host ::ng-deep .delete{width:max-content}:host ::ng-deep .delete .c-content{display:flex;align-items:center;gap:4px;color:var(--cui-danger)}:host ::ng-deep .description .c-content{display:flex;align-items:center;gap:4px}.button{padding:0}.description{width:max-content}.description__text{color:var(--cui-light-blue-600)}.description__text._created{color:var(--cui-base-900)}.description__icon{padding:4px}.wrapper{position:fixed;z-index:10;inset:0;background-color:var(--cui-base-0)}.header{display:flex;justify-content:space-between;padding:8px 16px;border-bottom:.5px solid var(--cui-base-200);background:var(--cui-base-0)}.info,.actions{display:flex;gap:12px;align-items:center}.section{padding-right:24px;padding-left:24px;padding-top:24px;height:calc(100% - 50px);overflow:hidden}.title{font-weight:500;font-size:14px;line-height:20px;margin:0}.editor{padding-right:32px;padding-left:32px;padding-top:32px;display:block;margin:0 auto;max-width:750px;height:100%}\n"] }]
        }] });

class CuiEditorBlockComponent {
    constructor() {
        this.skipFirstValidation = true;
        this.editorConfig = signal(null);
        this.isDescriptionModalOpen = signal(false);
        this.isDescriptionEmpty = signal(false);
        this.editorContainer = viewChild('editorContainer', {
            read: ElementRef
        });
        this.title = input.required();
        this.editorId = input.required();
        this.config = input.required();
        this.required = input(false);
        this.editorEmpty = output();
        this.initEditorConfig();
    }
    onToggleDescriptionModal() {
        this.isDescriptionModalOpen.update((prev) => !prev);
    }
    onDescriptionChange(value) {
        this.editorEmpty.emit(value);
        if (this.skipFirstValidation) {
            this.skipFirstValidation = false;
            return;
        }
        this.isDescriptionEmpty.set(value);
    }
    initEditorConfig() {
        const effectRef = effect(() => {
            const element = this.editorContainer()?.nativeElement;
            if (!element) {
                return;
            }
            this.editorConfig.set({ element, ...this.config() });
            effectRef.destroy();
        }, { allowSignalWrites: true });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorBlockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiEditorBlockComponent, isStandalone: true, selector: "cui-editor-block", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: true, transformFunction: null }, editorId: { classPropertyName: "editorId", publicName: "editorId", isSignal: true, isRequired: true, transformFunction: null }, config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null }, required: { classPropertyName: "required", publicName: "required", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { editorEmpty: "editorEmpty" }, viewQueries: [{ propertyName: "editorContainer", first: true, predicate: ["editorContainer"], descendants: true, read: ElementRef, isSignal: true }], ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <div class=\"wrapper\">\n        <span class=\"title\">\n            {{ t('DESCRIPTION') }}\n            @if (required()) {\n                <span class=\"title__required\">*</span>\n            }\n        </span>\n        <ng-template #button>\n            <button\n                [cuiTooltip]=\"t('EXPAND_EDITOR_TO_FULLSCREEN')\"\n                cuiButton\n                size=\"xxs\"\n                type=\"button\"\n                appearance=\"ghost\"\n                icon=\"cuiIconMaximizeSm\"\n                (click)=\"onToggleDescriptionModal()\"\n            ></button>\n        </ng-template>\n        <cui-editor-modal\n            [title]=\"title()\"\n            [editorId]=\"editorId()\"\n            [buttonTemplate]=\"button\"\n            [config]=\"config()\"\n            (modalClosed)=\"onToggleDescriptionModal()\"\n        />\n    </div>\n    <div\n        #editorContainer\n        cuiContentWrapper\n        class=\"editor\"\n        [class.editor_invalid]=\"required() && isDescriptionEmpty()\"\n    >\n        @if (!isDescriptionModalOpen() && editorConfig()) {\n            <cui-editor\n                #editorComponent\n                [editorApiId]=\"editorId()\"\n                [config]=\"editorConfig()!\"\n                (editorEmpty)=\"onDescriptionChange($event)\"\n            />\n        }\n    </div>\n    @if (required() && isDescriptionEmpty()) {\n        <cui-hint hintType=\"error\">{{ t('DESCRIPTION_IS_REQUIRED') }}</cui-hint>\n    }\n</ng-container>\n", styles: [":host{--max-editor-height: 650px;padding:16px;display:flex;flex-direction:column;gap:8px;background:var(--cui-base-10);border-radius:8px}:host .editor{max-height:var(--max-editor-height)}.wrapper{display:flex;gap:8px;align-items:center;justify-content:space-between}.editor{padding-top:16px;padding-bottom:16px;display:block;overflow:auto}.editor_invalid{border:1px solid var(--cui-danger)}.title{font-weight:500;font-size:14px;line-height:20px}.title__required{color:var(--cui-danger)}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "component", type: CuiEditorModalComponent, selector: "cui-editor-modal", inputs: ["title", "buttonTemplate", "config", "editorId"], outputs: ["editorCreated", "modalClosed"] }, { kind: "component", type: CuiEditorComponent, selector: "cui-editor", inputs: ["editorApiId", "config", "requestSize"], outputs: ["editorEmpty"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "component", type: CuiContentWrapperComponent, selector: "cui-content-wrapper, [cuiContentWrapper]", inputs: ["backgroundColor", "gap"] }, { kind: "directive", type: CuiTooltipDirective, selector: "[cuiTooltip]:not(ng-container):not(ng-template)", inputs: ["cuiTooltipContext", "cuiTooltipAppearance", "cuiTooltip"] }, { kind: "ngmodule", type: CuiHintModule }, { kind: "component", type: CuiHintComponent, selector: "cui-hint", inputs: ["hintType"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiEditorBlockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-editor-block', imports: [
                        CuiButtonModule,
                        CuiEditorModalComponent,
                        CuiEditorComponent,
                        TranslocoDirective,
                        CuiContentWrapperComponent,
                        CuiTooltip,
                        CuiHintModule
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <div class=\"wrapper\">\n        <span class=\"title\">\n            {{ t('DESCRIPTION') }}\n            @if (required()) {\n                <span class=\"title__required\">*</span>\n            }\n        </span>\n        <ng-template #button>\n            <button\n                [cuiTooltip]=\"t('EXPAND_EDITOR_TO_FULLSCREEN')\"\n                cuiButton\n                size=\"xxs\"\n                type=\"button\"\n                appearance=\"ghost\"\n                icon=\"cuiIconMaximizeSm\"\n                (click)=\"onToggleDescriptionModal()\"\n            ></button>\n        </ng-template>\n        <cui-editor-modal\n            [title]=\"title()\"\n            [editorId]=\"editorId()\"\n            [buttonTemplate]=\"button\"\n            [config]=\"config()\"\n            (modalClosed)=\"onToggleDescriptionModal()\"\n        />\n    </div>\n    <div\n        #editorContainer\n        cuiContentWrapper\n        class=\"editor\"\n        [class.editor_invalid]=\"required() && isDescriptionEmpty()\"\n    >\n        @if (!isDescriptionModalOpen() && editorConfig()) {\n            <cui-editor\n                #editorComponent\n                [editorApiId]=\"editorId()\"\n                [config]=\"editorConfig()!\"\n                (editorEmpty)=\"onDescriptionChange($event)\"\n            />\n        }\n    </div>\n    @if (required() && isDescriptionEmpty()) {\n        <cui-hint hintType=\"error\">{{ t('DESCRIPTION_IS_REQUIRED') }}</cui-hint>\n    }\n</ng-container>\n", styles: [":host{--max-editor-height: 650px;padding:16px;display:flex;flex-direction:column;gap:8px;background:var(--cui-base-10);border-radius:8px}:host .editor{max-height:var(--max-editor-height)}.wrapper{display:flex;gap:8px;align-items:center;justify-content:space-between}.editor{padding-top:16px;padding-bottom:16px;display:block;overflow:auto}.editor_invalid{border:1px solid var(--cui-danger)}.title{font-weight:500;font-size:14px;line-height:20px}.title__required{color:var(--cui-danger)}\n"] }]
        }], ctorParameters: () => [] });

const cuiXNdjsonInterceptor = (request, next) => {
    if (request.headers.get('Content-Type') !== 'application/x-ndjson') {
        return next(request);
    }
    return new Observable((observer) => {
        const controller = new AbortController();
        const signal = controller.signal;
        (async () => {
            try {
                const response = await fetch(request.urlWithParams, {
                    method: request.method,
                    headers: request.headers.keys().reduce((headers, key) => {
                        headers[key] = request.headers.get(key);
                        return headers;
                    }, {}),
                    body: request.body ? JSON.stringify(request.body) : null,
                    signal
                });
                if (!response.ok) {
                    const error = await response.json();
                    observer.error(new HttpErrorResponse({ error }));
                    return;
                }
                const reader = response.body.getReader();
                const decoder = new TextDecoder();
                let buffer = '';
                for (;;) {
                    const { done, value } = await reader.read();
                    if (done) {
                        observer.complete();
                        return;
                    }
                    buffer += decoder.decode(value);
                    const lines = buffer.split('\n');
                    buffer = lines.pop() ?? '';
                    lines.forEach((line) => observer.next(JSON.parse(line)));
                }
            }
            catch (error) {
                observer.error(new HttpErrorResponse({ error }));
            }
        })();
        return () => controller.abort();
    });
};

const cuiLoaderInterceptor = (request, next) => {
    const loaderService = inject(CuiLoaderService);
    if (request.method === 'GET') {
        return next(request);
    }
    loaderService.setLoading();
    return next(request).pipe(catchError((error) => throwError(() => error)), finalize(loaderService.handleCompletedRequest.bind(loaderService)));
};

const cuiErrorHandlerInterceptor = (request, next) => {
    const translocoService = inject(TranslocoService);
    const cuiAlertService = inject(CuiAlertService);
    return next(request).pipe(catchError((error) => {
        console.error(error);
        if (error instanceof HttpErrorResponse) {
            cuiAlertService
                .open(translocoService.translate(`BACKEND.${error.error.code}`), { status: 'error' })
                .subscribe();
        }
        return throwError(() => error);
    }));
};

const CuiAuthService = new InjectionToken('CUI_AUTH_SERVICE');

class CuiBrowserAuthService extends CuiAuthBase {
    constructor() {
        super(...arguments);
        this.router = inject(Router);
        this.location = inject(Location);
    }
    async initAuth(authConfig) {
        this.setStorage(localStorage);
        this.configure(authConfig);
        await this.loadDiscoveryDocument();
        await this.tryLogin();
        const tokenExpiredCallback = authConfig.tokenExpiredCallback?.bind(this) ?? this.initLoginFlow.bind(this);
        this.initAuthRefreshEvents(tokenExpiredCallback);
        await this.useCheckTokenFlow(tokenExpiredCallback);
        this.router.navigateByUrl(this.location.path(false).split('?')[0]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBrowserAuthService, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBrowserAuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiBrowserAuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class CuiMobileAuthService extends CuiAuthBase {
    async initAuth(authConfig) {
        this.setStorage(localStorage);
        this.configure(authConfig);
        if (!authConfig.tokenExpiredCallback) {
            return;
        }
        await this.loadDiscoveryDocument();
        await this.tryLogin();
        this.initAuthRefreshEvents(authConfig.tokenExpiredCallback.bind(this));
        await this.useCheckTokenFlow(authConfig.tokenExpiredCallback.bind(this));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiMobileAuthService, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiMobileAuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiMobileAuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

function provideCuiAuth({ authConfig, moduleConfig, platform = 'browser' }) {
    return [
        provideOAuthClient(moduleConfig),
        {
            provide: CuiAuthService,
            useFactory: () => {
                if (platform === 'mobile') {
                    return inject(CuiMobileAuthService);
                }
                return inject(CuiBrowserAuthService);
            }
        },
        makeEnvironmentProviders([
            {
                provide: APP_INITIALIZER,
                useValue: () => initAuth(authConfig),
                multi: true
            }
        ])
    ];
}
async function initAuth(authConfig) {
    const authService = inject(CuiAuthService);
    return await authService.initAuth(authConfig);
}

const cuiAuthInterceptor = (request, next) => {
    const authService = inject(CuiAuthService);
    if (!authService.hasValidAccessToken()) {
        return next(request);
    }
    const modifiedRequest = request.clone({
        setHeaders: {
            Authorization: 'Bearer ' + authService.getAccessToken()
        }
    });
    return next(modifiedRequest);
};

class CuiLoaderComponent {
    constructor() {
        this.loaderService = inject(CuiLoaderService);
        this.translocoService = inject(TranslocoService);
        this.state = CuiLoadingState;
        this.LoaderString = {
            [CuiLoadingState.LOADING]: `${this.translocoService.translate('SAVING')}...`,
            [CuiLoadingState.COMPLETED]: this.translocoService.translate('SAVED'),
            [CuiLoadingState.INITIAL]: ''
        };
        this.LoaderIcon = {
            [CuiLoadingState.LOADING]: 'cuiIconRefreshCcw',
            [CuiLoadingState.COMPLETED]: 'cuiIconCheck',
            [CuiLoadingState.INITIAL]: ''
        };
        this.loaderState = this.loaderService.loaderState;
        this.loaderString = computed(() => this.LoaderString[this.loaderState()]);
        this.loaderIcon = computed(() => this.LoaderIcon[this.loaderState()]);
    }
    ngOnDestroy() {
        this.loaderService.reset();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiLoaderComponent, isStandalone: true, selector: "cui-loader", ngImport: i0, template: "@if (loaderState() !== state.INITIAL) {\r\n    <cui-svg\r\n        [icon]=\"loaderIcon()\"\r\n        color=\"var(--cui-base-500)\"\r\n        [class.icon_loading]=\"loaderState() === state.LOADING\"\r\n    />\r\n    <span>{{ loaderString() }}</span>\r\n}\r\n", styles: [":host{padding:6px 8px;font-weight:500;font-size:12px;line-height:14px;display:flex;align-items:center;gap:6px;color:var(--cui-base-500)}.icon_loading{animation:spin 1s ease-in-out infinite}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(-360deg)}}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiLoaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-loader', imports: [CuiSvgModule], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "@if (loaderState() !== state.INITIAL) {\r\n    <cui-svg\r\n        [icon]=\"loaderIcon()\"\r\n        color=\"var(--cui-base-500)\"\r\n        [class.icon_loading]=\"loaderState() === state.LOADING\"\r\n    />\r\n    <span>{{ loaderString() }}</span>\r\n}\r\n", styles: [":host{padding:6px 8px;font-weight:500;font-size:12px;line-height:14px;display:flex;align-items:center;gap:6px;color:var(--cui-base-500)}.icon_loading{animation:spin 1s ease-in-out infinite}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(-360deg)}}\n"] }]
        }] });

class CuiDeleteModalComponent {
    constructor() {
        this.context = inject(CUI_DIALOG_CONTEXT);
        this.data = this.context.data;
        this.title = this.data.title;
        this.content = this.data.content;
        this.isLoading = signal(false);
        this.isDisabled = this.data.isDisabled ?? false;
    }
    onDelete() {
        if (!this.data.delete) {
            return;
        }
        this.isLoading.set(true);
        this.data
            .delete()
            .pipe(finalize(() => this.isLoading.set(false)))
            .subscribe(() => this.context.completeWith());
    }
    onCancel() {
        this.context.completeWith({ canceled: true });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDeleteModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiDeleteModalComponent, isStandalone: true, selector: "cui-delete-modal", ngImport: i0, template: "<div\r\n    *transloco=\"let t\"\r\n    class=\"wrapper\"\r\n>\r\n    <div class=\"content\">\r\n        <div class=\"header\">\r\n            <h3 class=\"title\">{{ t(title) }}</h3>\r\n            <button\r\n                type=\"button\"\r\n                cuiButton\r\n                icon=\"cuiIconX\"\r\n                appearance=\"ghost\"\r\n                [disabled]=\"isLoading()\"\r\n                class=\"close-btn\"\r\n                (click)=\"onCancel()\"\r\n            ></button>\r\n        </div>\r\n        <div class=\"info\">\r\n            @for (text of content; track text) {\r\n                <p [innerHTML]=\"t(text)\"></p>\r\n            }\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"footer\">\r\n        <button\r\n            type=\"button\"\r\n            cuiButton\r\n            (click)=\"onCancel()\"\r\n            [disabled]=\"isLoading()\"\r\n            appearance=\"secondary\"\r\n        >\r\n            {{ t('CANCEL') }}\r\n        </button>\r\n        <button\r\n            type=\"button\"\r\n            cuiButton\r\n            [isLoaderShown]=\"isLoading()\"\r\n            [disabled]=\"isDisabled\"\r\n            [cuiTooltip]=\"isDisabled && t('IN_DEVELOPMENT')\"\r\n            appearance=\"destructive\"\r\n            (click)=\"onDelete()\"\r\n        >\r\n            {{ t('YES_DELETE') }}\r\n        </button>\r\n    </div>\r\n</div>\r\n", styles: [".wrapper{display:flex;flex-direction:column;gap:24px;padding:23px;border-radius:12px;width:400px}.header{display:flex;gap:8px;justify-content:space-between}.content{display:flex;flex-direction:column;gap:12px}.title{font-weight:500;font-size:18px;line-height:28px}.info{display:flex;flex-direction:column;gap:16px;font-weight:400;font-size:14px;line-height:20px}.footer{display:flex;gap:12px;justify-content:flex-end}.close-btn{margin:-8px}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: TranslocoModule }, { kind: "directive", type: i2$2.TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "directive", type: CuiTooltipDirective, selector: "[cuiTooltip]:not(ng-container):not(ng-template)", inputs: ["cuiTooltipContext", "cuiTooltipAppearance", "cuiTooltip"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiDeleteModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-delete-modal', imports: [CuiButtonModule, TranslocoModule, CuiTooltip], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div\r\n    *transloco=\"let t\"\r\n    class=\"wrapper\"\r\n>\r\n    <div class=\"content\">\r\n        <div class=\"header\">\r\n            <h3 class=\"title\">{{ t(title) }}</h3>\r\n            <button\r\n                type=\"button\"\r\n                cuiButton\r\n                icon=\"cuiIconX\"\r\n                appearance=\"ghost\"\r\n                [disabled]=\"isLoading()\"\r\n                class=\"close-btn\"\r\n                (click)=\"onCancel()\"\r\n            ></button>\r\n        </div>\r\n        <div class=\"info\">\r\n            @for (text of content; track text) {\r\n                <p [innerHTML]=\"t(text)\"></p>\r\n            }\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"footer\">\r\n        <button\r\n            type=\"button\"\r\n            cuiButton\r\n            (click)=\"onCancel()\"\r\n            [disabled]=\"isLoading()\"\r\n            appearance=\"secondary\"\r\n        >\r\n            {{ t('CANCEL') }}\r\n        </button>\r\n        <button\r\n            type=\"button\"\r\n            cuiButton\r\n            [isLoaderShown]=\"isLoading()\"\r\n            [disabled]=\"isDisabled\"\r\n            [cuiTooltip]=\"isDisabled && t('IN_DEVELOPMENT')\"\r\n            appearance=\"destructive\"\r\n            (click)=\"onDelete()\"\r\n        >\r\n            {{ t('YES_DELETE') }}\r\n        </button>\r\n    </div>\r\n</div>\r\n", styles: [".wrapper{display:flex;flex-direction:column;gap:24px;padding:23px;border-radius:12px;width:400px}.header{display:flex;gap:8px;justify-content:space-between}.content{display:flex;flex-direction:column;gap:12px}.title{font-weight:500;font-size:18px;line-height:28px}.info{display:flex;flex-direction:column;gap:16px;font-weight:400;font-size:14px;line-height:20px}.footer{display:flex;gap:12px;justify-content:flex-end}.close-btn{margin:-8px}\n"] }]
        }] });

class CuiSelectedCategoryService {
    constructor() {
        this.editingIdSignal = signal(null);
        this.creatingIdSignal = signal(null);
        this.categorySignal = signal(null);
        this.editingId = this.editingIdSignal.asReadonly();
        this.creatingId = this.creatingIdSignal.asReadonly();
        this.category = this.categorySignal.asReadonly();
    }
    setCurrentCategory(category) {
        this.categorySignal.set(category);
    }
    setEditingId(id) {
        this.editingIdSignal.set(id);
        this.clearCreatingId();
    }
    setCreatingId(id) {
        this.creatingIdSignal.set(id);
        this.clearEditingId();
    }
    clearEditingId() {
        this.editingIdSignal.set('');
    }
    clearCreatingId() {
        this.creatingIdSignal.set('');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectedCategoryService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectedCategoryService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiSelectedCategoryService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class CuiGeneralControlErrorHintComponent {
    constructor() {
        this.control = input.required();
        this.isVisible = input();
    }
    get isInvalid() {
        return this.isVisible() ?? (this.control().invalid && this.control().dirty);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiGeneralControlErrorHintComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiGeneralControlErrorHintComponent, isStandalone: true, selector: "cui-general-control-error-hint", inputs: { control: { classPropertyName: "control", publicName: "control", isSignal: true, isRequired: true, transformFunction: null }, isVisible: { classPropertyName: "isVisible", publicName: "isVisible", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    @if (isInvalid) {\n        @if (control().errors; as errors) {\n            <cui-hint hintType=\"error\">\n                @if (errors['required']) {\n                    {{ t('FIELD_IS_REQUIRED') }}\n                } @else if (errors['minlength']) {\n                    {{ t('PLEASE_KEEP_FIELD_AT_LEAST_CHARACTERS', { value: errors['minlength'].requiredLength }) }}\n                } @else if (errors['maxlength']) {\n                    {{ t('PLEASE_KEEP_FIELD_UNDER_CHARACTERS', { value: errors['maxlength'].requiredLength }) }}\n                } @else if (errors['extraSpaces']) {\n                    {{ t('MUST_BE_WITHOUT_EXTRA_SPACES') }}\n                } @else if (errors['min']) {\n                    {{ t('MIN_VALUE_MUST_BE_MORE_THAN', { value: errors['min'].min }) }}\n                } @else if (errors['max']) {\n                    {{ t('MAX_VALUE_MUST_BE_LESS_THAN', { value: errors['max'].max }) }}\n                } @else if (errors['email']) {\n                    {{ t('INVALID_EMAIL_ADDRESS') }}\n                }\n            </cui-hint>\n        }\n    }\n</ng-container>\n", styles: [":host{display:inline-block}:host:empty{display:none}\n"], dependencies: [{ kind: "ngmodule", type: CuiHintModule }, { kind: "component", type: CuiHintComponent, selector: "cui-hint", inputs: ["hintType"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.Default }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiGeneralControlErrorHintComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-general-control-error-hint', imports: [CuiHintModule, TranslocoDirective], standalone: true, changeDetection: ChangeDetectionStrategy.Default, template: "<ng-container *transloco=\"let t\">\n    @if (isInvalid) {\n        @if (control().errors; as errors) {\n            <cui-hint hintType=\"error\">\n                @if (errors['required']) {\n                    {{ t('FIELD_IS_REQUIRED') }}\n                } @else if (errors['minlength']) {\n                    {{ t('PLEASE_KEEP_FIELD_AT_LEAST_CHARACTERS', { value: errors['minlength'].requiredLength }) }}\n                } @else if (errors['maxlength']) {\n                    {{ t('PLEASE_KEEP_FIELD_UNDER_CHARACTERS', { value: errors['maxlength'].requiredLength }) }}\n                } @else if (errors['extraSpaces']) {\n                    {{ t('MUST_BE_WITHOUT_EXTRA_SPACES') }}\n                } @else if (errors['min']) {\n                    {{ t('MIN_VALUE_MUST_BE_MORE_THAN', { value: errors['min'].min }) }}\n                } @else if (errors['max']) {\n                    {{ t('MAX_VALUE_MUST_BE_LESS_THAN', { value: errors['max'].max }) }}\n                } @else if (errors['email']) {\n                    {{ t('INVALID_EMAIL_ADDRESS') }}\n                }\n            </cui-hint>\n        }\n    }\n</ng-container>\n", styles: [":host{display:inline-block}:host:empty{display:none}\n"] }]
        }] });

class CuiCategoryFormComponent {
    get isTitleInvalid() {
        return this.titleControl.invalid && this.titleControl.dirty;
    }
    get isSubmitButtonDisabled() {
        return this.isDisabled() || this.form.invalid;
    }
    constructor() {
        this.nonNullableFormBuilder = inject(NonNullableFormBuilder);
        this.form = this.nonNullableFormBuilder.group({
            title: ['', cuiCreateDefaultValidators({ asyncDelay: 0 })]
        });
        this.titleControl = this.form.controls.title;
        this.isDisabled = input(false);
        this.defaultTitle = input('');
        this.created = output();
        this.canceled = output();
        this.input = viewChild.required('input', { read: (ElementRef) });
        this.initInputDisableStateSubscription();
    }
    ngOnInit() {
        this.initDefaultTitle();
        this.initInputFocus();
    }
    onHostClick(event) {
        event.stopPropagation();
    }
    onSubmit() {
        if (this.form.invalid) {
            return;
        }
        this.created.emit(this.form.value.title);
    }
    onCancel(event) {
        event.stopPropagation();
        this.canceled.emit();
    }
    initInputDisableStateSubscription() {
        effect(() => {
            if (this.isDisabled()) {
                this.titleControl.disable();
                return;
            }
            this.titleControl.enable();
        });
    }
    initDefaultTitle() {
        this.form.patchValue({ title: this.defaultTitle() });
    }
    initInputFocus() {
        Promise.resolve().then(() => this.input().nativeElement.focus());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoryFormComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "18.2.13", type: CuiCategoryFormComponent, isStandalone: true, selector: "cui-category-form", inputs: { isDisabled: { classPropertyName: "isDisabled", publicName: "isDisabled", isSignal: true, isRequired: false, transformFunction: null }, defaultTitle: { classPropertyName: "defaultTitle", publicName: "defaultTitle", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { created: "created", canceled: "canceled" }, host: { listeners: { "click": "onHostClick($event)" } }, viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true, read: ElementRef, isSignal: true }], ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <form\n        [formGroup]=\"form\"\n        class=\"form\"\n        (ngSubmit)=\"onSubmit()\"\n    >\n        <div class=\"input\">\n            <input\n                #input\n                cuiGhostInput\n                formControlName=\"title\"\n                type=\"text\"\n                placeholder=\"{{ t('ADD_CATEGORY_NAME') }}...\"\n                [isError]=\"isTitleInvalid\"\n                (keyup)=\"$event.preventDefault()\"\n            />\n            <cui-general-control-error-hint [control]=\"titleControl\" />\n        </div>\n        <button\n            cuiIconButton\n            type=\"submit\"\n            icon=\"cuiIconCheck\"\n            color=\"var(--cui-success)\"\n            [disabled]=\"isSubmitButtonDisabled\"\n            class=\"button\"\n        ></button>\n    </form>\n    <button\n        cuiIconButton\n        type=\"button\"\n        icon=\"cuiIconXCircle\"\n        color=\"var(--cui-danger)\"\n        (click)=\"onCancel($event)\"\n        [disabled]=\"isDisabled()\"\n        class=\"button\"\n    ></button>\n</ng-container>\n", styles: [":host{padding-top:2px;padding-bottom:2px;display:flex;gap:4px;flex-grow:1}.form,.input{flex-grow:1}.form{display:flex;gap:4px}.input{display:flex;flex-direction:column;gap:4px;align-items:flex-start}.button{width:28px}.button:disabled{opacity:.5}\n"], dependencies: [{ kind: "ngmodule", type: CuiFormFieldModule }, { kind: "ngmodule", type: CuiHintModule }, { kind: "ngmodule", type: CuiIconButtonModule }, { kind: "component", type: CuiIconButtonComponent, selector: "button[cuiIconButton][icon], a[cuiIconButton][icon]", inputs: ["icon", "color", "hoverColor"] }, { kind: "component", type: CuiGeneralControlErrorHintComponent, selector: "cui-general-control-error-hint", inputs: ["control", "isVisible"] }, { kind: "component", type: CuiGhostInputComponent, selector: "input [cuiGhostInput]", inputs: ["isError"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoryFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-category-form', imports: [
                        CuiFormFieldModule,
                        CuiHintModule,
                        CuiIconButtonModule,
                        CuiGeneralControlErrorHintComponent,
                        CuiGhostInputComponent,
                        ReactiveFormsModule,
                        TranslocoDirective
                    ], standalone: true, host: {
                        '(click)': 'onHostClick($event)'
                    }, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <form\n        [formGroup]=\"form\"\n        class=\"form\"\n        (ngSubmit)=\"onSubmit()\"\n    >\n        <div class=\"input\">\n            <input\n                #input\n                cuiGhostInput\n                formControlName=\"title\"\n                type=\"text\"\n                placeholder=\"{{ t('ADD_CATEGORY_NAME') }}...\"\n                [isError]=\"isTitleInvalid\"\n                (keyup)=\"$event.preventDefault()\"\n            />\n            <cui-general-control-error-hint [control]=\"titleControl\" />\n        </div>\n        <button\n            cuiIconButton\n            type=\"submit\"\n            icon=\"cuiIconCheck\"\n            color=\"var(--cui-success)\"\n            [disabled]=\"isSubmitButtonDisabled\"\n            class=\"button\"\n        ></button>\n    </form>\n    <button\n        cuiIconButton\n        type=\"button\"\n        icon=\"cuiIconXCircle\"\n        color=\"var(--cui-danger)\"\n        (click)=\"onCancel($event)\"\n        [disabled]=\"isDisabled()\"\n        class=\"button\"\n    ></button>\n</ng-container>\n", styles: [":host{padding-top:2px;padding-bottom:2px;display:flex;gap:4px;flex-grow:1}.form,.input{flex-grow:1}.form{display:flex;gap:4px}.input{display:flex;flex-direction:column;gap:4px;align-items:flex-start}.button{width:28px}.button:disabled{opacity:.5}\n"] }]
        }], ctorParameters: () => [] });

class CuiCreateCategoryItemComponent {
    constructor() {
        this.created = output();
        this.canceled = output();
        this.isDisabled = input(false);
    }
    onSubmit(title) {
        this.created.emit(title);
    }
    onCancel() {
        this.canceled.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCreateCategoryItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiCreateCategoryItemComponent, isStandalone: true, selector: "cui-create-category-item", inputs: { isDisabled: { classPropertyName: "isDisabled", publicName: "isDisabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { created: "created", canceled: "canceled" }, ngImport: i0, template: "<cui-svg\n    icon=\"cuiIconFolder\"\n    color=\"var(--cui-base-500)\"\n    class=\"icon\"\n/>\n<cui-category-form\n    [isDisabled]=\"isDisabled()\"\n    (created)=\"onSubmit($event)\"\n    (canceled)=\"onCancel()\"\n/>\n", styles: [":host{padding-right:4px;padding-left:4px;display:flex;gap:4px;align-items:flex-start;min-height:32px}.icon{padding:6px 2px}\n"], dependencies: [{ kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "component", type: CuiCategoryFormComponent, selector: "cui-category-form", inputs: ["isDisabled", "defaultTitle"], outputs: ["created", "canceled"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCreateCategoryItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-create-category-item', imports: [CuiSvgModule, CuiCategoryFormComponent], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<cui-svg\n    icon=\"cuiIconFolder\"\n    color=\"var(--cui-base-500)\"\n    class=\"icon\"\n/>\n<cui-category-form\n    [isDisabled]=\"isDisabled()\"\n    (created)=\"onSubmit($event)\"\n    (canceled)=\"onCancel()\"\n/>\n", styles: [":host{padding-right:4px;padding-left:4px;display:flex;gap:4px;align-items:flex-start;min-height:32px}.icon{padding:6px 2px}\n"] }]
        }] });

class CuiCategoryItemComponent {
    constructor() {
        this.treeStructNavigatorApiService = inject(CuiTreeStructNavigatorApiService);
        this.selectedCategoryService = inject(CuiSelectedCategoryService);
        this.isStageCreationLoading = signal(false);
        this.stageStorageChildren = signal([]);
        this.areChildrenOpened = signal(false);
        this.openCloseButtonIcon = computed(() => this.areChildrenOpened() ? 'cuiIconChevronDown' : 'cuiIconChevronRight');
        this.doChildrenExist = computed(() => this.stageStorage().children.length || this.stageStorageChildren().length);
        this.isOpenCloseButtonHidden = computed(() => !this.doChildrenExist());
        this.stageStorageIcon = computed(() => this.areChildrenOpened() && this.doChildrenExist() ? 'cuiIconFolderOpen' : 'cuiIconFolder');
        this.isSubcategoryCreating = signal(false);
        this.isSubcategoryCreationLoading = signal(false);
        this.alignItems = computed(() => (this.isTitleEdit() ? 'flex-start' : 'center'));
        this.isTitleEdit = computed(() => this.selectedCategoryService.editingId() === this.stageStorage().id);
        this.isCreateCategoryControlVisible = computed(() => (this.selectedCategoryService.creatingId() === this.stageStorage().id && this.isSubcategoryCreating()) ||
            this.isSubcategoryCreationLoading());
        this.stageStorage = input.required();
        this.categoryTitle = signal('');
        this.category = computed(() => ({
            ...this.stageStorage(),
            title: this.categoryTitle() || this.stageStorage().title
        }));
        this.initStageStorageChildren();
    }
    onSelectCategory() {
        this.selectedCategoryService.setCurrentCategory(this.category());
    }
    onToggleChildren(event) {
        event.stopPropagation();
        this.areChildrenOpened.update((value) => !value);
        if (this.areChildrenOpened()) {
            return;
        }
        this.isSubcategoryCreating.set(false);
    }
    onTitleChanged(title) {
        this.onCancelTitleEdit();
        if (title === this.category().title) {
            return;
        }
        this.treeStructNavigatorApiService.updateTitle(this.stageStorage().id, title).subscribe(() => {
            this.categoryTitle.set(title);
            if (this.category().id === this.selectedCategoryService.category()?.id) {
                this.selectedCategoryService.setCurrentCategory(this.category());
            }
        });
    }
    onStartTitleEdit(event) {
        event?.stopPropagation();
        this.selectedCategoryService.setEditingId(this.stageStorage().id);
        this.onCreatingSubcategoryCanceled();
    }
    onCancelTitleEdit() {
        this.selectedCategoryService.clearEditingId();
    }
    onStartCreatingSubcategory(event) {
        event.stopPropagation();
        this.isSubcategoryCreating.set(true);
        this.areChildrenOpened.set(true);
        this.selectedCategoryService.setCreatingId(this.stageStorage().id);
    }
    onCreateNewSubcategoryCategory(title) {
        this.isSubcategoryCreating.set(false);
        this.isSubcategoryCreationLoading.set(true);
        this.treeStructNavigatorApiService
            .createStageStorageToParent(this.stageStorage().id, title)
            .pipe(finalize(this.isSubcategoryCreationLoading.set.bind(this.isSubcategoryCreationLoading, false)))
            .subscribe((stateStorage) => {
            this.stageStorageChildren.update((value) => [...value, stateStorage]);
        });
    }
    onCreatingSubcategoryCanceled() {
        this.isSubcategoryCreating.set(false);
        this.selectedCategoryService.clearCreatingId();
    }
    initStageStorageChildren() {
        effect(() => {
            if (!this.areChildrenOpened() || this.stageStorageChildren().length) {
                return;
            }
            const stageStorage = this.stageStorage();
            const stageStorageChildren = stageStorage.children;
            if (!stageStorageChildren.length) {
                return;
            }
            if (typeof stageStorageChildren[0] !== 'string') {
                this.stageStorageChildren.set(stageStorageChildren);
                return;
            }
            this.treeStructNavigatorApiService.getStageStoragesByParent(stageStorage.id).subscribe((storage) => {
                this.stageStorageChildren.update((prevStageStorages) => prevStageStorages ? [...prevStageStorages, storage] : [storage]);
            });
        }, { allowSignalWrites: true });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoryItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiCategoryItemComponent, isStandalone: true, selector: "cui-category-item", inputs: { stageStorage: { classPropertyName: "stageStorage", publicName: "stageStorage", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container *cuiLet=\"category() as stage\">\n    <button\n        type=\"button\"\n        [style.align-items]=\"alignItems()\"\n        [disabled]=\"isStageCreationLoading()\"\n        class=\"category\"\n        (click)=\"onSelectCategory()\"\n    >\n        <button\n            type=\"button\"\n            ccFlexContainerDirective\n            class=\"category__open-close-button\"\n            [class.category__open-close-button_hidden]=\"isOpenCloseButtonHidden()\"\n            (click)=\"onToggleChildren($event)\"\n        >\n            <cui-svg\n                [icon]=\"openCloseButtonIcon()\"\n                color=\"var(--cui-base-500)\"\n            />\n        </button>\n        <cui-svg\n            [icon]=\"stageStorageIcon()\"\n            color=\"var(--cui-base-500)\"\n            class=\"icon\"\n        />\n        @if (isTitleEdit()) {\n            <cui-category-form\n                [defaultTitle]=\"stage.title\"\n                (created)=\"onTitleChanged($event)\"\n                (canceled)=\"onCancelTitleEdit()\"\n            />\n        } @else {\n            <span class=\"category__title\">{{ stage.title }}</span>\n\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconEdit\"\n                class=\"category__add-subcategory-button\"\n                (click)=\"onStartTitleEdit($event)\"\n            ></button>\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconPlus\"\n                class=\"category__add-subcategory-button\"\n                (click)=\"onStartCreatingSubcategory($event)\"\n            ></button>\n        }\n    </button>\n    <div\n        [hidden]=\"!areChildrenOpened()\"\n        class=\"list-wrapper\"\n    >\n        <cui-categories-list [stageStorages]=\"stageStorageChildren()\" />\n        @if (isCreateCategoryControlVisible()) {\n            <cui-create-category-item\n                class=\"create-category\"\n                [isDisabled]=\"isSubcategoryCreationLoading()\"\n                (created)=\"onCreateNewSubcategoryCategory($event)\"\n                (canceled)=\"onCreatingSubcategoryCanceled()\"\n            />\n        }\n    </div>\n</ng-container>\n", styles: [".category{display:flex;gap:4px;padding:2px 4px;width:100%;min-height:32px;border-radius:8px}@media (hover: hover){.category:hover{background:var(--cui-base-10)}}.category:active{background:var(--cui-base-10)}.category__open-close-button{padding:2px;border-radius:4px;margin:4px 0}@media (hover: hover){.category__open-close-button:hover{background:var(--cui-base-100)}}.category__open-close-button:active{background:var(--cui-base-100)}.category__open-close-button_hidden{visibility:hidden}.category__title{flex:1;text-align:start;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.category__add-subcategory-button{--cui-base-50: var(--cui-base-200)}.list-wrapper{padding-left:8px}.create-category{margin-left:24px}.icon{padding-right:2px;padding-left:2px;height:28px}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CuiButtonModule) }, { kind: "component", type: i0.forwardRef(() => CuiButtonComponent), selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: i0.forwardRef(() => CuiIconButtonModule) }, { kind: "directive", type: i0.forwardRef(() => CuiLetDirective), selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "ngmodule", type: i0.forwardRef(() => CuiSvgModule) }, { kind: "component", type: i0.forwardRef(() => CuiSvgComponent), selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "component", type: i0.forwardRef(() => CuiCategoryFormComponent), selector: "cui-category-form", inputs: ["isDisabled", "defaultTitle"], outputs: ["created", "canceled"] }, { kind: "component", type: i0.forwardRef(() => CuiCreateCategoryItemComponent), selector: "cui-create-category-item", inputs: ["isDisabled"], outputs: ["created", "canceled"] }, { kind: "component", type: i0.forwardRef(() => CuiCategoriesListComponent), selector: "cui-categories-list", inputs: ["stageStorages"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoryItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-category-item', imports: [
                        CuiButtonModule,
                        CuiIconButtonModule,
                        CuiLetDirective,
                        CuiSvgModule,
                        CuiCategoryFormComponent,
                        CuiCreateCategoryItemComponent,
                        forwardRef(() => CuiCategoriesListComponent)
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *cuiLet=\"category() as stage\">\n    <button\n        type=\"button\"\n        [style.align-items]=\"alignItems()\"\n        [disabled]=\"isStageCreationLoading()\"\n        class=\"category\"\n        (click)=\"onSelectCategory()\"\n    >\n        <button\n            type=\"button\"\n            ccFlexContainerDirective\n            class=\"category__open-close-button\"\n            [class.category__open-close-button_hidden]=\"isOpenCloseButtonHidden()\"\n            (click)=\"onToggleChildren($event)\"\n        >\n            <cui-svg\n                [icon]=\"openCloseButtonIcon()\"\n                color=\"var(--cui-base-500)\"\n            />\n        </button>\n        <cui-svg\n            [icon]=\"stageStorageIcon()\"\n            color=\"var(--cui-base-500)\"\n            class=\"icon\"\n        />\n        @if (isTitleEdit()) {\n            <cui-category-form\n                [defaultTitle]=\"stage.title\"\n                (created)=\"onTitleChanged($event)\"\n                (canceled)=\"onCancelTitleEdit()\"\n            />\n        } @else {\n            <span class=\"category__title\">{{ stage.title }}</span>\n\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconEdit\"\n                class=\"category__add-subcategory-button\"\n                (click)=\"onStartTitleEdit($event)\"\n            ></button>\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconPlus\"\n                class=\"category__add-subcategory-button\"\n                (click)=\"onStartCreatingSubcategory($event)\"\n            ></button>\n        }\n    </button>\n    <div\n        [hidden]=\"!areChildrenOpened()\"\n        class=\"list-wrapper\"\n    >\n        <cui-categories-list [stageStorages]=\"stageStorageChildren()\" />\n        @if (isCreateCategoryControlVisible()) {\n            <cui-create-category-item\n                class=\"create-category\"\n                [isDisabled]=\"isSubcategoryCreationLoading()\"\n                (created)=\"onCreateNewSubcategoryCategory($event)\"\n                (canceled)=\"onCreatingSubcategoryCanceled()\"\n            />\n        }\n    </div>\n</ng-container>\n", styles: [".category{display:flex;gap:4px;padding:2px 4px;width:100%;min-height:32px;border-radius:8px}@media (hover: hover){.category:hover{background:var(--cui-base-10)}}.category:active{background:var(--cui-base-10)}.category__open-close-button{padding:2px;border-radius:4px;margin:4px 0}@media (hover: hover){.category__open-close-button:hover{background:var(--cui-base-100)}}.category__open-close-button:active{background:var(--cui-base-100)}.category__open-close-button_hidden{visibility:hidden}.category__title{flex:1;text-align:start;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.category__add-subcategory-button{--cui-base-50: var(--cui-base-200)}.list-wrapper{padding-left:8px}.create-category{margin-left:24px}.icon{padding-right:2px;padding-left:2px;height:28px}\n"] }]
        }], ctorParameters: () => [] });

class CuiCategoriesListComponent {
    constructor() {
        this.stageStorages = input.required();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoriesListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiCategoriesListComponent, isStandalone: true, selector: "cui-categories-list", inputs: { stageStorages: { classPropertyName: "stageStorages", publicName: "stageStorages", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "@for (stageStorage of stageStorages(); track stageStorage.id) {\n    <cui-category-item [stageStorage]=\"stageStorage\" />\n}\n", styles: [":host{display:block}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CuiIconButtonModule) }, { kind: "ngmodule", type: i0.forwardRef(() => CuiSvgModule) }, { kind: "component", type: i0.forwardRef(() => CuiCategoryItemComponent), selector: "cui-category-item", inputs: ["stageStorage"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoriesListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-categories-list', imports: [CuiIconButtonModule, CuiSvgModule, forwardRef(() => CuiCategoryItemComponent)], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "@for (stageStorage of stageStorages(); track stageStorage.id) {\n    <cui-category-item [stageStorage]=\"stageStorage\" />\n}\n", styles: [":host{display:block}\n"] }]
        }] });

class CuiCategoriesComponent {
    constructor() {
        this.treeStructNavigatorApiService = inject(CuiTreeStructNavigatorApiService);
        this.selectedCategoryService = inject(CuiSelectedCategoryService);
        this.stageStorages = signal(null);
        this.isCategoryCreating = signal(false);
        this.isCategoryCreationLoading = signal(false);
        this.isCreateCategoryControlVisible = computed(() => (this.selectedCategoryService.creatingId() === this.treeStructType() && this.isCategoryCreating()) ||
            this.isCategoryCreationLoading());
        this.dropdown = viewChild.required('dropdown');
        this.treeStructType = input.required();
        this.buttonId = input();
        this.disabled = input(false, { transform: booleanAttribute });
        this.initSelectCategoryEffect();
    }
    onOpenStageStorages() {
        this.selectedCategoryService.clearCreatingId();
        this.selectedCategoryService.clearEditingId();
        if (this.stageStorages()?.length) {
            return;
        }
        this.treeStructNavigatorApiService.getStageStorages(this.treeStructType()).subscribe((stageStorage) => {
            this.stageStorages.update((prevStageStorages) => prevStageStorages ? [...prevStageStorages, stageStorage] : [stageStorage]);
        });
    }
    onStartCreatingNewCategory() {
        this.isCategoryCreating.set(true);
        this.selectedCategoryService.setCreatingId(this.treeStructType());
    }
    onCreateNewCategory(title) {
        this.isCategoryCreating.set(false);
        this.selectedCategoryService.clearCreatingId();
        this.isCategoryCreationLoading.set(true);
        this.treeStructNavigatorApiService
            .createStageStorage(title, this.treeStructType())
            .pipe(finalize(this.isCategoryCreationLoading.set.bind(this, false)))
            .subscribe((stateStorage) => this.stageStorages.update((value) => [...(value || []), stateStorage]));
    }
    onCreatingCategoryCanceled() {
        this.isCategoryCreating.set(false);
        this.selectedCategoryService.clearCreatingId();
    }
    initSelectCategoryEffect() {
        effect(() => {
            this.selectedCategoryService.category();
            this.dropdown().close();
        }, { allowSignalWrites: true });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoriesComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiCategoriesComponent, isStandalone: true, selector: "cui-categories", inputs: { treeStructType: { classPropertyName: "treeStructType", publicName: "treeStructType", isSignal: true, isRequired: true, transformFunction: null }, buttonId: { classPropertyName: "buttonId", publicName: "buttonId", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, viewQueries: [{ propertyName: "dropdown", first: true, predicate: ["dropdown"], descendants: true, isSignal: true }], ngImport: i0, template: "<button\r\n    [attr.id]=\"buttonId()\"\r\n    #dropdown=\"cuiDropdown\"\r\n    [cuiDropdown]=\"dropdownContent\"\r\n    orientation=\"stretch\"\r\n    type=\"button\"\r\n    class=\"target\"\r\n    [disabled]=\"disabled()\"\r\n    (click)=\"onOpenStageStorages()\"\r\n>\r\n    <ng-content />\r\n</button>\r\n\r\n<ng-template #dropdownContent>\r\n    <cui-dropdown-wrapper\r\n        *transloco=\"let t\"\r\n        [title]=\"t('SELECT_OR_CREATE_CATEGORY')\"\r\n        width=\"100%\"\r\n        class=\"dropdown-wrapper\"\r\n    >\r\n        <ng-container *cuiLet=\"stageStorages() as stageStorages\">\r\n            @if (stageStorages && stageStorages?.length) {\r\n                <cui-categories-list [stageStorages]=\"stageStorages\" />\r\n            }\r\n            @if (isCreateCategoryControlVisible()) {\r\n                <cui-create-category-item\r\n                    class=\"create-category\"\r\n                    [isDisabled]=\"isCategoryCreationLoading()\"\r\n                    (created)=\"onCreateNewCategory($event)\"\r\n                    (canceled)=\"onCreatingCategoryCanceled()\"\r\n                />\r\n            } @else if (!stageStorages?.length) {\r\n                <cui-empty-state\r\n                    class=\"empty\"\r\n                    [subtitle]=\"t('NO_CATEGORY_TO_VIEW_YET')\"\r\n                />\r\n            }\r\n        </ng-container>\r\n        <button\r\n            ccDropdownFooterContent\r\n            cuiButton\r\n            type=\"button\"\r\n            appearance=\"ghost\"\r\n            size=\"xxs\"\r\n            icon=\"cuiIconPlus\"\r\n            (click)=\"onStartCreatingNewCategory()\"\r\n        >\r\n            {{ t('NEW_CATEGORY') }}\r\n        </button>\r\n    </cui-dropdown-wrapper>\r\n</ng-template>\r\n", styles: ["::ng-deep .dropdown-wrapper .scrollable-content{flex:1;display:flex;flex-direction:column}.target{display:block;padding:0;width:100%;border-radius:8px;border:1px solid transparent}.target:focus{box-shadow:0 0 0 2px var(--cui-focus);border:1px solid var(--cui-info)}.target:disabled{cursor:default}.create-category{margin-left:24px}.empty{margin:auto}.dropdown-wrapper{display:block;height:350px}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "directive", type: CuiDropdownDirective, selector: "[cuiDropdown]", inputs: ["cuiDropdown", "orientation"], outputs: ["isOpened"], exportAs: ["cuiDropdown"] }, { kind: "component", type: CuiDropdownWrapperComponent, selector: "cui-dropdown-wrapper", inputs: ["title", "width"] }, { kind: "component", type: CuiEmptyStateComponent, selector: "cui-empty-state, [cuiEmptyState]", inputs: ["title", "subtitle"] }, { kind: "component", type: CuiCreateCategoryItemComponent, selector: "cui-create-category-item", inputs: ["isDisabled"], outputs: ["created", "canceled"] }, { kind: "component", type: CuiCategoriesListComponent, selector: "cui-categories-list", inputs: ["stageStorages"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCategoriesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-categories', imports: [
                        CuiButtonModule,
                        CuiLetDirective,
                        CuiDropdownDirective,
                        CuiDropdownWrapperComponent,
                        CuiEmptyStateComponent,
                        CuiCreateCategoryItemComponent,
                        CuiCategoriesListComponent,
                        TranslocoDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<button\r\n    [attr.id]=\"buttonId()\"\r\n    #dropdown=\"cuiDropdown\"\r\n    [cuiDropdown]=\"dropdownContent\"\r\n    orientation=\"stretch\"\r\n    type=\"button\"\r\n    class=\"target\"\r\n    [disabled]=\"disabled()\"\r\n    (click)=\"onOpenStageStorages()\"\r\n>\r\n    <ng-content />\r\n</button>\r\n\r\n<ng-template #dropdownContent>\r\n    <cui-dropdown-wrapper\r\n        *transloco=\"let t\"\r\n        [title]=\"t('SELECT_OR_CREATE_CATEGORY')\"\r\n        width=\"100%\"\r\n        class=\"dropdown-wrapper\"\r\n    >\r\n        <ng-container *cuiLet=\"stageStorages() as stageStorages\">\r\n            @if (stageStorages && stageStorages?.length) {\r\n                <cui-categories-list [stageStorages]=\"stageStorages\" />\r\n            }\r\n            @if (isCreateCategoryControlVisible()) {\r\n                <cui-create-category-item\r\n                    class=\"create-category\"\r\n                    [isDisabled]=\"isCategoryCreationLoading()\"\r\n                    (created)=\"onCreateNewCategory($event)\"\r\n                    (canceled)=\"onCreatingCategoryCanceled()\"\r\n                />\r\n            } @else if (!stageStorages?.length) {\r\n                <cui-empty-state\r\n                    class=\"empty\"\r\n                    [subtitle]=\"t('NO_CATEGORY_TO_VIEW_YET')\"\r\n                />\r\n            }\r\n        </ng-container>\r\n        <button\r\n            ccDropdownFooterContent\r\n            cuiButton\r\n            type=\"button\"\r\n            appearance=\"ghost\"\r\n            size=\"xxs\"\r\n            icon=\"cuiIconPlus\"\r\n            (click)=\"onStartCreatingNewCategory()\"\r\n        >\r\n            {{ t('NEW_CATEGORY') }}\r\n        </button>\r\n    </cui-dropdown-wrapper>\r\n</ng-template>\r\n", styles: ["::ng-deep .dropdown-wrapper .scrollable-content{flex:1;display:flex;flex-direction:column}.target{display:block;padding:0;width:100%;border-radius:8px;border:1px solid transparent}.target:focus{box-shadow:0 0 0 2px var(--cui-focus);border:1px solid var(--cui-info)}.target:disabled{cursor:default}.create-category{margin-left:24px}.empty{margin:auto}.dropdown-wrapper{display:block;height:350px}\n"] }]
        }], ctorParameters: () => [] });

class CuiUtilityInfoComponent {
    get controls() {
        return this.form.controls;
    }
    get isTitleError() {
        return this.controls.title.invalid && this.controls.title.dirty;
    }
    get isDescriptionError() {
        return this.controls.description.invalid && this.controls.description.dirty;
    }
    constructor() {
        this.destroy = inject(DestroyRef);
        this.formBuilder = inject(NonNullableFormBuilder);
        this.translocoService = inject(TranslocoService);
        this.frameApiService = inject(CuiFrameApiService);
        this.cuiAlertService = inject(CuiAlertService);
        this.cuiIdService = inject(CuiIdService);
        this.CONTROL_DELAY = 500;
        this.MAX_FILE_SIZE = 20971520;
        this.titleId = this.cuiIdService.generate();
        this.descriptionId = this.cuiIdService.generate();
        this.form = this.formBuilder.group({
            title: this.formBuilder.control('', cuiCreateDefaultValidators({ asyncDelay: this.CONTROL_DELAY })),
            description: this.formBuilder.control('', cuiCreateDefaultValidators({ asyncDelay: this.CONTROL_DELAY }))
        });
        this.isDescriptionModalOpen = signal(false);
        this.isDescriptionEmpty = signal(false);
        this.editorId = signal(null);
        this.thumbnail = signal(null);
        this.thumbnailUrl = computed(() => {
            const thumbnail = this.thumbnail();
            if (thumbnail?.resource) {
                return thumbnail.resource;
            }
            return this.baseResourceUrl() + thumbnail.fileId;
        });
        this.uploadButtonName = computed(() => {
            const thumbnail = this.thumbnail();
            if (thumbnail?.name) {
                return this.translocoService.translate('REPLACE_FILE');
            }
            return this.translocoService.translate('UPLOAD_FILE');
        });
        this.heading = null;
        this.title = input.required();
        this.description = input.required();
        this.framerId = input.required();
        this.baseResourceUrl = input.required();
        this.config = input.required();
        this.formChanged = output();
        this.isFormValidChanged = output();
        this.initUtilityEffect();
    }
    onSelectFile() {
        const input = document.createElement('input');
        input.type = 'file';
        input.accept = 'image/jpg, image/jpeg, image/png, video/mp4';
        input.onchange = () => {
            const files = input.files;
            if (!files?.length) {
                return;
            }
            this.getFile(files);
        };
        input.click();
    }
    onEditorEmpty(isEmpty) {
        this.isDescriptionEmpty.set(isEmpty);
        this.isFormValidChanged.emit(this.checkFormValidation());
    }
    onRemoveThumbnail() {
        const frameId = this.framerId();
        const fragmentId = this.thumbnail()?.id;
        if (!frameId || !fragmentId) {
            return;
        }
        this.frameApiService.deleteResource(frameId, fragmentId).subscribe(() => {
            this.thumbnail.update((prev) => ({ ...prev, fileId: null, name: null, resource: null }));
        });
    }
    onToggleDescriptionModal() {
        this.isDescriptionModalOpen.update((prev) => !prev);
    }
    initUtilityEffect() {
        const effectRef = effect(() => {
            const title = this.title();
            if (!title) {
                return;
            }
            this.initFormSubscriptions();
            this.initFrameFragments();
            effectRef.destroy();
        });
    }
    initFormSubscriptions() {
        this.form.setValue({ title: this.title(), description: this.description() }, { emitEvent: false });
        this.form.statusChanges
            .pipe(takeUntilDestroyed(this.destroy))
            .subscribe(() => this.isFormValidChanged.emit(this.checkFormValidation()));
        this.form.valueChanges
            .pipe(takeUntilDestroyed(this.destroy), startWith(this.form.value), pairwise(), debounceTime(this.CONTROL_DELAY), map(([prev, current]) => this.compareFormValues([prev, current])))
            .subscribe((value) => {
            if (!Object.keys(value).length) {
                return;
            }
            this.formChanged.emit(value);
        });
    }
    initFrameFragments() {
        const frameId = this.framerId();
        if (!frameId) {
            return;
        }
        this.frameApiService.getFrame(frameId).subscribe((frame) => {
            frame.fragments.forEach((fragment) => {
                if (fragment.type === "J_TEXT" /* FragmentType.jText */) {
                    this.editorId.set(fragment?.id);
                }
                if (fragment.type === "RESOURCE_FILE" /* FragmentType.resourceFile */) {
                    this.setResourceFile(fragment);
                }
            });
        });
    }
    compareFormValues([prevGroup, currentGruop]) {
        const keys = Object.keys(currentGruop);
        const changedFields = {};
        keys.forEach((key) => {
            const prev = prevGroup[key];
            const current = currentGruop[key];
            if (prev === current || this.controls[key].invalid) {
                return;
            }
            changedFields[key] = current;
        });
        return changedFields;
    }
    setResourceFile(resource) {
        const url = this.baseResourceUrl() + resource.fileId;
        this.thumbnail.set(resource);
        if (!url || resource?.name?.split('.').pop() !== 'mp4') {
            return;
        }
        this.getCaptureFromVideo(url);
    }
    getFile(files) {
        const file = files.item(0);
        if (!file) {
            return;
        }
        if (file.size > this.MAX_FILE_SIZE) {
            this.cuiAlertService
                .open(this.translocoService.translate('INVALID_FILE_SIZE'), {
                status: 'error'
            })
                .subscribe();
            return;
        }
        const isVideo = file.name.split('.').at(-1) === 'mp4';
        const url = URL.createObjectURL(file);
        if (isVideo) {
            this.getCaptureFromVideo(url, file);
        }
        else {
            this.thumbnail.update((prev) => ({ ...prev, name: file.name, resource: url }));
        }
        this.uploadFile(file);
    }
    uploadFile(file) {
        const frameId = this.framerId();
        const fragmentId = this.thumbnail()?.id;
        if (!frameId || !fragmentId) {
            return;
        }
        const formData = new FormData();
        formData.append('resource', file);
        this.frameApiService.uploadResource(formData, frameId, fragmentId).subscribe();
    }
    getCaptureFromVideo(url, file) {
        const canvas = document.createElement('canvas');
        const video = document.createElement('video');
        video.src = url;
        video.currentTime = 1;
        canvas.width = 184;
        canvas.height = 120;
        video.onloadeddata = () => {
            const context = canvas.getContext('2d');
            if (!context) {
                return;
            }
            context.drawImage(video, 0, 0, canvas.width, canvas.height);
            canvas.toBlob((blob) => {
                if (!blob) {
                    return;
                }
                const videoCaptureUrl = URL.createObjectURL(blob);
                this.thumbnail.update((prev) => ({
                    ...prev,
                    name: (file?.name || prev?.name),
                    resource: videoCaptureUrl
                }));
            });
        };
        video.load();
    }
    checkFormValidation() {
        return !this.isDescriptionEmpty() && !this.form.invalid;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiUtilityInfoComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiUtilityInfoComponent, isStandalone: true, selector: "cui-utility-info", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: true, transformFunction: null }, description: { classPropertyName: "description", publicName: "description", isSignal: true, isRequired: true, transformFunction: null }, framerId: { classPropertyName: "framerId", publicName: "framerId", isSignal: true, isRequired: true, transformFunction: null }, baseResourceUrl: { classPropertyName: "baseResourceUrl", publicName: "baseResourceUrl", isSignal: true, isRequired: true, transformFunction: null }, config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null } }, outputs: { formChanged: "formChanged", isFormValidChanged: "isFormValidChanged" }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\r\n  <section class=\"content\">\r\n    <cui-form-field>\r\n        <label cuiLabel [isRequired]=\"true\" [for]=\"titleId\">\r\n            {{ t('TITLE') }}\r\n        </label>\r\n        <cui-input-text\r\n            [cuiTextFieldId]=\"titleId\"\r\n            [cuiTextFieldPlaceholder]=\"t('ADD_A_TITLE')\"\r\n            [cuiTextFieldIsError]=\"isTitleError\"\r\n            [formControl]=\"form.controls.title\"\r\n        />\r\n        @if (isTitleError) {\r\n            <cui-general-control-error-hint [control]=\"form.controls.title\" [isVisible]=\"true\" />\r\n        }\r\n    </cui-form-field>\r\n    <cui-form-field>\r\n        <label cuiLabel [isRequired]=\"true\" [for]=\"descriptionId\">\r\n            {{ t('SHORT_DESCRIPTION') }}\r\n        </label>\r\n         <cui-input-text\r\n            [cuiTextFieldId]=\"descriptionId\"\r\n            cuiTextFieldPlaceholder=\"{{t('SHORT_DESCRIPTION')}}...\"\r\n            [cuiTextFieldIsError]=\"isDescriptionError\"\r\n            [formControl]=\"form.controls.description\"\r\n        />\r\n        @if (isDescriptionError) {\r\n            <cui-general-control-error-hint [control]=\"form.controls.description\" [isVisible]=\"true\" />\r\n        }\r\n    </cui-form-field>\r\n    <section class=\"file\">\r\n      <span class=\"title\">{{ t('THUMBNAIL') }}</span>\r\n      <div class=\"content__upload\">\r\n        <div class=\"content__upload-file\">\r\n          @if (thumbnail()?.name; as fileId) {\r\n          <div class=\"image\">\r\n            <span class=\"image__name\">{{ thumbnail()?.name }}</span>\r\n            <!-- TODO: ngSrc -->\r\n            <img class=\"image__view\" [src]=\"thumbnailUrl()\" height=\"120\" width=\"184\" alt=\"Thumbnail\" />\r\n          </div>\r\n          }\r\n          <div class=\"content__info\">\r\n                <button type=\"button\" cuiButton appearance=\"outlined-gray\" size=\"xxs\" icon=\"cuiIconUpload\"\r\n                (click)=\"onSelectFile()\">\r\n                {{ uploadButtonName() }}\r\n                </button>\r\n                @if (thumbnail()?.name) {\r\n                <button class=\"content__remove-button\" cuiButton appearance=\"link\" size=\"sm\" type=\"button\"\r\n                    (click)=\"onRemoveThumbnail()\">\r\n                    {{ t('REMOVE') }}\r\n                </button>\r\n                }\r\n\r\n                <span class=\"content__accepted\">\r\n                    {{ t('ACCEPTED') }}: JPG, JPEG, PNG, MP4 {{ t('UP_TO') }} 20MB\r\n                </span>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </section>\r\n    @if (editorId(); as editorId) {\r\n        <cui-editor-block\r\n            [title]=\"form.controls.title.value || title()\"\r\n            [config]=\"config()\"\r\n            [editorId]=\"editorId\"\r\n            [required]=\"true\"\r\n            class=\"editor\"\r\n            (editorEmpty)=\"onEditorEmpty($event)\"\r\n        ></cui-editor-block>\r\n    }\r\n  </section>\r\n</ng-container>\r\n", styles: ["::ng-deep cui-dialog:has(.instruction-description-modal){inset:0;margin:auto;transform:none!important}:host{--editor-height: 650px;display:block}:host .editor{--max-editor-height: var(--editor-height)}.title{font-weight:500;font-size:14px;line-height:20px;display:flex;gap:2px}.title_required{color:var(--cui-danger)}.content{display:flex;flex-direction:column;gap:16px;padding:16px 24px}.content__upload{padding:12px 16px;border-radius:8px;border:1px solid var(--cui-base-200);background:var(--cui-base-10)}.content__info{display:flex;gap:8px;align-items:center;flex-wrap:wrap}.content__accepted{color:var(--cui-base-500)}.content__upload-file{display:flex;align-items:center;gap:8px}.content__upload-file input[type=file]{display:none}.content__remove-button ::ng-deep .c-content{color:var(--cui-danger)!important}.file{display:flex;flex-direction:column;gap:4px}.description_invalid{border:1px solid var(--cui-danger)}.image{position:relative;display:inline-block}.image__view{border-radius:8px;object-fit:cover}.image__name{position:absolute;top:6px;left:14px;color:var(--cui-base-0);overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:170px;z-index:1}.image:after{content:\"\";position:absolute;top:0;left:0;width:100%;height:100%;background-color:#0003;z-index:0;pointer-events:none;border-radius:8px}.button-save{margin-left:auto}.instruction-description-modal{text-transform:none}.empty{padding:16px;color:var(--cui-base-500);text-align:center}\n"], dependencies: [{ kind: "ngmodule", type: i0.forwardRef(() => CuiAccordionModule) }, { kind: "ngmodule", type: i0.forwardRef(() => CuiButtonModule) }, { kind: "component", type: i0.forwardRef(() => CuiButtonComponent), selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: i0.forwardRef(() => CuiFormFieldModule) }, { kind: "component", type: i0.forwardRef(() => CuiFormFieldComponent), selector: "cui-form-field" }, { kind: "ngmodule", type: i0.forwardRef(() => CuiHintModule) }, { kind: "ngmodule", type: i0.forwardRef(() => CuiInputModule) }, { kind: "component", type: i0.forwardRef(() => CuiInputTextComponent), selector: "cui-input-text" }, { kind: "directive", type: i0.forwardRef(() => CuiTextFieldIdDirective), selector: "[cuiTextFieldId]", inputs: ["cuiTextFieldId"] }, { kind: "directive", type: i0.forwardRef(() => CuiTextFieldPlaceholderDirective), selector: "[cuiTextFieldPlaceholder]", inputs: ["cuiTextFieldPlaceholder"] }, { kind: "directive", type: i0.forwardRef(() => CuiTextFieldIsErrorDirective), selector: "[cuiTextFieldIsError]", inputs: ["cuiTextFieldIsError"] }, { kind: "ngmodule", type: i0.forwardRef(() => CuiLabelModule) }, { kind: "component", type: i0.forwardRef(() => CuiLabelComponent), selector: "label[cuiLabel]", inputs: ["isRequired"] }, { kind: "component", type: i0.forwardRef(() => CuiEditorBlockComponent), selector: "cui-editor-block", inputs: ["title", "editorId", "config", "required"], outputs: ["editorEmpty"] }, { kind: "component", type: i0.forwardRef(() => CuiGeneralControlErrorHintComponent), selector: "cui-general-control-error-hint", inputs: ["control", "isVisible"] }, { kind: "ngmodule", type: i0.forwardRef(() => ReactiveFormsModule) }, { kind: "directive", type: i0.forwardRef(() => i2$1.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0.forwardRef(() => i2$1.FormControlDirective), selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i0.forwardRef(() => TranslocoDirective), selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiUtilityInfoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-utility-info', imports: [
                        CuiAccordionModule,
                        CuiButtonModule,
                        CuiFormFieldModule,
                        CuiHintModule,
                        CuiInputModule,
                        CuiLabelModule,
                        forwardRef(() => CuiEditorBlockComponent),
                        CuiGeneralControlErrorHintComponent,
                        ReactiveFormsModule,
                        TranslocoDirective,
                        CuiTooltip
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\r\n  <section class=\"content\">\r\n    <cui-form-field>\r\n        <label cuiLabel [isRequired]=\"true\" [for]=\"titleId\">\r\n            {{ t('TITLE') }}\r\n        </label>\r\n        <cui-input-text\r\n            [cuiTextFieldId]=\"titleId\"\r\n            [cuiTextFieldPlaceholder]=\"t('ADD_A_TITLE')\"\r\n            [cuiTextFieldIsError]=\"isTitleError\"\r\n            [formControl]=\"form.controls.title\"\r\n        />\r\n        @if (isTitleError) {\r\n            <cui-general-control-error-hint [control]=\"form.controls.title\" [isVisible]=\"true\" />\r\n        }\r\n    </cui-form-field>\r\n    <cui-form-field>\r\n        <label cuiLabel [isRequired]=\"true\" [for]=\"descriptionId\">\r\n            {{ t('SHORT_DESCRIPTION') }}\r\n        </label>\r\n         <cui-input-text\r\n            [cuiTextFieldId]=\"descriptionId\"\r\n            cuiTextFieldPlaceholder=\"{{t('SHORT_DESCRIPTION')}}...\"\r\n            [cuiTextFieldIsError]=\"isDescriptionError\"\r\n            [formControl]=\"form.controls.description\"\r\n        />\r\n        @if (isDescriptionError) {\r\n            <cui-general-control-error-hint [control]=\"form.controls.description\" [isVisible]=\"true\" />\r\n        }\r\n    </cui-form-field>\r\n    <section class=\"file\">\r\n      <span class=\"title\">{{ t('THUMBNAIL') }}</span>\r\n      <div class=\"content__upload\">\r\n        <div class=\"content__upload-file\">\r\n          @if (thumbnail()?.name; as fileId) {\r\n          <div class=\"image\">\r\n            <span class=\"image__name\">{{ thumbnail()?.name }}</span>\r\n            <!-- TODO: ngSrc -->\r\n            <img class=\"image__view\" [src]=\"thumbnailUrl()\" height=\"120\" width=\"184\" alt=\"Thumbnail\" />\r\n          </div>\r\n          }\r\n          <div class=\"content__info\">\r\n                <button type=\"button\" cuiButton appearance=\"outlined-gray\" size=\"xxs\" icon=\"cuiIconUpload\"\r\n                (click)=\"onSelectFile()\">\r\n                {{ uploadButtonName() }}\r\n                </button>\r\n                @if (thumbnail()?.name) {\r\n                <button class=\"content__remove-button\" cuiButton appearance=\"link\" size=\"sm\" type=\"button\"\r\n                    (click)=\"onRemoveThumbnail()\">\r\n                    {{ t('REMOVE') }}\r\n                </button>\r\n                }\r\n\r\n                <span class=\"content__accepted\">\r\n                    {{ t('ACCEPTED') }}: JPG, JPEG, PNG, MP4 {{ t('UP_TO') }} 20MB\r\n                </span>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </section>\r\n    @if (editorId(); as editorId) {\r\n        <cui-editor-block\r\n            [title]=\"form.controls.title.value || title()\"\r\n            [config]=\"config()\"\r\n            [editorId]=\"editorId\"\r\n            [required]=\"true\"\r\n            class=\"editor\"\r\n            (editorEmpty)=\"onEditorEmpty($event)\"\r\n        ></cui-editor-block>\r\n    }\r\n  </section>\r\n</ng-container>\r\n", styles: ["::ng-deep cui-dialog:has(.instruction-description-modal){inset:0;margin:auto;transform:none!important}:host{--editor-height: 650px;display:block}:host .editor{--max-editor-height: var(--editor-height)}.title{font-weight:500;font-size:14px;line-height:20px;display:flex;gap:2px}.title_required{color:var(--cui-danger)}.content{display:flex;flex-direction:column;gap:16px;padding:16px 24px}.content__upload{padding:12px 16px;border-radius:8px;border:1px solid var(--cui-base-200);background:var(--cui-base-10)}.content__info{display:flex;gap:8px;align-items:center;flex-wrap:wrap}.content__accepted{color:var(--cui-base-500)}.content__upload-file{display:flex;align-items:center;gap:8px}.content__upload-file input[type=file]{display:none}.content__remove-button ::ng-deep .c-content{color:var(--cui-danger)!important}.file{display:flex;flex-direction:column;gap:4px}.description_invalid{border:1px solid var(--cui-danger)}.image{position:relative;display:inline-block}.image__view{border-radius:8px;object-fit:cover}.image__name{position:absolute;top:6px;left:14px;color:var(--cui-base-0);overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:170px;z-index:1}.image:after{content:\"\";position:absolute;top:0;left:0;width:100%;height:100%;background-color:#0003;z-index:0;pointer-events:none;border-radius:8px}.button-save{margin-left:auto}.instruction-description-modal{text-transform:none}.empty{padding:16px;color:var(--cui-base-500);text-align:center}\n"] }]
        }], ctorParameters: () => [] });

class CuiCheckListBlockService {
    constructor() {
        this.checkListItemsSignal = signal(null);
        this.componentIdSignal = signal(null);
        this.isDragAvailableSignal = signal(false);
        this.checkListItems = this.checkListItemsSignal.asReadonly();
        this.componentId = this.componentIdSignal.asReadonly();
        this.isDragAvailable = this.isDragAvailableSignal.asReadonly();
    }
    setCheckListItems(checkListItems) {
        this.checkListItemsSignal.set(checkListItems);
    }
    addCheckListItem(checkListItem) {
        this.checkListItemsSignal.update((value) => (value ? [...value, checkListItem] : [checkListItem]));
    }
    updateCheckListItem(updatedCheckListItem) {
        if (!this.checkListItemsSignal()) {
            return;
        }
        this.checkListItemsSignal.update((value) => {
            const updateCheckListItemIndex = value.findIndex((checkListItem) => checkListItem.id === updatedCheckListItem.id);
            value[updateCheckListItemIndex] = updatedCheckListItem;
            return [...value];
        });
    }
    deleteCheckListItem(id) {
        if (!this.checkListItemsSignal()) {
            return;
        }
        this.checkListItemsSignal.update((value) => {
            const deletedItemIndex = value.findIndex((checklistItem) => checklistItem.id === id);
            value.splice(deletedItemIndex, 1);
            return [...value];
        });
    }
    setComponentId(id) {
        this.componentIdSignal.set(id);
    }
    toggleDragPermission(isDragButtonVisible) {
        this.isDragAvailableSignal.set(isDragButtonVisible);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockService, decorators: [{
            type: Injectable
        }] });

class CuiCheckListBlockListItemActionCardComponent {
    get photoGroup() {
        return this.actionForm.get('photo');
    }
    get commentGroup() {
        return this.actionForm.get('comment');
    }
    constructor() {
        this.destroyRef = inject(DestroyRef);
        this.nonNullableFormBuilder = inject(NonNullableFormBuilder);
        this.purposeType = input();
        this.isConsiderationNeeded = input(false);
        this.actionInfo = input.required();
        this.consideredCorrectChanged = output();
        this.checkListActionChanged = output();
        this._actionInfo = signal(null);
        this.attachmentPhotoAction = computed(() => this.actionInfo().actions.find((contentAction) => contentAction.contentActionType === 'ATTACHMENT_PHOTO'));
        this.textAreaAction = computed(() => this.actionInfo().actions.find((contentAction) => contentAction.contentActionType === 'TEXT_AREA'));
        this.isConsideredCorrectControl = this.nonNullableFormBuilder.control({
            value: false,
            disabled: false
        });
        effect(() => {
            this._actionInfo.set(this.actionInfo());
            if (!this.purposeType() || !this.isConsiderationNeeded()) {
                return;
            }
            this.isConsideredCorrectControl.setValue(this.actionInfo().considerCorrect, { emitEvent: false });
        }, { allowSignalWrites: true });
    }
    ngOnInit() {
        this.initActionForm();
    }
    initActionForm() {
        this.actionForm = this.nonNullableFormBuilder.group({
            photo: this.nonNullableFormBuilder.group({
                isEnable: this.attachmentPhotoAction().isEnable,
                isRequired: {
                    value: this.attachmentPhotoAction().isRequired,
                    disabled: !this.attachmentPhotoAction().isEnable
                }
            }),
            comment: this.nonNullableFormBuilder.group({
                isEnable: this.textAreaAction().isEnable,
                isRequired: {
                    value: this.textAreaAction().isRequired,
                    disabled: !this.textAreaAction().isEnable
                }
            })
        });
        this.initActionFormSegmentsSubscriptions();
        if (!this.isConsiderationNeeded()) {
            return;
        }
        this.isConsideredCorrectControl.setValue(this.actionInfo().considerCorrect, { emitEvent: false });
    }
    initActionFormSegmentsSubscriptions() {
        this.isConsideredCorrectControlSubscription();
        this.initPhotoGroupSubscription();
        this.initCommentGroupSubscription();
    }
    isConsideredCorrectControlSubscription() {
        this.isConsideredCorrectControl.valueChanges
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe(() => this.consideredCorrectChanged.emit(this._actionInfo().id));
    }
    initPhotoGroupSubscription() {
        this.photoGroup.valueChanges.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((value) => {
            if (!value.isEnable) {
                this.photoGroup.get('isRequired')?.setValue(false, { emitEvent: false });
                this.photoGroup.get('isRequired')?.disable({ emitEvent: false });
                this.checkListActionChanged.emit({
                    id: this.attachmentPhotoAction().id,
                    ...this.photoGroup.getRawValue()
                });
                return;
            }
            this.photoGroup.get('isRequired')?.enable({ emitEvent: false });
            this.checkListActionChanged.emit({
                id: this.attachmentPhotoAction().id,
                ...this.photoGroup.value
            });
        });
    }
    initCommentGroupSubscription() {
        this.commentGroup.valueChanges.pipe(takeUntilDestroyed(this.destroyRef)).subscribe((value) => {
            if (!value.isEnable) {
                this.commentGroup.get('isRequired')?.setValue(false, { emitEvent: false });
                this.commentGroup.get('isRequired')?.disable({ emitEvent: false });
                this.checkListActionChanged.emit({
                    id: this.textAreaAction().id,
                    ...this.commentGroup.getRawValue()
                });
                return;
            }
            this.commentGroup.get('isRequired')?.enable({ emitEvent: false });
            this.checkListActionChanged.emit({
                id: this.textAreaAction().id,
                ...this.commentGroup.value
            });
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemActionCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiCheckListBlockListItemActionCardComponent, isStandalone: true, selector: "cui-checklist-block-list-item-action-card", inputs: { purposeType: { classPropertyName: "purposeType", publicName: "purposeType", isSignal: true, isRequired: false, transformFunction: null }, isConsiderationNeeded: { classPropertyName: "isConsiderationNeeded", publicName: "isConsiderationNeeded", isSignal: true, isRequired: false, transformFunction: null }, actionInfo: { classPropertyName: "actionInfo", publicName: "actionInfo", isSignal: true, isRequired: true, transformFunction: null } }, outputs: { consideredCorrectChanged: "consideredCorrectChanged", checkListActionChanged: "checkListActionChanged" }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <div\n        class=\"card\"\n        [formGroup]=\"actionForm\"\n    >\n        <div class=\"title-container\">\n            <span class=\"title\">{{ actionInfo().title }}</span>\n            @if (isConsiderationNeeded()) {\n                <label\n                    cuiLabel\n                    class=\"title__input\"\n                >\n                    <input\n                        cuiRadio\n                        type=\"radio\"\n                        [checked]=\"actionInfo().considerCorrect\"\n                        [formControl]=\"isConsideredCorrectControl\"\n                        [value]=\"true\"\n                    />\n                    {{ t('CONSIDER_CORRECT') }}\n                </label>\n            }\n        </div>\n        <div class=\"blocks\">\n            <div\n                class=\"block-card\"\n                [formGroup]=\"photoGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('PHOTO') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n            <div\n                class=\"block-card\"\n                [formGroup]=\"commentGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('COMMENT') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n        </div>\n    </div>\n</ng-container>\n", styles: [":host{flex:1 1 240px;min-width:240px}.card{padding:11px;display:flex;flex-direction:column;gap:10px;border:1px solid var(--cui-base-200);border-radius:8px}.title-container{display:flex;flex-direction:row;gap:8px;justify-content:space-between;align-items:center}.title{font-weight:500;font-size:14px;line-height:20px}.title__input{font-weight:400;font-size:14px;line-height:20px}.blocks{display:flex;flex-direction:column;gap:8px}.block-card{padding:13px 11px;display:flex;align-items:center;justify-content:space-between;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px}.block-card_multiple-lines{flex-direction:column;align-items:unset}.block-card__checkboxes-container{padding:13px 8px;display:flex;gap:12px}\n"], dependencies: [{ kind: "ngmodule", type: CuiCheckboxModule }, { kind: "component", type: CuiCheckboxComponent, selector: "input[type=\"checkbox\"][cuiCheckbox]" }, { kind: "ngmodule", type: CuiFormFieldModule }, { kind: "ngmodule", type: CuiLabelModule }, { kind: "component", type: CuiLabelComponent, selector: "label[cuiLabel]", inputs: ["isRequired"] }, { kind: "ngmodule", type: CuiRadioModule }, { kind: "component", type: CuiRadioComponent, selector: "input[type=\"radio\"][cuiRadio]" }, { kind: "ngmodule", type: CuiSelectModule }, { kind: "ngmodule", type: CuiTextareaModule }, { kind: "ngmodule", type: CuiTextFieldControllerModule }, { kind: "ngmodule", type: CuiToggleModule }, { kind: "component", type: CuiToggleComponent, selector: "input[type=\"checkbox\"][cuiToggle]" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2$1.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemActionCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-list-item-action-card', imports: [
                        CuiCheckboxModule,
                        CuiFormFieldModule,
                        CuiLabelModule,
                        CuiRadioModule,
                        CuiSelectModule,
                        CuiTextareaModule,
                        CuiTextFieldControllerModule,
                        CuiToggleModule,
                        ReactiveFormsModule,
                        TranslocoDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <div\n        class=\"card\"\n        [formGroup]=\"actionForm\"\n    >\n        <div class=\"title-container\">\n            <span class=\"title\">{{ actionInfo().title }}</span>\n            @if (isConsiderationNeeded()) {\n                <label\n                    cuiLabel\n                    class=\"title__input\"\n                >\n                    <input\n                        cuiRadio\n                        type=\"radio\"\n                        [checked]=\"actionInfo().considerCorrect\"\n                        [formControl]=\"isConsideredCorrectControl\"\n                        [value]=\"true\"\n                    />\n                    {{ t('CONSIDER_CORRECT') }}\n                </label>\n            }\n        </div>\n        <div class=\"blocks\">\n            <div\n                class=\"block-card\"\n                [formGroup]=\"photoGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('PHOTO') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n            <div\n                class=\"block-card\"\n                [formGroup]=\"commentGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('COMMENT') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n        </div>\n    </div>\n</ng-container>\n", styles: [":host{flex:1 1 240px;min-width:240px}.card{padding:11px;display:flex;flex-direction:column;gap:10px;border:1px solid var(--cui-base-200);border-radius:8px}.title-container{display:flex;flex-direction:row;gap:8px;justify-content:space-between;align-items:center}.title{font-weight:500;font-size:14px;line-height:20px}.title__input{font-weight:400;font-size:14px;line-height:20px}.blocks{display:flex;flex-direction:column;gap:8px}.block-card{padding:13px 11px;display:flex;align-items:center;justify-content:space-between;gap:8px;border:1px solid var(--cui-base-200);border-radius:8px}.block-card_multiple-lines{flex-direction:column;align-items:unset}.block-card__checkboxes-container{padding:13px 8px;display:flex;gap:12px}\n"] }]
        }], ctorParameters: () => [] });

class CuiCheckListBlockListItemActionWithVerificationComponent {
    constructor() {
        this.nodeCheckListApiService = inject(CuiNodeChecklistApiService);
        this.checkListBlockService = inject(CuiCheckListBlockService);
        this.checkListItem = input.required();
    }
    onConsiderCorrectChanged(actionId, purposeType) {
        const requestData = {
            nodeCheckListId: this.checkListItem().id,
            assigneePurposeType: purposeType,
            actionId
        };
        this.nodeCheckListApiService
            .updateNodeCheckListItemIsConsideredCorrect(requestData)
            .subscribe((checkListItem) => this.checkListBlockService.updateCheckListItem(checkListItem));
    }
    onCheckListActionChanged(actionContent, actionId, purposeType) {
        const requestData = {
            nodeCheckListId: this.checkListItem().id,
            assigneePurposeType: purposeType,
            actionId,
            contentId: actionContent.id,
            isEnable: actionContent.isEnable,
            isRequired: actionContent.isRequired
        };
        this.nodeCheckListApiService
            .updateNodeCheckListItemActionContent(requestData)
            .subscribe((checkListItem) => this.checkListBlockService.updateCheckListItem(checkListItem));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemActionWithVerificationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiCheckListBlockListItemActionWithVerificationComponent, isStandalone: true, selector: "cui-checklist-block-list-item-action-with-verification", inputs: { checkListItem: { classPropertyName: "checkListItem", publicName: "checkListItem", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItem().content as checkListItemContent\">\n        <div class=\"action\">\n            <div class=\"action__header action__assignee-header\">\n                {{ t('CONDITIONAL_LOGIC_FOR_ASSIGNEE') | uppercase }}\n            </div>\n            <div class=\"action__content\">\n                <div class=\"cards-container\">\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'ASSIGN'\"\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![0]\"\n                        [isConsiderationNeeded]=\"true\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'ASSIGN')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![0].id, 'ASSIGN')\n                        \"\n                    />\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'ASSIGN'\"\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![1]\"\n                        [isConsiderationNeeded]=\"true\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'ASSIGN')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![1].id, 'ASSIGN')\n                        \"\n                    />\n                </div>\n            </div>\n        </div>\n        <div class=\"action\">\n            <div class=\"action__header action__approver-header\">\n                {{ t('CONDITIONAL_LOGIC_FOR_APPROVER') | uppercase }}\n            </div>\n            <div class=\"action__content\">\n                <div class=\"cards-container\">\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'APPROVE'\"\n                        [actionInfo]=\"checkListItemContent.actionsApprove![0]\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'APPROVE')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsApprove![0].id, 'APPROVE')\n                        \"\n                    />\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'APPROVE'\"\n                        [actionInfo]=\"checkListItemContent.actionsApprove![1]\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'APPROVE')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsApprove![1].id, 'APPROVE')\n                        \"\n                    />\n                </div>\n            </div>\n        </div>\n    </ng-container>\n</ng-container>\n", styles: [":host{padding-right:15px;padding-left:15px;padding-bottom:15px;display:flex;flex-direction:column;gap:16px;border-radius:inherit}.action{display:flex;flex-direction:column;border:1px solid var(--cui-base-200);border-radius:8px}.action__content{padding:15px;display:flex;flex-direction:column;border-radius:8px;background:var(--cui-base-0);gap:16px}.action__header{font-weight:400;font-size:12px;line-height:14px;padding:15px 19px 15.5px;display:flex;align-items:center;justify-content:space-between;gap:8px;color:var(--cui-base-900);border-bottom:.5px solid var(--cui-base-200);border-radius:8px 8px 0 0}.action__assignee-header{background:var(--cui-badge-warning-bg)}.action__approver-header{background:var(--cui-badge-violet-bg)}.action__estimated-time{display:flex;flex-direction:column;gap:4px}.action__input{padding:11px 13px;border-radius:8px;border:1px solid var(--cui-base-200);background:var(--cui-gray-10);outline:none}.action__input:focus-within{box-shadow:0 0 0 2px var(--cui-blue-100);border-color:var(--cui-blue-600)}.cards-container{display:flex;flex-direction:row;flex-wrap:wrap;justify-items:center;gap:16px}\n"], dependencies: [{ kind: "component", type: CuiCheckListBlockListItemActionCardComponent, selector: "cui-checklist-block-list-item-action-card", inputs: ["purposeType", "isConsiderationNeeded", "actionInfo"], outputs: ["consideredCorrectChanged", "checkListActionChanged"] }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "pipe", type: UpperCasePipe, name: "uppercase" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemActionWithVerificationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-list-item-action-with-verification', imports: [CuiCheckListBlockListItemActionCardComponent, CuiLetDirective, TranslocoDirective, UpperCasePipe], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItem().content as checkListItemContent\">\n        <div class=\"action\">\n            <div class=\"action__header action__assignee-header\">\n                {{ t('CONDITIONAL_LOGIC_FOR_ASSIGNEE') | uppercase }}\n            </div>\n            <div class=\"action__content\">\n                <div class=\"cards-container\">\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'ASSIGN'\"\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![0]\"\n                        [isConsiderationNeeded]=\"true\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'ASSIGN')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![0].id, 'ASSIGN')\n                        \"\n                    />\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'ASSIGN'\"\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![1]\"\n                        [isConsiderationNeeded]=\"true\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'ASSIGN')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![1].id, 'ASSIGN')\n                        \"\n                    />\n                </div>\n            </div>\n        </div>\n        <div class=\"action\">\n            <div class=\"action__header action__approver-header\">\n                {{ t('CONDITIONAL_LOGIC_FOR_APPROVER') | uppercase }}\n            </div>\n            <div class=\"action__content\">\n                <div class=\"cards-container\">\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'APPROVE'\"\n                        [actionInfo]=\"checkListItemContent.actionsApprove![0]\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'APPROVE')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsApprove![0].id, 'APPROVE')\n                        \"\n                    />\n                    <cui-checklist-block-list-item-action-card\n                        [purposeType]=\"'APPROVE'\"\n                        [actionInfo]=\"checkListItemContent.actionsApprove![1]\"\n                        (consideredCorrectChanged)=\"onConsiderCorrectChanged($event, 'APPROVE')\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsApprove![1].id, 'APPROVE')\n                        \"\n                    />\n                </div>\n            </div>\n        </div>\n    </ng-container>\n</ng-container>\n", styles: [":host{padding-right:15px;padding-left:15px;padding-bottom:15px;display:flex;flex-direction:column;gap:16px;border-radius:inherit}.action{display:flex;flex-direction:column;border:1px solid var(--cui-base-200);border-radius:8px}.action__content{padding:15px;display:flex;flex-direction:column;border-radius:8px;background:var(--cui-base-0);gap:16px}.action__header{font-weight:400;font-size:12px;line-height:14px;padding:15px 19px 15.5px;display:flex;align-items:center;justify-content:space-between;gap:8px;color:var(--cui-base-900);border-bottom:.5px solid var(--cui-base-200);border-radius:8px 8px 0 0}.action__assignee-header{background:var(--cui-badge-warning-bg)}.action__approver-header{background:var(--cui-badge-violet-bg)}.action__estimated-time{display:flex;flex-direction:column;gap:4px}.action__input{padding:11px 13px;border-radius:8px;border:1px solid var(--cui-base-200);background:var(--cui-gray-10);outline:none}.action__input:focus-within{box-shadow:0 0 0 2px var(--cui-blue-100);border-color:var(--cui-blue-600)}.cards-container{display:flex;flex-direction:row;flex-wrap:wrap;justify-items:center;gap:16px}\n"] }]
        }] });

class CuiCheckListBlockListItemActionWithoutVerificationComponent {
    constructor() {
        this.nodeCheckListApiService = inject(CuiNodeChecklistApiService);
        this.checkListBlockService = inject(CuiCheckListBlockService);
        this.checkListItem = input.required();
    }
    onCheckListActionChanged(actionContent, actionId) {
        const requestData = {
            nodeCheckListId: this.checkListItem().id,
            assigneePurposeType: 'ASSIGN',
            actionId,
            contentId: actionContent.id,
            isEnable: actionContent.isEnable,
            isRequired: actionContent.isRequired
        };
        this.nodeCheckListApiService
            .updateNodeCheckListItemActionContent(requestData)
            .subscribe((checkListItem) => this.checkListBlockService.updateCheckListItem(checkListItem));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemActionWithoutVerificationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiCheckListBlockListItemActionWithoutVerificationComponent, isStandalone: true, selector: "cui-checklist-block-list-item-action-without-verification", inputs: { checkListItem: { classPropertyName: "checkListItem", publicName: "checkListItem", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItem().content as checkListItemContent\">\n        <div class=\"action\">\n            <div class=\"action__header\">\n                {{ t('CONDITIONAL_LOGIC') | uppercase }}\n            </div>\n            <div class=\"action__content\">\n                <div class=\"cards-container\">\n                    <cui-checklist-block-list-item-action-card\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![0]\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![0].id)\n                        \"\n                    />\n                    <cui-checklist-block-list-item-action-card\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![1]\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![1].id)\n                        \"\n                    />\n                </div>\n            </div>\n        </div>\n    </ng-container>\n</ng-container>\n", styles: [":host{padding-right:15px;padding-left:15px;padding-bottom:15px;border-radius:inherit}.action{display:flex;flex-direction:column;border:1px solid var(--cui-base-200);border-radius:8px}.action__content{padding:15px;display:flex;flex-direction:column;border-radius:8px;background:var(--cui-base-0);gap:16px}.action__header{font-weight:400;font-size:12px;line-height:14px;padding:15px 19px 15.5px;display:flex;align-items:center;justify-content:space-between;gap:8px;color:var(--cui-base-900);border-bottom:.5px solid var(--cui-base-200);border-radius:8px 8px 0 0}.cards-container{display:flex;flex-direction:row;flex-wrap:wrap;justify-items:center;gap:16px}\n"], dependencies: [{ kind: "component", type: CuiCheckListBlockListItemActionCardComponent, selector: "cui-checklist-block-list-item-action-card", inputs: ["purposeType", "isConsiderationNeeded", "actionInfo"], outputs: ["consideredCorrectChanged", "checkListActionChanged"] }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "pipe", type: UpperCasePipe, name: "uppercase" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemActionWithoutVerificationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-list-item-action-without-verification', imports: [CuiCheckListBlockListItemActionCardComponent, CuiLetDirective, TranslocoDirective, UpperCasePipe], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItem().content as checkListItemContent\">\n        <div class=\"action\">\n            <div class=\"action__header\">\n                {{ t('CONDITIONAL_LOGIC') | uppercase }}\n            </div>\n            <div class=\"action__content\">\n                <div class=\"cards-container\">\n                    <cui-checklist-block-list-item-action-card\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![0]\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![0].id)\n                        \"\n                    />\n                    <cui-checklist-block-list-item-action-card\n                        [actionInfo]=\"checkListItemContent.actionsAssignee![1]\"\n                        (checkListActionChanged)=\"\n                            onCheckListActionChanged($event, checkListItemContent.actionsAssignee![1].id)\n                        \"\n                    />\n                </div>\n            </div>\n        </div>\n    </ng-container>\n</ng-container>\n", styles: [":host{padding-right:15px;padding-left:15px;padding-bottom:15px;border-radius:inherit}.action{display:flex;flex-direction:column;border:1px solid var(--cui-base-200);border-radius:8px}.action__content{padding:15px;display:flex;flex-direction:column;border-radius:8px;background:var(--cui-base-0);gap:16px}.action__header{font-weight:400;font-size:12px;line-height:14px;padding:15px 19px 15.5px;display:flex;align-items:center;justify-content:space-between;gap:8px;color:var(--cui-base-900);border-bottom:.5px solid var(--cui-base-200);border-radius:8px 8px 0 0}.cards-container{display:flex;flex-direction:row;flex-wrap:wrap;justify-items:center;gap:16px}\n"] }]
        }] });

class CuiChecklistBlockTitleControlComponent {
    constructor() {
        this.control = input.required();
    }
    get isTitleError() {
        return this.control().invalid && this.control().dirty;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockTitleControlComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.2.13", type: CuiChecklistBlockTitleControlComponent, isStandalone: true, selector: "cui-checklist-block-title-control", inputs: { control: { classPropertyName: "control", publicName: "control", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <cui-form-field>\n        <label\n            cuiLabel\n            [isRequired]=\"true\"\n            for=\"title\"\n        >\n            {{ t('TITLE') }}\n        </label>\n        <cui-input-text\n            [formControl]=\"control()\"\n            cuiTextFieldId=\"title\"\n            [cuiTextFieldIsError]=\"isTitleError\"\n            cuiTextFieldPlaceholder=\"{{ t('ADD_A_TITLE') }}...\"\n        />\n        <cui-general-control-error-hint [control]=\"control()\" />\n    </cui-form-field>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: CuiContextMenuModule }, { kind: "ngmodule", type: CuiFormFieldModule }, { kind: "component", type: CuiFormFieldComponent, selector: "cui-form-field" }, { kind: "ngmodule", type: CuiHintModule }, { kind: "ngmodule", type: CuiInputModule }, { kind: "component", type: CuiInputTextComponent, selector: "cui-input-text" }, { kind: "directive", type: CuiTextFieldIdDirective, selector: "[cuiTextFieldId]", inputs: ["cuiTextFieldId"] }, { kind: "directive", type: CuiTextFieldPlaceholderDirective, selector: "[cuiTextFieldPlaceholder]", inputs: ["cuiTextFieldPlaceholder"] }, { kind: "directive", type: CuiTextFieldIsErrorDirective, selector: "[cuiTextFieldIsError]", inputs: ["cuiTextFieldIsError"] }, { kind: "ngmodule", type: CuiLabelModule }, { kind: "component", type: CuiLabelComponent, selector: "label[cuiLabel]", inputs: ["isRequired"] }, { kind: "ngmodule", type: CuiTextFieldControllerModule }, { kind: "component", type: CuiGeneralControlErrorHintComponent, selector: "cui-general-control-error-hint", inputs: ["control", "isVisible"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockTitleControlComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-title-control', imports: [
                        CuiContextMenuModule,
                        CuiFormFieldModule,
                        CuiHintModule,
                        CuiInputModule,
                        CuiLabelModule,
                        CuiTextFieldControllerModule,
                        CuiGeneralControlErrorHintComponent,
                        ReactiveFormsModule,
                        TranslocoDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <cui-form-field>\n        <label\n            cuiLabel\n            [isRequired]=\"true\"\n            for=\"title\"\n        >\n            {{ t('TITLE') }}\n        </label>\n        <cui-input-text\n            [formControl]=\"control()\"\n            cuiTextFieldId=\"title\"\n            [cuiTextFieldIsError]=\"isTitleError\"\n            cuiTextFieldPlaceholder=\"{{ t('ADD_A_TITLE') }}...\"\n        />\n        <cui-general-control-error-hint [control]=\"control()\" />\n    </cui-form-field>\n</ng-container>\n" }]
        }] });

class CuiChecklistBlockListItemContainerComponent {
    constructor() {
        this.destroyRef = inject(DestroyRef);
        this.nonNullableFormBuilder = inject(NonNullableFormBuilder);
        this.translocoService = inject(TranslocoService);
        this.cuiDialogService = inject(CuiDialogService);
        this.treeStructApiService = inject(CuiTreeStructApiService);
        this.checkListBlockService = inject(CuiCheckListBlockService);
        this.nodeCheckListApiService = inject(CuiNodeChecklistApiService);
        this.DEFAULT_CONTROL_DELAY = 700;
        this.isOpen = signal(false);
        this.checkListBlockItem = input.required();
        this.config = input.required();
        this.index = input(0);
        this.componentId = this.checkListBlockService.componentId;
        this.rotate = computed(() => `rotate(${this.isOpen() ? '0deg' : '-90deg'})`);
        this.headerText = computed(() => this.checkListItem().title ? this.checkListItem().title : this.translocoService.translate('UNTITLED'));
        this.checkListItem = computed(() => this.checkListBlockItem().content);
        this.checkListItemComponent = computed(() => this.checkListBlockItem().component);
        this.checkListItemWithOptions = computed(() => ({
            ...this.checkListItem(),
            options: [
                {
                    label: this.translocoService.translate('DUPLICATE'),
                    icon: 'cuiIconCopy'
                },
                {
                    label: this.translocoService.translate('DELETE'),
                    icon: 'cuiIconTrash',
                    color: 'var(--cui-danger)',
                    command: this.openDeleteChecklistNodeModal.bind(this)
                }
            ]
        }));
        this.headerBorderColor = computed(() => {
            const checkListItem = this.checkListItem();
            if (checkListItem.content.actionsApprove !== null) {
                return 'var(--cui-violet-bg)';
            }
            if ('acceptanceCriteriaEvaluations' in checkListItem.content.actionsAssignee[0]) {
                return 'var(--cui-cyan-bg)';
            }
            return null;
        });
        this.iconChecklistType = computed(() => {
            const checkListItem = this.checkListItem();
            if (checkListItem.content.actionsApprove !== null) {
                return 'cuiIconUsersSm';
            }
            if ('acceptanceCriteriaEvaluations' in checkListItem.content.actionsAssignee[0]) {
                return 'cuiIconChecklist';
            }
            return 'cuiIconUserSm';
        });
        this.titleControl = this.nonNullableFormBuilder.control({ value: '', disabled: true }, cuiCreateDefaultValidators());
    }
    get isTitleEmpty() {
        return !this.titleControl.value;
    }
    get isTitleError() {
        return this.titleControl.invalid && this.titleControl.dirty;
    }
    ngOnInit() {
        this.initControls();
    }
    onRowToggle() {
        this.isOpen.update((prev) => !prev);
    }
    onAllowDrag() {
        this.checkListBlockService.toggleDragPermission(true);
    }
    onProhibitDrag() {
        this.checkListBlockService.toggleDragPermission(false);
    }
    initControls() {
        this.initTitleControlValue();
        this.initTitleControlSubscription();
    }
    initTitleControlValue() {
        this.titleControl.enable();
        this.titleControl.setValue(this.checkListItem().title ? this.checkListItem().title : '');
    }
    initTitleControlSubscription() {
        this.titleControl.valueChanges
            .pipe(debounceTime(this.DEFAULT_CONTROL_DELAY), distinctUntilChanged(), takeUntilDestroyed(this.destroyRef))
            .subscribe((titleValue) => {
            if (this.titleControl.invalid) {
                return;
            }
            this.nodeCheckListApiService
                .updateNodeCheckListItemTitle(this.checkListItem().id, titleValue)
                .subscribe(() => {
                this.checkListBlockService.updateCheckListItem({
                    ...this.checkListItem(),
                    title: titleValue
                });
            });
        });
    }
    openDeleteChecklistNodeModal() {
        const content = ['THIS_ACTION_WILL_PERMANENTLY_DELETE_THE_ITEM_FROM_CHECKLIST'];
        this.cuiDialogService
            .open(CuiDeleteModalComponent, {
            data: {
                title: 'DELETE_EVALUATION_CHECKLIST_ITEM_QUESTION',
                content,
                delete: () => this.treeStructApiService.deleteTreeStructElement(this.componentId(), this.checkListItem().id)
            }
        })
            .subscribe((data) => data?.canceled || this.checkListBlockService.deleteCheckListItem(this.checkListItem().id));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockListItemContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiChecklistBlockListItemContainerComponent, isStandalone: true, selector: "cui-checklist-block-list-item-container", inputs: { checkListBlockItem: { classPropertyName: "checkListBlockItem", publicName: "checkListBlockItem", isSignal: true, isRequired: true, transformFunction: null }, config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null }, index: { classPropertyName: "index", publicName: "index", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItemWithOptions() as checkListItem\">\n        <header\n            class=\"header\"\n            [style.border-left-color]=\"headerBorderColor()\"\n            [class.header__opened]=\"isOpen()\"\n        >\n            <button\n                class=\"icon-drag\"\n                cuiButton\n                cuiDragPointer\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                [icon]=\"'cuiIconDragHandleDots'\"\n                (mouseenter)=\"onAllowDrag()\"\n                (mouseleave)=\"onProhibitDrag()\"\n            ></button>\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                [style.transform]=\"rotate()\"\n                icon=\"cuiIconCaretDownFillXxs\"\n                (click)=\"onRowToggle()\"\n            ></button>\n            <cui-svg\n                [icon]=\"iconChecklistType()\"\n                color=\"var(--cui-base-500)\"\n            />\n            <div class=\"header__content\">\n                <div class=\"header__numeration\">{{ index() }}.</div>\n                <div class=\"header__text\">{{ headerText() }}</div>\n            </div>\n            @if (isTitleEmpty) {\n                <cui-svg\n                    [cuiTooltip]=\"t('TITLE_IS_REQUIRED')\"\n                    icon=\"cuiIconAlertTriangle\"\n                    color=\"var(--cui-danger)\"\n                    class=\"icon\"\n                />\n            }\n            <button\n                #actionButton=\"elementRef\"\n                cuiButton\n                type=\"button\"\n                cuiElement\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconMoreVertical\"\n                class=\"list__context-menu-button\"\n            ></button>\n            <cui-context-menu\n                [items]=\"checkListItem.options\"\n                [target]=\"actionButton.nativeElement\"\n            />\n        </header>\n        @if (isOpen()) {\n            <div class=\"info\">\n                <cui-checklist-block-title-control [control]=\"titleControl\" />\n                <cui-editor-block\n                    [config]=\"config()\"\n                    [editorId]=\"checkListItem.textContainerId!\"\n                    [title]=\"titleControl.value\"\n                />\n            </div>\n            <ng-container\n                [ngComponentOutlet]=\"checkListItemComponent()\"\n                [ngComponentOutletInputs]=\"{\n                    checkListItem: checkListItem\n                }\"\n            />\n        }\n    </ng-container>\n</ng-container>\n", styles: [":host{display:flex;flex-direction:column;gap:16px;border-radius:inherit;background-color:var(--cui-base-0)}.header{padding-right:7px;padding-left:7px;display:flex;flex-direction:row;justify-content:space-between;align-items:center;gap:4px;background:var(--cui-base-0);border-radius:inherit;border-left:6px solid var(--cui-yellow-bg)}.header__content{display:flex;flex-direction:row;align-items:center;gap:8px;flex:1}.header__numeration{font-weight:600;font-size:13px;line-height:16px;padding-right:8px;padding-left:8px;display:flex;justify-content:center;align-items:center}.header__text{font-weight:500;font-size:14px;line-height:20px;padding-top:11px;padding-bottom:11px;flex:1;width:0;overflow:hidden;text-overflow:ellipsis;text-wrap:nowrap}.header__opened{background:var(--cui-badge-info-bg);border-bottom:.5px solid var(--cui-base-200);border-bottom-left-radius:0;border-bottom-right-radius:0}.header:hover{background:var(--cui-base-10)}.info{padding-right:15px;padding-left:15px;display:flex;flex-direction:column;gap:16px}.icon{padding:6px;width:max-content}\n"], dependencies: [{ kind: "directive", type: CuiTooltipDirective, selector: "[cuiTooltip]:not(ng-container):not(ng-template)", inputs: ["cuiTooltipContext", "cuiTooltipAppearance", "cuiTooltip"] }, { kind: "component", type: CuiEditorBlockComponent, selector: "cui-editor-block", inputs: ["title", "editorId", "config", "required"], outputs: ["editorEmpty"] }, { kind: "component", type: CuiChecklistBlockTitleControlComponent, selector: "cui-checklist-block-title-control", inputs: ["control"] }, { kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: CuiContextMenuModule }, { kind: "component", type: CuiContextMenuComponent, selector: "cui-context-menu[items][target]", inputs: ["items", "target", "width", "withPaddings"] }, { kind: "directive", type: CuiElementDirective, selector: "[cuiElement]", exportAs: ["elementRef"] }, { kind: "ngmodule", type: CuiLabelModule }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "directive", type: NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "directive", type: CuiDragPointerDirective, selector: "[cuiDragPointer]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockListItemContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-list-item-container', imports: [
                        CuiTooltip,
                        CuiEditorBlockComponent,
                        CuiChecklistBlockTitleControlComponent,
                        CuiButtonModule,
                        CuiContextMenuModule,
                        CuiElementDirective,
                        CuiLabelModule,
                        CuiLetDirective,
                        CuiSvgModule,
                        NgComponentOutlet,
                        TranslocoDirective,
                        CuiDragPointerDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItemWithOptions() as checkListItem\">\n        <header\n            class=\"header\"\n            [style.border-left-color]=\"headerBorderColor()\"\n            [class.header__opened]=\"isOpen()\"\n        >\n            <button\n                class=\"icon-drag\"\n                cuiButton\n                cuiDragPointer\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                [icon]=\"'cuiIconDragHandleDots'\"\n                (mouseenter)=\"onAllowDrag()\"\n                (mouseleave)=\"onProhibitDrag()\"\n            ></button>\n            <button\n                cuiButton\n                type=\"button\"\n                appearance=\"ghost\"\n                size=\"xxs\"\n                [style.transform]=\"rotate()\"\n                icon=\"cuiIconCaretDownFillXxs\"\n                (click)=\"onRowToggle()\"\n            ></button>\n            <cui-svg\n                [icon]=\"iconChecklistType()\"\n                color=\"var(--cui-base-500)\"\n            />\n            <div class=\"header__content\">\n                <div class=\"header__numeration\">{{ index() }}.</div>\n                <div class=\"header__text\">{{ headerText() }}</div>\n            </div>\n            @if (isTitleEmpty) {\n                <cui-svg\n                    [cuiTooltip]=\"t('TITLE_IS_REQUIRED')\"\n                    icon=\"cuiIconAlertTriangle\"\n                    color=\"var(--cui-danger)\"\n                    class=\"icon\"\n                />\n            }\n            <button\n                #actionButton=\"elementRef\"\n                cuiButton\n                type=\"button\"\n                cuiElement\n                appearance=\"ghost\"\n                size=\"xxs\"\n                icon=\"cuiIconMoreVertical\"\n                class=\"list__context-menu-button\"\n            ></button>\n            <cui-context-menu\n                [items]=\"checkListItem.options\"\n                [target]=\"actionButton.nativeElement\"\n            />\n        </header>\n        @if (isOpen()) {\n            <div class=\"info\">\n                <cui-checklist-block-title-control [control]=\"titleControl\" />\n                <cui-editor-block\n                    [config]=\"config()\"\n                    [editorId]=\"checkListItem.textContainerId!\"\n                    [title]=\"titleControl.value\"\n                />\n            </div>\n            <ng-container\n                [ngComponentOutlet]=\"checkListItemComponent()\"\n                [ngComponentOutletInputs]=\"{\n                    checkListItem: checkListItem\n                }\"\n            />\n        }\n    </ng-container>\n</ng-container>\n", styles: [":host{display:flex;flex-direction:column;gap:16px;border-radius:inherit;background-color:var(--cui-base-0)}.header{padding-right:7px;padding-left:7px;display:flex;flex-direction:row;justify-content:space-between;align-items:center;gap:4px;background:var(--cui-base-0);border-radius:inherit;border-left:6px solid var(--cui-yellow-bg)}.header__content{display:flex;flex-direction:row;align-items:center;gap:8px;flex:1}.header__numeration{font-weight:600;font-size:13px;line-height:16px;padding-right:8px;padding-left:8px;display:flex;justify-content:center;align-items:center}.header__text{font-weight:500;font-size:14px;line-height:20px;padding-top:11px;padding-bottom:11px;flex:1;width:0;overflow:hidden;text-overflow:ellipsis;text-wrap:nowrap}.header__opened{background:var(--cui-badge-info-bg);border-bottom:.5px solid var(--cui-base-200);border-bottom-left-radius:0;border-bottom-right-radius:0}.header:hover{background:var(--cui-base-10)}.info{padding-right:15px;padding-left:15px;display:flex;flex-direction:column;gap:16px}.icon{padding:6px;width:max-content}\n"] }]
        }] });

class CuiCheckListBlockListItemEvaluationCriteriaComponent {
    get isEvaluationInvalid() {
        return this.criteriaGroup().controls.evaluation.invalid && this.isEditMode();
    }
    get isCriteriaInvalid() {
        return this.criteriaGroup().controls.criteria.invalid && this.isEditMode();
    }
    constructor() {
        this.cuiAlertService = inject(CuiAlertService);
        this.translocoService = inject(TranslocoService);
        this.EVALUATION_ALREADY_EXIST = `EVALUATION_ALREADY_EXIST`;
        this.previousData = null;
        this.isEditMode = signal(false);
        this.isNew = computed(() => this.criteriaGroup().controls.isNew.value);
        this.gap = computed(() => (this.isEditMode() ? 8 : 0));
        this.isLoading = computed(() => this.loadingIds()[this.criteriaGroup().controls.id.value]);
        this.isDragEnabled = computed(() => !this.isEditMode() && !this.isLoading());
        this.loadingIds = input.required();
        this.index = input.required();
        this.criteriaGroup = input.required();
        this.evaluationCriteriaFormArray = input.required();
        this.saveClicked = output();
        this.deleteClicked = output();
        this.cancelClicked = output();
        this.initNewEvaluationCriteriaEffect();
        this.initEditModeEffect();
    }
    onSave() {
        if (this.criteriaGroup().invalid) {
            return;
        }
        const evaluation = `${this.criteriaGroup().controls.evaluation.value}`;
        if (this.checkIsEvaluationCriteriaExist(evaluation)) {
            this.cuiAlertService
                .open(this.translocoService.translate(this.EVALUATION_ALREADY_EXIST, { evaluation }), {
                status: 'error'
            })
                .subscribe();
            return;
        }
        this.isEditMode.update((prev) => !prev);
        this.saveClicked.emit(this.criteriaGroup().controls);
    }
    onDelete() {
        const id = this.criteriaGroup().controls.id.value;
        this.deleteClicked.emit(id);
    }
    onCancel() {
        if (this.isNew()) {
            this.cancelClicked.emit();
        }
        this.isEditMode.update((prev) => !prev);
        if (!this.previousData) {
            return;
        }
        this.criteriaGroup().setValue({
            ...this.criteriaGroup().getRawValue(),
            ...this.previousData
        });
    }
    onToggleEditMode() {
        const { criteria, evaluation } = this.criteriaGroup().getRawValue();
        this.previousData = { criteria, evaluation };
        this.isEditMode.update((prev) => !prev);
    }
    // TODO: Компонент должен был быть построен исключительно на реактивных формах
    initEditModeEffect() {
        effect(() => this.criteriaGroup()[this.isEditMode() ? 'enable' : 'disable']());
    }
    initNewEvaluationCriteriaEffect() {
        effect(() => this.isEditMode.set(this.isNew()), { allowSignalWrites: true });
    }
    checkIsEvaluationCriteriaExist(evaluation) {
        const controls = this.evaluationCriteriaFormArray().controls;
        return controls.some((control) => {
            if (control.controls.id.value === this.criteriaGroup().controls.id.value) {
                return false;
            }
            return `${control.get('evaluation')?.value}` === evaluation;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemEvaluationCriteriaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiCheckListBlockListItemEvaluationCriteriaComponent, isStandalone: true, selector: "li[cuiChecklistBlockListItemEvaluationCriteria]", inputs: { loadingIds: { classPropertyName: "loadingIds", publicName: "loadingIds", isSignal: true, isRequired: true, transformFunction: null }, index: { classPropertyName: "index", publicName: "index", isSignal: true, isRequired: true, transformFunction: null }, criteriaGroup: { classPropertyName: "criteriaGroup", publicName: "criteriaGroup", isSignal: true, isRequired: true, transformFunction: null }, evaluationCriteriaFormArray: { classPropertyName: "evaluationCriteriaFormArray", publicName: "evaluationCriteriaFormArray", isSignal: true, isRequired: true, transformFunction: null } }, outputs: { saveClicked: "saveClicked", deleteClicked: "deleteClicked", cancelClicked: "cancelClicked" }, ngImport: i0, template: "<div *transloco=\"let t\">\n    <form\n        *cuiLet=\"criteriaGroup() as form\"\n        [formGroup]=\"form\"\n        [class.form_edit]=\"isEditMode()\"\n        clas=\"form\"\n    >\n        <div class=\"content\">\n            <span class=\"index\">{{ index() }}.</span>\n            @if (!isEditMode()) {\n                <cui-svg\n                    cuiDragPointer\n                    icon=\"cuiIconDragHandleDots\"\n                    color=\"var(--cui-base-500)\"\n                    class=\"icon\"\n                />\n            }\n            <div\n                style.gap=\"{{gap()}}px\"\n                class=\"wrapper\"\n            >\n                <cui-input-number\n                    formControlName=\"evaluation\"\n                    cuiTextFieldPlaceholder=\"0\"\n                    [cuiTextFieldIsError]=\"isEvaluationInvalid\"\n                    [min]=\"1\"\n                    [max]=\"99\"\n                    class=\"input-number\"\n                />\n                <textarea\n                    cuiTextarea\n                    formControlName=\"criteria\"\n                    [rows]=\"1\"\n                    [cuiTextFieldIsError]=\"isCriteriaInvalid\"\n                    placeholder=\"{{ t('ADD_A_DESCRIPTION') }}...\"\n                    class=\"textarea\"\n                ></textarea>\n            </div>\n            @if (isEditMode()) {\n                <button\n                    type=\"submit\"\n                    cuiIconButton\n                    icon=\"cuiIconCheck\"\n                    color=\"var(--cui-success)\"\n                    [disabled]=\"form.invalid\"\n                    class=\"button\"\n                    (click)=\"onSave()\"\n                ></button>\n                <button\n                    type=\"button\"\n                    cuiIconButton\n                    icon=\"cuiIconXCircle\"\n                    color=\"var(--cui-danger)\"\n                    class=\"button\"\n                    (click)=\"onCancel()\"\n                ></button>\n            } @else {\n                <button\n                    cuiButton\n                    type=\"button\"\n                    appearance=\"ghost\"\n                    size=\"xxs\"\n                    icon=\"cuiIconEdit\"\n                    [disabled]=\"isLoading()\"\n                    (click)=\"onToggleEditMode()\"\n                ></button>\n                <button\n                    cuiButton\n                    type=\"button\"\n                    appearance=\"ghost\"\n                    size=\"xxs\"\n                    icon=\"cuiIconTrash\"\n                    [isLoaderShown]=\"isLoading()\"\n                    (click)=\"onDelete()\"\n                ></button>\n            }\n        </div>\n        <cui-general-control-error-hint\n            [control]=\"form.controls.criteria\"\n            class=\"error-hint\"\n        />\n    </form>\n</div>\n", styles: [".form{display:flex;flex-direction:column;gap:8px}.form_edit{padding:12px;border-radius:8px;border:1px solid var(--cui-base-200);background-color:var(--cui-base-0)}.content{display:flex;gap:8px;align-items:center}.index{font-weight:500;font-size:14px;line-height:20px;width:22px}.icon{cursor:grab}.icon:active{cursor:grabbing}.wrapper{display:flex;flex-grow:1}.input-number{padding-right:9px;padding-left:9px;flex-shrink:0;width:44px;background:inherit}.input-number._disabled{cursor:initial;opacity:1;border-right-width:0;border-radius:8px 0 0 8px}.input-number ::ng-deep .c-input{text-align:center}.input-number ::ng-deep .c-input:disabled{cursor:text}.textarea{background:var(--cui-base-0)}.textarea:disabled{cursor:initial;opacity:1;background:var(--cui-base-0);border-left-width:0;border-radius:0 8px 8px 0}.button:disabled{cursor:not-allowed;opacity:.5}.error-hint{margin-left:82px}.cui-drag-drop-placeholder{height:44px;border:1px dashed var(--cui-base-200);border-radius:8px;background:var(--cui-base-0)}\n"], dependencies: [{ kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: CuiIconButtonModule }, { kind: "component", type: CuiIconButtonComponent, selector: "button[cuiIconButton][icon], a[cuiIconButton][icon]", inputs: ["icon", "color", "hoverColor"] }, { kind: "ngmodule", type: CuiInputModule }, { kind: "directive", type: CuiTextFieldPlaceholderDirective, selector: "[cuiTextFieldPlaceholder]", inputs: ["cuiTextFieldPlaceholder"] }, { kind: "directive", type: CuiTextFieldIsErrorDirective, selector: "[cuiTextFieldIsError]", inputs: ["cuiTextFieldIsError"] }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "ngmodule", type: CuiSvgModule }, { kind: "component", type: CuiSvgComponent, selector: "cui-svg[icon]", inputs: ["width", "height", "strokeWidth", "color", "icon"] }, { kind: "ngmodule", type: CuiTextareaModule }, { kind: "component", type: CuiTextareaComponent, selector: "textarea[cuiTextarea]", inputs: ["rows", "noBordersAndPaddings"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2$1.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "ngmodule", type: CuiInputNumberModule }, { kind: "component", type: CuiInputNumberComponent, selector: "cui-input-number", inputs: ["precision", "min", "max"] }, { kind: "directive", type: CuiDragPointerDirective, selector: "[cuiDragPointer]" }, { kind: "component", type: CuiGeneralControlErrorHintComponent, selector: "cui-general-control-error-hint", inputs: ["control", "isVisible"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemEvaluationCriteriaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'li[cuiChecklistBlockListItemEvaluationCriteria]', imports: [
                        CuiButtonModule,
                        CuiIconButtonModule,
                        CuiInputModule,
                        CuiLetDirective,
                        CuiSvgModule,
                        CuiTextareaModule,
                        ReactiveFormsModule,
                        TranslocoDirective,
                        CuiInputNumberModule,
                        CuiDragPointerDirective,
                        CuiGeneralControlErrorHintComponent
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div *transloco=\"let t\">\n    <form\n        *cuiLet=\"criteriaGroup() as form\"\n        [formGroup]=\"form\"\n        [class.form_edit]=\"isEditMode()\"\n        clas=\"form\"\n    >\n        <div class=\"content\">\n            <span class=\"index\">{{ index() }}.</span>\n            @if (!isEditMode()) {\n                <cui-svg\n                    cuiDragPointer\n                    icon=\"cuiIconDragHandleDots\"\n                    color=\"var(--cui-base-500)\"\n                    class=\"icon\"\n                />\n            }\n            <div\n                style.gap=\"{{gap()}}px\"\n                class=\"wrapper\"\n            >\n                <cui-input-number\n                    formControlName=\"evaluation\"\n                    cuiTextFieldPlaceholder=\"0\"\n                    [cuiTextFieldIsError]=\"isEvaluationInvalid\"\n                    [min]=\"1\"\n                    [max]=\"99\"\n                    class=\"input-number\"\n                />\n                <textarea\n                    cuiTextarea\n                    formControlName=\"criteria\"\n                    [rows]=\"1\"\n                    [cuiTextFieldIsError]=\"isCriteriaInvalid\"\n                    placeholder=\"{{ t('ADD_A_DESCRIPTION') }}...\"\n                    class=\"textarea\"\n                ></textarea>\n            </div>\n            @if (isEditMode()) {\n                <button\n                    type=\"submit\"\n                    cuiIconButton\n                    icon=\"cuiIconCheck\"\n                    color=\"var(--cui-success)\"\n                    [disabled]=\"form.invalid\"\n                    class=\"button\"\n                    (click)=\"onSave()\"\n                ></button>\n                <button\n                    type=\"button\"\n                    cuiIconButton\n                    icon=\"cuiIconXCircle\"\n                    color=\"var(--cui-danger)\"\n                    class=\"button\"\n                    (click)=\"onCancel()\"\n                ></button>\n            } @else {\n                <button\n                    cuiButton\n                    type=\"button\"\n                    appearance=\"ghost\"\n                    size=\"xxs\"\n                    icon=\"cuiIconEdit\"\n                    [disabled]=\"isLoading()\"\n                    (click)=\"onToggleEditMode()\"\n                ></button>\n                <button\n                    cuiButton\n                    type=\"button\"\n                    appearance=\"ghost\"\n                    size=\"xxs\"\n                    icon=\"cuiIconTrash\"\n                    [isLoaderShown]=\"isLoading()\"\n                    (click)=\"onDelete()\"\n                ></button>\n            }\n        </div>\n        <cui-general-control-error-hint\n            [control]=\"form.controls.criteria\"\n            class=\"error-hint\"\n        />\n    </form>\n</div>\n", styles: [".form{display:flex;flex-direction:column;gap:8px}.form_edit{padding:12px;border-radius:8px;border:1px solid var(--cui-base-200);background-color:var(--cui-base-0)}.content{display:flex;gap:8px;align-items:center}.index{font-weight:500;font-size:14px;line-height:20px;width:22px}.icon{cursor:grab}.icon:active{cursor:grabbing}.wrapper{display:flex;flex-grow:1}.input-number{padding-right:9px;padding-left:9px;flex-shrink:0;width:44px;background:inherit}.input-number._disabled{cursor:initial;opacity:1;border-right-width:0;border-radius:8px 0 0 8px}.input-number ::ng-deep .c-input{text-align:center}.input-number ::ng-deep .c-input:disabled{cursor:text}.textarea{background:var(--cui-base-0)}.textarea:disabled{cursor:initial;opacity:1;background:var(--cui-base-0);border-left-width:0;border-radius:0 8px 8px 0}.button:disabled{cursor:not-allowed;opacity:.5}.error-hint{margin-left:82px}.cui-drag-drop-placeholder{height:44px;border:1px dashed var(--cui-base-200);border-radius:8px;background:var(--cui-base-0)}\n"] }]
        }], ctorParameters: () => [] });

class CuiCheckListBlockListItemEvaluationComponent {
    constructor() {
        this.nonNullableFormBuilder = inject(NonNullableFormBuilder);
        this.nodeCheckListApiService = inject(CuiNodeChecklistApiService);
        this.checkListBlockService = inject(CuiCheckListBlockService);
        this.cdRef = inject(ChangeDetectorRef);
        this.cuiDialogService = inject(CuiDialogService);
        this.isAvailableObserver = new Subject();
        this.photoFormGroup = this.nonNullableFormBuilder.group({
            isEnable: false,
            isRequired: {
                value: false,
                disabled: true
            }
        });
        this.commentFormGroup = this.nonNullableFormBuilder.group({
            isEnable: false,
            isRequired: {
                value: false,
                disabled: true
            }
        });
        this.evaluationCriteriaFormArray = this.nonNullableFormBuilder.array([]);
        this.loadingIds = signal({});
        this.isAddButtonDisabled = signal(false);
        this.assignee = computed(() => this.checkListItem().content.actionsAssignee[0]);
        this.attachmentPhotoAction = computed(() => this.assignee().actions.find((contentAction) => contentAction.contentActionType === 'ATTACHMENT_PHOTO'));
        this.textAreaAction = computed(() => this.assignee().actions.find((contentAction) => contentAction.contentActionType === 'TEXT_AREA'));
        this.checkListItem = input.required();
    }
    getPointer(currentIndex) {
        return currentIndex === 0
            ? "BEFORE" /* NodeCheckListItemSwitchContentPointer.BEFORE */
            : "AFTER" /* NodeCheckListItemSwitchContentPointer.AFTER */;
    }
    getTargetIndex(currentIndex) {
        return currentIndex === 0 ? 1 : currentIndex - 1;
    }
    onDrop(event) {
        const { prevIndex, index } = event;
        if (prevIndex === index) {
            return;
        }
        this.moveItemInArray(this.evaluationCriteriaFormArray.controls, prevIndex, index);
        const movingElementId = this.evaluationCriteriaFormArray.at(index).value.id;
        const targetItemId = this.evaluationCriteriaFormArray.at(this.getTargetIndex(index)).value.id;
        const pointer = this.getPointer(index);
        const requestBody = {
            nodeCheckListId: this.checkListItem().id,
            listEvaluationId: this.assignee().id,
            movingElementId,
            targetItemId,
            pointer
        };
        this.nodeCheckListApiService.updateNodeCheckListItemSwitchContent(requestBody).subscribe({
            error: () => {
                this.moveItemInArray(this.evaluationCriteriaFormArray.controls, index, prevIndex);
                this.cdRef.markForCheck();
            }
        });
    }
    onAddEvaluationCriteriaItem() {
        const evaluationItemControl = this.createEvaluationFormGroup();
        this.isAddButtonDisabled.set(true);
        this.evaluationCriteriaFormArray.push(evaluationItemControl);
    }
    onSaveEvaluationCriteria(group) {
        const isNew = group.isNew.value;
        if (isNew) {
            this.addEvaluationCriteria(group);
            return;
        }
        this.updateEvaluationCriteria(group);
    }
    onCancelNewEvaluationCriteria() {
        const lastIndex = this.evaluationCriteriaFormArray.length - 1;
        this.isAddButtonDisabled.set(false);
        this.evaluationCriteriaFormArray.removeAt(lastIndex);
    }
    openModalDeleteEvaluationCriteria(id) {
        const content = ['DELETE_EVALUATION_CHECKLIST_ITEM_CONFIRMATION_TEXT'];
        const criteria = this.findExistingEvaluationCriteria(id);
        if (!criteria?.id) {
            return;
        }
        this.loadingIds.update((ids) => ({ ...ids, [criteria.id]: true }));
        this.cuiDialogService
            .open(CuiDeleteModalComponent, {
            data: {
                title: 'DELETE_EVALUATION_CHECKLIST_ITEM',
                content,
                delete: () => this.nodeCheckListApiService
                    .deleteEvaluationCriteriaItem(this.checkListItem().id, this.assignee().id, criteria.id)
                    .pipe(switchMap((checkListItem) => {
                    const index = this.evaluationCriteriaFormArray.controls.findIndex((control) => control.value.id === id);
                    this.checkListBlockService.updateCheckListItem(checkListItem);
                    this.evaluationCriteriaFormArray.removeAt(index);
                    return of(null);
                }))
            }
        })
            .subscribe(() => this.completeEvaluationCriteriaDeletion(criteria));
    }
    completeEvaluationCriteriaDeletion(criteria) {
        this.loadingIds.update((ids) => {
            delete ids[criteria.id];
            return { ...ids };
        });
    }
    onCheckListActionChanged(actionId, actionContent) {
        const requestData = {
            nodeCheckListId: this.checkListItem().id,
            assigneePurposeType: 'ASSIGN',
            actionId,
            contentId: actionContent.id,
            isEnable: actionContent.isEnable,
            isRequired: actionContent.isRequired
        };
        this.nodeCheckListApiService.updateNodeCheckListItemActionContent(requestData).subscribe((checkListItem) => {
            this.checkListBlockService.updateCheckListItem(checkListItem);
        });
    }
    ngOnInit() {
        this.initEvaluationFormValues();
    }
    initEvaluationFormValues() {
        this.evaluationCriteriaFormArray.clear();
        this.photoFormGroup.patchValue({
            isEnable: this.attachmentPhotoAction().isEnable,
            isRequired: this.attachmentPhotoAction().isRequired
        });
        this.commentFormGroup.patchValue({
            isEnable: this.textAreaAction().isEnable,
            isRequired: this.textAreaAction().isRequired
        });
        if (this.attachmentPhotoAction().isEnable) {
            this.photoFormGroup.controls.isRequired.enable();
        }
        if (this.textAreaAction().isEnable) {
            this.commentFormGroup.controls.isRequired.enable();
        }
        this.initActionFormSegmentsSubscriptions();
        this.assignee().acceptanceCriteriaEvaluations.forEach((evaluationCriteria) => {
            const evaluationItemControl = this.createEvaluationFormGroup({
                isNew: false,
                criteria: evaluationCriteria.criteria,
                evaluation: evaluationCriteria.evaluation,
                id: evaluationCriteria.id
            });
            this.evaluationCriteriaFormArray.push(evaluationItemControl);
        });
    }
    initActionFormSegmentsSubscriptions() {
        this.initPhotoGroupSubscription();
        this.initCommentGroupSubscription();
    }
    initPhotoGroupSubscription() {
        this.photoFormGroup.valueChanges.pipe(takeUntil(this.isAvailableObserver)).subscribe((value) => {
            if (!value.isEnable) {
                this.photoFormGroup.get('isRequired')?.setValue(false, { emitEvent: false });
                this.photoFormGroup.get('isRequired')?.disable({ emitEvent: false });
                this.onCheckListActionChanged(this.assignee().id, {
                    id: this.attachmentPhotoAction().id,
                    contentActionType: this.attachmentPhotoAction().contentActionType,
                    ...this.photoFormGroup.getRawValue()
                });
                return;
            }
            this.photoFormGroup.get('isRequired')?.enable({ emitEvent: false });
            this.onCheckListActionChanged(this.assignee().id, {
                id: this.attachmentPhotoAction().id,
                contentActionType: this.attachmentPhotoAction().contentActionType,
                ...this.photoFormGroup.getRawValue()
            });
        });
    }
    initCommentGroupSubscription() {
        this.commentFormGroup.valueChanges.pipe(takeUntil(this.isAvailableObserver)).subscribe((value) => {
            if (!value.isEnable) {
                this.commentFormGroup.get('isRequired')?.setValue(false, { emitEvent: false });
                this.commentFormGroup.get('isRequired')?.disable({ emitEvent: false });
                this.onCheckListActionChanged(this.assignee().id, {
                    id: this.textAreaAction().id,
                    contentActionType: this.textAreaAction().contentActionType,
                    ...this.commentFormGroup.getRawValue()
                });
                return;
            }
            this.commentFormGroup.get('isRequired')?.enable({ emitEvent: false });
            this.onCheckListActionChanged(this.assignee().id, {
                id: this.textAreaAction().id,
                contentActionType: this.textAreaAction().contentActionType,
                ...this.commentFormGroup.getRawValue()
            });
        });
    }
    updateEvaluationCriteria(group) {
        const evaluation = group.evaluation.value;
        const criteria = group.criteria.value;
        const id = group.id.value;
        this.nodeCheckListApiService
            .updateEvaluationCriteriaItem(this.checkListItem().id, this.assignee().id, id, criteria, evaluation)
            .subscribe((checkListItem) => this.checkListBlockService.updateCheckListItem(checkListItem));
    }
    addEvaluationCriteria(group) {
        const evaluation = group.evaluation.value;
        const criteria = group.criteria.value;
        this.nodeCheckListApiService
            .addEvaluationCriteriaItem(this.checkListItem().id, this.assignee().id, criteria, evaluation)
            .pipe(finalize(() => this.isAddButtonDisabled.set(false)))
            .subscribe((checkListItem) => this.updateCreatedEvaluationCriteria(checkListItem));
    }
    updateCreatedEvaluationCriteria(checkListItem) {
        const acceptanceCriteriaEvaluations = checkListItem.content.actionsAssignee[0].acceptanceCriteriaEvaluations;
        const id = acceptanceCriteriaEvaluations.at(-1)?.id;
        const control = this.evaluationCriteriaFormArray.controls.at(-1)?.getRawValue();
        const createdControl = this.createEvaluationFormGroup({ ...control, id, isNew: false });
        this.evaluationCriteriaFormArray.removeAt(-1);
        this.evaluationCriteriaFormArray.push(createdControl);
        this.checkListBlockService.updateCheckListItem(checkListItem);
    }
    createEvaluationFormGroup({ id, criteria = '', evaluation = null, isNew = true } = {}) {
        return this.nonNullableFormBuilder.group({
            id: [id],
            criteria: [criteria, cuiCreateDefaultValidators({ maxLength: 500 })],
            evaluation: [evaluation, [Validators.required]],
            isNew: [isNew]
        });
    }
    findExistingEvaluationCriteria(id) {
        return (this.assignee().acceptanceCriteriaEvaluations.find((evaluationCriteria) => evaluationCriteria.id === id) || null);
    }
    moveItemInArray(array, fromIndex, toIndex) {
        if (fromIndex === toIndex) {
            return;
        }
        const item = array[fromIndex];
        array.splice(fromIndex, 1);
        array.splice(toIndex, 0, item);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemEvaluationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiCheckListBlockListItemEvaluationComponent, isStandalone: true, selector: "cui-checklist-block-list-item-evaluation", inputs: { checkListItem: { classPropertyName: "checkListItem", publicName: "checkListItem", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <div class=\"action\">\n        <div class=\"action__inputs-container\">\n            <div\n                class=\"action__input\"\n                [formGroup]=\"photoFormGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('PHOTO') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n            <div\n                class=\"action__input\"\n                [formGroup]=\"commentFormGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('COMMENT') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n        </div>\n        <div class=\"action__criteria-title-container\">\n            <label\n                cuiLabel\n                [isRequired]=\"true\"\n                for=\"evaluationCriteria\"\n            >\n                {{ t('EVALUATION_CRITERIA') }}\n            </label>\n            <p class=\"action__criteria-subtitle\">{{ t('EACH_EVALUATION_CRITERION_SHOULD_BE') }}</p>\n        </div>\n        <ul\n            cuiDragList\n            class=\"list\"\n        >\n            @for (control of evaluationCriteriaFormArray.controls; track control.controls['id']; let index = $index) {\n                <li\n                    cuiChecklistBlockListItemEvaluationCriteria\n                    [index]=\"index + 1\"\n                    cuiDragDrop\n                    [disabled]=\"isAddButtonDisabled()\"\n                    (elementDragged)=\"onDrop($event)\"\n                    [criteriaGroup]=\"control\"\n                    [evaluationCriteriaFormArray]=\"evaluationCriteriaFormArray\"\n                    [loadingIds]=\"loadingIds()\"\n                    (saveClicked)=\"onSaveEvaluationCriteria($event)\"\n                    (cancelClicked)=\"onCancelNewEvaluationCriteria()\"\n                    (deleteClicked)=\"openModalDeleteEvaluationCriteria($event)\"\n                ></li>\n            } @empty {\n                <li\n                    cuiEmptyState\n                    [subtitle]=\"t('NO_EVALUATION_CRITERIA_TO_VIEW')\"\n                ></li>\n            }\n        </ul>\n        <div class=\"action__footer\">\n            <button\n                cuiButton\n                size=\"xxs\"\n                appearance=\"flat\"\n                icon=\"cuiIconPlus\"\n                type=\"button\"\n                [disabled]=\"isAddButtonDisabled()\"\n                (click)=\"onAddEvaluationCriteriaItem()\"\n            >\n                {{ t('NEW_OPTION') }}\n            </button>\n        </div>\n    </div>\n</ng-container>\n", styles: [":host{display:flex;flex-direction:column;border-radius:inherit}.action{padding:15px;display:flex;flex-direction:column;border-radius:0 0 8px 8px;gap:16px;background:var(--cui-base-10)}.action__criteria-title-container{display:flex;flex-direction:column;gap:4px}.action__criteria-subtitle{font-weight:400;font-size:14px;line-height:20px;color:var(--cui-base-500)}.action__inputs-container{display:flex;flex-direction:column;gap:8px;background:var(--cui-base-0)}.action__input{padding-right:11px;padding-left:11px;display:flex;height:48px;flex-direction:row;justify-content:space-between;border:1px solid var(--cui-base-200);border-radius:8px}.action__criteria{display:flex;flex-direction:row;align-items:center;gap:12px}.action__criteria-index{padding:8px;font-weight:500;font-size:14px;line-height:20px;display:flex;width:44px;flex-direction:row;justify-content:center;align-items:center;border-radius:8px;background-color:var(--cui-base-0)}.action__criteria-input{flex:1;background:var(--cui-base-0)}.list{display:flex;flex-direction:column;gap:8px}\n"], dependencies: [{ kind: "component", type: CuiCheckListBlockListItemEvaluationCriteriaComponent, selector: "li[cuiChecklistBlockListItemEvaluationCriteria]", inputs: ["loadingIds", "index", "criteriaGroup", "evaluationCriteriaFormArray"], outputs: ["saveClicked", "deleteClicked", "cancelClicked"] }, { kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: CuiCheckboxModule }, { kind: "component", type: CuiCheckboxComponent, selector: "input[type=\"checkbox\"][cuiCheckbox]" }, { kind: "ngmodule", type: CuiContextMenuModule }, { kind: "ngmodule", type: CuiHintModule }, { kind: "ngmodule", type: CuiInputModule }, { kind: "ngmodule", type: CuiLabelModule }, { kind: "component", type: CuiLabelComponent, selector: "label[cuiLabel]", inputs: ["isRequired"] }, { kind: "ngmodule", type: CuiTextareaModule }, { kind: "ngmodule", type: CuiTextFieldControllerModule }, { kind: "ngmodule", type: CuiToggleModule }, { kind: "component", type: CuiToggleComponent, selector: "input[type=\"checkbox\"][cuiToggle]" }, { kind: "component", type: CuiEmptyStateComponent, selector: "cui-empty-state, [cuiEmptyState]", inputs: ["title", "subtitle"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i2$1.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$1.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2$1.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "directive", type: CuiDragDropDirective, selector: "[cuiDragDrop]", inputs: ["disabled"], outputs: ["elementDragged"] }, { kind: "directive", type: CuiDragListDirective, selector: "[cuiDragList]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiCheckListBlockListItemEvaluationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-list-item-evaluation', imports: [
                        CuiCheckListBlockListItemEvaluationCriteriaComponent,
                        CuiButtonModule,
                        CuiCheckboxModule,
                        CuiContextMenuModule,
                        CuiHintModule,
                        CuiInputModule,
                        CuiLabelModule,
                        CuiTextareaModule,
                        CuiTextFieldControllerModule,
                        CuiToggleModule,
                        CuiEmptyStateComponent,
                        ReactiveFormsModule,
                        TranslocoDirective,
                        CuiDragDropDirective,
                        CuiDragListDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <div class=\"action\">\n        <div class=\"action__inputs-container\">\n            <div\n                class=\"action__input\"\n                [formGroup]=\"photoFormGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('PHOTO') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n            <div\n                class=\"action__input\"\n                [formGroup]=\"commentFormGroup\"\n            >\n                <label cuiLabel>\n                    <input\n                        cuiCheckbox\n                        type=\"checkbox\"\n                        formControlName=\"isEnable\"\n                    />\n                    {{ t('COMMENT') }}\n                </label>\n                <label cuiLabel>\n                    <input\n                        cuiToggle\n                        type=\"checkbox\"\n                        formControlName=\"isRequired\"\n                    />\n                    {{ t('REQUIRED') }}\n                </label>\n            </div>\n        </div>\n        <div class=\"action__criteria-title-container\">\n            <label\n                cuiLabel\n                [isRequired]=\"true\"\n                for=\"evaluationCriteria\"\n            >\n                {{ t('EVALUATION_CRITERIA') }}\n            </label>\n            <p class=\"action__criteria-subtitle\">{{ t('EACH_EVALUATION_CRITERION_SHOULD_BE') }}</p>\n        </div>\n        <ul\n            cuiDragList\n            class=\"list\"\n        >\n            @for (control of evaluationCriteriaFormArray.controls; track control.controls['id']; let index = $index) {\n                <li\n                    cuiChecklistBlockListItemEvaluationCriteria\n                    [index]=\"index + 1\"\n                    cuiDragDrop\n                    [disabled]=\"isAddButtonDisabled()\"\n                    (elementDragged)=\"onDrop($event)\"\n                    [criteriaGroup]=\"control\"\n                    [evaluationCriteriaFormArray]=\"evaluationCriteriaFormArray\"\n                    [loadingIds]=\"loadingIds()\"\n                    (saveClicked)=\"onSaveEvaluationCriteria($event)\"\n                    (cancelClicked)=\"onCancelNewEvaluationCriteria()\"\n                    (deleteClicked)=\"openModalDeleteEvaluationCriteria($event)\"\n                ></li>\n            } @empty {\n                <li\n                    cuiEmptyState\n                    [subtitle]=\"t('NO_EVALUATION_CRITERIA_TO_VIEW')\"\n                ></li>\n            }\n        </ul>\n        <div class=\"action__footer\">\n            <button\n                cuiButton\n                size=\"xxs\"\n                appearance=\"flat\"\n                icon=\"cuiIconPlus\"\n                type=\"button\"\n                [disabled]=\"isAddButtonDisabled()\"\n                (click)=\"onAddEvaluationCriteriaItem()\"\n            >\n                {{ t('NEW_OPTION') }}\n            </button>\n        </div>\n    </div>\n</ng-container>\n", styles: [":host{display:flex;flex-direction:column;border-radius:inherit}.action{padding:15px;display:flex;flex-direction:column;border-radius:0 0 8px 8px;gap:16px;background:var(--cui-base-10)}.action__criteria-title-container{display:flex;flex-direction:column;gap:4px}.action__criteria-subtitle{font-weight:400;font-size:14px;line-height:20px;color:var(--cui-base-500)}.action__inputs-container{display:flex;flex-direction:column;gap:8px;background:var(--cui-base-0)}.action__input{padding-right:11px;padding-left:11px;display:flex;height:48px;flex-direction:row;justify-content:space-between;border:1px solid var(--cui-base-200);border-radius:8px}.action__criteria{display:flex;flex-direction:row;align-items:center;gap:12px}.action__criteria-index{padding:8px;font-weight:500;font-size:14px;line-height:20px;display:flex;width:44px;flex-direction:row;justify-content:center;align-items:center;border-radius:8px;background-color:var(--cui-base-0)}.action__criteria-input{flex:1;background:var(--cui-base-0)}.list{display:flex;flex-direction:column;gap:8px}\n"] }]
        }] });

class CuiChecklistBlockListComponent {
    constructor() {
        this.treeStructApiService = inject(CuiTreeStructApiService);
        this.treeStructNavigatorApiService = inject(CuiTreeStructNavigatorApiService);
        this.checkListBlockService = inject(CuiCheckListBlockService);
        this.checkListItems = this.checkListBlockService.checkListItems;
        this.isDragAvailable = this.checkListBlockService.isDragAvailable;
        this.checkListItemActionWithVerification = CuiCheckListBlockListItemActionWithVerificationComponent;
        this.checkListItemActionWithoutVerification = CuiCheckListBlockListItemActionWithoutVerificationComponent;
        this.checkListItemEvaluation = CuiCheckListBlockListItemEvaluationComponent;
        this.componentId = this.checkListBlockService.componentId;
        this.isLoading = signal(false);
        this.isDragEnabled = computed(() => !this.isLoading() && this.isDragAvailable());
        this.checkListItemsWithComponents = computed(() => {
            if (!this.checkListItems()) {
                return [];
            }
            return this.checkListItems().map((element) => ({
                id: element.id,
                content: element,
                component: this.getNodeCheckListItemComponent(element)
            }));
        });
        this.config = input.required();
    }
    moveTreeStruct(data, element) {
        const { targetElement, pointer, index, prevIndex } = data;
        if (prevIndex === index) {
            return;
        }
        this.isLoading.set(true);
        this.treeStructNavigatorApiService
            .moveElement({
            type: "MOVING_TARGET_ITEM" /* MovingType.TARGET_NODE */,
            targetItemId: targetElement.dataset['id'],
            treeStructTargetItemId: targetElement.dataset['parentId'],
            pointer,
            movableItemId: element.id,
            treeStructMovableItemId: this.componentId()
        })
            .pipe(switchMap(() => this.treeStructApiService.getById(this.componentId())), finalize(() => this.isLoading.set(false)))
            .subscribe((treeStruct) => this.checkListBlockService.setCheckListItems(treeStruct.elements));
    }
    getNodeCheckListItemComponent(item) {
        if (item.content.actionsApprove !== null) {
            return this.checkListItemActionWithVerification;
        }
        if ('acceptanceCriteriaEvaluations' in item.content.actionsAssignee[0]) {
            return this.checkListItemEvaluation;
        }
        return this.checkListItemActionWithoutVerification;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiChecklistBlockListComponent, isStandalone: true, selector: "cui-checklist-block-list", inputs: { config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItemsWithComponents() as checkListItemsWithComponents\">\n        @if (checkListItemsWithComponents?.length) {\n            <ul\n                class=\"list__items\"\n                #list\n                cuiDragList\n            >\n                <ng-container *ngTemplateOutlet=\"items; context: { $implicit: checkListItemsWithComponents }\" />\n                <ng-template\n                    #items\n                    let-items\n                    let-isHidden=\"isHidden\"\n                >\n                    @for (item of items; track item.id; let index = $index) {\n                        <li\n                            [attr.data-id]=\"item.content.id\"\n                            [attr.data-parent-id]=\"componentId()\"\n                            [hidden]=\"isHidden\"\n                            cuiHandleScroll\n                            cuiDragDrop\n                            class=\"list__item\"\n                            [class.list__item_disabled]=\"isLoading()\"\n                            (elementDragged)=\"moveTreeStruct($event, item)\"\n                        >\n                            <cui-checklist-block-list-item-container\n                                [checkListBlockItem]=\"item\"\n                                [index]=\"index + 1\"\n                                [config]=\"config()\"\n                            />\n                        </li>\n                    }\n                </ng-template>\n            </ul>\n        } @else {\n            <cui-empty-state [subtitle]=\"t('NO_CHECKLIST_ITEMS')\" />\n        }\n    </ng-container>\n</ng-container>\n", styles: [":host ::ng-deep .codex-editor-overlay{position:unset}.list__items{display:flex;flex-direction:column;border:1px solid var(--cui-base-200);border-radius:8px}.list__item{border-bottom:.5px solid var(--cui-base-200)}.list__item_disabled{pointer-events:none;opacity:.5}.list__item:only-child{border-radius:8px!important}.list__item:first-child{border-radius:8px 8px 0 0}.list__item:last-child{border-radius:0 0 8px 8px;border:none}.cui-drag-drop-placeholder{position:relative;z-index:1;height:40px;border:1px dashed var(--cui-base-200);border-radius:8px;background:var(--cui-base-0)}\n"], dependencies: [{ kind: "component", type: CuiChecklistBlockListItemContainerComponent, selector: "cui-checklist-block-list-item-container", inputs: ["checkListBlockItem", "config", "index"] }, { kind: "ngmodule", type: CuiButtonModule }, { kind: "ngmodule", type: CuiContextMenuModule }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "component", type: CuiEmptyStateComponent, selector: "cui-empty-state, [cuiEmptyState]", inputs: ["title", "subtitle"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }, { kind: "directive", type: CuiDragDropDirective, selector: "[cuiDragDrop]", inputs: ["disabled"], outputs: ["elementDragged"] }, { kind: "directive", type: CuiHandleScrollDirective, selector: "[cuiHandleScroll]", inputs: ["scrollSpeed"] }, { kind: "directive", type: CuiDragListDirective, selector: "[cuiDragList]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block-list', imports: [
                        CuiChecklistBlockListItemContainerComponent,
                        CuiButtonModule,
                        CuiContextMenuModule,
                        CuiLetDirective,
                        CuiEmptyStateComponent,
                        NgTemplateOutlet,
                        TranslocoDirective,
                        CuiDragDropDirective,
                        CuiHandleScrollDirective,
                        CuiDragListDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *transloco=\"let t\">\n    <ng-container *cuiLet=\"checkListItemsWithComponents() as checkListItemsWithComponents\">\n        @if (checkListItemsWithComponents?.length) {\n            <ul\n                class=\"list__items\"\n                #list\n                cuiDragList\n            >\n                <ng-container *ngTemplateOutlet=\"items; context: { $implicit: checkListItemsWithComponents }\" />\n                <ng-template\n                    #items\n                    let-items\n                    let-isHidden=\"isHidden\"\n                >\n                    @for (item of items; track item.id; let index = $index) {\n                        <li\n                            [attr.data-id]=\"item.content.id\"\n                            [attr.data-parent-id]=\"componentId()\"\n                            [hidden]=\"isHidden\"\n                            cuiHandleScroll\n                            cuiDragDrop\n                            class=\"list__item\"\n                            [class.list__item_disabled]=\"isLoading()\"\n                            (elementDragged)=\"moveTreeStruct($event, item)\"\n                        >\n                            <cui-checklist-block-list-item-container\n                                [checkListBlockItem]=\"item\"\n                                [index]=\"index + 1\"\n                                [config]=\"config()\"\n                            />\n                        </li>\n                    }\n                </ng-template>\n            </ul>\n        } @else {\n            <cui-empty-state [subtitle]=\"t('NO_CHECKLIST_ITEMS')\" />\n        }\n    </ng-container>\n</ng-container>\n", styles: [":host ::ng-deep .codex-editor-overlay{position:unset}.list__items{display:flex;flex-direction:column;border:1px solid var(--cui-base-200);border-radius:8px}.list__item{border-bottom:.5px solid var(--cui-base-200)}.list__item_disabled{pointer-events:none;opacity:.5}.list__item:only-child{border-radius:8px!important}.list__item:first-child{border-radius:8px 8px 0 0}.list__item:last-child{border-radius:0 0 8px 8px;border:none}.cui-drag-drop-placeholder{position:relative;z-index:1;height:40px;border:1px dashed var(--cui-base-200);border-radius:8px;background:var(--cui-base-0)}\n"] }]
        }] });

class CuiChecklistBlockComponent {
    constructor() {
        this.destroyRef = inject(DestroyRef);
        this.treeStructApiService = inject(CuiTreeStructApiService);
        this.translocoService = inject(TranslocoService);
        this.nodeCheckListApiService = inject(CuiNodeChecklistApiService);
        this.checkListBlockService = inject(CuiCheckListBlockService);
        this.CHECKLIST_BLOCK_SELECT_OPTIONS = [
            {
                label: this.translocoService.translate('ASSIGNEE_APPROVAL'),
                command: () => this.addCheckListItem("NODE_CHECKLIST_ACTION_WITHOUT_VERIFICATION" /* CuiCheckListBlockItemType.WITHOUT_VERIFICATION */)
            },
            {
                label: this.translocoService.translate('DOUBLE_CHECK_APPROVAL'),
                command: () => this.addCheckListItem("NODE_CHECKLIST_ACTION_WITH_VERIFICATION" /* CuiCheckListBlockItemType.WITH_VERIFICATION */)
            },
            {
                label: this.translocoService.translate('EVALUATION_OPTIONS'),
                command: () => this.addCheckListItem("NODE_CHECKLIST_EVALUATION" /* CuiCheckListBlockItemType.EVALUATION */)
            }
        ];
        this.checkListItems = this.checkListBlockService.checkListItems;
        this.isLoading = signal(false);
        this.componentId = input.required();
        this.config = input.required();
        this.initNodeCheckListBlock();
    }
    initNodeCheckListBlock() {
        effect(() => {
            this.checkListBlockService.setComponentId(this.componentId());
            this.treeStructApiService
                .getById(this.componentId())
                .pipe(takeUntilDestroyed(this.destroyRef))
                .subscribe((treeStruct) => this.checkListBlockService.setCheckListItems(treeStruct.elements));
        }, { allowSignalWrites: true });
    }
    addCheckListItem(type) {
        this.isLoading.set(true);
        this.nodeCheckListApiService
            .addNodeCheckListItem({
            treeStructContainerCheckListId: this.componentId(),
            title: 'New checklist item',
            type_operations: type
        })
            .pipe(takeUntilDestroyed(this.destroyRef), finalize(() => this.isLoading.set(false)))
            .subscribe((checkListItem) => this.checkListBlockService.addCheckListItem(checkListItem));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.2.13", type: CuiChecklistBlockComponent, isStandalone: true, selector: "cui-checklist-block, [cuiCheckListBlock]", inputs: { componentId: { classPropertyName: "componentId", publicName: "componentId", isSignal: true, isRequired: true, transformFunction: null }, config: { classPropertyName: "config", publicName: "config", isSignal: true, isRequired: true, transformFunction: null } }, providers: [CuiCheckListBlockService], ngImport: i0, template: "<cui-content-wrapper\n    *transloco=\"let t\"\n    backgroundColor=\"var(--cui-base-10)\"\n    [gap]=\"16\"\n>\n    <ng-container *cuiLet=\"checkListItems() as checkListItems\">\n        <header class=\"header\">\n            <h2 class=\"heading\">{{ t('CHECKLIST') }}</h2>\n\n            @if (checkListItems) {\n                <span class=\"item\">{{ checkListItems?.length }} {{ t('ITEM_VARIANT') }}</span>\n            }\n        </header>\n        <cui-content-wrapper>\n            <cui-checklist-block-list [config]=\"config()\" />\n        </cui-content-wrapper>\n        <div>\n            <button\n                #actionButton=\"elementRef\"\n                cuiElement\n                cuiButton\n                type=\"button\"\n                appearance=\"flat\"\n                size=\"xxs\"\n                icon=\"cuiIconPlus\"\n            >\n                {{ t('ADD_NEW_ITEM') }}\n            </button>\n            <cui-context-menu\n                [items]=\"CHECKLIST_BLOCK_SELECT_OPTIONS\"\n                [target]=\"actionButton.nativeElement\"\n            />\n        </div>\n    </ng-container>\n</cui-content-wrapper>\n", styles: [".header{display:flex;gap:12px;align-items:center;justify-content:space-between}.heading{font-weight:500;font-size:16px;line-height:24px}.item{font-weight:400;font-size:12px;line-height:14px;color:var(--cui-base-500)}\n"], dependencies: [{ kind: "component", type: CuiChecklistBlockListComponent, selector: "cui-checklist-block-list", inputs: ["config"] }, { kind: "component", type: CuiContentWrapperComponent, selector: "cui-content-wrapper, [cuiContentWrapper]", inputs: ["backgroundColor", "gap"] }, { kind: "ngmodule", type: CuiButtonModule }, { kind: "component", type: CuiButtonComponent, selector: "button[cuiButton], a[cuiButton]", inputs: ["shape", "disabled", "isLoaderShown", "icon", "iconRight", "appearance", "size"] }, { kind: "ngmodule", type: CuiContextMenuModule }, { kind: "component", type: CuiContextMenuComponent, selector: "cui-context-menu[items][target]", inputs: ["items", "target", "width", "withPaddings"] }, { kind: "directive", type: CuiElementDirective, selector: "[cuiElement]", exportAs: ["elementRef"] }, { kind: "directive", type: CuiLetDirective, selector: "[cuiLet]", inputs: ["cuiLet"] }, { kind: "directive", type: TranslocoDirective, selector: "[transloco]", inputs: ["transloco", "translocoParams", "translocoScope", "translocoRead", "translocoPrefix", "translocoLang", "translocoLoadingTpl"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: CuiChecklistBlockComponent, decorators: [{
            type: Component,
            args: [{ selector: 'cui-checklist-block, [cuiCheckListBlock]', imports: [
                        CuiChecklistBlockListComponent,
                        CuiContentWrapperComponent,
                        CuiButtonModule,
                        CuiContextMenuModule,
                        CuiElementDirective,
                        CuiLetDirective,
                        TranslocoDirective
                    ], standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, providers: [CuiCheckListBlockService], template: "<cui-content-wrapper\n    *transloco=\"let t\"\n    backgroundColor=\"var(--cui-base-10)\"\n    [gap]=\"16\"\n>\n    <ng-container *cuiLet=\"checkListItems() as checkListItems\">\n        <header class=\"header\">\n            <h2 class=\"heading\">{{ t('CHECKLIST') }}</h2>\n\n            @if (checkListItems) {\n                <span class=\"item\">{{ checkListItems?.length }} {{ t('ITEM_VARIANT') }}</span>\n            }\n        </header>\n        <cui-content-wrapper>\n            <cui-checklist-block-list [config]=\"config()\" />\n        </cui-content-wrapper>\n        <div>\n            <button\n                #actionButton=\"elementRef\"\n                cuiElement\n                cuiButton\n                type=\"button\"\n                appearance=\"flat\"\n                size=\"xxs\"\n                icon=\"cuiIconPlus\"\n            >\n                {{ t('ADD_NEW_ITEM') }}\n            </button>\n            <cui-context-menu\n                [items]=\"CHECKLIST_BLOCK_SELECT_OPTIONS\"\n                [target]=\"actionButton.nativeElement\"\n            />\n        </div>\n    </ng-container>\n</cui-content-wrapper>\n", styles: [".header{display:flex;gap:12px;align-items:center;justify-content:space-between}.heading{font-weight:500;font-size:16px;line-height:24px}.item{font-weight:400;font-size:12px;line-height:14px;color:var(--cui-base-500)}\n"] }]
        }], ctorParameters: () => [] });

/**
 * Generated bundle index. Do not edit.
 */

export { AngularOutsideLoaderService, CUI_ALERTS, CUI_ALERT_CONTEXT, CUI_ALERT_DEFAULT_OPTIONS, CUI_ALERT_OPTIONS, CUI_ANIMATIONS_DEFAULT_DURATION, CUI_BANNER_DEFAULT_OPTIONS, CUI_BANNER_OPTIONS, CUI_BUTTON_DEFAULT_OPTIONS, CUI_BUTTON_OPTIONS, CUI_DEFAULT_THEME, CUI_DIALOGS, CUI_DIALOG_CONTEXT, CUI_DIALOG_DEFAULT_OPTIONS, CUI_DIALOG_OPTIONS, CUI_INPUT_TIME_DEFAULT_OPTIONS, CUI_INPUT_TIME_OPTIONS, CUI_NOTIFICATION_DEFAULT_OPTIONS, CUI_NOTIFICATION_ICONS, CUI_NOTIFICATION_ICON_OPTIONS, CUI_NOTIFICATION_ICON_OPTIONS_DEFAULT_MODE, CUI_NOTIFICATION_ICON_OPTIONS_LIGHT_MODE, CUI_NOTIFICATION_OPTIONS, CUI_ROOT_SELECTOR, CUI_TAB_ACTIVATE, CUI_TEXT_FIELD_CONTROLLER, CUI_TEXT_FIELD_ICON_LEFT, CUI_TEXT_FIELD_ID, CUI_TEXT_FIELD_IS_ERROR, CUI_TEXT_FIELD_PLACEHOLDER, CUI_TEXT_FIELD_SIZE, CUI_TEXT_FILED_CONTROLLER_PROVIDER, CUI_THEME, CUI_THEME_STORAGE_DEFAULT_KEY, CUI_THEME_STORAGE_KEY, CUI_TOOLTIP_COMPONENT, CUI_TOOLTIP_DEFAULT_OPTIONS, CUI_TOOLTIP_DIRECTIONS, CUI_TOOLTIP_OPTIONS, CUI_TOOLTIP_PROVIDERS, CuiAccordionComponent, CuiAccordionDirective, CuiAccordionItemComponent, CuiAccordionModule, CuiAlertComponent, CuiAlertModule, CuiAlertService, CuiAlertsComponent, CuiAttachesTool, CuiAuthBase, CuiAuthService, CuiBadgeComponent, CuiBadgeModule, CuiBannerComponent, CuiBannerModule, CuiBreadcrumbComponent, CuiBreadcrumbsComponent, CuiBreadcrumbsModule, CuiButtonComponent, CuiButtonGroupComponent, CuiButtonGroupModule, CuiButtonModule, CuiCardWrapperComponent, CuiCategoriesComponent, CuiCheckboxComponent, CuiCheckboxModule, CuiChecklistBlockComponent, CuiContentWrapperComponent, CuiContextMenuComponent, CuiContextMenuModule, CuiDeleteModalComponent, CuiDialogActionsComponent, CuiDialogComponent, CuiDialogHeaderComponent, CuiDialogModule, CuiDialogService, CuiDialogsComponent, CuiDropdownDirective, CuiDropdownWrapperComponent, CuiEditorBlockComponent, CuiEditorComponent, CuiEditorModalComponent, CuiEditorReadonlyComponent, CuiEditorTranslations, CuiEmptyStateComponent, CuiFileUploaderStatus, CuiFormFieldComponent, CuiFormFieldModule, CuiGeneralControlErrorHintComponent, CuiGhostInputComponent, CuiHeaderTool, CuiHintComponent, CuiHintModule, CuiIconButtonComponent, CuiIconButtonModule, CuiImageTool, CuiInputModule, CuiInputNumberComponent, CuiInputNumberModule, CuiInputPasswordComponent, CuiInputPasswordModule, CuiInputTextComponent, CuiInputTimeComponent, CuiInputTimeModule, CuiLabelComponent, CuiLabelModule, CuiLayoutComponent, CuiLetterBoxComponent, CuiLinkMarker, CuiListTool, CuiLoaderComponent, CuiLoaderService, CuiLoadingState, CuiNotificationComponent, CuiNotificationModule, CuiPositionService, CuiRadioComponent, CuiRadioModule, CuiRenderDynamicComponentsComponent, CuiRenderDynamicComponentsService, CuiRoleMarker, CuiRootComponent, CuiRootModule, CuiSelectComponent, CuiSelectModule, CuiSelectedCategoryService, CuiSidebarContainerComponent, CuiSidebarHeaderComponent, CuiSidebarNavigationComponent, CuiSidebarNavigationContainerComponent, CuiSidebarNavigationItemComponent, CuiSidebarService, CuiSvgComponent, CuiSvgModule, CuiTabComponent, CuiTabsComponent, CuiTabsModule, CuiTextFieldController, CuiTextFieldControllerModule, CuiTextFieldIconLeftDirective, CuiTextFieldIdDirective, CuiTextFieldIsErrorDirective, CuiTextFieldPlaceholderDirective, CuiTextFieldSizeDirective, CuiTextareaComponent, CuiTextareaModule, CuiThemeService, CuiToggleComponent, CuiToggleModule, CuiToolMarker, CuiTooltip, CuiTooltipComponent, CuiTooltipDescribe, CuiTooltipDirective, CuiTooltipDriver, CuiTooltipHost, CuiTooltipHover, CuiTooltipManual, CuiTooltipOptionsDirective, CuiTooltipOverflow, CuiTooltipPointer, CuiTooltipPosition, CuiTooltipService, CuiTooltipUnstyled, CuiTooltipUnstyledComponent, CuiTooltips, CuiUtilityInfoComponent, CuiVideoTool, CuiVisualViewportService, cuiAuthInterceptor, cuiCreateDefaultValidators, cuiErrorHandlerInterceptor, cuiGetDuration, cuiIsObscured, cuiLoaderInterceptor, cuiOverrideOptions, cuiProvideEditor, cuiRemoveSpaces, cuiReplace, cuiToAnimationOptions, cuiTooltipOptionsProvider, cuiXNdjsonInterceptor, provideCuiAuth };
//# sourceMappingURL=cuby-ui-core.mjs.map
